;% 1. Title of Database: Annealing Data
;%
;% 2. Source Information: donated by David Sterling and Wray Buntine.
;%
;% 3. Past Usage: unknown
;%
;% 4. Relevant Information:
;%    -- Explanation: I suspect this was left by Ross Quinlan in 1987 at the
;%       4th Machine Learning Workshop.  Id have to check with Jeff Schlimmer
;%       to double check this.
;%
;% 5. Number of Instances: 798
;%
;% 6. Number of Attributes: 38
;%    -- 6 continuously-valued
;%    -- 3 integer-valued
;%    -- 29 nominal-valued
;%
;% 7. Attribute Information:
;%     1. family:          --,GB,GK,GS,TN,ZA,ZF,ZH,ZM,ZS
;%     2. product-type:    C, H, G
;%     3. steel:           -,R,A,U,K,M,S,W,V
;%     4. carbon:          continuous
;%     5. hardness:        continuous
;%     6. temper_rolling:  -,T
;%     7. condition:       -,S,A,X
;%     8. formability:     -,1,2,3,4,5
;%     9. strength:        continuous
;%    10. non-ageing:      -,N
;%    11. surface-finish:  P,M,-
;%    12. surface-quality: -,D,E,F,G
;%    13. enamelability:   -,1,2,3,4,5
;%    14. bc:              Y,-
;%    15. bf:              Y,-
;%    16. bt:              Y,-
;%    17. bw/me:           B,M,-
;%    18. bl:              Y,-
;%    19. m:               Y,-
;%    20. chrom:           C,-
;%    21. phos:            P,-
;%    22. cbond:           Y,-
;%    23. marvi:           Y,-
;%    24. exptl:           Y,-
;%    25. ferro:           Y,-
;%    26. corr:            Y,-
;%    27. blue/bright/varn/clean:          B,R,V,C,-
;%    28. lustre:          Y,-
;%    29. jurofm:          Y,-
;%    30. s:               Y,-
;%    31. p:               Y,-
;%    32. shape:           COIL, SHEET
;%    33. thick:           continuous
;%    34. width:           continuous
;%    35. len:             continuous
;%    36. oil:             -,Y,N
;%    37. bore:            0000,0500,0600,0760
;%    38. packing: -,1,2,3
;%    classes:        1,2,3,4,5,U
;%
;%    -- The - values are actually not_applicable values rather than
;%       missing_values (and so can be treated as legal discrete
;%       values rather than as showing the absence of a discrete value).
;%
;% 8. Missing Attribute Values: Signified with "?"
;%    Attribute:  Number of instances missing its value:
;%    1           0
;%    2           0
;%    3           70
;%    4           0
;%    5           0
;%    6           675
;%    7           271
;%    8           283
;%    9           0
;%   10           703
;%   11           790
;%   12           217
;%   13           785
;%   14           797
;%   15           680
;%   16           736
;%   17           609
;%   18           662
;%   19           798
;%   20           775
;%   21           791
;%   22           730
;%   23           798
;%   24           796
;%   25           772
;%   26           798
;%   27           793
;%   28           753
;%   29           798
;%   30           798
;%   31           798
;%   32           0
;%   33           0
;%   34           0
;%   35           0
;%   36           740
;%   37           0
;%   38           789
;%   39           0
;%
;% 9. Distribution of Classes
;%      Class Name:   Number of Instances:
;%      1               8
;%      2              88
;%      3             608
;%      4               0
;%      5              60
;%      U              34
;%                    ---
;%                    798
;%
;%
;%
;%
(defun anneal ()
  (data
    :name 'anneal
    :columns '(family product-type steel carbon hardness temper_rolling condition formability strength non-ageing surface-finish surface-quality enamelability bc bf bt bw/me bl m chrom phos cbond marvi exptl ferro corr blue/bright/varn/clean lustre jurofm s p shape thick width len oil bore packing class)
    :egs
    '(
      (? C A 8 0 ? S ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 762 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.801 385.1 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.801 255 269 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.3 152 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 4880 Y 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 610 150 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1220 761 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 4 1320 762 ? 0 ? 3)
      (? C A 10 0 ? ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.201 600 0 ? 0 ? U)
      (? C A 0 80 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4170 Y 0 ? U)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320.1 762 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.501 1200.1 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 761 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 610 0 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.001 50 0 ? 0 ? U)
      (? C S 70 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 609.9 0 ? 0 ? 3)
      (? C A 3 0 T ? ? 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.5 610 0 ? 0 ? 1)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 1320 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.8 356 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 4170 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 900 0 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 500 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 5)
      (? C ? 0 45 ? S ? 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.4 1320 4170 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 762 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 450 0 ? 0 ? U)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.75 1320 4880 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1220 0 ? 0 ? 5)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.399 1320 0 ? 0 ? 3)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.651 20 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 374.9 4880 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 50 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 4880 Y 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 0.799 20 0 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 301 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 610 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 4880 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 1274.9 0 ? 500 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 4880 N 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 762 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 761 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1300 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.599 150 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 374.9 4880 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.301 610 762 Y 0 ? 3)
      (? C A 0 0 ? ? ? 500 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1300 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 610 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.6 1220 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.301 610 0 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 762 ? 0 ? U)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 500 762 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.301 515 610 Y 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 335 611 ? 0 ? 5)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 762 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 20 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 250 0 ? 0 ? 5)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.801 610 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.5 610 0 ? 600 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 762 Y 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 1300 0 ? 0 ? 3)
      (? C A 4 0 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.5 1130 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609 612 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 609.9 4880 ? 0 ? 2)
      (? C A 0 0 ? S 3 0 N ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 1320 0 ? 0 ? 3)
      (ZS C A 0 70 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2 1250 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 762 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 1 ? 0 ? 2)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (ZS C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 4880 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 640 0 ? 600 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 4880 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 3 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1090 0 ? 0 ? 2)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.5 610 0 ? 0 ? 5)
      (? C A 10 0 ? ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.201 1320 0 ? 0 ? U)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 762 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320.1 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1.5 640 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.599 609.9 4880 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 2)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 610 761 ? 0 ? 5)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 4880 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 610 612 ? 0 ? 2)
      (? C R 0 0 ? ? ? 500 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.999 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 761 ? 0 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.5 25 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? SHEET 0.5 1220 4880 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 762 ? 0 ? 3)
      (? C ? 0 0 T S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 50 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1220 761 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 Y 0 ? 3)
      (? C R 0 0 ? ? ? 500 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1100 762 ? 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1090 0 ? 0 ? 2)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 610 0 Y 0 ? U)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.599 520 4880 ? 0 ? 3)
      (ZS C R 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.25 20 0 ? 0 ? 3)
      (? C S 0 0 ? ? ? 400 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? V ? ? ? ? COIL 0.8 75 0 ? 0 ? 1)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C A 4 0 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 1130 0 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.451 1320 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 1.6 1220 0 ? 0 ? 5)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.599 1275 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 4880 ? 0 ? 5)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.599 610 0 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 610 4170 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 1220 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.09 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1300 762 ? 0 ? 2)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.201 1525 0 ? 0 ? 2)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.1 900 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 1525 612 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.5 610 0 ? 600 ? 3)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 5)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.5 610 4880 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 50 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 760 N 0 ? 3)
      (? C R 0 0 ? A 3 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.4 58 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 609.9 0 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1250 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 830 881 ? 0 ? 2)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.9 1320 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2 1525 0 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 520 762 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.8 710.1 0 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? ? ? 500 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 1000 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 N 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.201 1000 0 ? 600 ? U)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.6 1220 4880 ? 0 ? 5)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 75 0 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? COIL 1.6 1220 0 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 610 1000 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.9 966.1 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.001 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 375 612 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 50 0 ? 0 ? 5)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 1320 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.999 1220 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 50 0 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 335 4170 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 1250 4880 N 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 1274.9 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 1 ? 0 ? 2)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 609.9 0 ? 0 ? U)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 1.6 50 0 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1300 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 1320 0 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.301 610 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1220 762 ? 0 ? 3)
      (ZS C R 0 0 ? ? ? 300 ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? COIL 0.8 915.1 0 ? 0 ? 1)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 1000 0 ? 600 ? U)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.5 640 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 335 612 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 520 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 3 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 610 762 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 1250 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 762 Y 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 762 N 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.901 966.1 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 595 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1220 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 609.9 4880 ? 0 ? 3)
      (? C S 70 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 1000 4880 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 4880 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 60 0 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 900 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 3 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 2.3 900 0 ? 500 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1300 762 ? 0 ? 2)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.301 1320 4880 Y 0 ? 3)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 762 ? 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.3 1090 0 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 520 4880 ? 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.9 610 1220 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1300 762 ? 0 ? 3)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.399 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 761 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 N 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1220 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.599 610 761 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 400 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 612 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.5 609.9 612 ? 0 ? 5)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.301 1320 0 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 640 0 ? 500 ? 3)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.6 610 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 0.6 249.9 0 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1300 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 N ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.9 1135 0 ? 600 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 1 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 762 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.901 966 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 75 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 762 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 1250 762 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 609 0 ? 0 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 4880 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.6 20 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 900 0 ? 0 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 762 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 0.5 250 0 ? 0 ? 5)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 50 0 ? 0 ? 5)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.5 1274.9 762 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.801 255.1 270 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1500 4170 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4880 ? 0 ? 2)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1220 4880 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1220 762 ? 0 ? U)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 610 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.321 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.601 1220 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 150 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1220 762 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 250 0 ? 0 ? 5)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 1220 0 Y 0 ? U)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 762 ? 0 ? 2)
      (? C S 0 0 ? ? ? 400 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 1)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 610 4170 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 761 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 4880 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 150 762 ? 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.299 1050 1220 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1300 4880 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 375 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 1220 0 ? 0 ? 3)
      (? C S 0 0 ? ? ? 400 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 75 0 ? 0 ? 1)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1320 762 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 610 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4880 ? 0 ? 2)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 762 ? 0 ? 3)
      (? C ? 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.8 50 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 610 762 ? 0 ? 2)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.5 609.9 3000 ? 0 ? 5)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? SHEET 1 610 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.601 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.301 610 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 612 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1500 4170 ? 0 ? 2)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1.201 50 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.75 610 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 374.9 762 ? 0 ? 3)
      (? C R 0 0 ? ? ? 500 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4880 ? 0 ? 2)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.09 900 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 150 762 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 2.2 900 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 1 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 4 0 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 25 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 3 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 4880 ? 0 ? 2)
      (? C V 0 0 ? S 2 0 ? ? ? 1 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 762 N 0 ? 3)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 610 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 761 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 610 0 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.3 900 0 ? 600 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 300.1 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 300.1 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 610 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 762 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1220 762 ? 0 ? U)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.601 609.9 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1220 300 ? 0 ? 3)
      (ZS C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1220 0 ? 0 3 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 762 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1220 4880 ? 0 ? U)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1220 761 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? G ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 610 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 762 ? 0 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C S 0 0 ? ? ? 400 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 75 0 ? 0 ? 1)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 1320 0 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1250 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320.1 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.201 385.1 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 500 4880 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 500 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.4 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 4170 ? 0 ? 2)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 5)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1300 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 50 0 ? 0 ? 3)
      (? C A 0 80 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.5 29 0 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 595 762 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 1200 611 ? 0 ? U)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.801 355 0 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 610 0 ? 500 ? U)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 609.9 0 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.5 900 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 1000 0 ? 600 ? 3)
      (ZS C R 0 0 ? ? ? 300 ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? COIL 0.8 915 0 ? 0 ? 1)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.201 610 0 ? 600 ? U)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 1320 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 5)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1220 0 ? 0 ? U)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 900 0 ? 500 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.5 609.9 612 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1500 612 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 4880 ? 0 ? 2)
      (? C A 0 0 ? S 3 0 N ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.8 900.1 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 385.1 0 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1300 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 375 612 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.4 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 610 0 ? 0 3 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.201 1220 0 Y 0 ? U)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 610 0 ? 0 ? 2)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 N 0 ? 3)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 609.9 0 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.09 610 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 612 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 900 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 1500 612 ? 0 ? 2)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 20 0 ? 0 ? 2)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 900 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.999 1220 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 610 612 ? 0 ? 2)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609.9 762 ? 0 ? 3)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.9 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 4880 ? 0 ? 2)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 335 612 ? 0 ? 2)
      (? C S 0 0 ? ? ? 700 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 609.9 0 ? 0 ? 1)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.9 1050 1220 ? 0 ? 2)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.201 75 0 ? 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.3 1090 0 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.7 20 0 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? B ? ? ? ? SHEET 2 609.9 301 ? 0 ? 2)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.201 610 0 Y 0 ? U)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 0.799 249.9 0 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 762 Y 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.599 1320 761 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.09 610 0 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 900 0 ? 0 ? 3)
      (? C A 0 0 ? ? ? 500 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 762 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 4880 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.301 20 0 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 335 612 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 762 Y 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1220 761 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.09 900 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.801 255.1 269 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 600 150 ? 0 ? U)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 762 N 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 831.9 881 ? 0 ? 2)
      (ZS C R 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.321 610 0 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1275 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1220 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 595 762 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.2 900 0 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.201 50 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 335 3000 ? 0 ? 2)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.4 1310 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 610 0 ? 600 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? SHEET 0.5 610 762 ? 0 ? 5)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 2.8 610 0 ? 600 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 1300 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1500 612 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 4170 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.201 152 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 1320 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1320 4880 N 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1320 762 ? 0 ? 3)
      (? C A 0 80 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 612 Y 0 ? U)
      (? C A 0 0 ? ? ? 500 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1525 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 610 4170 ? 0 ? 2)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 20 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1300 762 ? 0 ? 2)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.6 610 300 ? 0 ? 5)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 762 Y 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 610 0 ? 600 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.451 20 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1500 4170 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 761 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.201 1320 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 300.1 762 ? 0 ? 3)
      (? C A 4 0 T ? ? 0 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.5 25 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.5 1000 0 ? 600 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609.9 4880 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 50 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.3 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 609.9 612 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4170 ? 0 ? 3)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 610 0 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 385.1 0 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 1320 0 ? 600 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.2 640 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 614 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1320 4880 ? 0 ? 3)
      (TN C A 0 0 ? S 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 609.9 0 ? 0 ? 5)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 610 0 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1.5 900 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 900 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 762 N 0 ? 3)
      (ZS C R 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 609.9 0 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 762 Y 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.501 1275 4880 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1220 762 ? 0 ? U)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 759 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 3000 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 200.1 4880 ? 0 ? U)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 609.9 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.6 335 3000 ? 0 ? 5)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1250 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 612 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 610 4880 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.3 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 609 0 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 1200 150 ? 0 ? U)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 609.9 0 ? 0 ? U)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 4170 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1300 4880 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 20 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1300 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 1320 4170 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 610 4880 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.6 609.9 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 519.9 762 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 75 0 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.3 900 0 ? 500 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 4880 Y 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.8 356.1 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1300 4880 ? 0 ? 2)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.201 190 0 ? 0 ? U)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.501 600.1 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.999 610 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 1.2 609.9 0 ? 0 ? 5)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.799 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 150 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 1 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.5 640 0 ? 0 ? 3)
      (? C A 0 0 ? ? ? 500 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 762 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.301 500 4120 Y 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 900 0 ? 0 ? 3)
      (? C ? 0 45 ? S ? 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 610 4170 ? 0 ? 2)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1 610 0 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.3 640 0 ? 500 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 612 ? 0 ? 2)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 600.1 0 ? 0 ? 5)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 4880 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 610 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1220 612 ? 0 ? 5)
      (? C A 0 45 ? S ? 0 ? ? D ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 N 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609.9 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 20 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 1320 0 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 2)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1275 762 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.4 1220 4170 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 20 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.5 640 0 ? 0 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.599 610 762 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 900 0 ? 600 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.301 610 0 N 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609.9 1 ? 0 ? 5)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 612 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 1250 0 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 610 0 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? B ? ? ? ? SHEET 2 300.1 301 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1300 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 1.2 599.9 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.8 356.1 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 610 4880 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.4 600 611 ? 0 ? U)
      (? C R 0 0 ? A 3 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.699 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.801 356 762 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.5 610 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 609 612 ? 0 ? 3)
      (? C ? 0 0 T S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 610 0 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 300.1 301 ? 0 ? 2)
      (? C A 0 0 ? S 3 0 N ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 1320 0 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1320 301 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 609.9 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.001 609.9 0 ? 0 ? U)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 519 762 ? 0 ? 3)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3 65.1 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.599 610 4170 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 4880 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 762 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1320 761 ? 0 ? 2)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.7 1220 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1320 762 N 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.5 1220 4880 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.201 0 0 ? 0 ? 3)
      (ZS C R 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1250 0 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 640 0 ? 600 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 0.8 50 0 ? 0 ? 5)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 762 ? 0 ? 3)
      (TN C A 0 0 ? S 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 609.9 0 ? 0 ? 5)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 20 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 610 0 ? 0 3 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 762 Y 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 609.9 0 ? 0 ? U)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 761 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.699 609.9 0 ? 0 ? 3)
      (? C A 0 80 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.5 28 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4170 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1220 761 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 610 150 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? SHEET 3.2 610 762 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 761 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 4 1000 0 ? 600 ? U)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 4880 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 609.9 762 ? 0 ? 2)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.601 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 762 Y 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 50 0 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.5 1274.9 762 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 150 762 ? 0 ? 2)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609.9 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 759 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 830 881 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 60 0 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.801 1320 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.599 610 0 ? 0 ? 2)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.3 1220 4170 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 150 4880 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.001 1320 0 ? 500 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 4880 N 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 762 Y 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.299 1050 1220 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 300.1 4880 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 0.6 1220 762 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 761 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 612 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 609.9 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 4880 N 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.2 610 0 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 1275 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 1320 611 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 1 ? 0 ? 2)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.8 255 270 ? 0 ? 3)
      (? C A 8 0 ? S ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 610 300 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 610 0 N 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.9 610 3000 ? 0 ? 2)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.801 610 0 ? 600 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.3 900 0 ? 600 ? 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1320 4880 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 610 4880 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 610 4170 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 4880 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 374.9 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 609.9 0 ? 0 ? 5)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 1250 4880 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 N 0 ? 3)
      (? C ? 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.799 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 519.9 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 2)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 1250 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 610 0 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 1320 0 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 1 20 0 ? 0 ? U)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 5)
      (? C M 0 0 ? ? ? 600 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 1320 4880 ? 0 ? 2)
      (? C A 0 45 ? S ? 0 ? ? D ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 760 N 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.3 640 0 ? 600 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 1320 0 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1.201 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 4880 Y 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 609.9 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4880 ? 0 ? 2)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1320 761 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 2)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 1220 761 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1220 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1525 4170 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 2 3)
      (? C R 6 0 T ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.5 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.3 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 610 4880 Y 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 609.9 0 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.3 610 0 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.801 1320 0 ? 600 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 610 762 ? 0 ? 5)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.451 610 762 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 610 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? COIL 0.6 609.9 0 ? 0 ? 5)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 762 ? 0 ? 2)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 335 612 ? 0 ? 5)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 761 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 762 Y 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1320 150 ? 0 ? 3)
      (? C A 0 0 ? ? ? 500 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.9 1320 0 ? 0 ? 3)
      (? C A 0 70 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 2)
      (? C ? 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.799 609 0 ? 0 ? 3)
      (ZS C R 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 150 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1220 762 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.321 1220 0 ? 0 ? U)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1274.9 4880 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? Y Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 606.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 762 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 20 0 ? 0 ? 2)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1 900 0 ? 0 ? 3)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? B ? ? ? ? SHEET 2 609.9 4880 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 150 612 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 1220 4880 ? 0 ? U)
      (? C S 70 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 762 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1.201 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1525 612 ? 0 ? 2)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 150 4880 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 335 1 ? 0 ? 5)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 1300 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 1320 762 Y 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 609 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.7 1220 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.599 609.9 0 ? 0 ? 2)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 595 4880 ? 0 ? 3)
      (? C R 0 0 ? A 3 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1320 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 75 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 1 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 150 612 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 150 762 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? P ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1220 762 ? 0 ? 5)
      (? C ? 0 70 T ? ? 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.801 1000 0 ? 600 ? 3)
      (? C R 0 0 ? A 3 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 1320 0 ? 0 ? 3)
      (ZS C A 0 70 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 610 0 ? 0 ? 3)
      (? C S 70 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.5 610 4880 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 4170 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 762 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 609.9 612 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 4880 Y 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 610 4170 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 610 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1220 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 1300 4170 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? COIL 0.8 50 0 ? 0 ? 5)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.1 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2 1500 4170 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 3 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.5 610 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 4170 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 335 611 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1300 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? C ? ? ? ? COIL 0.699 610 0 N 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 374.9 4880 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1320 4880 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 610 762 N 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 375 612 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 610 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 610 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 1320 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.201 609.9 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.3 900 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 150 762 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4880 ? 0 ? 2)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 250 0 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1300 4880 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 900 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.9 966 0 ? 0 ? 3)
      (? C A 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 1.001 50 0 Y 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1300 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 610 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1500 4170 ? 0 ? 2)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.699 609.9 0 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 610 762 ? 0 ? U)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 610 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 50 0 ? 0 ? 5)
      (? C ? 0 0 ? ? ? 500 ? P ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? B ? ? ? ? SHEET 1.6 300.1 301 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.6 610 4170 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 1250 762 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 610 762 ? 0 ? 3)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.8 50 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.8 609.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 831.9 881 ? 0 ? 2)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 4170 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 385.1 0 ? 0 ? 3)
      (? C ? 0 50 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.601 1320 0 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.301 1320 762 Y 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 150 3000 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 4880 ? 0 ? 3)
      (? C ? 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 609.9 0 ? 0 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 335 3000 ? 0 ? 5)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 0.5 335 3000 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 4880 Y 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 301 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 60 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 1320 0 ? 0 ? 3)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 1220 762 ? 0 ? 5)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.6 1320 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 1 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 762 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 4880 ? 0 ? 3)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 50 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 0.301 1220 4170 ? 0 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 640 0 ? 600 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 375 612 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 1320 0 ? 0 ? 3)
      (? C S 70 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 2.5 610 762 ? 0 ? 3)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 610 0 Y 0 ? U)
      (? C K 65 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 900 0 ? 600 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.2 900 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.999 1220 4880 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.001 610 0 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.3 610 4880 Y 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 610 762 ? 0 ? 3)
      (? C A 0 0 ? S 3 0 N ? F ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1 610 4880 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.999 610 762 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 0 762 ? 0 ? 3)
      (? C R 0 0 ? ? ? 500 ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.4 1320 4880 N 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 762 ? 0 ? 3)
      (? C ? 0 0 ? A 2 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 610 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2 1250 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1320 761 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? Y ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 1320 0 ? 0 ? 3)
      (ZS C A 0 0 ? S 3 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 609.9 4170 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.601 609 4880 ? 0 ? 3)
      (? C M 0 0 ? ? ? 600 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.9 1050 1220 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1525 762 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 3.2 609.9 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? COIL 0.7 599.9 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 609.9 0 ? 0 ? 2)
      (? C M 0 0 ? ? ? 350 ? ? G ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.6 610 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? SHEET 1.2 375 612 ? 0 ? 3)
      (? C A 8 0 ? S ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 609.9 0 ? 0 ? 3)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 1300 4880 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.1 610 0 ? 0 ? 3)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 609.9 762 ? 0 ? 2)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 1320 0 ? 0 ? 3)
      (ZS C A 0 85 T ? ? 0 ? ? E ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.8 610 4880 ? 0 ? U)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.6 520 0 ? 0 ? 3)
      (? C A 0 80 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1320 4170 Y 0 ? U)
      (? C A 0 60 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.801 50 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? E ? ? ? ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 3.2 1320 762 ? 0 ? 3)
      (ZS C A 0 0 ? S 5 0 N ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1 609.9 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.699 610 0 ? 0 ? 3)
      (? C W 0 0 ? ? ? 310 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 762 ? 0 ? 3)
      (? C ? 0 70 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? COIL 0.6 610 0 ? 600 ? 3)
      (? C K 55 0 ? ? ? 0 ? ? ? ? ? ? ? M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 2.2 640 0 ? 0 ? 3)
      (? C A 0 45 ? S ? 0 ? ? D ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.7 1320 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? F ? ? Y ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.7 1220 762 ? 0 ? 3)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 4880 ? 0 ? 2)
      (? C ? 0 0 ? S 1 0 ? ? G ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? Y ? ? ? COIL 0.24 20 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.3 1320 0 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.699 375 612 ? 0 ? 3)
      (ZS C A 0 50 T ? ? 0 ? ? E ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 0.451 1250 762 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 1.5 900 0 ? 0 ? 3)
      (? C A 0 0 ? S 2 0 ? ? G ? ? Y ? B Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 1300 4880 ? 0 ? 3)
      (? C R 0 0 ? S 2 0 ? ? E ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 1320 0 ? 0 ? 3)
      (? C K 45 0 ? ? ? 0 ? ? ? ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 3.2 640 0 ? 500 ? 3)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? B ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 609.9 3000 ? 0 ? 5)
      (TN C ? 0 0 ? A 1 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? SHEET 1.6 609.9 612 ? 0 ? 5)
      (? C R 0 0 ? S 2 0 ? ? ? ? ? ? ? ? Y ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.6 1500 4170 ? 0 ? 2)
      (TN C A 0 0 ? ? 3 0 N ? ? ? ? ? ? ? ? ? C ? ? ? ? ? ? ? ? ? ? ? SHEET 1.2 609.9 1 ? 0 ? 5)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? B ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 610 762 ? 0 ? 2)
      (? C R 0 0 ? S 3 0 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.601 830 880 ? 0 ? 2)
      (? C V 0 0 ? S 2 0 ? ? ? 2 ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? SHEET 1.599 150 762 ? 0 ? 2)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 0.4 20 0 ? 0 ? U)
      (? C A 0 85 T ? ? 0 ? ? G ? ? ? Y M ? ? ? ? ? ? ? ? ? ? ? ? ? ? COIL 4 610 0 ? 500 ? U)
      )))
