(defun variance-prune (c-tree &key (alpha 0) (beta 0))
  (let ((max (max-variance c-tree)))
    (labels ((walk (c-node &optional (level 0))
	       (unless (< 3 level)
		 (unless (null (node-right c-node))
		   (if (or
			(< (* alpha (node-variance c-node))
			   (node-variance (node-right c-node)))
			(< (* beta max)
			   (node-variance (node-right c-node))))
		       (setf (node-right c-node) nil)))
		 (unless (null (node-left c-node))
		   (if (or
			(< (* alpha (node-variance c-node))
			   (node-variance (node-left c-node)))
			(< (* beta max)
			   (node-variance (node-left c-node))))
		       (setf (node-left c-node) nil))))
	       (unless (null (node-right c-node))
		 (walk (node-right c-node) (1+ level)))
	       (unless (null (node-left c-node))
		 (walk (node-left c-node) (1+ level)))))

      (walk c-tree))
    c-tree))
