;% ;
;% ; Thyroid disease records supplied by the Garavan Institute and J. Ross
;% ; Quinlan, New South Wales Institute, Syndney, Australia.
;% ;
;% ; 1987.
;% ;
;%
;% hypothyroid, primary hypothyroid, compensated hypothyroid,
;% secondary hypothyroid,
;% negative.			|  classes
;%
;% age:				continuous.
;% sex:				M, F.
;% on thyroxine:			f, t.
;% query on thyroxine:		f, t.
;% on antithyroid medication:	f, t.
;% sick:				f, t.
;% pregnant:			f, t.
;% thyroid surgery:		f, t.
;% I131 treatment:			f, t.
;% query hypothyroid:		f, t.
;% query hyperthyroid:		f, t.
;% lithium:			f, t.
;% goitre:				f, t.
;% tumor:				f, t.
;% hypopituitary:			f, t.
;% psych:				f, t.
;% TSH measured:			f, t.
;% TSH:				continuous.
;% T3 measured:			f, t.
;% T3:				continuous.
;% TT4 measured:			f, t.
;% TT4:				continuous.
;% T4U measured:			f, t.
;% T4U:				continuous.
;% FTI measured:			f, t.
;% FTI:				continuous.
;% TBG measured:			f, t.
;% TBG:				continuous.
;% referral source:		WEST, STMW, SVHC, SVI, SVHD, other.
;%
;%
;% Num Instances:     3772
;% Num Attributes:    30
;% Num Continuous:    7 (Int 1 / Real 6)
;% Num Discrete:      23
;% Missing values:    6064 /  5.4%
;%
;%     name                      type enum ints real     missing    distinct  (1)
;%   1 'age'                     Int    0% 100%   0%     1 /  0%    93 /  2%   0%
;%   2 'sex'                     Enum  96%   0%   0%   150 /  4%     2 /  0%   0%
;%   3 'on thyroxine'            Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%   4 'query on thyroxine'      Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%   5 'on antithyroid medicati  Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%   6 'sick'                    Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%   7 'pregnant'                Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%   8 'thyroid surgery'         Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%   9 'I131 treatment'          Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  10 'query hypothyroid'       Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  11 'query hyperthyroid'      Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  12 'lithium'                 Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  13 'goitre'                  Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  14 'tumor'                   Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  15 'hypopituitary'           Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  16 'psych'                   Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  17 'TSH measured'            Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  18 'TSH'                     Real   0%  11%  79%   369 / 10%   287 /  8%   2%
;%  19 'T3 measured'             Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  20 'T3'                      Real   0%   9%  71%   769 / 20%    69 /  2%   0%
;%  21 'TT4 measured'            Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  22 'TT4'                     Real   0%  94%   0%   231 /  6%   241 /  6%   1%
;%  23 'T4U measured'            Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  24 'T4U'                     Real   0%   2%  87%   387 / 10%   146 /  4%   1%
;%  25 'FTI measured'            Enum 100%   0%   0%     0 /  0%     2 /  0%   0%
;%  26 'FTI'                     Real   0%  90%   0%   385 / 10%   234 /  6%   2%
;%  27 'TBG measured'            Enum 100%   0%   0%     0 /  0%     1 /  0%   0%
;%  28 'TBG'                     Real   0%   0%   0%  3772 /100%     0 /  0%   0%
;%  29 'referral source'         Enum 100%   0%   0%     0 /  0%     5 /  0%   0%
;%  30 'Class'                   Enum 100%   0%   0%     0 /  0%     4 /  0%   0%
;%
;%
;%
;%
(defun hypothyroid ()
  (data
    :name 'hypothyroid
    :columns '(age sex on-thyroxine query-on-thyroxine on-antithyroid-medication sick pregnant thyroid-surgery I131-treatment query-hypothyroid query-hyperthyroid lithium goitre tumor hypopituitary psych TSH-measured TSH T3-measured T3 TT4-measured TT4 T4U-measured T4U FTI-measured FTI TBG-measured TBG referral-source Class)
    :egs
    '(
      (41 F f f f f f f f f f f f f f f t 1.3 t 2.5 t 125 t 1.14 t 109 f ? SVHC negative)
      (23 F f f f f f f f f f f f f f f t 4.1 t 2 t 102 f ? f ? f ? other negative)
      (46 M f f f f f f f f f f f f f f t 0.98 f ? t 109 t 0.91 t 120 f ? other negative)
      (70 F t f f f f f f f f f f f f f t 0.16 t 1.9 t 175 f ? f ? f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.72 t 1.2 t 61 t 0.87 t 70 f ? SVI negative)
      (18 F t f f f f f f f f f f f f f t 0.03 f ? t 183 t 1.3 t 141 f ? other negative)
      (59 F f f f f f f f f f f f f f f f ? f ? t 72 t 0.92 t 78 f ? other negative)
      (80 F f f f f f f f f f f f f f f t 2.2 t 0.6 t 80 t 0.7 t 115 f ? SVI negative)
      (66 F f f f f f f f f f f f t f f t 0.6 t 2.2 t 123 t 0.93 t 132 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 2.4 t 1.6 t 83 t 0.89 t 93 f ? SVI negative)
      (84 F f f f f f f f f f f f t f f t 1.1 t 2.2 t 115 t 0.95 t 121 f ? SVI negative)
      (67 F t f f f f f f f f f f f f f t 0.03 f ? t 152 t 0.99 t 153 f ? other negative)
      (71 F f f f t f f f f t f f f f f t 0.03 t 3.8 t 171 t 1.13 t 151 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 2.8 t 1.7 t 97 t 0.91 t 107 f ? SVI negative)
      (28 M f f f f f f f f f f f f f f t 3.3 t 1.8 t 109 t 0.91 t 119 f ? SVHC negative)
      (65 F f f f f f f f t f f f f f f t 12 f ? t 99 t 1.14 t 87 f ? other compensated_hypothyroid)
      (42 ? f f f f f f f f f f f f f f t 1.2 t 1.8 t 70 t 0.86 t 81 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 1.5 t 1.2 t 117 t 0.96 t 121 f ? SVI negative)
      (80 F f f f f f f f f f f f f f t t 6 t 1.6 t 99 t 0.95 t 104 f ? SVI negative)
      (28 M f f f f f f f f f f f f f t t 2.1 t 2.6 t 121 t 0.94 t 130 f ? SVHC negative)
      (51 F t f f f f f f f f f f f f f t 0.1 f ? t 130 t 0.86 t 151 f ? other negative)
      (46 M f f f f f f f f f f f f f f t 0.8 t 2.1 t 108 t 0.91 t 119 f ? other negative)
      (81 M f f f f f f f f f f f f f f t 1.9 t 0.3 t 102 t 0.96 t 106 f ? SVI negative)
      (54 F f f f f f f f f f f f f f f t 3.1 f ? t 104 t 0.9 t 116 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 0.2 t 1.8 t 134 t 1.02 t 131 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 0.03 t 5.5 t 199 t 1.05 t 190 f ? other negative)
      (60 M t f f f f f f f f f f f f f t 13 t 1.4 t 57 t 0.62 t 92 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 0.3 t 3.1 t 129 f ? f ? f ? other negative)
      (73 F f f f f f f f f f f f f f f t 1.9 t 1.5 t 113 t 1.06 t 106 f ? SVI negative)
      (67 M f f f f f f f f f f f f f f f ? f ? t 97 t 0.95 t 102 f ? other negative)
      (34 F f f f f t f f f t f f f f f t 0.035 t 2.5 t 119 t 1.55 t 76 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 2.5 t 2.3 t 84 t 0.92 t 92 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.5 t 1.9 t 81 t 0.83 t 98 f ? SVI negative)
      (37 F f f f f f f f f f f f f f f t 1.7 t 1.9 t 95 t 1.05 t 90 f ? SVI negative)
      (85 F f f f f f f f t f f f f f f t 7.3 t 2.4 t 66 t 1.09 t 61 f ? other negative)
      (25 F f f f f f f f f f f f t f f t 1.1 f ? t 101 t 1.07 t 94 f ? other negative)
      (26 F f f f f f f f f f f f f f t t 1.8 t 2.5 t 147 t 1.13 t 129 f ? SVHC negative)
      (58 F f f f f f f f f f f f f f f t 0.26 t 2.7 t 120 t 1.27 t 95 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 2.8 f ? t 69 t 0.76 t 91 f ? other negative)
      (64 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (44 M f f f f f f f f f f f f f f t 45 t 1.4 t 39 t 1.16 t 33 f ? SVI primary_hypothyroid)
      (48 M f t f f f f f f t f f f f f t 5.4 t 1.9 t 87 t 1 t 87 f ? other negative)
      (61 F f f f f f f f f f f t f f f t 0.99 t 1.5 t 63 t 0.56 t 113 f ? SVI negative)
      (35 F t f f f f f f f f f f f f f t 0.25 t 2 t 121 t 0.81 t 148 f ? other negative)
      (70 F f f f t f f f f f f f f f f t 1.1 t 1.7 t 95 t 0.68 t 140 f ? SVI negative)
      (81 F f f f f f f f f f f f f f f t 0.2 t 2.2 t 133 t 0.78 t 171 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 0.92 t 0.9 t 86 t 0.76 t 113 f ? SVI negative)
      (21 ? f f f f f f f f f f f f f f f ? t 1.8 t 163 t 1.05 t 155 f ? other negative)
      (87 F f f f f f f f f f f f f f f t 0.15 t 1.7 t 162 t 0.87 t 186 f ? SVI negative)
      (78 F f f f f f f f t f f f f f f t 0.64 t 1.7 t 113 t 0.99 t 115 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 0.035 t 1 t 103 t 0.85 t 122 f ? SVI negative)
      (64 F f f f t f f f f f f f f f f t 1 t 1.7 t 96 t 0.9 t 107 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 0.4 t 2.2 t 117 t 0.86 t 136 f ? SVI negative)
      (44 F f f f f f f f f f f f f f f t 2.5 t 1.6 t 119 t 1.09 t 110 f ? other negative)
      (53 F f f f f f f f f f f f t f f f ? t 2.8 f ? f ? f ? f ? SVI negative)
      (77 M f f f f f f f f f f f f f f t 2 t 2.9 t 151 t 1.35 t 111 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 2.6 f ? t 112 t 1.15 t 97 f ? other negative)
      (65 M f f f f f f f f f f f f f f t 14.8 t 1.5 t 61 t 0.85 t 72 f ? SVI compensated_hypothyroid)
      (27 F f f f f f f f f f f f f f f t 15 t 1.6 t 82 t 0.82 t 100 f ? SVI compensated_hypothyroid)
      (54 F f f f f f f f f f f f f f f t 19 t 2.2 t 83 t 1.03 t 81 f ? SVHC compensated_hypothyroid)
      (69 F f f f f f f f f f f f f f f t 1.8 t 2.3 t 97 t 0.89 t 109 f ? SVI negative)
      (42 ? f f f f f f f f f f f f f f t 0.02 t 2.6 t 138 t 1.58 t 88 f ? STMW negative)
      (87 F f f f f f f f f f f f f f f t 3 t 1.6 t 71 t 1.06 t 67 f ? other negative)
      (74 M f f f f f f f f f f f f f f t 1 t 2.1 t 77 t 0.91 t 84 f ? SVI negative)
      (38 ? f f f f f f f f f f f f f f t 2.9 t 1.8 t 93 t 0.95 t 98 f ? other negative)
      (66 M f f f f f f f f f f f f f f t 1.3 t 1.7 t 86 t 0.91 t 94 f ? other negative)
      (69 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (76 M f f f f f f f f f f f f f f t 3.2 t 0.8 t 101 t 0.99 t 103 f ? SVHC negative)
      (44 M f f f f f f f f f f f f f f t 0.2 t 1.5 t 107 t 0.79 t 135 f ? other negative)
      (45 ? t f f f f f f f f f f f f f t 9 t 2.8 t 237 t 1.17 t 203 f ? STMW negative)
      (36 F f f f f f f f f f f f f f f f ? t 2 t 96 t 0.86 t 112 f ? other negative)
      (22 F f f f f f f f f f f f f f f t 1.3 f ? t 110 t 0.94 t 117 f ? other negative)
      (59 F f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (37 F f f f f f f f f f f f f f f t 1.6 f ? t 67 t 0.71 t 95 f ? other negative)
      (65 ? f f f f f f f f f f f f f f t 4.3 f ? t 88 t 0.72 t 122 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 0.005 t 2.6 t 160 t 0.88 t 180 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.31 f ? t 118 t 0.83 t 142 f ? other negative)
      (66 M f f f f f f f f f f f f f f t 0.5 t 1.9 t 80 t 0.85 t 94 f ? SVHC negative)
      (61 F f f f f f f f f f f f f f f t 0.61 t 1.6 t 103 t 0.93 t 111 f ? SVI negative)
      (44 M f f f t f f f f f f f f f f t 2 t 1.3 t 136 t 0.94 t 145 f ? SVHD negative)
      (43 M t f f f f f f f f f f f f f t 0.05 f ? t 160 t 1.03 t 156 f ? other negative)
      (72 F f t f f f f f f f f f f f f f ? f ? t 114 t 1.11 t 102 f ? other negative)
      (82 F f f f f f f f f f f f f f f t 1.9 t 2.9 t 116 t 1.2 t 97 f ? SVHC negative)
      (72 ? f f f f f f f f f f f f f f t 4.1 t 1.6 t 94 t 0.92 t 102 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.8 t 2.3 t 133 t 1.1 t 121 f ? SVI negative)
      (34 ? f f f f f f f f f f f t f f t 7.8 t 2 t 95 t 0.99 t 96 f ? STMW compensated_hypothyroid)
      (31 F f f f f f f f f f f f f f f t 1.3 f ? t 161 t 1.33 t 121 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 0.25 t 2.4 t 102 t 0.77 t 134 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 160 t 0.4 t 11 t 1.24 t 8.9 f ? other primary_hypothyroid)
      (49 F f f f f f f f f f f f f f f t 0.1 t 0.3 t 32 t 0.53 t 60 f ? SVI negative)
      (63 F t f f f f f f f f f f f f f t 0.025 t 1.6 t 124 t 0.89 t 139 f ? other negative)
      (80 M f f f f f f f f f f f f f f t 2 t 1.2 t 39 t 0.95 t 41 f ? SVI negative)
      (26 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (23 F f f f f f f f f f f f f f f t 1.3 t 2.2 t 103 t 1.35 t 76 f ? other negative)
      (39 F f f f f f f f f t f f f f f t 0.25 t 2.9 t 136 t 1.44 t 94 f ? other negative)
      (26 F f f f f f f f f f f f f f f t 2 f ? t 137 t 1.63 t 84 f ? other negative)
      (59 ? f f f f f f f f f f f f f f t 1.5 f ? t 92 t 0.93 t 99 f ? SVI negative)
      (39 F f f t f f f f f f f f f f f t 4.3 t 2.4 t 135 t 1.51 t 89 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 1.4 f ? t 123 t 0.91 t 136 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 0.3 t 1.6 t 86 t 0.93 t 92 f ? SVI negative)
      (28 F f f f f f f f f f f f f f f t 1.3 t 1.4 t 120 t 0.82 t 146 f ? SVI negative)
      (62 M f f f t f f f f f f f f f f t 12 t 1.5 t 105 t 0.86 t 122 f ? other compensated_hypothyroid)
      (31 M f f f f f f f f f f f f f f t 1.4 t 2.3 t 150 t 1.42 t 106 f ? SVHC negative)
      (71 F t f f f f f f f t f f f f f t 0.5 f ? t 126 t 1.02 t 124 f ? other negative)
      (57 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (78 M f f f t f f f f f f f f f f t 2.1 t 1.8 t 80 t 0.72 t 111 f ? other negative)
      (58 ? t f f f f f f f t f f f f f t 0.01 t 3.3 t 129 t 1.23 t 105 f ? SVI negative)
      (18 M f f f f f f f f f f f f f f f ? t 2.4 t 86 t 1.01 t 85 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 4.1 t 3.1 t 110 t 1.06 t 104 f ? SVI negative)
      (77 M f f f f f f f f f f f f f f t 0.6 t 1.2 t 146 t 0.93 t 157 f ? SVI negative)
      (23 F f f f f f f f f f f f f f f f ? f ? t 86 t 0.98 t 88 f ? other negative)
      (57 M f f f f f f f f f f f f f t t 1.6 t 2 t 87 t 0.61 t 143 f ? other negative)
      (70 M f f f f f f f f f f f f f f t 1.4 t 2.1 t 91 t 0.99 t 92 f ? SVHC negative)
      (57 F f f f f f f f f f f f f f f t 1.4 t 2.3 t 70 t 0.99 t 71 f ? SVHC negative)
      (65 F f f f f f f f f t f f f f f t 0.15 t 3.5 t 217 t 0.98 t 221 f ? other negative)
      (1 ? f f f f f f f f f f f f f f t 8.8 t 1.9 t 113 t 0.86 t 131 f ? STMW compensated_hypothyroid)
      (50 M f f f f f f f f f f f f f f t 151 t 1 t 32 t 1.16 t 28 f ? other primary_hypothyroid)
      (55 F f f f t f f f f f f f f f f t 0.99 t 1.3 t 93 t 0.86 t 108 f ? SVI negative)
      (44 M f f f f f f f t f f f f f f t 0.04 f ? t 141 t 1.03 t 137 f ? other negative)
      (35 F f f f f f f f f f t f f f f t 3.9 f ? t 83 t 0.85 t 97 f ? SVHC negative)
      (23 F f f f f f f f f f f f f f f t 0.02 t 3.4 t 91 t 1.1 t 83 f ? other negative)
      (26 F f t f f f f f f f f f f f f t 9.4 f ? t 70 t 0.95 t 74 f ? other compensated_hypothyroid)
      (31 F f f f f f f f f f f f f f f t 7.8 t 2 t 159 t 1.51 t 105 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 1.6 t 2.2 t 107 t 1.12 t 96 f ? other negative)
      (27 M f f f f f f f f f f f f f f t 0.2 t 2.2 t 99 t 0.82 t 120 f ? SVHC negative)
      (62 M t f f f f f f t t f f f f f t 13 t 1.1 t 87 t 0.81 t 107 f ? SVHC negative)
      (30 F f f f f t f f f f f f f f f t 2.7 f ? t 125 t 1.43 t 87 f ? STMW negative)
      (76 F t f f f f f f f f f f f f f t 1.1 t 2.6 t 122 t 1.25 t 98 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 2.6 t 1.3 t 100 t 0.86 t 117 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f t 2.3 t 2.3 t 111 t 1.14 t 97 f ? SVI negative)
      (29 F f f f f f f f f f f f f f f t 1.6 f ? t 140 t 1.41 t 99 f ? other negative)
      (84 F f f f f f f f f f f f f f f t 0.25 t 2 t 134 t 0.79 t 170 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 1.8 f ? t 84 t 0.95 t 88 f ? other negative)
      (49 F t f f f f f f f f f f f f f t 0.8 t 2.5 t 205 t 1.2 t 170 f ? other negative)
      (80 M f f f f f f f f f f f f f f t 1.3 t 2.8 t 225 t 1.68 t 134 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 1.6 t 1.5 t 85 t 0.94 t 90 f ? SVI negative)
      (43 F t f f f f f f f f f f f f f t 19 f ? t 63 t 0.97 t 65 f ? other negative)
      (19 F f f f f f f f f f f f f f f f ? f ? t 90 t 0.89 t 101 f ? other negative)
      (7 M f f f f f f f f f f f f f f t 0.94 t 2 t 93 t 0.84 t 110 f ? other negative)
      (79 M f f f f f f f f f f f f f f t 0.2 t 1.6 t 82 t 0.8 t 104 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 2.4 f ? t 101 t 0.9 t 113 f ? other negative)
      (59 F f f f t f f f f f f f f f f t 1.7 t 1.2 t 101 t 0.9 t 112 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 0.25 t 2.3 t 103 t 1.05 t 98 f ? other negative)
      (51 M f f f f f t f f f f f f f f t 1.9 t 2.2 t 74 t 0.91 t 81 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 2.1 t 2.2 t 97 t 1.01 t 97 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 1.6 t 2.3 t 97 t 1.04 t 93 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f f t 0.045 t 1.8 t 102 t 1 t 102 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 3.5 t 2 t 67 t 0.73 t 92 f ? SVI negative)
      (30 M f f f f f f f f f f f f f f t 1.1 t 3.1 t 119 t 1.08 t 109 f ? other negative)
      (38 F f f f f f f f f f f t f f f t 0.88 t 1.6 t 108 t 0.85 t 127 f ? SVI negative)
      (17 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (55 F f f f f f f f f t f f f f f t 0.01 t 5.5 t 219 t 0.8 t 274 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 1.1 t 2.2 t 124 t 1.08 t 115 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f t 1.5 t 1.3 t 86 t 0.88 t 99 f ? SVI negative)
      (22 ? f f f f f f f f f f f f f f t 1.7 t 2.2 t 93 t 1.08 t 87 f ? other negative)
      (18 F f f f f f f f t f f f f f f t 1.1 f ? t 147 t 0.95 t 154 f ? STMW negative)
      (57 M f f f f f f f f f f f f f f f ? f ? t 99 t 0.99 t 100 f ? other negative)
      (53 M t f f f f t f f f f f f f f t 0.08 f ? t 127 t 0.9 t 141 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 4.5 t 1.1 t 132 t 1.01 t 131 f ? SVI negative)
      (58 F t f f f f f f f f f f f f f t 1.5 t 1.6 t 103 t 0.9 t 114 f ? other negative)
      (21 F f f f f f f f f f f f f f f t 1.6 t 2.1 t 96 t 0.85 t 112 f ? STMW negative)
      (19 F f f t f f f f f f f f f f f t 0.1 t 4.2 t 128 t 0.98 t 130 f ? other negative)
      (59 F t f f f f f f f f f f f f f t 0.01 t 2 t 113 t 0.86 t 131 f ? other negative)
      (54 M f f f f f f f f f f f f f f t 2.3 t 2.4 t 106 t 1 t 106 f ? other negative)
      (41 F t f f f f f f f f f f f f f t 6 t 1.9 t 114 t 1 t 114 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.5 t 1.3 t 108 t 0.79 t 137 f ? SVI negative)
      (34 F f f f f f f f f f f f f f f t 0.25 t 1.6 t 107 t 1.05 t 102 f ? SVHC negative)
      (53 M f f f f f f f f f f f f f f t 1.6 t 1.9 t 96 t 0.78 t 124 f ? SVHC negative)
      (72 M f f f f f f f f f f f f f f t 0.3 t 1.9 t 104 t 1.01 t 104 f ? SVI negative)
      (39 F f f f f f f f f f f f f f f t 2.1 f ? f ? f ? f ? f ? other negative)
      (70 M f f f t f f f f f f f f f f t 0.6 t 2.6 t 144 t 1.2 t 120 f ? SVHD negative)
      (73 F t f f f f f f f f f f f f f t 3.1 t 1.5 t 120 t 0.94 t 127 f ? SVI negative)
      (24 M f f f f f f f f t f f f f f t 0.15 t 2.7 t 116 t 0.82 t 143 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 0.68 t 1.4 t 101 t 0.98 t 103 f ? SVI negative)
      (39 F t f t f f f f f f f f f f f t 1.5 t 2.8 t 131 t 1.26 t 104 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 3.3 t 1.7 t 56 t 0.9 t 62 f ? SVI negative)
      (46 F f f f f f f f f f f f f f f t 1.4 t 1.3 t 104 t 1.06 t 99 f ? SVI negative)
      (15 F f f f f f f f f f f f f f f t 0.7 t 1.8 t 84 t 0.98 t 86 f ? other negative)
      (57 ? f f f f f f f f f f f f f f t 0.67 t 2.6 t 79 t 0.84 t 93 f ? other negative)
      (64 F f f f f f f f f f f f t f f t 1.5 t 2.3 t 116 t 1.08 t 107 f ? other negative)
      (50 M f f f f f f f f f f f f f f t 0.2 t 1.8 t 123 t 0.97 t 126 f ? other negative)
      (61 M f f f f f f f f f f f f f f t 2.2 t 1.7 t 79 t 0.78 t 101 f ? other negative)
      (78 F t f f f f f f t f f f f f f t 2.6 t 0.3 t 87 t 0.95 t 91 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 1.5 t 1.8 t 142 t 1.13 t 125 f ? other negative)
      (37 F f f f f f t f f f f f f f f t 27 t 1.7 t 87 f ? f ? f ? other negative)
      (35 M f f f f f f f f f f f f f f t 1.5 t 2.3 t 98 t 0.92 t 106 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 1.3 t 2.4 t 82 t 0.91 t 90 f ? SVI negative)
      (55 F f t f f f f f f f f f f f f t 1.2 t 2.4 t 95 t 1.05 t 90 f ? SVI negative)
      (42 F f f f f f f f f f f f f f f t 6.1 t 2.2 t 74 f ? f ? f ? other compensated_hypothyroid)
      (37 F t f f f f f f f f f f f f f t 2.1 t 2.4 t 177 t 1.46 t 122 f ? other negative)
      (25 M f f f f f f f f f f f f f t t 1.3 t 1.5 t 96 t 0.8 t 121 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 0.1 t 1.8 t 80 t 0.77 t 104 f ? SVI negative)
      (85 M f f f f f f f f f f f f f f t 0.5 t 1.2 t 93 t 0.79 t 117 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 2 t 1.5 t 110 t 0.89 t 124 f ? SVI negative)
      (36 F f f f f t f f f t f f f f f t 0.005 f ? t 108 t 1.1 t 99 f ? other negative)
      (45 M f f f f f f f f f f f f f t t 0.75 t 2.3 t 119 t 0.94 t 126 f ? other negative)
      (71 F f f f f f f f f f f t f f f t 0.02 f ? t 127 t 1.06 t 119 f ? other negative)
      (83 M f f f f f f f f f f f f f f t 1.6 f ? t 120 t 1.29 t 92 f ? other negative)
      (35 F f f t f f f f f f f f f f f t 0.045 t 2.1 t 71 t 1.1 t 64 f ? other negative)
      (32 F t f f f t f f f t f f f f f t 0.025 t 3.7 t 139 t 1.34 t 104 f ? other negative)
      (49 F f f f t f f f f f f f f f f t 1 t 1.6 t 93 t 0.94 t 99 f ? other negative)
      (46 M f f f f f f f f f f f f f t t 1.1 t 2.9 t 125 t 1.02 t 122 f ? SVHC negative)
      (80 F f f t f f f f f f f f f f f t 2.2 t 1.7 t 83 t 1.11 t 76 f ? other negative)
      (80 F f f f f f f f f f f f f f t t 1.1 t 1.8 t 94 t 0.94 t 100 f ? SVHC negative)
      (26 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (68 M f f f f f f f f f f f f f f t 1.9 t 2.9 t 90 t 1 t 90 f ? SVI negative)
      (24 M f f f f f f f f f f f f f f t 0.6 t 3 t 119 t 1.03 t 115 f ? other negative)
      (21 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (38 M f f f f f f f f f f f f f f f ? f ? t 78 t 0.87 t 90 f ? other negative)
      (55 F t f f f f f f f f f f f f f t 0.05 t 2.8 t 189 t 1.66 t 114 f ? other negative)
      (64 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (60 F f f f f f f f f f f f f f f t 0.55 f ? t 180 t 1.05 t 172 f ? other negative)
      (47 F f f f f f f f f f f f f f t t 1.9 t 2.3 t 135 t 1.07 t 126 f ? SVHC negative)
      (34 F t f t f f f f f f f f f f f t 26 t 3.7 t 107 t 1.21 t 88 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 5.2 f ? t 88 t 0.95 t 92 f ? SVI negative)
      (48 F f f f f f f f t f f f f f t t 0.77 t 1.1 t 81 t 0.86 t 95 f ? SVHC negative)
      (25 F f f f f f f f f f f f f f f t 1.8 t 2.1 t 102 t 1.12 t 91 f ? other negative)
      (53 F t f f f f f f f f f f f f f t 0.07 f ? t 171 t 1.06 t 162 f ? other negative)
      (54 F f f f t f f f f f f f f f f t 0.9 f ? t 113 t 0.9 t 125 f ? other negative)
      (64 F f f f f f f f f f f f f f f t 0.25 f ? t 92 t 0.91 t 101 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 11.4 f ? t 99 t 0.97 t 102 f ? other compensated_hypothyroid)
      (32 F f f f f f f f f f f f f f f t 1.4 f ? t 108 t 1.15 t 94 f ? other negative)
      (53 F f f f f f f f f f f f f f f t 1.1 t 2.2 t 83 t 1.05 t 79 f ? other negative)
      (66 F f f f f f f f f t f f f f f t 1.1 t 1.8 t 135 t 1.09 t 124 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 143 t 0.7 t 73 t 1.01 t 72 f ? other compensated_hypothyroid)
      (38 M f f f f f f f f f f f f f f t 0.05 t 4.8 t 32 f ? f ? f ? other negative)
      (54 F f f f f f f f f f f f f f f t 0.6 t 2.2 t 98 t 1.03 t 96 f ? SVI negative)
      (64 F t f f f f f f f f f f f f f t 1.2 t 2.3 t 177 t 1.51 t 117 f ? other negative)
      (1 M f f f f f f f f f f f f f f t 1.6 t 1.8 t 119 t 1.05 t 113 f ? SVI negative)
      (22 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (16 M f f f f f f f f f f f f f f t 1.8 t 2 t 103 t 1.03 t 100 f ? other negative)
      (70 M f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (74 F f f f f f f f f f f f f f f t 1.3 t 2.3 t 113 t 0.96 t 118 f ? other negative)
      (44 M f t f f f f f f f f t f f f t 0.1 t 0.6 t 61 t 0.86 t 71 f ? SVI negative)
      (47 F f f f f f f f f t f f t f f t 0.005 t 3 t 145 t 1.23 t 117 f ? other negative)
      (53 F f f f f f f f f f f f f f f t 0.05 t 4.3 t 184 t 1.19 t 155 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 0.72 t 0.9 t 96 t 0.75 t 127 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 2.4 t 0.05 t 38 t 0.52 t 73 f ? SVI negative)
      (32 F f f f f f f f f t f f f f f t 2.8 t 1.3 t 86 t 0.89 t 96 f ? other negative)
      (52 F f f f f f f f f f f f f f f t 0.03 f ? t 163 t 0.95 t 172 f ? other negative)
      (19 F f f f f t f f f f f f t f f t 0.45 t 3.2 t 130 t 1.83 t 71 f ? STMW negative)
      (69 M f f f f f f f f f f f f f f t 1.1 t 1.6 t 99 t 0.92 t 108 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 0.57 t 1.3 t 156 t 1.39 t 112 f ? SVHC negative)
      (37 M f f f f f f f f t f f f f f t 0.65 t 1.3 t 136 t 1.19 t 115 f ? other negative)
      (80 M f f f f f f f f f f f f f f t 0.15 t 2.2 t 124 t 0.81 t 152 f ? SVI negative)
      (61 M f f f f f f f f f f f f f f t 0.02 t 1.5 t 125 t 0.77 t 163 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.3 t 2.3 t 120 t 0.8 t 149 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 0.015 t 2 t 93 t 0.97 t 96 f ? other negative)
      (24 F f f f f f f f f f f f f f f t 0.4 f ? t 142 t 1.2 t 118 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 1.6 t 5.4 t 152 t 1.5 t 102 f ? STMW negative)
      (33 F f f f f f f f t f f f f f f t 16 t 1.7 t 75 f ? f ? f ? other compensated_hypothyroid)
      (28 F f f f f f f f f f f f f f f t 1.4 t 2.4 t 102 t 1.08 t 95 f ? SVI negative)
      (24 M f f f f f f f f f f f f f f t 2.3 t 2 t 121 t 0.81 t 149 f ? SVI negative)
      (81 F f f f f f f f f f f f f f t t 1.8 t 1.8 t 148 t 1.19 t 125 f ? SVHC negative)
      (69 M f f f f f f f f f f f f f f f ? f ? t 118 t 1.11 t 107 f ? other negative)
      (28 F f f t f f f f f t f f f f f t 2.4 t 2.1 t 125 f ? f ? f ? other negative)
      (49 F t f f f f f f f f f f f f f t 1.2 f ? t 87 t 0.91 t 95 f ? other negative)
      (67 M f f f f f f f f f f f f f f t 1.4 t 1.5 t 95 t 0.78 t 122 f ? SVI negative)
      (42 M f f f f f f f f f f f f f f t 1 t 2.4 t 128 t 1.11 t 115 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 108 t 0.4 t 14 t 0.98 t 14 f ? SVI primary_hypothyroid)
      (19 M f f f f f f f t f f f f f f t 9 t 2.2 t 117 f ? f ? f ? other compensated_hypothyroid)
      (41 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (31 F f f f f f f f f f f f f f t t 0.1 t 1.8 t 93 f ? f ? f ? SVHC negative)
      (78 M f f f f f f f f f f f f f f t 2.4 t 1.3 t 87 t 0.89 t 97 f ? SVI negative)
      (66 F f f f f f f f f f f f f f f t 0.83 t 2.3 t 113 t 0.84 t 134 f ? other negative)
      (13 M f f f f f f f f f f f f f f t 2.7 t 2.8 t 110 t 1.1 t 100 f ? other negative)
      (55 F f f f f f f f f f f f f f t t 9.2 t 2.5 t 106 t 1.13 t 94 f ? SVHC compensated_hypothyroid)
      (76 F f f f f f f f f f f f f f f t 3.9 t 1.7 t 104 t 1.04 t 100 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (23 F f f f f f f f f f f f f f f t 1.6 t 1.4 t 76 t 0.83 t 91 f ? SVI negative)
      (26 F f f f f f f f f f f f f f f t 2.1 t 2.2 t 95 t 1 t 95 f ? other negative)
      (21 F f f f f f f f f t f f f f f t 0.4 t 3.4 t 189 t 1.35 t 140 f ? other negative)
      (72 M f f f f f f f f f f f f f f t 5.4 t 1 t 75 t 0.82 t 92 f ? SVI negative)
      (21 M f t f f f f f f f f f f t f t 0.25 t 1.3 t 54 t 1.07 t 51 f ? SVI negative)
      (19 ? f f f f f f f f f f f f f f f ? t 2.2 f ? f ? f ? f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.6 t 1.3 t 146 t 0.89 t 165 f ? other negative)
      (39 M f f f f f f f f f f f f f t t 1.5 f ? t 93 t 0.75 t 125 f ? SVHC negative)
      (72 F f f f f f f f f f f f f f f t 1.9 t 1.4 t 109 t 0.95 t 116 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 1.5 t 0.3 t 79 t 0.8 t 98 f ? SVI negative)
      (10 M f f f f f f f f f f f f f f t 2.9 t 4 t 90 t 1.11 t 81 f ? other negative)
      (81 M f f f f f f f f f f f f f f f ? t 1.7 t 71 t 0.92 t 77 f ? other negative)
      (82 M f f f f f f f f f f f f f f t 2 t 0.4 t 58 t 0.68 t 85 f ? SVI negative)
      (70 M f f f f f f f f f f f f f f t 86 t 0.5 t 27 t 0.84 t 32 f ? SVI primary_hypothyroid)
      (57 M f f f f f f f f f f f f f f t 0.62 t 2.4 t 118 t 1.12 t 106 f ? SVI negative)
      (43 F f f f f f f f f f f f f f f t 2 t 1.8 t 121 t 0.94 t 129 f ? SVHC negative)
      (36 F f f f f f f f f f f f f f f t 0.59 f ? t 115 t 1.2 t 96 f ? other negative)
      (70 M f f f f f f f f f f f f f f t 3 t 1.3 t 105 t 0.94 t 112 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 1.9 t 1.4 t 107 t 0.92 t 116 f ? other negative)
      (78 M f f f f f f f f f f f f f t t 2.9 t 1.9 t 90 t 0.97 t 93 f ? SVHC negative)
      (64 F f f f f f f f f f f f f f f t 0.08 t 1.7 t 74 t 1.07 t 69 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 9.1 t 2 t 72 t 0.9 t 80 f ? other compensated_hypothyroid)
      (44 F f f f f f f f f f f f f f f t 5.9 t 2.4 t 61 f ? f ? f ? other negative)
      (80 M f f f f f f f f f f f f f f t 3.3 t 1.3 t 93 t 0.86 t 108 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f t 0.25 t 1.8 t 102 t 0.82 t 124 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 52 t 1.2 t 65 t 0.92 t 71 f ? SVI compensated_hypothyroid)
      (29 M t f f f f f f f f f f f f f t 0.33 t 2.2 t 142 t 0.93 t 153 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 0.7 t 2.1 t 102 t 0.93 t 110 f ? SVI negative)
      (43 M f f f f f f f f f f f f f f f ? f ? t 65 t 0.93 t 70 f ? other negative)
      (47 M f f f t f f f f f f f f f f t 1.5 t 1.5 t 98 t 0.86 t 113 f ? SVI negative)
      (39 M f t f f f f f f f f f f f f f ? f ? t 63 t 0.87 t 72 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 0.8 t 3.8 t 193 t 1.93 t 100 f ? STMW negative)
      (59 M f f f t f f f f f f f f f f t 0.3 t 2.4 t 86 t 0.9 t 96 f ? SVI negative)
      (32 F f f f f f f f f f f f f f f t 0.9 t 2.3 t 129 t 1.29 t 100 f ? STMW negative)
      (22 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (80 M f f f f f f f f f f f f f f t 6.1 t 1.3 t 83 t 0.88 t 95 f ? SVI compensated_hypothyroid)
      (71 M f f f f f f f f f f f f f f t 1.3 t 1.4 t 116 t 0.96 t 121 f ? SVI negative)
      (42 F f f f f f f f f f f f f f f t 31 t 0.8 t 13 t 1.19 t 11 f ? other primary_hypothyroid)
      (57 F f f f f f f f f f f f f f f f ? t 1.6 t 57 t 1.05 t 54 f ? other negative)
      (85 F f f f f f f f f f f f f f f t 1 t 1 t 92 t 0.56 t 164 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 3.1 t 0.9 t 105 t 0.82 t 129 f ? SVI negative)
      (65 F t f f f f f f f f f f f f f t 1.5 t 1.7 t 116 t 1.07 t 108 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 1.1 t 1.2 t 90 t 0.82 t 110 f ? SVI negative)
      (23 F f f f f f f f f f f f f f t t 1.9 t 2.4 t 129 t 1.18 t 109 f ? other negative)
      (63 M f f f t f f f f f f f f f f t 1.4 t 1.4 t 90 t 0.91 t 100 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f t 3 f ? t 96 t 0.82 t 118 f ? other negative)
      (33 M f f f f f f f f f f f f f f t 1 t 2.4 t 120 t 0.98 t 123 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f t 0.1 t 2.2 t 85 t 1.06 t 80 f ? SVHC negative)
      (60 M f f f f f f f f f f f f f f t 2.3 t 2.2 t 90 t 1.04 t 87 f ? SVHC negative)
      (45 F f f f f f f f f f f f f f f t 0.6 t 1.9 t 121 t 1.04 t 116 f ? SVI negative)
      (61 M f f f f f f f f f f f f f f t 1.2 t 2.3 t 143 t 1.02 t 141 f ? SVHC negative)
      (63 ? f f f f f f f f f f f f f f t 5.8 t 1.3 t 92 t 0.94 t 98 f ? other negative)
      (67 F t f f f f f f t f f f f f f t 2 t 2.5 t 133 t 1.19 t 112 f ? other negative)
      (72 M f f f f f f f f f f f t f f t 0.28 t 0.9 t 79 t 0.7 t 112 f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 1.8 t 2.5 t 101 t 1.04 t 97 f ? SVI negative)
      (72 M f f f f f f f f t f f t f f t 1.5 t 1.8 f ? t 0.93 t 112 f ? SVI negative)
      (55 F t f f f f f f f f f f f f f t 0.005 t 1.9 t 107 t 0.74 t 144 f ? other negative)
      (72 M f f f f f f f f f f f f f f t 1.6 t 2.2 t 87 t 1.17 t 74 f ? other negative)
      (61 F f t f f f f f f f f f f f f f ? f ? t 63 t 0.71 t 89 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 0.1 t 1.5 t 77 t 0.79 t 97 f ? SVI negative)
      (44 M f f f f f f f f f f f f f f t 0.25 f ? t 106 t 1.02 t 105 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 51 t 0.4 t 12 t 1.26 t 10 f ? other primary_hypothyroid)
      (15 F f f f f f f f f f f f f f f t 1 t 1.4 t 64 t 0.79 t 81 f ? SVI negative)
      (72 F t f f t f f f f f f f f f f t 6.3 t 1.5 t 94 t 0.92 t 102 f ? SVHD negative)
      (59 F f f f f f f f f f f f f f f t 4.4 t 2.4 t 80 t 0.98 t 81 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 2.3 t 1.4 t 124 t 0.86 t 144 f ? SVI negative)
      (38 M f f f f f f f f f f f f f f t 0.4 t 2 t 91 t 0.78 t 117 f ? SVHC negative)
      (67 M f f f f f f f f f f t f f f f ? f ? t 101 t 1.01 t 100 f ? other negative)
      (55 F f f f f f f f f t f f f f f t 4.5 t 1.7 t 91 t 1.09 t 84 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 0.08 t 4.8 t 257 t 1.2 t 214 f ? other negative)
      (36 F f f f f f f f f f f f f f f f ? f ? t 81 t 0.85 t 95 f ? other negative)
      (26 M f f f f f f f f f f f f f t t 0.25 t 1.8 t 120 t 0.85 t 140 f ? SVHC negative)
      (54 M f t f f f f f f f f f f f f f ? t 1.9 t 95 t 0.88 t 109 f ? other negative)
      (60 F f f f f f f f f f f f f f f f ? t 2.2 f ? f ? f ? f ? other negative)
      (87 F f f f f f f f f t f f f f f t 0.2 t 3.4 t 164 t 0.82 t 200 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 1.3 t 1.4 t 113 t 0.85 t 132 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 1.8 t 2.3 t 119 t 0.99 t 120 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 9.6 t 1.9 t 79 t 1 t 80 f ? SVI compensated_hypothyroid)
      (79 F f f f f f f f f f f f f f f t 0.5 t 1.6 t 128 t 0.99 t 129 f ? SVI negative)
      (61 M t f f f f f f f f f f f f f t 0.25 t 2.5 t 101 t 1 t 101 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 3.4 t 1.6 t 107 t 1.15 t 93 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 0.08 t 0.2 t 59 t 0.79 t 74 f ? SVI negative)
      (58 F t f f f f f f f f f f f f f t 1.5 t 1.6 t 140 t 1.1 t 127 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.09 t 1.3 t 80 t 1.02 t 79 f ? other negative)
      (43 F f f f f f f f f t f f f f f t 1.1 t 2.3 t 140 t 1.2 t 116 f ? other negative)
      (61 F f f f f f f f t f f f f f f t 0.4 f ? t 113 t 1.06 t 106 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 1.5 t 1.8 t 147 t 1.11 t 132 f ? SVI negative)
      (83 F f f f f f f f f f f f f f f t 2.9 t 1.4 t 95 t 0.81 t 118 f ? SVI negative)
      (75 M f f f f f f f f f f f f f f t 0.04 t 0.8 t 93 t 0.58 t 160 f ? other negative)
      (57 M t f f f f f f f f f f f f f t 0.62 t 1.5 t 74 t 0.78 t 96 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 2.3 t 2.5 t 121 t 1.29 t 94 f ? SVHC negative)
      (70 M t f f f f f t f f f f f f f t 2.3 t 1.2 t 107 t 1.01 t 105 f ? other negative)
      (80 F f f f f f f f f f f f f f f t 2.5 t 2.2 t 113 t 1.17 t 97 f ? SVI negative)
      (46 F f f f f f f f f f f f f f f t 0.6 t 2.3 t 101 t 0.99 t 102 f ? SVHC negative)
      (22 F f f f f f f f f f f f f f f t 0.5 t 1.7 t 83 t 0.86 t 97 f ? other negative)
      (25 F f f f f t f f f f f f t f f f ? t 2.2 t 113 t 1.08 t 105 f ? STMW negative)
      (50 F f f f f f f f f f f f f f f t 3.1 t 1.9 t 77 t 0.8 t 97 f ? SVI negative)
      (32 F f f f f t f f f f f f f f t t 0.5 t 3 t 167 t 1.82 t 92 f ? SVHC negative)
      (74 M t f t f f f f t t f f f f f t 5.2 f ? f ? f ? f ? f ? other negative)
      (29 F f f f f f t f f f f f f f f t 24 f ? t 63 t 1.2 t 53 f ? other primary_hypothyroid)
      (89 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (75 F t f f f f f f f f f f f f f t 0.76 f ? t 138 t 0.96 t 143 f ? other negative)
      (68 F f f f f f f f f t f f f f f t 42 t 0.2 t 18 t 1.09 t 16 f ? SVI primary_hypothyroid)
      (23 M f f f f f f f f f f f f f f t 0.03 t 2.8 t 183 t 1.23 t 149 f ? other negative)
      (73 M f f f t f f f f f f f f f f t 3.2 t 1.5 t 69 t 0.8 t 86 f ? SVI negative)
      (18 F f f f f f f f f f f f f f t t 12 t 2.2 t 94 t 0.96 t 98 f ? other compensated_hypothyroid)
      (18 M t f f f f f t t t f f f f f t 25 t 1.1 t 136 t 0.96 t 143 f ? other negative)
      (34 F t f f f f f f t f f f f f f t 0.4 f ? t 109 t 0.91 t 120 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 1.1 t 1.3 t 108 t 0.83 t 130 f ? SVI negative)
      (64 M f f f f f f f f f f f f f f t 2 t 1.3 t 124 t 0.9 t 138 f ? SVI negative)
      (45 M f f f t f f f t f f f f f t t 10 t 0.3 t 67 f ? f ? f ? SVI compensated_hypothyroid)
      (56 M f f f f f f f f f f f f f f t 2.2 t 1.4 t 71 t 0.72 t 99 f ? other negative)
      (61 M f f f t f f f f f f f f f f t 0.6 t 1 t 96 t 0.93 t 104 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 4.6 t 0.8 t 91 t 0.86 t 106 f ? SVI negative)
      (62 M f f f f f f f f f f f f f f t 8.6 t 1.1 t 84 t 0.74 t 114 f ? SVI compensated_hypothyroid)
      (37 F f f f f f f f f f f f f f f f ? f ? t 118 t 1.04 t 112 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 1.9 f ? t 128 t 0.98 t 131 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 2.7 t 0.7 t 41 t 0.6 t 69 f ? SVI negative)
      (27 F f f f f f f f f f f f f f f f ? f ? t 86 t 0.93 t 92 f ? other negative)
      (32 M f f f f f f f f f f f f f t t 0.15 t 2.9 t 132 t 1.14 t 116 f ? SVHC negative)
      (58 M t f f f f f f f f f f f f f t 1.2 t 1.7 t 123 t 0.96 t 129 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.5 t 2.3 t 85 t 0.81 t 105 f ? SVI negative)
      (43 M f f f f f f f f f f f f f f t 2.2 t 2.3 t 87 t 0.93 t 94 f ? other negative)
      (79 M f f f f f f f f f f f f f f t 2.7 t 0.9 t 86 t 0.85 t 102 f ? SVI negative)
      (23 M f f f f f f f f f f f f f t t 0.66 t 2.3 t 114 t 0.88 t 129 f ? SVHC negative)
      (70 F f f f f f f f f f f f f f f t 6.2 t 1.8 t 124 t 1.11 t 112 f ? other compensated_hypothyroid)
      (54 ? f f f f f f f t f f f f f f t 0.01 t 3.6 t 142 t 1.23 t 115 f ? other negative)
      (31 F f f f f f f f f f f f t f f f ? t 3.6 t 176 t 1.43 t 123 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 0.9 t 3.3 t 156 t 1.67 t 93 f ? STMW negative)
      (39 F f f f f f f f f f f f f f t t 0.79 t 1.9 t 107 t 0.99 t 108 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 1.7 t 2.3 t 101 t 0.95 t 106 f ? other negative)
      (35 ? f f f f f f f f f f f f f f t 28 t 2.5 f ? f ? f ? f ? other compensated_hypothyroid)
      (36 F f f f f f f f f f f f f f f t 0.2 t 3 t 125 t 0.74 t 169 f ? SVI negative)
      (49 M f f f f f f f f f f f f f f t 0.86 t 2.7 t 94 f ? f ? f ? other negative)
      (55 M f f f f f f f f f f f f f f t 1.4 t 1.6 t 101 t 0.93 t 108 f ? SVI negative)
      (26 F f f f f f f f f f f f f f f t 2.7 t 2.8 t 96 t 0.82 t 118 f ? other negative)
      (31 M f f f f f f f f f f f f f t t 1.2 t 2.7 t 99 t 0.88 t 113 f ? SVHC negative)
      (46 F t f f f f f f f f f f f f f t 9.7 t 0.5 t 37 t 0.72 t 51 f ? SVI primary_hypothyroid)
      (34 M f f f f f f f f f f f f f t t 0.83 t 2.4 t 114 t 1.02 t 112 f ? SVHC negative)
      (73 M f f f f f f f f f f f f f f t 0.84 t 1.3 t 66 t 1.17 t 56 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 28 t 0.2 t 33 t 0.7 t 47 f ? SVI primary_hypothyroid)
      (75 M f f f f f f f f f f f f f f t 1.3 t 2.2 t 100 t 0.97 t 104 f ? SVI negative)
      (7 M f f f f f f f f f f f f f f t 15 f ? t 137 t 1.03 t 133 f ? other compensated_hypothyroid)
      (50 F f f f f f f f f f f f f f f t 2.8 t 1.6 t 105 t 0.8 t 131 f ? SVI negative)
      (52 M f f f f f f f f f f f f f f t 2 t 1.8 t 86 t 0.86 t 101 f ? other negative)
      (61 F t f f f f f f t f f f f f f t 17 t 2.2 t 131 t 1.22 t 108 f ? SVI negative)
      (47 M f f f f f f f f f f f f f f t 1.1 t 2.1 t 94 t 0.79 t 119 f ? other negative)
      (45 M f f f f f f f f f f f f f f t 1.1 t 2 t 63 t 0.66 t 96 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 18 t 0.3 t 44 t 0.56 t 77 f ? SVI compensated_hypothyroid)
      (35 M f f f f f f f f f f f f f f t 0.05 t 2.3 t 112 t 1 t 112 f ? SVI negative)
      (83 M f f f f f f f f f f f f f f t 2.4 t 1.2 t 99 t 0.88 t 112 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 55 t 0.9 t 45 t 1.04 t 43 f ? other primary_hypothyroid)
      (63 F f f f f f f f f f f f f f f t 14 t 0.5 t 95 t 0.83 t 114 f ? other compensated_hypothyroid)
      (18 F f f f f f t f f f f f f f f t 16 t 1.3 t 75 t 1.11 t 68 f ? SVI negative)
      (27 F f f f f f f f f f f f f f f f ? f ? t 141 t 1.33 t 106 f ? other negative)
      (17 F f f f f f f f f f f f f f f t 1.1 f ? t 154 t 1.34 t 115 f ? SVI negative)
      (71 F f f f f f f f f f f f f f f t 0.3 t 2.1 t 119 t 1.03 t 116 f ? other negative)
      (64 F f f f f f f f f t f f f f f t 0.6 t 1.8 t 112 t 1.06 t 106 f ? other negative)
      (44 M f f f f f f f f f f f f f f t 3.2 t 1.9 t 99 t 0.72 t 139 f ? SVHC negative)
      (69 F f f f f f f f f f f f f f f t 0.83 t 2.4 t 123 t 1.14 t 108 f ? SVI negative)
      (84 M f f f f f f f f f f f f f f t 1.7 t 1.2 t 132 t 0.92 t 145 f ? SVI negative)
      (45 F f f f f f f f f f f f f f t t 0.94 t 2 t 102 t 0.86 t 119 f ? SVHC negative)
      (58 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (80 F f f f f f f f f f f f f f f t 2.1 t 1.4 t 111 t 0.97 t 115 f ? SVI negative)
      (26 F t f f f f f f f f f f t f f t 0.08 t 1.7 t 174 t 1.23 t 142 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 0.035 t 2.1 t 183 t 1.02 t 179 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 2.5 t 2.1 t 121 t 1.12 t 108 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f t 0.02 t 1.4 t 140 t 1.13 t 124 f ? SVI negative)
      (59 F f f f f f f f f f f f f f f t 1.4 t 1.1 t 121 t 1.11 t 109 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 0.02 f ? t 125 t 1.13 t 110 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 10 t 2 t 69 t 0.96 t 71 f ? SVI compensated_hypothyroid)
      (90 F f t f f f f f f f f f f f f t 0.03 t 1.9 t 203 t 0.9 t 224 f ? SVI negative)
      (33 F f f f f f f f f t f f f f f t 0.16 t 5.2 t 183 t 0.83 t 220 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 3.7 f ? t 86 t 0.91 t 95 f ? other negative)
      (41 F f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (49 F f f f f f f f f f f f f f f t 1.2 t 2.2 t 100 t 0.93 t 108 f ? SVHC negative)
      (56 ? f f f f f f f f f f f f f f t 0.87 t 1.9 t 116 f ? f ? f ? other negative)
      (71 F f f f f f f f f f f f f f f t 6.7 t 1.9 t 91 t 1.03 t 89 f ? SVI compensated_hypothyroid)
      (35 ? f f f f f f f f f f f f f f t 1.7 t 2.3 t 82 t 0.88 t 93 f ? STMW negative)
      (59 F f f f f f f f f f f f f f f t 0.02 t 1.8 t 162 t 0.99 t 164 f ? other negative)
      (61 F f f f f f f f f t f f f f f t 0.3 t 2 t 93 t 0.99 t 93 f ? other negative)
      (55 F f f f f f f f t f f f f f f t 1.9 t 2.3 t 98 t 1.03 t 95 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f t 2.7 t 2.1 t 86 t 0.92 t 93 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.74 t 0.5 t 85 t 0.77 t 110 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 5.4 t 2.7 t 94 t 1.14 t 82 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 7.6 t 1.7 t 128 t 1.08 t 118 f ? other compensated_hypothyroid)
      (52 M f f f f f f f f f f f f f f t 1 t 1.9 t 88 t 0.8 t 110 f ? other negative)
      (33 ? f f f f f f f f t f f f f f t 0.015 t 5 t 244 t 0.67 t 362 f ? other negative)
      (58 F t f f f f f f f f f f f f f t 0.065 t 3.4 t 129 t 0.95 t 136 f ? other negative)
      (55 F f f f f f f f f f f t f f f t 0.29 f ? t 81 t 0.7 t 116 f ? SVI negative)
      (51 F f f f f f f f f f f f f f f t 0.08 t 2.8 t 109 t 0.9 t 121 f ? other negative)
      (24 F f f f f f f f f f f f f f f t 2.6 t 1.3 t 67 t 0.88 t 76 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.1 t 1.8 t 137 t 0.98 t 140 f ? other negative)
      (27 M f f f f f f f f f f f f f f t 1.6 t 1.9 t 119 t 0.89 t 134 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 2 f ? t 120 t 1.02 t 118 f ? other negative)
      (67 M f t f f f f f f f f f f f f f ? f ? t 106 t 0.92 t 115 f ? other negative)
      (22 F f f f f f f f f f f f f f f t 1 t 2.7 t 150 t 1.22 t 124 f ? SVHC negative)
      (77 M f f f f f f f f f f f f f f t 0.37 t 1.7 t 140 t 0.77 t 182 f ? SVI negative)
      (73 F f f f f f f f f f f f t f f t 0.005 t 3.6 t 119 t 0.9 t 133 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 8 t 1.3 t 101 t 0.93 t 108 f ? SVI compensated_hypothyroid)
      (25 M f f f f f f f t f f f f f t t 1.5 t 2.7 t 120 t 1.31 t 91 f ? SVHC negative)
      (76 M f f f f f f f f f f f f f f t 1.8 t 1.4 t 111 t 0.78 t 142 f ? SVI negative)
      (81 F f f f f f f f f f f f f f f t 3.2 t 1.8 t 123 t 0.98 t 125 f ? SVI negative)
      (73 M f f f t f f f f f f f f f f t 3.9 t 0.9 t 62 t 0.54 t 115 f ? SVI negative)
      (67 F f f f t f f f f f f f f f f t 1.7 t 0.7 t 79 t 0.77 t 102 f ? SVI negative)
      (39 M f f f f f f f f f f f f f t t 2.6 t 3 t 125 t 1.13 t 111 f ? SVHC negative)
      (47 M f f f f f f f f f f f f f f t 2.6 f ? t 73 t 0.79 t 92 f ? SVHC negative)
      (61 M t f f f f f f f f f f f f f t 0.005 t 2.5 t 114 t 0.93 t 122 f ? other negative)
      (48 ? f f f f f f f f f f f f f f t 1.6 t 1.6 t 140 t 1.01 t 138 f ? other negative)
      (55 F f f f f f f f f f f f f f f t 2.9 t 1.5 t 88 t 0.94 t 94 f ? other negative)
      (39 F t f f f f f f f f f f f f f t 0.25 t 2.9 t 125 t 0.96 t 130 f ? other negative)
      (47 ? f f f f f f f f f f f f f f t 0.005 t 2 t 128 t 0.94 t 136 f ? other negative)
      (50 M t f f f f f f f f f f f f f t 0.05 t 1.8 t 109 t 0.77 t 141 f ? other negative)
      (45 M f f f f f f f f f f f f f f t 2.1 t 1.3 t 109 t 0.89 t 122 f ? SVI negative)
      (49 M f f f f f f f f f f f f f f t 2.1 t 1.3 t 120 t 1.43 t 83 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.7 f ? t 88 t 0.82 t 107 f ? other negative)
      (36 F f f f f f f f f f f f f f t t 3.1 t 1.8 t 87 t 1.16 t 75 f ? SVHC negative)
      (29 F f f f f t f f f f f f f f f t 0.1 t 3.1 t 142 t 1.77 t 80 f ? STMW negative)
      (77 F t f f f f f f f f f f f f f t 3.5 f ? t 114 t 1 t 115 f ? other negative)
      (53 M f f f f f f f f f f f f f f t 1.6 t 2.1 t 133 t 1.08 t 123 f ? SVI negative)
      (65 F f f f f f f f f f f f f f t t 1.6 t 2.2 t 120 t 0.85 t 141 f ? other negative)
      (43 F f f f f f f f f f f f f f f f ? f ? t 86 t 1.04 t 83 f ? other negative)
      (63 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (33 F f f f f f f f f f f f f f f t 0.045 t 2.1 t 159 t 1.01 t 157 f ? SVI negative)
      (43 M f f f f f f f f f f f f f f t 0.9 t 1.5 t 76 t 0.81 t 93 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.1 t 0.6 t 113 t 0.89 t 127 f ? SVI negative)
      (46 F f f f f f f f f f f f f f f f ? f ? t 93 t 0.91 t 102 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 0.02 t 1.4 t 144 f ? f ? f ? other negative)
      (82 M f t f f f f f f f f f f f f t 0.15 t 1.4 t 133 t 1 t 134 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 11 t 1.5 t 144 t 1.24 t 116 f ? other compensated_hypothyroid)
      (43 M f f f f f f f f f f f f f f t 0.1 f ? t 62 t 0.94 t 66 f ? other negative)
      (79 M f f f f f f f f f f f f f f t 1 t 1.4 t 92 t 0.88 t 105 f ? SVI negative)
      (59 F f f f f f f f f f f f f f f t 1.2 t 2 t 110 t 0.96 t 114 f ? SVI negative)
      (76 M f f f f f f f f f f f f f f t 2.3 t 1.5 t 93 t 0.71 t 132 f ? SVI negative)
      (65 M f f f f f f f f f f f f f f t 0.4 t 1 t 154 t 1.03 t 149 f ? other negative)
      (41 F t f f f f f f f f f f f f f t 0.76 f ? t 107 t 0.91 t 118 f ? other negative)
      (64 F f t f f f f f f f f f f f f f ? f ? t 145 t 0.93 t 155 f ? other negative)
      (39 M f f f f f f f f f f f f f f t 1 t 2.4 t 98 t 1.08 t 91 f ? SVHC negative)
      (60 F f f f f f f f f f f f f f f t 0.48 t 1.7 t 88 t 0.83 t 105 f ? SVI negative)
      (67 F f f f f f f f f f f f f f f t 0.5 t 1.9 t 109 t 1.01 t 108 f ? other negative)
      (30 F f f f f f f f f f f f f f t t 4.5 t 2 t 139 t 0.86 t 161 f ? SVHC negative)
      (76 F f f f f f f f f f f f f f f t 11 t 1.2 t 86 t 0.85 t 101 f ? SVI compensated_hypothyroid)
      (37 F t f f f f f f f f f f f f f t 0.61 t 1.6 t 116 t 0.91 t 127 f ? other negative)
      (65 F f f f t f f f t f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (32 F f f f f f f f f f f f f f f t 3.5 t 1.8 t 91 t 0.9 t 101 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 2.2 t 0.2 t 80 t 0.8 t 99 f ? SVI negative)
      (87 M f f f f f f f f f f f f f f t 0.025 t 1.6 t 134 t 0.79 t 170 f ? other negative)
      (50 F f f f t f f f f f f f f f f t 1.4 t 1.8 t 126 t 1.07 t 117 f ? other negative)
      (48 M f f f f f f f f f f f f f f f ? f ? t 82 t 0.93 t 88 f ? other negative)
      (49 F f f f f f f f f f f f t f f t 0.6 f ? t 87 t 1 t 88 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 0.04 t 3.5 t 158 t 1.59 t 100 f ? STMW negative)
      (45 F f f f f f f f f f f f f f f t 1.8 t 1.7 t 104 f ? f ? f ? other negative)
      (38 F f f f f f f f f f f f f f f t 44 t 1.7 t 59 t 1.04 t 57 f ? other primary_hypothyroid)
      (63 F f f f f f f f f f f f f f f t 2.9 f ? t 95 t 1.08 t 88 f ? SVI negative)
      (25 M f f f f f f f f f f f f f f t 0.035 t 3.3 t 116 f ? f ? f ? other negative)
      (27 F f f f f f f f f f f f f f f t 1.4 t 2 t 93 t 0.91 t 102 f ? SVI negative)
      (23 F f f f f f f f f t t f f f f t 7.9 t 2.2 t 104 t 1.07 t 97 f ? SVHC compensated_hypothyroid)
      (30 F f f f f f f f f f f f f f f t 1.9 f ? t 98 t 0.99 t 99 f ? other negative)
      (61 M f f f f f f f f f f f f f f t 1 t 2.2 t 91 t 0.87 t 105 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 1.7 f ? t 97 t 0.86 t 112 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 11 t 0.8 t 60 t 1.04 t 58 f ? SVI primary_hypothyroid)
      (26 F f f f f t f f f f f f f f f t 0.3 f ? t 151 t 1.97 t 76 f ? other negative)
      (61 M f f f f f f f f f f f f f f t 2.1 t 1.2 t 109 t 0.78 t 140 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 0.7 t 2 t 85 t 0.89 t 96 f ? SVHC negative)
      (70 M f f f f f f f f f f f f f f t 1.1 t 1.4 t 106 t 0.92 t 115 f ? SVI negative)
      (36 F t f f f f f f f f f f f f f t 2.2 f ? t 187 t 1.69 t 111 f ? other negative)
      (61 F f f f f f f t f t f f f f f t 3.7 t 2.4 t 77 t 1.24 t 62 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 2.2 t 1.6 t 123 t 1.09 t 113 f ? SVI negative)
      (41 M f f f f f f f f t f f f f f t 0.005 t 1.5 t 100 t 1.01 t 99 f ? SVHC negative)
      (73 F f f f f f f f f f f f f f f f ? t 2 t 87 f ? f ? f ? SVI negative)
      (21 F f f f f f f f f f f f f f f t 0.3 t 2.6 t 106 t 1.06 t 101 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 2 f ? t 114 t 0.89 t 129 f ? other negative)
      (51 F t f f f f f f f f f f f f f t 0.065 t 2.2 t 164 t 1.09 t 151 f ? other negative)
      (15 F f f f f f f f f f f f f f f t 0.015 t 6 t 250 t 0.8 t 312 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 1 t 2.3 t 120 t 1.01 t 119 f ? other negative)
      (76 F f f f f f f f t t f f f f f t 2.5 f ? t 118 t 1 t 118 f ? other negative)
      (29 M f f f f f f f f f f f f f f t 2.6 t 1.6 t 135 t 0.86 t 157 f ? other negative)
      (73 M f f f f f f f f f f f f f t t 1.7 t 3.6 t 115 t 1.23 t 93 f ? SVHC negative)
      (72 F f f f f f f f f f f f f f f t 15 t 2.2 t 98 t 1.29 t 76 f ? SVI compensated_hypothyroid)
      (45 M f f f f f f f f f f f f f f t 5 t 0.7 t 54 t 0.85 t 63 f ? SVI negative)
      (28 M f f f f f f f f f f f f f f t 2.2 t 2.2 t 82 t 0.94 t 87 f ? SVHC negative)
      (23 F f f f f f f f f f f f f f f t 7.2 t 3.5 t 126 t 1.38 t 92 f ? other compensated_hypothyroid)
      (34 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (63 F f t f t f f f f f f f f f f t 0.2 t 0.9 t 110 t 0.82 t 134 f ? SVI negative)
      (65 F t f f f f f f f f f f f f f t 2.8 t 1.8 t 107 t 1.1 t 98 f ? other negative)
      (54 F f f f f f f f f t f f f f f t 1.4 f ? t 98 t 1.01 t 97 f ? other negative)
      (78 F f f f f f f f f f f f f f t t 0.89 t 1.8 t 103 t 0.98 t 105 f ? SVI negative)
      (90 F f f f f f f f f f f f f f f t 1.8 t 2.4 t 73 t 1.07 t 69 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 0.8 t 1.5 t 85 t 0.73 t 116 f ? SVI negative)
      (60 F f f f t f f f f f f f f f f t 1.7 t 1.7 t 109 t 0.84 t 130 f ? SVI negative)
      (76 M f f f f f f f f f f f f f f t 2.5 t 1.5 t 81 t 0.92 t 88 f ? SVI negative)
      (79 F f f f f f f f f f f f f f f t 0.4 t 2 t 143 t 1.28 t 112 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 1.4 t 1.3 t 119 t 1.11 t 107 f ? SVI negative)
      (65 F f f f f f f t t t f f f f f t 1.3 t 2.1 t 162 t 1.19 t 137 f ? other negative)
      (60 F f f f f f f f f f f f t f f t 12 t 2.2 t 71 t 1.4 t 51 f ? SVI primary_hypothyroid)
      (76 M f f f f f f f t f f f f f f t 0.8 t 1.1 t 94 t 0.93 t 101 f ? SVHD negative)
      (53 M f f f f f f f f f f f f f f t 0.4 f ? t 115 t 0.9 t 128 f ? SVI negative)
      (63 M f f f f f f f f f f f f f f t 2.7 t 2.2 t 83 f ? f ? f ? other negative)
      (70 F t t f f f f f f f f f f f f t 0.07 t 0.9 t 104 t 0.83 t 124 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 2.4 t 1.9 t 133 t 0.99 t 134 f ? SVHC negative)
      (21 F f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (76 F f f f f f f f f f f f f f f t 0.93 t 2.1 t 142 t 1.09 t 129 f ? other negative)
      (42 M f f t f f f f f f f f f f f t 1.1 t 1.7 t 79 t 0.88 t 90 f ? other negative)
      (59 M f f f f f f f f f f f f f t t 1.3 t 1.6 t 82 t 0.88 t 93 f ? SVHC negative)
      (70 F f f f f f f f f f f f f f t t 2.8 t 2.4 t 111 t 0.8 t 139 f ? SVHC negative)
      (58 M f f f f f f f f f f f f f f t 3.7 t 1.7 t 64 t 0.69 t 93 f ? SVI negative)
      (29 ? f f f f f f f f f f f f f f t 4.4 t 1.7 t 94 t 0.97 t 97 f ? other negative)
      (70 ? f f f f f f t f f f f f f f t 2.3 t 2.7 t 95 t 1.07 t 88 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 0.97 t 1.1 t 77 t 0.86 t 89 f ? SVI negative)
      (79 F f f f f f f f f f f f f f f t 1.1 t 1.7 t 111 t 1.02 t 108 f ? SVI negative)
      (40 M f f f f f f f f f f f f f f t 1.6 t 2.4 t 105 t 0.83 t 125 f ? SVI negative)
      (54 F t f f f f f f f f f f f f f t 0.25 f ? t 156 t 1.23 t 126 f ? other negative)
      (39 M f f f f f f f f f f f f f f t 3 t 2.7 t 91 t 0.92 t 98 f ? SVHC negative)
      (49 F t f f f f f f f f f f f f f t 0.12 t 2.3 t 181 t 1.11 t 164 f ? other negative)
      (48 M f f f f f f f f f f f f f f t 1.6 t 2.1 t 80 t 0.98 t 82 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 2.4 t 2.6 t 108 t 1.05 t 102 f ? SVI negative)
      (61 M f f f f f f f f f f f f f f t 1.2 t 1.6 t 93 t 0.81 t 114 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 6.4 t 2.3 t 64 t 0.98 t 65 f ? other compensated_hypothyroid)
      (63 M f f f f f f f f f f f f f f t 0.75 t 1.4 t 112 t 0.86 t 130 f ? SVHC negative)
      (48 M f f f f f f f f f f f f f f t 2.1 t 2 t 86 t 0.78 t 110 f ? SVI negative)
      (78 M f f f f f f f f f f f f f f t 1.5 t 0.8 t 108 t 0.81 t 133 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f f ? t 2.1 t 113 t 0.88 t 128 f ? SVI negative)
      (32 F t f f t f f f f f f f f f f t 0.15 t 2.4 t 135 t 1.15 t 118 f ? other negative)
      (37 F f f f f f f t f f f f f f f t 25 f ? t 71 t 1.04 t 68 f ? other compensated_hypothyroid)
      (53 F f f f f f f f f f f f f f f t 0.045 t 2.5 t 157 t 1.07 t 147 f ? other negative)
      (35 M f f f f f f f f f f t f f f t 0.3 t 2 t 75 t 1.21 t 62 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f f ? f ? t 98 f ? f ? f ? other negative)
      (44 F f f f f f f f f f f f f f t t 1.8 t 1.9 t 118 t 1.07 t 110 f ? SVHC negative)
      (40 M f f f f f f f f f f f f f f t 1.3 t 2.3 t 87 t 0.96 t 90 f ? SVI negative)
      (69 F t f f f f f f f f f f t f f t 0.015 f ? t 176 t 1.11 t 158 f ? other negative)
      (34 F f f f f t f f t f f f f f f t 0.2 t 5 t 223 t 1.69 t 131 f ? STMW negative)
      (66 ? f f f f f f f f f f f f f f t 2.5 t 1.6 t 73 t 0.8 t 92 f ? other negative)
      (62 F f f f f f f f f t f f f f f t 0.2 t 0.8 t 124 t 0.9 t 137 f ? SVI negative)
      (54 M f f f f f f f f f f f f f f t 1 t 2.4 t 107 t 1.06 t 101 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 33 t 1.5 t 128 f ? f ? f ? other compensated_hypothyroid)
      (27 F f f f f f f f f f f f f f f t 0.02 t 5.3 t 272 t 0.97 t 281 f ? other negative)
      (72 M f f f f f f f f f f f f f f t 0.05 t 1.1 t 108 t 0.66 t 165 f ? SVI negative)
      (40 F f f f f f f f f f f f f f f t 12 f ? t 97 t 1.01 t 97 f ? other compensated_hypothyroid)
      (61 F f f f f f f f f f f t f f f t 0.15 t 2.1 t 97 t 1.03 t 95 f ? other negative)
      (56 F t f f f f f f t f f f f f f t 0.2 t 2.1 t 136 f ? f ? f ? other negative)
      (38 F f f f f f f f f f f f f f f t 1.3 t 2.8 t 122 t 1.1 t 111 f ? other negative)
      (37 F t f f f f f f f f f f f f f t 0.25 t 2.5 t 111 t 0.97 t 114 f ? other negative)
      (67 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (56 F f f f f f f f f f f f f f f f ? t 2.1 t 113 t 0.94 t 120 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 0.59 t 1.5 t 116 t 0.93 t 124 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 1.1 t 2.2 t 107 t 0.95 t 113 f ? SVI negative)
      (53 F f f f f f f f f f f f t f f t 0.85 t 2 t 103 t 0.93 t 111 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 1.3 t 2.8 t 144 t 1.17 t 123 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 1.9 t 2.9 t 111 t 0.92 t 121 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f t 0.015 t 2.6 t 166 t 0.8 t 207 f ? SVI negative)
      (55 M f f f f f f f f f f f f f f t 2.1 t 2.2 t 84 t 0.85 t 99 f ? other negative)
      (22 M f f f f f f f f f f f f f f t 0.2 t 2.9 t 107 t 1.01 t 106 f ? other negative)
      (84 F t f f f f f f f f f f f f f t 0.04 f ? t 213 t 0.99 t 216 f ? other negative)
      (64 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (57 F f f f f f f f f f f f t f f t 0.065 t 4.2 t 235 t 1.1 t 214 f ? other negative)
      (85 M f f f f f f f f f f f f f f t 0.25 t 2.3 t 128 t 1.06 t 121 f ? SVI negative)
      (66 M f f f f f f f f f f f f f f t 2 f ? t 134 t 0.98 t 137 f ? SVI negative)
      (54 F t f f f f f f f f f f f f f t 0.035 t 1.9 t 100 t 1.11 t 90 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 0.7 t 2.2 t 72 t 1.18 t 62 f ? SVI negative)
      (49 F f f f f f f f f f f f f f f t 2.2 t 2.3 t 92 f ? f ? f ? other negative)
      (22 F t f f f f f f f t f f f f f t 0.2 t 2.3 t 147 t 1.01 t 145 f ? other negative)
      (64 F f f f f f f t f f f f f f f t 1.3 t 2.6 t 118 t 1.11 t 106 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 1.2 f ? t 166 t 1.46 t 115 f ? other negative)
      (56 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (26 F f f f f f f f f f f f f f f t 1.4 t 2.1 t 112 f ? f ? f ? other negative)
      (28 F f f f f f f f f f f f f f f t 7.1 t 1.7 t 96 t 0.89 t 108 f ? SVI compensated_hypothyroid)
      (55 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (38 F f f f t f f f f f f f f f f t 2.2 f ? t 93 t 1.15 t 81 f ? other negative)
      (74 M f f f f f f f f f f f f f f t 0.73 t 2.3 t 122 t 0.8 t 152 f ? other negative)
      (60 F f f f t f f f f f f f f f f t 2 t 2.2 t 128 t 1.24 t 103 f ? SVHD negative)
      (44 M f f f f f f f f f f f f f f t 199 t 0.6 t 10 t 1.03 t 10 f ? SVI primary_hypothyroid)
      (42 M f f f f f f f f f f f f f f t 2.8 t 2 t 68 t 0.87 t 78 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 0.2 t 2 t 94 t 0.97 t 98 f ? SVHC negative)
      (22 F f f f f f f f f f f f f f t t 2.7 t 2.4 t 157 t 1.2 t 131 f ? SVHC negative)
      (38 M f f f f f f f f f f f f f t t 2 t 1.9 t 139 t 0.96 t 145 f ? SVHC negative)
      (64 F t f f f f f t t f f f f f f t 0.73 t 2 t 152 t 1.15 t 131 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 1 t 1.5 t 126 t 0.86 t 147 f ? other negative)
      (73 F f f f t f f f f f f f f f f t 0.8 t 1.9 t 121 t 1.01 t 119 f ? other negative)
      (34 F f f f f f f f f t f f f f f t 19 t 3.9 t 146 t 1.16 t 125 f ? other compensated_hypothyroid)
      (71 F f f f f f f f t f f f f f f t 1.9 t 1.5 t 135 t 1.06 t 127 f ? other negative)
      (25 F f f f f f t f f f f f f f f t 14 f ? t 81 t 0.9 t 90 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 24 t 1.3 t 84 t 0.82 t 102 f ? SVI compensated_hypothyroid)
      (72 F t f f f f f f f f f f f f f t 0.005 t 2.5 t 231 t 0.92 t 251 f ? other negative)
      (51 F f f f f f t f f f f f f f f t 1 t 2.2 t 69 t 1.04 t 66 f ? other negative)
      (31 F f f f f f f f f f f f f f f t 3 t 2.1 t 86 t 0.99 t 86 f ? STMW negative)
      (59 F f f f f f f f f f f f f f f t 0.2 f ? t 82 t 0.73 t 112 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 0.07 t 0.9 t 61 t 0.99 t 61 f ? other negative)
      (50 M t f f f f f f t f f f f f f t 15 t 2 t 71 t 1.08 t 66 f ? other negative)
      (78 M t f f f f f f f f f f f f f t 8.2 f ? f ? f ? f ? f ? other negative)
      (57 M f f f f f f f f f f t f f f f ? f ? t 88 t 0.86 t 102 f ? other negative)
      (31 F f f f f f f f f f f f f f f t 188 t 1.3 t 63 t 1.19 t 53 f ? other primary_hypothyroid)
      (42 M f f f f f f f f f f f f f f t 0.2 t 1.9 t 151 t 0.98 t 154 f ? SVHC negative)
      (30 M f t f f f f f f f f f f f f f ? t 1.8 t 96 t 0.93 t 103 f ? other negative)
      (36 F f f f f f f f f t f f f f f t 0.22 t 4 t 191 t 0.98 t 194 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 1 t 1.4 t 48 t 1.05 t 46 f ? SVI negative)
      (57 F f f f f f f t f f f f f f f t 0.1 t 2.4 t 81 t 0.89 t 91 f ? other negative)
      (70 F f f f t f f f f f f f f f f t 0.3 t 1.8 t 98 t 0.93 t 105 f ? SVHD negative)
      (47 F f f f f f f f f f f f f f f t 11 t 2.6 t 91 f ? f ? f ? other compensated_hypothyroid)
      (60 M f f f f f f f f f f f f f f t 98 t 0.4 t 5.8 t 0.8 t 7 f ? SVI primary_hypothyroid)
      (66 F f f f f f f f f f f f f f f t 1.9 t 2.2 t 110 t 1.21 t 91 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 0.04 t 3.7 t 169 t 1.14 t 148 f ? SVI negative)
      (40 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (74 ? f f f f f f f f f f f f f f t 22 t 1.2 t 71 t 1.11 t 64 f ? SVI primary_hypothyroid)
      (72 F f f f f f f f f f f f f f f t 0.08 f ? t 133 t 0.84 t 158 f ? other negative)
      (66 F t f f f f f f f f f f f f f t 1.1 f ? t 117 t 1.08 t 108 f ? other negative)
      (70 F t f f f f f f f f f f f f f t 0.12 f ? t 124 t 0.96 t 129 f ? other negative)
      (74 F t f f f f f f f f f f f f f t 1.5 f ? t 175 t 1.15 t 153 f ? other negative)
      (21 F f f f f t f f f f f f t f f t 0.2 t 2.5 t 108 t 1.13 t 96 f ? STMW negative)
      (45 F f f f f f f f t f f f f f f t 0.005 f ? t 132 t 0.9 t 147 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 1.6 t 1.7 t 76 t 0.65 t 116 f ? SVHC negative)
      (62 F f f f f f f f f f f f f f f t 6.6 t 2.2 t 99 t 1.16 t 85 f ? other compensated_hypothyroid)
      (15 M f f f f f f f f f f f f f f t 1.3 f ? t 102 t 0.97 t 105 f ? other negative)
      (85 F f f f f f f f f f f f f f f t 1 t 1.1 t 110 t 1.08 t 102 f ? SVI negative)
      (76 F f f f f f f f f f f f f f f t 1 t 2.9 t 100 t 1.02 t 98 f ? SVHC negative)
      (49 M f f f f f f f f f f f f f f t 1.7 t 2.3 t 123 t 1.15 t 106 f ? SVI negative)
      (56 M f f f f f f f f f f f f f f t 0.66 t 1.7 t 114 t 0.89 t 128 f ? SVI negative)
      (63 ? f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (71 F f f f f f f f f f f f f f f t 5.1 t 1.8 t 87 t 0.89 t 98 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 0.3 f ? f ? f ? f ? f ? SVI negative)
      (34 M f f f f f f f f f f f f f f t 0.01 t 2.3 t 149 t 0.88 t 169 f ? other negative)
      (85 F f f f f f f f f f f f f f f t 0.2 t 1.3 t 111 t 0.94 t 118 f ? SVI negative)
      (66 M f f f f f f f f f f f f f f t 2.3 f ? t 78 t 1.02 t 77 f ? SVI negative)
      (29 F f f f f f f f f f f f f f f t 1.1 t 3.8 t 161 t 1.74 t 93 f ? STMW negative)
      (46 F f f f f f f f f t t f f f f t 1.7 t 1.1 t 94 t 0.91 t 103 f ? SVI negative)
      (67 F f f f f f f f f f f f f f f t 1.9 f ? t 152 t 1.13 t 135 f ? other negative)
      (59 F f f f f f f f f f f f t f f t 0.06 t 2.5 t 121 t 1.25 t 97 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 2 t 2.5 t 102 t 0.92 t 111 f ? other negative)
      (18 ? f f f f f f f f f f f f f f t 1.2 t 1.9 t 83 t 1.08 t 77 f ? STMW negative)
      (48 F f f f f f f f f t f f t f f t 0.42 t 2.5 t 93 t 1.14 t 82 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 1.2 t 2.3 t 135 t 1.07 t 127 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 0.61 t 1.5 t 112 t 0.98 t 114 f ? SVI negative)
      (25 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? SVHC negative)
      (45 F f f f f f f t f f f f f f f t 0.065 t 4.6 t 210 t 1.11 t 190 f ? other negative)
      (44 M f f f f f f f f f f t f f f t 0.89 f ? t 40 t 0.96 t 42 f ? SVI negative)
      (28 F f f f f f f f f f f f f f t t 2.5 t 2.9 t 86 t 1.19 t 72 f ? SVHC negative)
      (25 F t f f f f f f f f f f f f f t 0.09 t 2.2 t 181 t 1.23 t 147 f ? other negative)
      (43 F t f f f f f f f f f f f f f t 0.92 t 2.3 t 93 t 0.86 t 108 f ? SVHC negative)
      (23 M f f f f f f f f f f f f f f t 1.4 t 2 t 156 t 1.17 t 134 f ? SVHC negative)
      (78 F f f f f f f f f f f f f f f t 0.05 t 2 t 114 t 0.85 t 134 f ? other negative)
      (23 F f f f f f f f f f f f f f f f ? f ? t 67 t 0.98 t 68 f ? other negative)
      (20 F f f f f f f f f t f f f f f t 0.9 t 2.4 t 123 t 0.99 t 125 f ? other negative)
      (75 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (70 F f f f f f f f f f f f f f f t 1.4 t 1.7 t 97 t 0.79 t 122 f ? SVI negative)
      (71 F f f f f f f f f f f f f f f t 1 t 1.7 t 79 t 0.95 t 83 f ? other negative)
      (53 F f f f f f f f f f f f f f f t 1.6 t 1.8 t 81 t 1.16 t 70 f ? other negative)
      (71 M f f f f f f f f f f f f f f t 1.2 t 2.6 t 105 t 1.02 t 103 f ? other negative)
      (73 F f f f f f f f f f f f f f f f ? t 2.1 f ? f ? f ? f ? other negative)
      (60 F t f f f f f f f f f f f f f t 0.02 t 1.6 t 155 t 0.72 t 216 f ? other negative)
      (40 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (34 M t f f f f f f f f f f f f f t 3.3 t 2.7 t 104 t 1.01 t 103 f ? other negative)
      (22 F f f t f f f f f f f f f f f t 1.3 t 1.8 t 118 t 0.96 t 123 f ? other negative)
      (66 F f f f f f f f f t f f f f f t 0.005 t 1.5 t 76 t 0.85 t 89 f ? SVI negative)
      (37 F f f f f f f f f f f f f f f t 1.4 t 1.7 t 71 t 0.72 t 99 f ? SVHC negative)
      (53 M f f f f f f f f t f f f f f t 3.8 t 2.5 t 105 t 1.04 t 101 f ? SVI negative)
      (23 M t f f f f f f t f f f f f f t 0.05 t 3.3 t 232 t 1.34 t 174 f ? other negative)
      (42 F t f f f f f f f f f f f f f t 7.6 t 2.3 t 131 t 1.15 t 113 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 0.15 t 2.9 t 99 t 1.14 t 88 f ? SVI negative)
      (41 F t f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (42 F f f f f f f f f f f f f f f t 5.2 t 1.4 t 58 t 0.83 t 69 f ? SVI negative)
      (80 F f f f f f f f f f f f f f f t 1.1 t 1.3 t 118 t 1.12 t 105 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 1.2 t 2 t 103 t 1.09 t 95 f ? SVI negative)
      (28 F f f f f f f f f f f f t f f t 35 t 2.3 t 42 t 1.01 t 41 f ? SVI primary_hypothyroid)
      (21 F f f f f f f f f f f f f f f t 0.9 t 1.8 t 84 t 0.75 t 113 f ? other negative)
      (43 F f f f f f f f f f f f f f f t 0.89 t 2 t 94 f ? f ? f ? other negative)
      (72 F f f f f f f f f f f f f f f t 4 t 3.2 t 106 t 0.87 t 122 f ? other negative)
      (54 ? f f f f f f f f f f f f f f t 2.7 t 1.9 t 111 t 0.99 t 112 f ? SVI negative)
      (51 M t f f f f f f f f f f f f f f ? f ? t 71 t 0.87 t 82 f ? other negative)
      (70 F f f f t f f f f f f f f f f t 0.78 t 1.9 t 136 t 0.9 t 152 f ? SVI negative)
      (64 F t f f f f f f f f f f f f f t 0.2 f ? t 98 t 0.72 t 136 f ? other negative)
      (61 ? f f f f f f f f f f f f f f t 0.01 t 2.1 t 159 t 1.13 t 140 f ? SVHD negative)
      (74 M f f f f f f f f f f f f f t t 1.3 t 1.8 t 96 t 1.06 t 90 f ? SVHC negative)
      (28 F f f f f f f f f f f f f f f t 0.9 t 4.5 t 204 t 2.03 t 100 f ? STMW negative)
      (56 F f f t f f f f f f f f f f f t 8.2 t 2 t 66 t 0.94 t 70 f ? other compensated_hypothyroid)
      (59 F f f f f f f f f f f f f f f t 0.6 t 2 t 106 t 0.87 t 121 f ? other negative)
      (41 F f f f f f f f f t f f f f f t 0.15 t 7.3 t 430 t 1.09 t 395 f ? STMW negative)
      (87 F f f f f f f f f f f f f f f t 0.3 t 1.5 t 100 t 1.2 t 83 f ? SVI negative)
      (55 M f f f f f f f t f f f f f f t 0.3 f ? t 76 t 1.01 t 76 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f t 0.63 t 1.8 t 120 t 0.91 t 132 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 3 t 2.3 t 128 t 1.14 t 112 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 1.7 t 1.3 t 93 t 0.87 t 107 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 4.5 t 1.5 t 93 t 0.87 t 107 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f t 0.1 t 2 t 102 t 0.82 t 125 f ? other negative)
      (60 M f f f t f f f f f f f f f f t 0.2 t 2.1 t 105 t 1.09 t 97 f ? SVI negative)
      (42 F f f f f f f f f f f f f f f t 0.05 t 2.6 t 122 t 1.16 t 105 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 0.8 t 2.3 t 72 t 1.05 t 68 f ? other negative)
      (26 F f f f f f f f f f f f f f f t 2.3 t 1.8 t 93 t 1.19 t 78 f ? other negative)
      (44 F f f f f f f f f f f t f f f f ? f ? f ? f ? f ? f ? other negative)
      (58 M f f f f f f f f f f f f f f t 3.1 t 2.9 t 96 t 1.03 t 93 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 1.4 t 1.8 t 88 t 1.14 t 76 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 0.05 t 0.9 t 93 t 0.97 t 97 f ? SVI negative)
      (64 F f f f f f f f f f f f t f f t 0.1 f ? t 113 t 0.91 t 125 f ? other negative)
      (87 F f f f f f f f f f f f f f f t 2.5 t 1.7 t 140 t 0.96 t 147 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 4.1 t 2.2 t 145 t 1.34 t 108 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 1.9 t 1.4 t 62 t 0.72 t 85 f ? SVI negative)
      (1 M f f f f f f f t f f f f f f t 6.6 t 1.7 t 68 f ? f ? f ? other compensated_hypothyroid)
      (59 ? f f f f f f f f f f f f f f f ? t 2.2 f ? f ? f ? f ? other negative)
      (51 F f f f f f f f f f f f f f f t 2.1 t 2.2 f ? f ? t 95 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 12 t 1.2 t 105 t 0.84 t 125 f ? other compensated_hypothyroid)
      (35 F f f f f f f f f f f f f f f t 1.5 t 2 t 93 t 1.01 t 93 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 0.52 t 2.4 t 158 t 1.18 t 134 f ? SVHC negative)
      (72 F f f f f f f f f f f f f f f t 0.4 t 1.3 t 91 t 1.02 t 89 f ? SVI negative)
      (37 F f f f f f f f f f f f f f f t 2.4 t 2.7 t 155 t 1.43 t 109 f ? SVHC negative)
      (88 F f f f f f f f f f f f f f f t 2.9 f ? t 78 t 0.78 t 100 f ? other negative)
      (33 F f f f f f f f f f f f f f f t 0.01 t 1.5 t 160 t 0.87 t 185 f ? SVI negative)
      (63 F f f f f f f f t f f f f f f t 0.74 f ? t 74 t 0.77 t 97 f ? other negative)
      (59 M f f f f f f f f f f f f f t t 1.1 t 2 t 95 t 0.85 t 111 f ? SVHC negative)
      (38 F f f f f f f f f f f f f f f t 0.3 t 2.5 t 88 t 0.95 t 93 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 5.2 f ? t 95 t 1.11 t 85 f ? STMW negative)
      (55 M f f f f f f f f f f f f f f t 6.1 t 2.3 t 88 t 0.91 t 97 f ? SVI compensated_hypothyroid)
      (34 F f f f f t f f f t f f f f f t 0.06 t 4.7 t 157 t 1.68 t 94 f ? other negative)
      (71 F t f f f f f f f f f f f f f t 0.5 t 2.2 t 198 t 1.23 t 160 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 3 t 1.7 t 84 t 0.99 t 85 f ? SVI negative)
      (63 M f f f f f f f f f f f f f f t 0.4 t 1.4 t 115 t 1.02 t 113 f ? SVI negative)
      (50 F f f f f f f f t f f f f f f t 3.3 t 2.1 t 107 t 1.07 t 100 f ? other negative)
      (34 F t f f f f f f t f f f f f f t 0.25 t 6.7 t 230 t 1.73 t 133 f ? STMW negative)
      (59 F f f f t f f f f f f f f f f t 7.1 t 1.9 t 98 t 1.11 t 88 f ? SVHD compensated_hypothyroid)
      (44 M f f f f f f f f f f f f f f t 11 t 0.8 t 86 t 0.66 t 130 f ? SVI compensated_hypothyroid)
      (60 F f f f f f f f f f f f f f f t 0.6 t 2.4 t 101 t 1.18 t 86 f ? other negative)
      (30 F f f f f f f f f f f f f f f f ? f ? t 90 t 0.92 t 98 f ? other negative)
      (36 F f f f f t f f f f f f t f f t 0.04 f ? t 149 t 1.65 t 90 f ? other negative)
      (72 F f f f f f f f f f f f f f t t 1.4 t 1.6 t 118 t 1.01 t 117 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f f t 60 t 0.3 t 13 t 0.99 t 13 f ? other primary_hypothyroid)
      (58 M t f f f f f f f f f f f f f t 2.6 f ? t 164 t 1.1 t 149 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (46 M f f f f f f f f f f f f f f t 1.1 t 2.8 t 143 t 1.3 t 110 f ? SVI negative)
      (57 M f f f f f f f f f f f f f f t 0.43 f ? t 96 t 0.88 t 109 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 2.4 t 3.1 t 135 f ? f ? f ? other negative)
      (41 F f f f f f f f f f f f f f f t 2.5 t 1.8 t 95 t 0.9 t 106 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 5 t 1.7 t 60 t 0.77 t 78 f ? other negative)
      (35 M f f f f f f f f f f f f f t t 1.7 t 2.4 t 102 t 1.06 t 96 f ? SVHC negative)
      (56 M f f f f f f f f f f f f f f t 0.87 t 2 t 95 t 0.91 t 105 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 55 t 0.7 t 15 t 1.08 t 14 f ? SVI primary_hypothyroid)
      (22 F f f f f f f f f f f f f f f t 5.6 t 3 t 123 t 1.22 t 101 f ? SVI negative)
      (70 F t f f f f f f f f f f f f f t 0.1 t 1.8 t 170 t 0.99 t 171 f ? SVHD negative)
      (26 F f f f f f f f f f f f f f f t 2.9 t 2.4 t 90 t 0.92 t 98 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 1.3 t 1.7 t 93 t 0.96 t 98 f ? other negative)
      (71 F f f f t f f f f f f f f f f t 0.16 t 2.4 t 165 t 1.35 t 123 f ? SVI negative)
      (64 M f f f f f f f f f f f f f f t 0.9 t 1.7 t 77 t 0.9 t 85 f ? SVHC negative)
      (63 F f f f f f f f f f f f f f f t 0.88 t 2.2 t 101 t 1.03 t 97 f ? SVI negative)
      (54 F f f f f f f f f f f f f f f t 2.5 t 0.4 t 56 t 0.68 t 83 f ? SVI negative)
      (35 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (35 F f f f f f f f t f f f f f f t 2.3 t 2.4 t 130 t 1.11 t 117 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 2.2 f ? t 85 t 0.95 t 90 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 6.9 f ? t 126 t 1.36 t 93 f ? other compensated_hypothyroid)
      (54 M f f f f f f f f f f f f f f t 2.4 t 2.2 t 116 t 1.03 t 112 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 0.3 t 2.2 t 99 t 0.86 t 115 f ? SVI negative)
      (53 F f f f f f f f f f f f f f f t 1.6 t 2.1 t 117 t 1.09 t 107 f ? SVI negative)
      (24 M f f f f f f f f f f f f f f t 2.4 t 2.8 t 122 t 1.13 t 109 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.3 t 2.1 t 82 t 0.88 t 93 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 22 t 1.4 t 71 t 0.97 t 73 f ? other compensated_hypothyroid)
      (20 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (41 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (67 M f f f f f f f f f f f f f f t 0.2 t 1.9 t 109 t 1.03 t 106 f ? SVI negative)
      (58 ? f f f f f f f f f f f f f f t 2 t 1.7 t 144 t 0.94 t 153 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.84 t 2 t 101 t 1.04 t 97 f ? SVHD negative)
      (41 F f f f f f f f f f f f f f f t 3.6 t 2.3 t 114 f ? f ? f ? other negative)
      (21 ? f f f f f f f f f f f f f f t 3.1 t 3.1 t 164 t 0.81 t 201 f ? other negative)
      (44 M f f f f f f f f f f f f f f f ? f ? t 118 t 0.95 t 124 f ? other negative)
      (29 M f f f f f f f f f f f f f t t 1.7 t 2.3 t 135 t 0.97 t 140 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (27 M f f f f f f f f f f f f f t t 3.2 t 2.4 t 102 t 0.88 t 116 f ? SVHC negative)
      (60 F f f f f f f t t f f f f f f t 5.9 f ? t 126 t 1.13 t 111 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 2.3 t 2.3 t 128 t 0.85 t 151 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 1 t 2 t 131 t 0.95 t 138 f ? SVI negative)
      (79 F f f f f f f f f f f f f f f t 29 t 1.6 t 47 t 0.97 t 48 f ? other primary_hypothyroid)
      (33 M f f f f f f f f f f f f f t t 1.3 t 2.2 t 120 t 0.96 t 126 f ? SVHC negative)
      (83 M f f f f f f f f f f f f f f t 0.38 t 2.1 t 90 t 0.88 t 102 f ? other negative)
      (69 M t f f f f f t f f f f f f f t 1.3 t 2 t 121 t 1.07 t 113 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 0.4 t 2.7 t 101 t 0.96 t 105 f ? other negative)
      (64 M f f f f f f f f f f f f f t t 1.3 t 2.4 t 111 t 1.15 t 97 f ? SVHC negative)
      (40 F f f f f f f f f f f f f f f t 2.6 t 1.8 t 62 t 0.85 t 73 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 2.5 t 3.4 t 165 t 1.52 t 108 f ? STMW negative)
      (56 M f f f f f f f f f f f f f f t 5.4 t 1.7 t 104 t 1.01 t 103 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 0.02 t 2.2 t 127 t 1.05 t 121 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 2 t 1.3 t 106 t 0.84 t 125 f ? SVI negative)
      (53 M f f f f f f f f f f f f f f t 0.3 t 1.2 t 105 t 0.91 t 115 f ? SVHC negative)
      (83 M f f f f f f f f f f f f f f t 2.4 t 1.3 t 101 t 0.86 t 117 f ? SVI negative)
      (26 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (73 F f f f f f f f f f f f f f f t 2 t 1.6 t 162 t 0.94 t 173 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 2.3 t 2 t 130 f ? f ? f ? other negative)
      (22 M f f f f f f f f f f f f f f t 1.9 t 2.1 t 76 t 0.79 t 96 f ? other negative)
      (62 M f f f t f f f t f f f f f t t 13 t 0.8 t 83 t 0.81 t 103 f ? SVHC compensated_hypothyroid)
      (52 F f f f f f f f f f f f f f f t 2 t 1.8 t 93 t 0.99 t 95 f ? other negative)
      (57 F f f f f f f f f f f f f f f t 0.9 t 2.1 t 93 t 0.9 t 104 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.42 t 3 t 91 t 1.15 t 79 f ? other negative)
      (69 F t f f f f f f f f f f f f f t 4.9 f ? t 73 t 0.93 t 79 f ? other negative)
      (43 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (42 ? t f f f f f f f f f f f f f t 0.05 t 2 t 129 t 1.02 t 126 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 1 t 2 t 91 t 0.95 t 96 f ? SVI negative)
      (39 M f f f f f f f f f f f f f f t 1.4 t 2.4 t 112 t 1.03 t 109 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 4.3 t 1.8 t 124 t 0.99 t 125 f ? other negative)
      (65 F t f f f f f f f f f f f f f t 0.015 t 3.1 t 168 t 0.98 t 171 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 0.41 t 0.8 t 105 t 0.82 t 127 f ? SVI negative)
      (42 F f f f f f f f f f f f f f f t 7.2 t 2.1 t 123 t 1.18 t 104 f ? other compensated_hypothyroid)
      (61 M f f f f f f f f f f f f f f t 6.2 t 1.2 t 83 t 0.82 t 101 f ? SVI compensated_hypothyroid)
      (77 F t f f f f f f f f f f f f f t 9.9 f ? t 121 t 1.02 t 118 f ? other negative)
      (35 M f t f f f f f f f f f f f f t 0.035 t 1.7 t 114 t 0.98 t 115 f ? other negative)
      (70 M f f f f f f f f f f f f f t t 1.9 t 1.8 t 114 t 1.02 t 112 f ? SVHC negative)
      (68 M f f f t f f f f f f f f f f t 6.7 t 1.4 t 101 f ? f ? f ? SVI compensated_hypothyroid)
      (13 F f f f f f f f f f f f f f f t 2.9 t 3.3 t 113 t 1.23 t 92 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 0.6 t 1.5 t 113 t 0.97 t 117 f ? other negative)
      (19 M f f f f f f f f f f f f f f t 2.1 t 2.9 t 135 t 0.81 t 167 f ? SVHC negative)
      (53 M f f f f f f f f f f f f f f t 1 t 2.2 t 108 t 0.89 t 121 f ? other negative)
      (69 M f f f f f f f f f f f f f f t 2.3 t 1.4 t 88 t 0.86 t 102 f ? SVI negative)
      (46 F f f f f f f f f f f f f f f t 2.2 f ? t 119 t 0.9 t 131 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 0.005 f ? t 103 t 0.65 t 158 f ? other negative)
      (48 F f f f t f f f f f f f f f f t 1.6 t 1 t 71 t 0.81 t 88 f ? SVHD negative)
      (38 F f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (37 M t f f f f f f f f f f t f f t 11 t 1.2 t 74 t 0.77 t 96 f ? SVHC negative)
      (14 F f f f f f f f f f f f f f f t 3.6 t 1.2 t 103 t 0.88 t 118 f ? SVI negative)
      (72 F f f f t f f f t f f f f f f t 6 t 2.4 t 118 t 1.26 t 94 f ? SVI negative)
      (37 F f f f f f f f t f f f f f f t 1.6 t 2.2 t 104 t 0.99 t 105 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 1.5 t 2.2 t 97 t 0.87 t 111 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 5.6 t 1.9 t 81 t 1 t 82 f ? SVI negative)
      (29 F f f f f f f f f f f f f f f f ? t 1.4 t 76 t 0.57 t 132 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 2.6 t 1.8 t 107 t 1.06 t 101 f ? other negative)
      (36 F t f f f t f f f f f f f f f t 0.025 t 2.9 t 194 t 1.63 t 119 f ? other negative)
      (46 M f f f f f f f f f f f f f f t 3.2 t 1.2 t 122 t 0.94 t 131 f ? SVI negative)
      (70 F f f f t f f f t f f f f f f t 2.1 t 1.7 t 131 t 1 t 130 f ? SVHD negative)
      (30 F t f f f f f f f f f f f f f t 2.9 t 1.4 t 113 t 0.83 t 136 f ? other negative)
      (65 M f f f f f f f f f f f f f f t 1.3 t 2.1 t 111 t 0.99 t 112 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 7.5 t 4.1 t 139 t 1.65 t 84 f ? SVI compensated_hypothyroid)
      (86 F f f f f f f f f f f f f f f t 1.7 t 1.6 t 124 t 1.01 t 122 f ? SVI negative)
      (49 M f f f f f f f f f f f f f f t 2 t 2.1 t 79 t 0.87 t 91 f ? SVHC negative)
      (33 F f f f f f f f f f f f f f f t 2.6 t 1.3 t 89 t 0.9 t 98 f ? SVHC negative)
      (62 F f f f f f f f f f f f f f f t 0.76 f ? t 105 t 0.85 t 124 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 0.92 f ? t 98 t 0.79 t 125 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 0.1 t 1.8 t 90 t 0.71 t 126 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 1.4 t 1.9 t 111 t 1.08 t 102 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 2.7 t 1.7 t 101 f ? f ? f ? other negative)
      (84 F f f f f f f f f f f f f f f t 34 t 0.7 t 52 t 1.11 t 47 f ? SVI primary_hypothyroid)
      (75 F f f f f f f f t f f f f f f t 2.3 t 1.3 t 88 t 0.85 t 103 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 10 t 0.8 t 99 t 0.97 t 102 f ? SVI compensated_hypothyroid)
      (72 M f f f f f f f f f f f f f f t 2.3 t 1.2 t 77 t 0.85 t 91 f ? SVI negative)
      (82 F f f f t f f f f f f f f f f t 0.2 t 1.4 t 113 t 0.85 t 132 f ? SVI negative)
      (74 F f f f f f t f f f f f f f f t 1.4 f ? t 109 t 0.96 t 114 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 2.5 t 1.7 t 101 t 0.85 t 119 f ? SVI negative)
      (58 F f f f f f f f f t f f f f f t 0.005 t 3.9 t 181 t 0.96 t 188 f ? SVI negative)
      (54 M f f f f f f f f f f f f f f t 0.75 t 2.3 t 109 t 1.14 t 95 f ? SVHD negative)
      (62 F f f f f f t f f f f f f f f t 6.5 t 1.8 t 97 t 1.29 t 76 f ? SVI negative)
      (19 M t f f f f f f f f f f f f f t 0.005 t 2 t 147 t 0.9 t 163 f ? other negative)
      (74 ? f f f f f f f f f f f f f f t 0.33 t 2.3 t 99 t 0.98 t 101 f ? other negative)
      (20 M f f f f f f f f f f f f f t t 1.6 t 2.4 t 93 t 0.92 t 101 f ? SVI negative)
      (27 F f f f f f f f f f f f f f f f ? t 2.2 f ? f ? f ? f ? other negative)
      (69 F t f f f f f f f f f f f f f t 1.5 t 1.8 t 136 t 0.92 t 149 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 0.7 t 1.9 t 108 t 1.04 t 103 f ? SVHC negative)
      (72 F f f f f f f f f f f f f f f t 0.01 t 1.8 t 151 t 0.94 t 161 f ? SVI negative)
      (53 M f f f f f f f f f f f f f t t 1.7 t 1.9 t 110 t 0.73 t 150 f ? SVHC negative)
      (20 F f f f f f f f f f f f f f f t 0.1 t 1.9 t 94 t 0.91 t 102 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 1.7 t 1.6 t 130 t 1.05 t 123 f ? SVI negative)
      (20 F f f f f f f f f f f f f f f t 0.7 t 2.4 t 113 t 1.34 t 84 f ? SVI negative)
      (55 M f f f f f f f f f f f f f f t 0.02 t 2.2 t 71 t 1 t 71 f ? SVI negative)
      (72 F f f f t f f f f f f f f f f t 1.3 t 1 t 101 t 0.8 t 127 f ? SVI negative)
      (36 F t f f f f f f f f f f f f f t 2.1 t 2.4 t 179 t 1.36 t 131 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 0.2 t 1.5 t 61 t 0.91 t 67 f ? other negative)
      (70 F f f f f f f f f f f f t f f t 1.6 t 1.8 t 107 t 1.11 t 97 f ? other negative)
      (58 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (37 ? f f f f f f f f f f f f f f t 0.72 t 2.8 t 110 t 0.99 t 111 f ? other negative)
      (67 F f f f f f f f t f f f f f f t 0.52 t 1.4 t 129 t 0.96 t 134 f ? other negative)
      (45 F f f f f f f f f f t f f f t t 1.6 t 1.8 t 89 t 0.8 t 112 f ? SVHC negative)
      (72 F f f f t f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (31 F f f f f f f f f f f f f f f t 1.7 t 2.2 t 116 t 1.14 t 102 f ? SVHC negative)
      (54 F f f f f f f f f f f f f f f t 0.25 t 2.9 t 101 t 1 t 100 f ? other negative)
      (77 F f f f f f f f f t f f f f f t 1.3 t 1.8 t 104 t 1.04 t 100 f ? other negative)
      (31 M f f f f f f f f f f f f f f t 5.1 f ? t 93 t 0.97 t 95 f ? other negative)
      (17 F f f f f f f f t f f f f f f t 0.9 t 1.4 t 111 t 1.02 t 109 f ? other negative)
      (16 F f f f f f f f f f f f f f f t 9.7 f ? t 98 t 1.3 t 76 f ? other compensated_hypothyroid)
      (39 M f f f f f f f f f f f f f f t 0.93 t 2.6 t 130 t 1.13 t 115 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 0.1 t 0.7 t 71 t 0.74 t 96 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 4.7 f ? t 111 t 1 t 112 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 2.8 t 1.8 t 99 f ? f ? f ? other negative)
      (40 F f f f f f f f f f f f f f f t 2.4 t 2.1 t 112 t 1.25 t 90 f ? SVI negative)
      (59 F f f f f f f f t f f f f f f t 2.8 f ? t 134 t 1.05 t 128 f ? other negative)
      (58 F f f f f f f f f f t f f f f t 3 f ? t 115 t 1.07 t 107 f ? SVI negative)
      (16 F t f f f f f f f f f f f f f t 2.2 f ? t 113 t 0.95 t 119 f ? other negative)
      (28 F f f f f f t f f f f f f f f t 103 t 2.1 t 65 t 1.16 t 56 f ? SVI primary_hypothyroid)
      (36 F f f f f f f f f f f f f f f t 1.1 t 2.3 t 101 t 0.94 t 107 f ? other negative)
      (58 F t f f f f f f f f f f f f f t 1.3 f ? t 123 t 0.93 t 132 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 3.5 f ? t 106 t 1.08 t 98 f ? other negative)
      (54 M f f f f f f f f f f f f f f f ? t 1.6 t 60 t 0.65 t 92 f ? other negative)
      (14 F f f f f f f f f f f f f f f f ? f ? t 100 t 1.09 t 91 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.02 t 2.4 t 136 t 0.92 t 148 f ? other negative)
      (68 F f f f t f f f f f f f f f f t 0.41 f ? t 123 t 0.98 t 125 f ? other negative)
      (45 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 F f f f f f f f f f f f f f f t 0.45 t 1.6 t 101 t 0.89 t 114 f ? other negative)
      (28 F f t f f f f f f f f f f f f t 9.4 t 2.6 t 89 t 1.02 t 87 f ? other compensated_hypothyroid)
      (65 ? t f f f f f t t f f f f f f t 0.03 t 1.9 t 151 t 0.89 t 169 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 3.3 t 1.7 t 92 f ? f ? f ? SVHC negative)
      (61 M f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (68 F f f f f f f f f f f f f f f t 0.95 t 2 t 109 t 1.15 t 94 f ? SVI negative)
      (62 F f f f f f f f f f f f f f f t 3.5 t 1.7 t 98 t 0.74 t 132 f ? SVHC negative)
      (47 M f f f f f f f f f f f f f f t 0.6 t 1.7 t 94 f ? f ? f ? other negative)
      (54 F f f f t f f f f f f f f f f t 2.1 t 2.5 t 128 t 1.12 t 114 f ? other negative)
      (69 M f f f f f f f f f f f f f f f ? f ? t 109 t 1.03 t 106 f ? other negative)
      (46 M f f f f f f f f f f f f f f t 2.1 t 3.2 t 160 t 1.53 t 105 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 2.5 f ? t 109 t 1.11 t 98 f ? other negative)
      (65 ? f f f f f f f f f f f f f f t 0.14 t 5.3 t 129 f ? f ? f ? other negative)
      (23 F f f f f f f f f f f f t f f t 0.01 t 2.9 t 205 t 0.87 t 235 f ? other negative)
      (57 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (84 F f f f f f f f f f f f f f f t 12 f ? t 101 t 1.08 t 94 f ? other compensated_hypothyroid)
      (37 M f f f f f f f f f f f f f f t 0.7 t 2.6 t 98 t 0.95 t 103 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 0.97 t 2.3 t 125 t 1.06 t 117 f ? other negative)
      (81 F f f f f f f f t f f f f f f t 0.5 t 2.2 t 102 t 0.85 t 119 f ? SVI negative)
      (36 F f f f f f f f f f f f f f f t 0.2 t 3.2 t 187 t 1.74 t 107 f ? STMW negative)
      (59 M f f f f f f f f f f f f f f t 1.5 t 2.1 t 77 t 0.72 t 107 f ? SVI negative)
      (67 F f f f f f f f f f f f f f f t 1.4 t 2.1 t 132 t 1.13 t 116 f ? SVI negative)
      (41 M f f f f f f f f f f f f f f t 0.005 t 1.3 t 95 t 0.79 t 120 f ? SVHC negative)
      (60 F f f f f f f f f t f f f f f t 3.8 t 2.2 t 76 t 1.3 t 58 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 1.3 t 1.2 t 98 f ? f ? f ? other negative)
      (74 ? f f f f f f t f f f f f f f t 0.5 t 2.4 t 100 t 1.07 t 93 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 0.65 t 0.9 t 92 t 0.71 t 129 f ? SVI negative)
      (74 F f f f f f f t f f f f f f f t 6.9 f ? t 97 t 0.87 t 112 f ? other compensated_hypothyroid)
      (53 M f f f f f f f f f f f f f t t 0.6 t 2.6 t 136 t 1.19 t 114 f ? SVHC negative)
      (71 F f f f f f f f f f f f f f f t 0.02 t 2.2 t 165 t 0.89 t 186 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f t 4.9 t 1.4 t 96 t 0.88 t 109 f ? SVI negative)
      (19 F f f f f f f f f f f f f f t t 1.6 t 2.2 t 96 t 0.94 t 102 f ? SVHC negative)
      (53 M f f f f f f f f f f f f f f t 0.9 f ? t 88 t 1.05 t 84 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 1.5 t 2.1 t 103 t 0.91 t 113 f ? SVHC negative)
      (65 M f f f f f f f f f f f f f f t 2.3 t 1.3 t 157 t 0.91 t 172 f ? SVI negative)
      (36 F f f f f f f f f f f f f f f t 1.9 t 1 t 77 t 0.86 t 90 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 0.8 t 1.2 t 113 t 1.01 t 111 f ? SVI negative)
      (17 F t f f f f f f t f f f f f f t 28 t 2 t 86 t 0.99 t 87 f ? SVI negative)
      (73 M f f f f f f f f f f f f f f t 0.35 t 1.6 t 120 t 1.11 t 108 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 4.2 t 2.2 t 113 t 1.09 t 103 f ? SVHC negative)
      (40 M f f f f f f f f f f f f f f t 0.2 t 1.6 t 95 t 0.99 t 96 f ? SVHC negative)
      (34 F f f f f t f f f f f f f f f t 0.04 t 2.9 t 144 t 1.58 t 91 f ? STMW negative)
      (34 F f f t f t f f f t f f f f f t 0.01 t 3.8 t 205 t 1.84 t 111 f ? STMW negative)
      (72 F f f f f f f f f f f f f f f t 1.5 t 1.9 t 141 t 1.09 t 129 f ? other negative)
      (34 F f f f f f f f f t f f f f f t 0.15 t 2.3 t 139 t 1.06 t 131 f ? other negative)
      (32 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (63 F t f f f f f f f f f f f f f t 0.02 f ? t 166 t 0.97 t 170 f ? other negative)
      (38 M t f f f f f f t f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 M f f f f f f f f f f f f f f t 1.1 t 2.3 t 130 t 1.24 t 105 f ? other negative)
      (41 F f f f f f f f f f f f f f f t 1 t 1.5 t 100 t 0.86 t 116 f ? other negative)
      (22 F f f f f f f f f f f f f f f t 0.2 t 1.8 t 157 t 0.9 t 175 f ? other negative)
      (69 F t f f f f f t f f f f f f f t 1.3 t 1.7 t 116 t 0.95 t 122 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.9 t 1.8 t 94 t 0.82 t 115 f ? SVI negative)
      (52 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (52 F f f f f f f f f f f f f f f t 0.9 t 2.7 t 114 t 1.31 t 87 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 2.8 t 1.9 t 108 t 0.93 t 116 f ? SVI negative)
      (84 M f f f t f f f f f f f f f f t 0.67 t 0.9 t 70 t 0.78 t 90 f ? SVI negative)
      (67 M f f f f f f f f f f f f f t t 0.15 t 1.6 t 94 t 0.87 t 108 f ? SVHC negative)
      (46 ? f f f f f f f f f f f f f f t 2.2 t 1.7 t 81 f ? f ? f ? SVI negative)
      (63 F f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (55 F t t f t f f f f f f f f f f t 0.005 t 1.6 t 115 t 0.84 t 138 f ? SVHD negative)
      (40 F t f f f f f f f f f f f f f t 1.6 t 1.9 t 142 t 0.91 t 156 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 1.9 f ? t 118 t 1.02 t 115 f ? other negative)
      (78 F f f f f f f f f f f f f f f f ? t 2.1 f ? f ? f ? f ? other negative)
      (57 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (29 ? f f f f f f f f f f f f f f t 0.5 t 2.5 t 80 t 0.88 t 91 f ? SVI negative)
      (18 F f f f f f f f f f f f f f f t 0.73 f ? t 194 t 0.97 t 200 f ? STMW negative)
      (70 M f f f f f f f f f f f f f f t 1.5 t 2.3 t 141 t 1.2 t 117 f ? SVI negative)
      (38 M f f f f f f f f f f f f f f t 0.2 t 1.5 t 48 t 0.71 t 67 f ? other negative)
      (48 M f f f f f f f f f f f f f f t 3.5 t 3.5 t 166 t 1.35 t 123 f ? SVI negative)
      (71 M f f f f f f f f f f f f f f t 8 f ? t 66 t 0.66 t 100 f ? other compensated_hypothyroid)
      (72 F f f f f f f f f f f f f f f t 0.6 t 2 t 106 t 1.05 t 101 f ? SVHC negative)
      (60 F t f f f f f f f f f f f f f t 0.81 f ? t 192 t 1.44 t 134 f ? other negative)
      (20 M f f f f f f f f f f f f f f f ? t 2.2 t 117 f ? f ? f ? other negative)
      (29 F f f f f f f f f f f f f f f t 4.6 t 1.6 t 97 t 1.12 t 87 f ? SVHC negative)
      (55 M f f f f f f f f f f f f f f t 1.4 t 1.8 t 103 t 0.89 t 115 f ? other negative)
      (35 F f f f f f f f f f f f f f t t 0.4 f ? t 135 t 0.84 t 160 f ? SVHC negative)
      (63 F f f f f f f f f f f f f f f t 1.8 t 2.3 t 146 t 1.34 t 108 f ? SVI negative)
      (35 M f f f f f f f f f f f f f f t 2 t 2.6 t 102 t 1.13 t 91 f ? SVI negative)
      (45 F f f f f f f f f f f f f f f t 24 f ? f ? f ? f ? f ? SVI primary_hypothyroid)
      (33 ? f f f f f f f f f f f f f f t 1.8 t 1.8 t 92 t 0.84 t 110 f ? other negative)
      (77 M f f f f f f f f f f f f f t t 2 t 1.3 t 97 t 0.9 t 108 f ? SVHC negative)
      (25 F f f f f f f f f f f f f f f t 11 t 0.7 t 122 t 1.13 t 108 f ? SVI compensated_hypothyroid)
      (32 F f f f f f t f f f f f f f f t 1.8 t 2.2 t 101 t 1.13 t 90 f ? other negative)
      (53 F f f f t f f f f f f f f f f t 2.4 t 3.7 t 172 t 1.67 t 103 f ? other negative)
      (66 M f f f f f f f f f f f f f f t 2 t 2.1 t 108 t 0.96 t 112 f ? SVI negative)
      (28 M f f f f f f f f f f f f f f t 1.7 t 2.1 t 142 t 1.07 t 133 f ? SVI negative)
      (72 F f f f f f f f t f f f f f f t 2.3 t 0.8 t 90 t 0.8 t 112 f ? SVI negative)
      (46 F f f f f f f f f f f f f f f t 0.045 t 1.5 t 75 t 0.9 t 83 f ? other negative)
      (28 ? t f f f f f f f f f f f f f t 1.7 f ? t 138 t 1.21 t 115 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 0.6 t 2.8 t 146 t 1.1 t 133 f ? SVI negative)
      (34 M f f f f f f f f f f f f f f t 2.1 t 1.7 t 138 t 1.03 t 134 f ? SVI negative)
      (62 M t f f f f f f f f f f f f f t 0.54 f ? t 85 t 0.94 t 91 f ? other negative)
      (80 F t f f f f f f f f f f f f f t 7.9 t 1.5 t 106 t 0.94 t 113 f ? other negative)
      (57 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (36 F f f f f f f f f f f t f f f t 0.25 t 2.3 t 99 t 0.95 t 104 f ? other negative)
      (52 M f f f f f f t f f f f f f f t 0.01 t 2.4 t 108 t 0.7 t 154 f ? other negative)
      (51 M f f f f f f f f f f f f f f t 0.58 t 1.6 t 115 f ? f ? f ? other negative)
      (31 ? f f f f f f f f f f f f f f t 1.1 t 2.2 t 103 t 1.05 t 98 f ? SVHC negative)
      (37 M f f f f f f f f f f f f f f t 1.5 t 3 t 114 t 0.93 t 122 f ? SVHC negative)
      (39 F f f f f f f f f f f f f f f t 2.1 t 2 t 89 t 1.14 t 79 f ? other negative)
      (69 M f f f f f f f t f f f f f f t 1.3 t 1.9 t 101 f ? f ? f ? other negative)
      (78 F f f f t f f f f f f f f f f t 1 t 2.3 t 96 t 1.05 t 92 f ? SVI negative)
      (72 ? f f f f f f f f f f f f f f t 1.4 f ? t 113 t 0.97 t 117 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 6.1 t 2.2 t 136 t 1.24 t 110 f ? other compensated_hypothyroid)
      (80 F f f f f f f f f f f f f f f t 0.04 t 2 t 141 t 1.05 t 134 f ? other negative)
      (84 F f f f f f f f f f f f f f f t 0.25 t 2.2 t 138 t 0.97 t 143 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 2.7 t 2.4 t 133 t 1 t 132 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 1.6 t 1.6 t 94 t 1.06 t 89 f ? other negative)
      (32 M f f f f f f f f t f f f f f t 2.2 t 2 t 102 t 0.86 t 119 f ? SVHC negative)
      (58 F f f f f f f f f f f f f f f t 0.2 t 1.9 t 93 t 0.84 t 111 f ? other negative)
      (30 F t f f f f f f f f f f f f f t 0.08 t 1.9 t 147 t 1.03 t 143 f ? other negative)
      (47 F f f f f f f f f f t f f f f t 2.2 t 2 t 108 t 1.08 t 100 f ? SVHC negative)
      (41 M f f f f f f f t f f f f f f t 0.4 f ? t 91 t 0.96 t 95 f ? other negative)
      (37 F f f f f f f f f f f f t f f t 13 t 2.5 t 96 t 1.33 t 73 f ? other compensated_hypothyroid)
      (83 F f f f f f f f f f f f f f t t 1.8 t 2.4 t 100 t 1.02 t 98 f ? SVHC negative)
      (28 F f f t f f f f f t f f f f f t 0.15 t 1.9 t 75 t 1.12 t 67 f ? other negative)
      (57 F f f f f f f f t f f f f f f t 2.1 f ? t 76 t 1 t 75 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 1.2 t 1.6 t 105 t 0.87 t 120 f ? SVI negative)
      (60 F t f f f f f f f f f f f f f t 0.035 t 2.3 t 160 t 1.05 t 151 f ? other negative)
      (25 F f f f t f f f t f f f f f f t 8.9 t 1.7 t 62 t 0.75 t 83 f ? SVHD compensated_hypothyroid)
      (67 F t f f f f f f f f f f f f f t 1.9 f ? t 167 t 1.43 t 117 f ? other negative)
      (51 M f f f f f f f f f f f f f f t 1.6 t 2.1 t 111 t 0.95 t 117 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 5.5 t 2.1 t 82 t 0.92 t 89 f ? other negative)
      (55 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (26 F f t f f t f f f f f f f f f t 1.2 t 4 t 168 t 1.57 t 106 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 0.34 t 1.4 t 123 t 0.96 t 128 f ? SVI negative)
      (47 F f f f f f f t f f f f f f f t 4.7 t 2.4 t 102 t 1.12 t 92 f ? other negative)
      (59 M f f f f f f f f f f f f f t t 2 t 2.4 t 94 t 0.96 t 98 f ? SVHC negative)
      (58 M f f f f f f f f f f f f f f t 0.05 t 2.4 t 103 t 0.97 t 107 f ? SVI negative)
      (78 F f f f f f f f f f f f f f f t 0.7 t 1.5 t 88 t 0.87 t 101 f ? SVI negative)
      (73 M f f f f f f f f f f f f f t t 1.8 t 2.1 t 103 t 0.92 t 112 f ? SVHC negative)
      (33 F f f f f f f f f f f f f f f t 2.2 t 1.7 t 94 t 1 t 94 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 2.8 t 2.2 t 105 t 1.01 t 105 f ? SVI negative)
      (58 F f f f t f f f f f f f f f f t 0.98 f ? t 99 t 1.08 t 92 f ? other negative)
      (55 F f f f f f f f f f f f f f f t 9.3 t 1.9 t 85 t 1.07 t 80 f ? SVHC compensated_hypothyroid)
      (75 F f f f f f f f f f f f f f f t 0.3 t 2.1 t 117 t 0.95 t 123 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 9 f ? t 95 t 0.87 t 110 f ? other compensated_hypothyroid)
      (49 M f f f f f f f f f f f f f f t 0.02 f ? t 123 f ? f ? f ? other negative)
      (71 F t f f f f f f f f f f f f f t 2.6 t 1.3 t 93 t 0.81 t 115 f ? other negative)
      (55 M f f f f f f f f t f f f f f t 2.5 t 1.9 t 109 t 1.04 t 104 f ? SVI negative)
      (22 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (22 M f f f f f f f f f f f f f f t 1.7 t 2.3 t 111 t 1.02 t 108 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.01 t 3.4 t 133 t 0.84 t 159 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 0.9 t 1.5 t 88 t 0.84 t 105 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 2.3 t 0.9 t 105 t 0.61 t 173 f ? SVI negative)
      (40 F f f f f f f f f f f f f f f t 42 t 0.2 t 4.8 t 0.9 t 5.4 f ? other primary_hypothyroid)
      (52 M f f f f f f f f f f f f f f t 0.13 t 2.1 t 87 t 0.95 t 91 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 0.6 t 2.4 t 137 t 1.18 t 116 f ? SVI negative)
      (23 M f f f f f f f f f f f f f f t 1.7 t 1 t 115 t 0.92 t 125 f ? SVI negative)
      (67 F f f f f f f f f t f f f f f t 1.2 t 2.2 t 121 t 1.02 t 118 f ? other negative)
      (38 F t f f f f t f f f f f f f f t 0.065 t 1.8 t 139 f ? f ? f ? other negative)
      (44 F f f f f f f f f f f f f f f t 1.2 t 1.7 t 92 t 0.98 t 94 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 1.3 t 2.3 t 106 t 1.06 t 100 f ? other negative)
      (47 F f f f f f f f f f f f f f f f ? t 2 t 85 t 1.06 t 80 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 2.8 t 1.8 t 143 t 0.91 t 157 f ? SVI negative)
      (42 F f f f f f t f f f f f f f f t 7.2 t 1.3 t 93 t 0.9 t 104 f ? other negative)
      (70 F f f f f f t f f t f f f f f t 0.15 t 1.5 t 85 t 0.91 t 94 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 0.3 t 0.8 t 74 t 0.85 t 87 f ? other negative)
      (76 F f f f f f f f t f f f f f f t 0.005 f ? t 143 t 0.76 t 189 f ? other negative)
      (76 F f f f f f f f t f f f f f f t 2 t 1.4 t 107 t 0.77 t 139 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 26 t 2 t 89 t 1.5 t 59 f ? other primary_hypothyroid)
      (16 M f f f f f f f f f f f f f f t 0.81 t 2.1 t 70 t 0.83 t 84 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 0.2 t 0.9 t 72 t 0.77 t 94 f ? SVI negative)
      (44 F f f f f f f f f t f f f f f t 2.3 t 2.3 t 118 t 1.01 t 117 f ? other negative)
      (64 M f f f f f f f f f f f f f f t 1 t 0.7 t 91 t 0.83 t 110 f ? SVI negative)
      (83 F f f f f f f f f f f f f f f t 4.7 t 1.9 t 89 f ? f ? f ? other negative)
      (50 M t f f f f f f f f f f f f f t 11 t 2.2 t 95 t 1.1 t 86 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 3.8 t 2 t 98 t 1.01 t 97 f ? SVHC negative)
      (74 F t f f f f f f t f f f f f f t 6.3 t 1.2 t 80 t 0.92 t 87 f ? other negative)
      (16 M f f f f f f f f f f f f f f t 0.4 t 1.7 t 88 t 0.89 t 99 f ? SVI negative)
      (82 F f f f f f f f f f f f f f f t 1 t 2.4 t 139 t 1.15 t 121 f ? SVI negative)
      (28 F f f f f f f f f f f f f f f t 54 t 2.1 t 50 t 1.1 t 46 f ? SVI primary_hypothyroid)
      (26 F f f f f f f f f f f f f f f t 2.4 t 1.9 t 170 t 1.23 t 138 f ? STMW negative)
      (19 M f f f f f f f f f f f f f f t 0.25 t 1.9 t 165 t 0.95 t 174 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 3 t 1.4 t 159 t 0.95 t 166 f ? SVI negative)
      (94 F f f f f f f f f f f f f f f t 3.9 f ? t 157 t 1.02 t 154 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 2.1 f ? t 127 t 1.01 t 126 f ? other negative)
      (35 M f f f f f f f f f f f f f f t 0.2 t 1 t 68 t 0.88 t 78 f ? SVI negative)
      (47 F f f f f f f f f f f f f f f t 1.9 t 1.7 t 98 t 1.08 t 90 f ? STMW negative)
      (75 F f f f f f f f f f f f f f f t 0.8 t 0.05 t 106 t 1.14 t 93 f ? SVI negative)
      (39 F f f f f f f f t t f f f f f t 1.5 t 2.8 t 99 t 0.95 t 104 f ? other negative)
      (67 M f f f f f f f t f f f f f f t 1.7 f ? t 82 t 0.89 t 92 f ? other negative)
      (72 F f f f f f f f f f f f f f f f ? f ? t 161 t 0.9 t 180 f ? other negative)
      (19 F f f f f f f f f f f f t f f t 1.8 t 1.8 t 92 f ? f ? f ? other negative)
      (73 F t f f f f f f f f f f f f f t 0.39 f ? t 104 t 0.97 t 107 f ? other negative)
      (49 M f f f f f t f f f f f f f f t 0.015 f ? t 126 t 0.83 t 152 f ? other negative)
      (81 F f f f f f f f f f f f f f f t 5.4 t 1.3 t 73 t 0.72 t 101 f ? SVI negative)
      (71 F f f f f f f f f f f f f f f t 1.3 t 0.9 t 126 t 0.85 t 148 f ? SVI negative)
      (43 F t f f f f f f f f f f f f f t 0.13 f ? t 182 t 1.04 t 175 f ? other negative)
      (63 ? f f f f f f f f f f f f f f t 2.9 t 3.2 f ? f ? f ? f ? other negative)
      (34 F f f t f t f f f f f f f f f t 0.02 t 3.7 t 182 t 1.75 t 104 f ? STMW negative)
      (38 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (59 F f f f f f f f t f f f f f f t 0.65 f ? t 126 t 1.31 t 96 f ? other negative)
      (26 F f f f f f f f f f f f f f f t 1.8 t 2.7 t 119 t 1.36 t 88 f ? STMW negative)
      (73 F t f f f f f f t f f f f f f t 2.6 t 1.6 t 89 t 0.94 t 95 f ? SVI negative)
      (83 F f f f f f f f f t f f f f f t 8.3 t 2.1 t 104 t 1.06 t 97 f ? other compensated_hypothyroid)
      (68 F f f f f f f f f f f f f f f t 0.005 t 1.8 t 142 t 1.05 t 135 f ? other negative)
      (76 M f f f f f f f f f f f f f f t 7.5 t 2.1 t 89 t 1.14 t 78 f ? SVI compensated_hypothyroid)
      (18 M f f f f f f f f f f f f f t t 0.1 t 2.3 t 98 t 0.85 t 115 f ? SVHC negative)
      (54 M f f f f f f f f f f f f f f t 1.3 t 1.1 t 130 t 1.03 t 127 f ? SVI negative)
      (21 F t f f f f f f f f f t f f t t 1.3 t 1.9 t 112 t 1.06 t 106 f ? SVHC negative)
      (50 F f f f f f f f t f f f f f f t 1.7 f ? t 90 t 0.92 t 98 f ? other negative)
      (23 F f f f f f f f t f f f f f f t 0.6 f ? t 78 t 1.07 t 73 f ? other negative)
      (34 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (82 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (40 M f f f f f f f f f f f t f f t 1.1 t 2.8 t 107 t 1.09 t 99 f ? other negative)
      (32 F f f f f f f f f f f f f f f t 1.1 t 2.2 t 107 t 0.94 t 114 f ? other negative)
      (36 M f f f f f f f f f f f f f f t 1.3 t 1.9 t 62 t 0.77 t 81 f ? SVI negative)
      (29 M f f f f f f f t f f f f f f t 2.3 t 1.9 t 100 t 0.93 t 107 f ? other negative)
      (14 M f f f f f f f f f f f f f f t 1.4 f ? t 91 t 0.93 t 98 f ? other negative)
      (63 M t f f f f f f f f f f f f f t 0.25 f ? t 161 t 1.07 t 151 f ? other negative)
      (18 F t f f f f f f f f f f f f f t 478 f ? t 45 t 1.3 t 34 f ? other primary_hypothyroid)
      (68 F f f f t f f f f f f f f f f t 0.97 t 1.3 t 85 t 0.87 t 98 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 15 t 2 t 81 t 1.01 t 81 f ? other compensated_hypothyroid)
      (85 F f f f f f f f f f f f f f f t 2.4 t 1.4 t 86 t 0.98 t 88 f ? other negative)
      (41 M f f f f f f f f f f f f f f t 1.9 t 2.2 t 138 t 0.9 t 154 f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 1.5 t 3.3 t 122 t 1.46 t 83 f ? STMW negative)
      (43 F f f f f f f f f f f f f f f t 2 t 2.6 t 87 t 1.13 t 78 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 2.1 f ? t 88 t 0.93 t 95 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 0.2 t 2.5 t 104 t 1.2 t 86 f ? STMW negative)
      (44 M t f f f f t f f f f f f f f t 21 f ? t 76 t 0.9 t 84 f ? other negative)
      (15 F f f f f f f f t f f f f f f t 3.4 f ? t 112 t 1.3 t 86 f ? other negative)
      (68 F t f f f f f f f f f f f f f t 0.02 t 2.2 t 142 t 0.99 t 143 f ? STMW negative)
      (66 F f f f f f f f f f f f t f t t 1.2 t 2.3 t 133 t 1.17 t 113 f ? SVI negative)
      (28 F f f f f f f f f f f f f f f t 1 t 2.5 t 134 t 1.13 t 119 f ? other negative)
      (43 F t f f f f f f f f f f f f f t 0.2 f ? t 197 t 1.08 t 182 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 2.4 t 2.3 t 99 t 1.05 t 95 f ? SVHC negative)
      (79 F f f f f f f f f f f f f f f t 6.8 f ? t 144 t 1.29 t 111 f ? other compensated_hypothyroid)
      (56 F f f f f f f f f f f f f f f t 0.6 f ? t 117 t 1.11 t 105 f ? other negative)
      (28 M f f f f f f f f f f f f f f t 0.5 t 2.2 t 107 t 0.94 t 113 f ? SVHC negative)
      (42 F f f f f f f f f f f f f f f t 2.3 t 1.1 t 93 t 0.73 t 127 f ? other negative)
      (55 F t f f f f f f f f f f f f f t 0.01 t 2.2 t 172 t 1.1 t 157 f ? other negative)
      (33 F f f f f t f f f t f f f f f t 3 t 2.5 t 121 t 1.38 t 88 f ? other negative)
      (70 M f f f f f f f f f f f f f f t 0.2 t 2 t 119 t 0.86 t 138 f ? SVHC negative)
      (64 F f f f f f f f f t f f t f f f ? t 6.1 t 214 t 0.94 t 228 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.09 t 2.5 t 167 t 1.19 t 140 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 0.7 t 2.1 t 110 t 0.95 t 116 f ? other negative)
      (78 F f f f t f f f f f f f f f f t 4.1 t 1.9 t 116 t 1.05 t 110 f ? other negative)
      (71 F f f f t f f f t f f f f f f t 1.6 t 1.8 t 136 t 1.16 t 117 f ? SVI negative)
      (21 F f f f f f f f f f f f f f t t 0.83 t 2.2 t 132 t 0.99 t 133 f ? SVHC negative)
      (71 F t f f f f f f f f f f f f f t 0.32 t 1.6 t 164 t 1.11 t 148 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 3.5 t 1.6 t 91 t 0.99 t 91 f ? other negative)
      (38 F f f f f f f f f f f f f f t t 2.7 t 1.5 t 76 t 0.88 t 86 f ? SVHC negative)
      (62 M f f f f f f f f f f f f f f t 0.86 t 1.9 t 78 t 0.85 t 91 f ? SVI negative)
      (56 ? f f f f f f f f f f f f f f t 2.1 t 2.2 t 91 t 0.84 t 108 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 0.67 t 1.8 t 107 t 0.85 t 126 f ? other negative)
      (12 M t f f f f f f f f f f f f f t 0.02 t 2.3 t 152 t 0.8 t 190 f ? other negative)
      (47 M f f f f f f f f f f f f f t t 2.3 t 1.6 t 75 t 0.93 t 80 f ? SVHC negative)
      (25 F f f f t f f f f f f f f f f t 2.7 f ? t 73 t 0.97 t 76 f ? SVHD negative)
      (48 F f f f f f f f f f f f f f f t 7.1 t 1.4 t 88 t 0.93 t 95 f ? other compensated_hypothyroid)
      (59 F f f f f f f f f f f f f f f t 0.7 t 1.6 t 129 t 1.07 t 121 f ? SVI negative)
      (32 F f f f f f f f f t f f f f f t 0.1 t 1.9 t 126 t 0.76 t 163 f ? SVI negative)
      (45 M f f f t f f f f f f f f f f t 2.1 f ? t 93 t 1.16 t 80 f ? other negative)
      (41 F t f f f f f f f f f f f f f t 15 t 1.7 t 119 t 0.99 t 120 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 2.3 f ? t 80 t 0.86 t 93 f ? SVI negative)
      (77 F f f f f f f f t f f f f f f t 1.9 f ? f ? f ? f ? f ? other negative)
      (61 M f f f f f f t f f f f f f f t 0.005 t 2.3 t 110 t 1.01 t 109 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 0.4 t 2.3 t 94 t 0.9 t 105 f ? SVI negative)
      (80 F f f f f f f f f f f f f f f f ? t 2.8 t 103 t 1 t 103 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 2.3 t 2.3 t 104 t 1.08 t 96 f ? SVHC negative)
      (59 M t f f f f f f f f f f f f f t 0.3 t 1.9 t 144 t 0.93 t 156 f ? other negative)
      (4 M f f f f f f f f f f f f f f t 0.07 t 3.2 t 246 t 1.06 t 232 f ? STMW negative)
      (35 F f f f f f f f f f f f f f t t 1.2 t 1.9 t 95 t 1.1 t 87 f ? SVHC negative)
      (56 F f f f f f f f f f f f f f f t 0.05 f ? t 230 t 1.06 t 217 f ? other negative)
      (35 F f f f f f f f f f f f f f f f ? f ? t 110 t 0.96 t 114 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 0.23 t 3.4 t 183 t 0.98 t 186 f ? other negative)
      (64 M t f f f f f f f f f f f f f t 0.24 f ? t 83 t 0.9 t 93 f ? other negative)
      (52 M f f f f f f f t f f f f f f t 1.3 t 2 t 102 f ? f ? f ? other negative)
      (32 M f f f f f f f f f f f f f t t 8.1 t 2.5 t 90 t 0.95 t 95 f ? SVHC compensated_hypothyroid)
      (23 F f f f f f f f f f f f f f f t 0.7 t 1.9 t 116 t 0.89 t 130 f ? other negative)
      (83 M f f f f f f f f f f f f f f t 2.3 t 1.6 t 105 t 0.83 t 127 f ? SVI negative)
      (81 F f f f f f f t f f f f f f f t 1.9 t 1.5 t 71 t 0.78 t 91 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.32 t 2.5 t 169 t 1.14 t 149 f ? SVI negative)
      (31 ? f f f f f f f f f f f f f f t 1.9 t 2.7 t 99 t 1 t 99 f ? STMW negative)
      (68 F f f f f f f t f f f f f f f t 1.6 t 2.5 t 99 t 1.09 t 90 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 1.1 t 1.6 t 84 t 0.96 t 87 f ? SVI negative)
      (58 F t f f f f f f f f f f f f f t 1.3 f ? t 88 t 0.81 t 109 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 0.1 f ? t 123 t 0.74 t 166 f ? other negative)
      (19 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (60 M f f f f f f f f f f f f f f t 0.91 t 1 t 102 t 0.91 t 112 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 0.2 t 2 t 121 t 1.04 t 116 f ? SVHC negative)
      (13 F f f f f f f f t f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (59 F f f f f f f f f f f f f f f t 1.8 t 2.9 t 123 t 1.31 t 94 f ? other negative)
      (39 ? f f f f f f f f f f f f f f t 2.2 t 3.2 t 108 t 1.07 t 100 f ? STMW negative)
      (76 F f f f f f f f f f f f f f f t 0.1 t 2.9 t 124 t 1.28 t 97 f ? other negative)
      (53 M f f f f f f f f f f f f f f t 12 t 2 f ? f ? f ? f ? other compensated_hypothyroid)
      (19 M f f f f f f f f f f f f f f t 3.1 t 1.8 t 82 f ? f ? f ? other negative)
      (31 M t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (34 F f f f f t f f f t f f f f f t 0.02 t 3.7 t 196 t 1.65 t 119 f ? STMW negative)
      (56 M f f f f f f f f f f f f f f t 1.1 t 1.7 t 82 t 1 t 81 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 60 t 0.7 t 14 t 1.11 t 13 f ? other primary_hypothyroid)
      (20 F f f f f f f f f f f f f f f t 2.1 f ? t 105 t 1.04 t 101 f ? other negative)
      (62 F t f f f f f f f f f f f f f t 2.5 f ? t 126 t 1.24 t 101 f ? other negative)
      (72 F f f f f f f f f t f f f f f t 0.1 t 2.5 t 180 t 0.83 t 217 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 2.3 t 1.8 t 122 t 0.85 t 144 f ? SVI negative)
      (11 F f f t f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (56 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (28 F f t f f f t f f f f f f f f t 1.5 t 1.5 t 120 t 1.01 t 118 f ? SVI negative)
      (32 M f f f f f f f f f f f f f f t 3.1 t 2.1 t 88 t 0.7 t 125 f ? SVI negative)
      (65 M f f f f f f f f f f f f f f t 1.3 t 2 t 105 t 1.28 t 83 f ? SVHC negative)
      (39 F f f f f f f f f t f f f f f t 1.2 t 2 t 102 t 0.93 t 110 f ? other negative)
      (39 F t f f f f f f f f f f f f f t 0.25 t 1.9 t 94 t 0.93 t 101 f ? other negative)
      (24 F f f f f f f f f f f f f f t t 1.7 t 2.4 t 126 t 0.92 t 136 f ? SVHC negative)
      (77 F f f f f f f f f f f f f f f t 1 t 2.4 t 101 t 1.17 t 87 f ? other negative)
      (25 M f f f f f f f f f f f f f f t 3.4 t 1.9 t 63 t 0.81 t 78 f ? other negative)
      (22 F f f f f f f f f f f f f f f t 1.7 t 1.7 t 85 t 0.92 t 92 f ? other negative)
      (59 M t f t f f f t f t f f f f f t 0.08 f ? t 125 t 0.78 t 161 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 0.29 f ? t 98 t 1.03 t 95 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 1.3 t 1.6 t 112 t 1.13 t 100 f ? other negative)
      (37 F f f f f f f f f f t f f f f t 0.64 t 2.1 t 92 t 0.99 t 93 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 0.6 t 1.8 t 99 t 1.03 t 96 f ? SVI negative)
      (67 M f f f f f f f f f f f f f f t 3.2 t 1.9 t 91 t 0.79 t 115 f ? SVI negative)
      (17 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (42 F f f f f f f f f f f f f f f t 3 t 0.8 t 83 t 0.99 t 84 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 18 t 1.5 t 98 t 0.88 t 112 f ? other compensated_hypothyroid)
      (59 M t f f f f f f f f f f f f f t 0.15 t 2.5 t 90 t 0.85 t 106 f ? other negative)
      (73 F f f f t f f f f f f f f f f t 1.6 t 2 t 105 t 1.17 t 89 f ? SVI negative)
      (26 F f t f f f f f f f f f f f f t 9.2 t 1.6 t 104 t 1.12 t 93 f ? other compensated_hypothyroid)
      (41 M f f f f f f f f f f f f f f t 3.7 t 1.7 t 112 t 1.05 t 107 f ? SVI negative)
      (86 F f f f f f f f f f f f f f f t 13 f ? t 87 t 0.92 t 94 f ? other compensated_hypothyroid)
      (32 M f f f f f f f f f f f f f f t 1.2 t 2.9 t 128 t 1.12 t 114 f ? SVHC negative)
      (80 F f f t f f f f f f f f f f f t 5.3 t 2 t 86 t 1.02 t 83 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 0.3 t 2.2 t 85 t 1.13 t 75 f ? other negative)
      (28 F t f f f t f f f f f f f f f t 2.5 t 2.6 t 179 t 1.55 t 115 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 1.2 t 1.6 t 119 t 1.05 t 113 f ? SVI negative)
      (80 M f f f f f f f f f f f f f f t 0.37 t 0.7 t 134 t 1.12 t 120 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 3.5 t 2.2 t 118 t 1.01 t 117 f ? SVI negative)
      (73 F f f f t f f f f f f f f f f t 2.1 t 2.8 t 109 t 1.32 t 83 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 2.9 t 2.2 t 129 t 0.97 t 133 f ? SVI negative)
      (81 M f f f f f f f f f f f f f f t 1.3 t 1.2 t 147 t 1.06 t 138 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 0.02 t 2.7 t 155 t 0.98 t 159 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 4.1 t 2.5 t 118 f ? f ? f ? SVI negative)
      (39 M f f f f f f f f f f f f f f t 1.4 t 1.7 t 94 t 0.85 t 110 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 1.5 t 2.3 t 117 t 1.11 t 105 f ? SVI negative)
      (74 M f f f f f f f f f f f f f f t 0.61 t 0.9 t 115 t 0.75 t 153 f ? SVI negative)
      (62 M f f f f f f f f f f f f f f t 100 t 0.4 t 10 t 1 t 10 f ? SVI primary_hypothyroid)
      (39 F f f f f f f f f f f f f f f t 0.7 t 1.2 t 81 t 0.99 t 82 f ? SVI negative)
      (78 F f f f f f f f f f f f f f f t 0.77 t 1.9 t 113 t 1.03 t 110 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 1.5 t 2.4 t 137 t 1.35 t 101 f ? SVHC negative)
      (89 F f f f f f f f f f f f f f f t 2.5 t 1.8 t 86 t 1.04 t 83 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 0.7 t 1.6 t 94 t 0.93 t 101 f ? SVI negative)
      (61 ? f f f f f f f f f f f f f f t 0.29 t 1.5 t 119 t 0.9 t 132 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 1.7 t 2.5 t 121 t 1.07 t 114 f ? other negative)
      (61 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (70 F f f f f f f f f f f f f f f t 1.2 f ? t 131 t 0.95 t 137 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 1.9 t 2.3 t 92 t 1.05 t 88 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 0.005 f ? t 127 t 0.92 t 138 f ? SVI negative)
      (8 M f f f f f f f f f f f f f f t 1.1 t 2.2 t 77 t 0.85 t 91 f ? other negative)
      (42 F f f f f f t f f f f f f f f t 0.04 t 1.9 t 117 t 0.77 t 153 f ? other negative)
      (28 M f f f f f f f f f f f f f f t 4.2 t 1.5 t 83 f ? f ? f ? other negative)
      (78 F f f f f f f f f f f f f f f t 2.5 t 1.1 t 70 t 0.92 t 76 f ? other negative)
      (68 F f f f f f f f t f f f f f f t 2.1 f ? t 112 t 0.93 t 120 f ? other negative)
      (37 M f f f f f f f f t f f f f f t 0.25 t 2 t 83 t 1.14 t 72 f ? other negative)
      (44 M f f f f f f f f f f f f f f t 3 t 2 t 115 t 1.1 t 104 f ? SVHC negative)
      (21 F f f f f f f f f f f f f f f f ? f ? t 107 t 1.07 t 100 f ? other negative)
      (56 F f t f f f f f f f f f t f f t 5.2 f ? t 137 t 1.28 t 107 f ? other negative)
      (41 F f f f f f f t f f f f f f f t 0.3 t 2.3 t 111 t 0.83 t 134 f ? other negative)
      (60 ? f f f f f f f f f f f f f f t 1.1 f ? f ? f ? f ? f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.7 t 1.3 t 96 t 1.14 t 84 f ? other negative)
      (51 M t f f f f f f f f f f f f f t 1.4 t 2.6 t 118 t 0.91 t 130 f ? SVHC negative)
      (77 F f f f f f f f f f f f f f f t 0.27 f ? f ? f ? f ? f ? other negative)
      (63 F f f f f f f f f f f f f f f t 3.9 t 1.8 t 103 t 0.84 t 124 f ? SVHC negative)
      (5 F t f f f f f f f f f f f f f t 17 t 2 t 74 t 0.95 t 78 f ? other negative)
      (29 M f f f f f f f f f f f f f t t 1.4 t 3.8 t 127 t 1.14 t 112 f ? SVHC negative)
      (73 F f f f f f f f f f f f f f f t 1.8 t 1.7 t 130 t 1.2 t 109 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (17 F t f f f f f f f f f f f f f t 13 t 1.6 t 151 t 1.39 t 109 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 2.5 t 1.5 t 81 t 0.86 t 94 f ? SVI negative)
      (40 M f f f f f f f f f f f f f f t 0.98 t 1.8 t 98 t 0.99 t 99 f ? SVHC negative)
      (44 F f f f f f f f f t f f f f f t 1.01 t 1.8 t 109 t 1 t 109 f ? other negative)
      (50 M f f f f f f f f f f f f f f t 3 t 2.2 t 91 t 1.11 t 82 f ? other negative)
      (25 M f f f f f f f f f f f f f t t 3 t 2.7 t 110 t 0.87 t 126 f ? SVHC negative)
      (26 M f f f f f f f f f f f f f f t 2.7 t 2.5 t 130 t 1.08 t 121 f ? SVHC negative)
      (35 F f f f f f f f f f f f f f f t 0.2 t 2.1 t 116 t 1.06 t 109 f ? other negative)
      (40 F f f f f f f f f f f f f f f f ? f ? t 134 t 1.2 t 112 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 16 t 1.4 t 68 t 1.01 t 67 f ? SVI compensated_hypothyroid)
      (35 F f f f f f f f f t f f f f f t 0.72 t 3.8 t 140 t 1.16 t 121 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 2.7 t 2 t 103 t 0.9 t 114 f ? other negative)
      (55 F f f f f f f f f f f f f f t t 1.7 t 2 t 102 t 0.96 t 106 f ? SVHC negative)
      (67 F f f f f f f f f f f f f f f t 1.7 t 2.3 t 104 f ? f ? f ? SVI negative)
      (35 F t f f f f f f f f f f f f f t 0.35 t 2.5 t 99 t 1.04 t 96 f ? STMW negative)
      (19 M f f f f f f f f f f f f f f t 58 f ? t 74 t 0.9 t 82 f ? other compensated_hypothyroid)
      (72 M f f f t f f f f f f f f f f t 5.4 t 1.8 t 87 t 0.91 t 95 f ? other negative)
      (25 M f f f f f f f f f f f f f t t 1.2 t 2.6 t 121 t 0.97 t 125 f ? SVHC negative)
      (56 F t f f f f f f f f f f f f f t 0.005 f ? t 170 t 0.96 t 177 f ? other negative)
      (57 M f t f f f f f f f f f f f f f ? t 2.2 t 104 t 1.07 t 97 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 4.6 t 2.4 t 125 t 1.09 t 115 f ? SVI negative)
      (47 F f f f f f f f f t f f f f f t 0.15 t 4.3 t 189 t 1.07 t 176 f ? other negative)
      (61 M f f f t f f f f f f f f f f t 1.6 t 1.9 t 103 t 0.88 t 118 f ? other negative)
      (53 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (53 M f f f f f f f f f f f f f f t 1.8 t 2.4 t 104 t 0.81 t 128 f ? SVHC negative)
      (28 F f f f f f f f f f f f f f f t 1.5 t 2.3 t 134 t 1.24 t 109 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 1.6 t 1.6 t 139 t 1.04 t 134 f ? other negative)
      (20 F t f f f f f f f f f f f f f t 0.02 t 2.6 t 171 t 1.12 t 153 f ? other negative)
      (44 M f f f f f f f f f f f f f f t 41 t 1.5 t 48 t 1.17 t 41 f ? other primary_hypothyroid)
      (55 F f f f f f f f f f f f f f f t 11 t 0.4 t 102 f ? f ? f ? SVI compensated_hypothyroid)
      (57 F f f f f f f f f f f f f f f f ? t 2.2 f ? f ? f ? f ? other negative)
      (79 M f f f f f f f f f f f f f f t 0.02 t 1.6 t 143 t 0.9 t 159 f ? other negative)
      (54 F f f f f f f f f f f f f f f t 0.035 t 1.4 t 152 t 1.05 t 145 f ? SVI negative)
      (56 F f f f f f f f f f f f f f f t 3 t 1.1 t 122 t 1.13 t 108 f ? SVI negative)
      (31 F f f f f f f f f f f f f f f t 1.2 t 2.2 t 103 t 0.92 t 112 f ? SVI negative)
      (66 F f f f f f f f f f f f f f f t 1.2 t 2.2 t 122 t 1.15 t 106 f ? SVI negative)
      (70 F f f f f f f t f f f f f f f t 0.9 f ? t 70 t 0.8 t 87 f ? other negative)
      (67 F f f f f f f f f f f f t f f t 1.3 t 2.3 t 97 t 1.09 t 88 f ? other negative)
      (53 M f f f t f f f f f f f f f f t 0.62 t 1.7 t 116 t 1 t 116 f ? SVI negative)
      (36 F t f f f f f f t f f f f f f t 0.05 t 2.2 t 162 t 1.15 t 140 f ? other negative)
      (54 F f f f f f f f f f t f f f f t 2.9 t 2.5 t 74 t 0.99 t 75 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f f f ? t 2.4 t 99 t 1.13 t 88 f ? other negative)
      (60 M t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (58 M f f f f f f f f f f f f f f t 1.1 t 0.9 t 83 t 0.78 t 106 f ? SVI negative)
      (455 F f f f f f f f f f f f f f f t 1.1 t 2 t 118 t 1.13 t 104 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 3.7 t 3 t 68 t 0.85 t 80 f ? SVI negative)
      (18 ? f f f f f f f f f f f f f f t 1.5 t 2.6 t 86 t 0.91 t 94 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f t 1.5 t 1.7 t 97 t 0.76 t 129 f ? SVI negative)
      (36 F f f f f f f f f f f f f f f t 1.7 t 2.3 t 77 t 1.04 t 74 f ? SVHC negative)
      (39 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (59 M f f f f f f t f f f f f f f t 0.3 t 1.6 t 112 t 0.75 t 148 f ? other negative)
      (56 F f f f t f f f f f f f t f f t 0.2 t 2.5 t 138 t 1.15 t 119 f ? SVI negative)
      (68 F f f f f f f f f f f f f f f t 2.1 t 1.5 t 126 t 1.26 t 100 f ? SVHC negative)
      (41 M f f f f f f f f f f f f f f t 5.6 f ? t 93 t 0.84 t 110 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 0.27 t 1.6 t 104 t 0.78 t 134 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f f t 183 t 1.4 t 14 t 1.31 t 11 f ? other primary_hypothyroid)
      (64 M f f f f f f f f f f f f f f t 2 t 1.8 t 80 t 0.91 t 88 f ? SVHC negative)
      (47 M f t f f f f f f f f f f f f t 0.02 t 1.2 t 72 t 0.82 t 88 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 1 t 2.1 t 102 t 0.97 t 105 f ? SVI negative)
      (21 ? f f f f f f f f f f f f f f f ? f ? t 90 t 0.98 t 92 f ? other negative)
      (17 F f f f f f f f f f f f t f f t 0.6 t 2.6 t 102 t 0.97 t 106 f ? other negative)
      (14 M f f f f f f f f f f f f f f t 3 t 2.7 t 80 t 0.83 t 97 f ? other negative)
      (64 F f f f f f f f f f f f f f f t 1.5 t 2.8 t 130 t 1.18 t 111 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 2 t 1 t 61 t 0.77 t 80 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.95 t 2.5 t 119 t 1.04 t 114 f ? other negative)
      (16 M t t f f f f f f f f t f f f f ? t 3 t 135 t 1.02 t 131 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 1.9 f ? t 129 t 1.05 t 123 f ? other negative)
      (41 M f f f t f f f f f f f f f f t 0.39 t 1.9 t 120 t 1.03 t 117 f ? SVI negative)
      (41 F f f f f f f f f f f f f f f t 1.2 t 2.7 t 113 t 1.06 t 107 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 0.6 t 3.2 t 123 t 1.29 t 96 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f t 1.9 t 1.9 t 83 t 1.03 t 81 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 1.6 t 2.4 t 111 t 1 t 111 f ? SVHC negative)
      (38 F t f f f f f f f f f f f f f t 7.1 f ? t 130 t 0.98 t 132 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 1.3 t 0.9 t 65 t 0.88 t 74 f ? other negative)
      (39 ? f f f f f f f f f f f f f f t 4.4 t 1.1 t 63 t 0.8 t 78 f ? SVI negative)
      (18 F f f f f f f f f f f f f f f t 0.25 t 3.1 t 160 t 0.9 t 177 f ? STMW negative)
      (22 F t f f f f f f f f f f f f f f ? f ? t 151 t 1.05 t 144 f ? other negative)
      (2 F t f f f f f f f f f f f f f t 0.025 f ? t 145 t 0.93 t 155 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.9 t 2.3 t 112 t 1.08 t 104 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 0.85 f ? t 131 t 0.91 t 144 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 1.4 t 3.9 t 97 t 0.84 t 115 f ? other negative)
      (57 F t f f f f f f f f f f f f f t 0.1 t 2.2 t 150 t 1.01 t 149 f ? SVI negative)
      (65 F t f f f f f f f f f f f f f t 2.5 f ? t 137 t 1.06 t 129 f ? other negative)
      (90 M f f f f f f f f f f f f f f t 0.15 t 1.7 t 118 t 0.82 t 144 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 1.4 t 1.9 t 98 t 0.82 t 118 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 2.8 t 1.2 t 122 t 1 t 122 f ? SVI negative)
      (41 F t f f f f f f f f f f f f f t 0.2 t 2.6 t 197 t 1.01 t 195 f ? other negative)
      (35 M f f f f f f f f f f f f f t t 0.1 t 2.8 t 138 t 1.13 t 122 f ? SVHC negative)
      (39 M f f f f f f f f f f f f f t t 1.6 t 1.2 t 95 t 0.93 t 102 f ? SVHC negative)
      (57 F f f f f f f f f f f f f f f t 9.1 f ? t 101 t 1.12 t 90 f ? other compensated_hypothyroid)
      (55 F f f f f f f f f f f f f f f t 0.015 t 1.8 t 180 t 0.82 t 219 f ? other negative)
      (64 F f f f f f f f f t f f f f f t 8.9 t 1.2 t 67 t 0.75 t 89 f ? SVI compensated_hypothyroid)
      (55 M f f f f f f f f f f f f f f t 2.1 t 1.6 t 86 t 0.8 t 107 f ? SVI negative)
      (19 M f f f f f f f f f f f f f f t 18.4 t 2 t 105 f ? f ? f ? other compensated_hypothyroid)
      (65 M f f f f f f f f f f f f f f t 1.6 t 1.4 t 78 t 0.82 t 96 f ? SVI negative)
      (41 F f f f f t f f f t f f f f f t 0.2 f ? t 430 t 1.09 t 395 f ? STMW negative)
      (75 F t f f f f f f f f f f f f f t 1.5 t 2.2 t 70 t 0.85 t 82 f ? other negative)
      (51 M t f f f f f f f f f f f f f t 0.005 t 2.8 t 132 t 0.95 t 139 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 2.6 f ? t 84 t 0.9 t 93 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 0.25 t 2.6 t 139 t 0.9 t 153 f ? SVI negative)
      (70 M f f f f f f f f f f f f f f t 2.4 f ? t 70 t 0.9 t 78 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 0.94 t 2.4 t 80 t 1.06 t 76 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 10 t 1 t 84 t 1.39 t 60 f ? SVI primary_hypothyroid)
      (71 F f f f f f f f f f f f f f f t 0.77 t 2.1 t 123 t 0.91 t 135 f ? SVI negative)
      (31 F f f f f f f f f f f f f f f t 0.1 t 3.2 t 207 t 1.57 t 132 f ? STMW negative)
      (74 M f f f f f f f f f f f f f f t 1.6 t 2.1 t 120 t 0.98 t 122 f ? SVI negative)
      (27 F f f f f f f f f f f f f f f t 1.5 t 2.2 t 182 t 1.37 t 133 f ? other negative)
      (50 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (52 F f f f f f f f f f f f f f f t 0.2 f ? t 105 t 0.97 t 108 f ? other negative)
      (52 M f f f f f f f f t f f f f f t 0.93 t 1.3 t 86 t 0.64 t 134 f ? SVI negative)
      (37 M f t f f f f f f f f f f f f f ? f ? t 116 t 0.9 t 128 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 2.2 t 1.8 t 90 t 0.84 t 108 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 0.2 t 1.8 t 104 t 1.11 t 94 f ? SVI negative)
      (68 F t f f f f f f f f f f f f f t 0.47 f ? t 117 t 1.02 t 115 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 7.1 t 2.1 t 79 t 0.96 t 83 f ? other compensated_hypothyroid)
      (62 F f f f f f f f t f f f f f f t 8.6 f ? t 86 t 0.84 t 101 f ? other compensated_hypothyroid)
      (22 F f f f f f f f f f f f f f t t 1.2 t 1.9 t 92 t 0.87 t 105 f ? other negative)
      (18 F f f f f f f f f f f f f f f t 41 f ? t 118 t 1.13 t 105 f ? other compensated_hypothyroid)
      (58 F f f f f f f f f f f f f f f t 0.1 t 2 t 101 t 1.2 t 84 f ? SVHC negative)
      (50 F f f f f f f f f f f f f f f t 0.17 t 1.7 t 120 t 0.98 t 122 f ? other negative)
      (34 F f f f f t f f f t f f f f f t 0.005 t 3.5 t 198 t 1.79 t 111 f ? STMW negative)
      (41 F f f f f f f f f f f f f f f f ? t 2 t 99 t 0.96 t 104 f ? other negative)
      (18 M f f f f f f f f f f f f f f t 2.3 t 2.1 t 79 t 1.1 t 72 f ? other negative)
      (60 ? f f f f f f f f f f f f f f f ? t 1.2 t 87 t 0.72 t 121 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 1.4 t 1.7 t 77 t 0.87 t 89 f ? SVI negative)
      (59 F f f f f f f f f f f f f f f t 0.6 t 4.5 t 161 t 1.65 t 97 f ? other negative)
      (68 F f f f t f f f f f f f f f f t 1.5 t 2.3 t 117 t 1.04 t 113 f ? other negative)
      (63 F f f f f f f t f f f f f f f t 42 t 1.6 t 60 t 0.93 t 64 f ? other primary_hypothyroid)
      (36 F f f f f f f f f f f f f f f t 0.2 t 2.7 t 120 t 0.97 t 123 f ? other negative)
      (27 M f f f f f f f f f f f f f t t 1.4 t 2.3 t 132 t 0.94 t 140 f ? SVHC negative)
      (52 F f f f f f f f f f f f f f f t 4.7 t 2 t 19 t 1.12 t 17 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 1.2 t 2 t 101 t 0.93 t 109 f ? other negative)
      (23 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (58 F t f f f f f f f f f f f f f t 0.6 t 2 t 151 t 1.05 t 144 f ? other negative)
      (54 M t f f f f f f f f f f f f f t 0.2 f ? t 101 t 0.64 t 158 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 0.2 t 0.3 t 73 t 0.78 t 94 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 1.3 t 1.8 t 112 t 0.89 t 126 f ? SVI negative)
      (37 F f f f f f f f f f f f f f t t 2.3 t 1.8 t 78 t 1.04 t 76 f ? SVHC negative)
      (22 F f f f f f f f f f f f f f f t 1.7 t 1.5 t 133 t 0.84 t 159 f ? SVI negative)
      (41 F f f f f f f f f f f f f f f t 4.1 t 2 t 127 t 1.04 t 122 f ? SVI negative)
      (46 M f f f t f f f t f f f f f f t 1.7 f ? t 139 t 1.1 t 127 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 1.4 t 1.9 t 118 f ? f ? f ? other negative)
      (73 F f f f f f f f f t f f f f f t 0.2 t 2.5 t 136 t 0.89 t 153 f ? other negative)
      (61 F t f f f f f f f f f f f f f t 0.03 t 1.8 t 145 t 1.04 t 140 f ? SVHD negative)
      (30 F f f f f f f f f f f f f f f t 5.3 t 2.1 t 92 t 1.05 t 88 f ? other negative)
      (50 F t f f f f f f f f f f f f f t 0.54 t 1.8 t 160 t 1.1 t 146 f ? other negative)
      (60 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (24 F f f f f f f f f f f f f f f f ? f ? t 121 t 1.09 t 111 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 0.2 t 2.3 t 87 t 0.94 t 93 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 1.1 t 1.8 t 98 t 1.14 t 85 f ? other negative)
      (56 F t f f f f f f f f f f f f f t 0.38 f ? t 105 t 0.9 t 116 f ? other negative)
      (21 F f f f f f f f f f f f f f f t 2.2 t 1.5 t 78 t 0.89 t 88 f ? other negative)
      (41 F f f f f f f f f f f f f f f t 0.03 t 2.1 t 187 t 0.89 t 210 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 12 t 1.5 t 88 t 0.98 t 90 f ? SVI compensated_hypothyroid)
      (54 ? t f f f f f f f f f f f f f t 0.93 t 1.8 t 115 t 0.94 t 123 f ? other negative)
      (39 F f f f f f f f t t f f f f f t 0.2 t 2.2 t 106 t 0.75 t 141 f ? other negative)
      (24 F f f f f f f f f f f f f f f t 0.38 t 2.3 t 152 t 0.96 t 158 f ? other negative)
      (34 F t f f f t f f f f f f f f f t 8.3 t 3.1 t 172 t 1.8 t 96 f ? other negative)
      (46 M f f f f f f f f t f f f f f t 0.05 t 2.2 t 97 t 0.77 t 125 f ? other negative)
      (39 F t f f f f f f f f f f f f f t 6.9 t 1.6 t 125 t 1.02 t 123 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 1.8 t 1.6 t 63 t 1 t 63 f ? other negative)
      (79 ? f f f f f f f f f f f f f f t 12.1 t 3.4 t 94 t 0.92 t 102 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 0.19 t 1.3 t 100 t 0.85 t 118 f ? SVI negative)
      (50 M f f f f f f f f f f f f f t t 0.82 t 2.1 t 124 t 1.03 t 121 f ? other negative)
      (77 F f f f f f f f f f f f f f f f ? t 2.6 f ? f ? f ? f ? other negative)
      (39 F f f f f f f f f f f f f f f t 43 t 1.6 t 63 t 0.84 t 75 f ? other compensated_hypothyroid)
      (55 M f f f f f f f f f f f f f f t 3.4 t 2.3 t 86 t 1.08 t 80 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (57 F f f f f f f f f f f f f f f t 1.8 t 3 t 106 t 1.12 t 96 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.88 t 1.5 t 113 t 0.74 t 153 f ? SVI negative)
      (91 M f f f f f f f f f f f f f f t 3.4 f ? t 112 t 0.99 t 113 f ? SVI negative)
      (74 F f f f f f f f f f f f f f f t 1.6 t 0.7 t 82 t 0.88 t 93 f ? SVI negative)
      (81 F f f f f f f f f f f f f f f t 3.9 t 1.8 t 131 t 0.98 t 133 f ? SVI negative)
      (62 M f f f f f f f f f f f f f t t 1.1 t 2 t 139 t 1.04 t 134 f ? SVHC negative)
      (57 F f f f f f f f f f f f f f f t 0.02 t 3.4 t 136 t 0.73 t 185 f ? other negative)
      (55 F f f f f f f f f f f f t f f t 0.9 t 2.3 t 117 t 0.95 t 123 f ? SVI negative)
      (45 M t f f f f f f f f f f f f f t 1.4 f ? t 101 t 0.95 t 106 f ? other negative)
      (45 F t f f f f t f f f f f f f f t 0.44 t 2.8 t 153 t 0.91 t 168 f ? other negative)
      (40 F f f f f f f f f f f f f f f t 1.1 t 1.8 t 150 t 1.04 t 145 f ? other negative)
      (33 F f f f f f t f f f f f f f f t 8.2 t 1.5 t 74 t 0.9 t 83 f ? STMW negative)
      (88 F f f f f f f f f f f f f f f t 2.3 t 0.9 t 140 f ? f ? f ? SVI negative)
      (44 F f f f f f f f f f f f f f f t 3.5 t 2.6 t 113 t 1.09 t 104 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 18 t 1.5 t 66 t 1 t 66 f ? SVI compensated_hypothyroid)
      (53 F f f f f f f f f f f f f f f t 25 t 0.4 t 39 t 0.61 t 64 f ? SVI primary_hypothyroid)
      (63 ? f f f f f f f f f f f f f f t 3.4 t 2.1 t 157 t 1.16 t 135 f ? SVI negative)
      (41 M f f f f f f f t f f f f f f t 0.015 t 2.5 t 22 f ? f ? f ? other secondary_hypothyroid)
      (58 F f f f f f f f t f f f f f f t 1.3 t 1.9 t 66 t 0.96 t 68 f ? other negative)
      (7 F f f f f f f f f f f f f f f t 7.3 t 1.6 t 64 t 0.97 t 66 f ? other compensated_hypothyroid)
      (63 F f f f f f f f f f f f f f f t 70 f ? t 63 t 1.19 t 53 f ? other primary_hypothyroid)
      (74 F f f f f f f f f f f f f f f t 1.3 t 0.1 t 65 t 0.48 t 137 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 1.6 t 2 t 109 t 1.09 t 100 f ? SVHC negative)
      (64 F t f f f f f f f f f f f f f t 7.7 f ? t 111 t 1.12 t 99 f ? other negative)
      (59 M t f f f f f f f f f f f f f t 0.02 t 2.7 t 117 t 0.74 t 157 f ? SVI negative)
      (54 M t f f f f f f f f f f f f f t 4.7 f ? t 120 t 1.01 t 118 f ? other negative)
      (66 F f f f t f f f f f f f f f f t 0.1 t 0.6 t 121 t 0.85 t 143 f ? SVI negative)
      (29 M f f f f f f f f f f f f f f t 0.25 t 1.1 t 46 f ? t 104 f ? SVI negative)
      (35 M f f f f f f f f f f f f f f t 2.5 f ? t 139 t 1.13 t 123 f ? other negative)
      (53 M f f f f f f f f f f f f f f t 4.3 t 1.5 t 94 t 0.88 t 107 f ? SVI negative)
      (35 ? f f f f f f f f f f f f f f t 1.8 t 1.7 t 118 t 1.1 t 107 f ? other negative)
      (55 M f f f t f f f t f f f f f f t 8.6 t 0.3 t 73 t 0.76 t 96 f ? SVI compensated_hypothyroid)
      (36 F f f f f f f f f f f f t f f t 1.3 t 2.1 t 81 t 0.9 t 90 f ? other negative)
      (34 F t f f f f f f f f f f f f f t 0.005 f ? t 166 t 0.96 t 174 f ? other negative)
      (44 M f f f f f f f f f f f f f f t 3.5 t 1.7 t 103 t 0.96 t 107 f ? SVI negative)
      (51 F f f f f f f f f f f f f f t t 0.9 t 1.7 t 95 t 0.95 t 100 f ? SVHC negative)
      (65 M t f f f f f f f f f f f f f f ? f ? t 99 t 0.53 t 188 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 1.7 t 2.1 t 84 t 1 t 83 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 2.6 t 2.2 t 73 t 0.99 t 74 f ? SVI negative)
      (59 ? f f f f f f f f f f f f f f f ? t 1.5 f ? f ? f ? f ? other negative)
      (75 F f f f f f f f f f f f f f f t 10 t 1.6 t 90 t 0.89 t 101 f ? other compensated_hypothyroid)
      (31 F f f f f f f f f f f f f f f t 1.6 t 2.3 t 89 t 1.22 t 72 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 15 t 2.1 t 83 t 1.24 t 67 f ? STMW compensated_hypothyroid)
      (84 F f f f f f f f f f f f f f f t 3.4 t 2.4 f ? f ? f ? f ? other negative)
      (75 F t f f f f f f f f f f f f f t 0.12 f ? t 109 t 0.85 t 128 f ? other negative)
      (52 F f f f f f f f f f f f f f f t 2.9 t 2 t 73 t 1.04 t 70 f ? other negative)
      (19 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (80 F f f f f f f f f f f f f f f t 1.7 t 0.8 t 101 t 0.81 t 125 f ? SVI negative)
      (23 M f f f f f f f f f f f f f f t 2.1 t 2.7 t 113 t 1.1 t 102 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 2 t 2.6 t 76 t 0.85 t 89 f ? other negative)
      (56 M f f f f f f f f f f f f f f f ? f ? t 93 t 0.95 t 98 f ? other negative)
      (53 M f f f f f f f f f f f f f f t 2.4 t 2.6 t 151 t 1.16 t 130 f ? SVI negative)
      (34 F f f f f f f f f f f t f f f t 1.9 t 2.1 t 118 t 1.2 t 98 f ? other negative)
      (16 F f f f f f f f f f f f f f f f ? f ? t 76 t 0.93 t 82 f ? other negative)
      (46 M f f f f f f f f t f f f f f t 0.02 t 4.5 t 156 t 0.76 t 205 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 2.1 f ? t 107 t 1.15 t 92 f ? other negative)
      (69 M f f f f f f f f f f f f f f t 1.8 t 2.3 t 108 t 1.03 t 105 f ? SVI negative)
      (69 M f f f f f f f t f f f f f f t 0.2 t 2.5 t 124 t 1.15 t 108 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 2.9 t 1.4 t 95 t 1.11 t 86 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 1.1 f ? t 90 t 1.07 t 84 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 0.2 t 2.6 t 80 t 0.84 t 95 f ? SVHC negative)
      (68 F f f f f f f f f f f f f f t t 1.4 t 1.8 t 120 t 1.09 t 110 f ? SVHC negative)
      (52 F f f f f f f f f f f f f f f t 5.5 t 2 t 95 t 1.08 t 88 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 1.5 t 1.8 t 109 t 0.97 t 112 f ? other negative)
      (36 M f f f f f f f f f f f f f f t 1.7 t 2.6 t 129 t 1.18 t 109 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.92 t 2.1 t 84 t 0.86 t 98 f ? other negative)
      (23 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (44 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (29 F f f f t f f f f f f f f f f t 5.1 f ? t 72 t 0.8 t 90 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 0.57 t 1.8 t 128 t 1.14 t 112 f ? SVHC negative)
      (90 F f f f f f f f f f f f f f f t 2.5 t 1.2 t 97 t 0.93 t 104 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f t 1.3 t 2.5 t 101 t 0.9 t 112 f ? SVHC negative)
      (71 M f f f f f f f f f f f f f f t 0.005 t 2.2 t 93 t 0.87 t 107 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 1.1 t 1.5 t 92 t 1.08 t 85 f ? SVI negative)
      (79 F f f f f f f f f f f f f f f t 2.4 t 2.6 t 111 t 1 t 111 f ? SVI negative)
      (2 F f f f f f f f t f f f f f f t 4.2 t 2.1 t 152 t 0.93 t 163 f ? STMW negative)
      (70 M f f f f f f f f f f f f f f t 3.6 t 1 t 60 t 0.88 t 68 f ? SVI negative)
      (25 F f f f f f f f f f f f f f f t 0.9 t 2.6 t 120 t 1.24 t 96 f ? other negative)
      (83 M f f f f f f f f f f f f f f t 2.1 t 1.6 t 103 t 0.92 t 112 f ? SVI negative)
      (61 F t f f f f f f f f f f f f f t 0.08 t 2.3 t 150 t 1.2 t 125 f ? SVHD negative)
      (73 F f f f f f f f f f f f f f f t 1.8 t 1.6 t 110 t 0.98 t 112 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 0.02 t 2.5 t 113 t 0.76 t 149 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 4.3 t 1.2 t 59 t 0.83 t 71 f ? SVI negative)
      (34 M f f f f f f f f f f f f f f t 1.7 t 2.4 t 94 t 1.17 t 81 f ? other negative)
      (54 F f f f f f f f f f f f f f f t 0.38 t 1.1 t 128 t 0.8 t 160 f ? SVI negative)
      (80 M f f f f f f f f f f f f f f t 1.4 t 0.8 t 105 t 0.88 t 120 f ? SVI negative)
      (52 M f f f f f f f f f f f f f f t 0.3 t 1.2 t 101 t 0.9 t 112 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 1.6 t 1.7 t 153 t 1.06 t 144 f ? SVI negative)
      (45 F f f f f f f f f f f f f f f t 2.3 t 2.5 t 165 t 1.03 t 161 f ? SVI negative)
      (77 F f f f f f f f t f f f f f f t 12 f ? t 77 t 1.06 t 73 f ? other compensated_hypothyroid)
      (68 M f f f t f f f f f f f f f f t 1.1 t 1.8 t 89 t 0.83 t 105 f ? other negative)
      (37 F t f f f f f f f f f f f f f t 2.8 f ? f ? f ? f ? f ? other negative)
      (72 F f f f f f f f f f f f f f f t 0.035 t 4.9 t 192 t 1.09 t 176 f ? other negative)
      (22 F f f f f f f f f f f f f f f t 2.9 t 1.9 t 83 t 0.74 t 112 f ? SVI negative)
      (73 F f f f f f f f f t f f f f f t 2 t 1.6 t 116 t 0.93 t 125 f ? SVI negative)
      (57 F t f f f f f f f f f f f f f t 0.005 t 2.3 t 213 t 1.09 t 195 f ? other negative)
      (41 F t f f f f f f f f f f f f f t 8.4 t 1.5 t 123 t 0.96 t 129 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 1.9 f ? t 123 t 1.16 t 107 f ? other negative)
      (34 F f f f f t f f f t f f f f f t 2.4 t 3.2 t 137 t 1.71 t 80 f ? other negative)
      (84 F f f f f f f f f f f f f f f t 3.3 t 2.2 t 109 t 1.07 t 101 f ? SVI negative)
      (47 F f f f f f f f f t f f f f f t 2.1 f ? t 117 t 1.09 t 107 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.5 t 0.8 t 87 t 0.89 t 98 f ? SVI negative)
      (23 F f f f f f f f t f f f f f f t 0.9 t 2.9 t 136 t 1.38 t 99 f ? other negative)
      (76 F t f f f f f f f f f f f f f t 3.6 t 0.5 t 57 f ? f ? f ? other negative)
      (33 F t f f f f f f f f f f f f f t 0.045 f ? t 112 t 0.83 t 134 f ? other negative)
      (33 M f f f f f f f f f f f f f f t 2.2 t 2.6 t 86 t 0.88 t 98 f ? SVHC negative)
      (70 F f f f f f f f f f f f f f f t 34 t 1.5 t 88 t 1.06 t 83 f ? other compensated_hypothyroid)
      (63 F t f f f f f f f f f f f f f t 0.69 f ? t 162 t 0.99 t 163 f ? other negative)
      (45 F t f f f f f f f f f f f f f t 0.2 t 2 t 133 t 0.98 t 136 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 0.04 t 0.8 t 74 t 0.75 t 99 f ? SVI negative)
      (16 F f f f f f f f f f f f f f f t 3.6 t 2.6 t 94 t 0.94 t 100 f ? other negative)
      (26 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (46 F f f f f f f f f f f f f f t t 0.2 t 3.5 t 172 t 0.99 t 173 f ? SVHC negative)
      (68 F f f f f f f f f f f f f f f t 43 t 0.3 t 14 f ? f ? f ? SVI primary_hypothyroid)
      (56 F t f f f f f f f f f f f f f t 0.2 f ? t 134 t 1.03 t 130 f ? other negative)
      (40 ? f f f f f f f f f f f f f f t 1.7 f ? t 117 t 1.21 t 97 f ? other negative)
      (21 F f f f f f f f f f f f f f f t 1.5 t 2 t 76 t 1.03 t 73 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 0.3 t 2.1 t 122 t 0.82 t 150 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (36 F f f f f f f f f f f f f f f t 1.5 t 1.3 t 62 t 0.75 t 83 f ? SVHC negative)
      (59 F f f f t f f f f f f f f f f t 6.8 t 0.7 t 84 t 0.78 t 107 f ? SVI compensated_hypothyroid)
      (73 ? f f f f t f f f f f f f f f t 2.2 t 2.5 t 110 t 1.28 t 85 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 8.5 t 2.1 t 91 t 1.16 t 79 f ? other compensated_hypothyroid)
      (56 F f f f f f f f f f f f f f f t 0.2 t 2.2 t 108 t 0.88 t 122 f ? SVI negative)
      (46 F t f f f f f f f f f f f f f t 0.3 t 2.2 t 187 t 1.1 t 170 f ? other negative)
      (57 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (61 F f f f f f f f f t f f f f f t 6.4 t 2.4 t 141 t 1.26 t 112 f ? SVI compensated_hypothyroid)
      (41 M f f f f f f f f f f f f f f t 1.2 t 1.6 t 91 t 0.68 t 133 f ? SVI negative)
      (34 F f f f f f f f t f f f f f f t 0.6 t 2.3 t 76 t 1.05 t 73 f ? other negative)
      (51 F t f f f f f f f f f f f f f t 0.7 f ? t 127 t 1.19 t 107 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 151 t 1.4 t 42 t 1.06 t 39 f ? other primary_hypothyroid)
      (43 F f f f f f f f f f f f f f f t 2.2 f ? t 98 t 0.85 t 115 f ? other negative)
      (62 F f f f t f f f f f f f f f f t 11 t 0.8 t 73 t 0.74 t 98 f ? SVI compensated_hypothyroid)
      (75 F f f f f f f f f f f f f f f t 2.3 t 0.7 t 78 t 0.82 t 95 f ? SVI negative)
      (84 F t f f f f f f f f f f f f f t 0.2 t 0.7 t 137 t 0.84 t 164 f ? SVI negative)
      (37 F t f f f f f f f f f f f f f t 0.21 f ? t 156 t 0.84 t 187 f ? other negative)
      (13 M f f f f f f f f f f f f f f t 1.9 f ? t 113 t 0.99 t 114 f ? other negative)
      (21 F f f f f f f f f f f f f f f f ? t 3.1 f ? f ? f ? f ? other negative)
      (69 F f f f f f f f f f f f f f f t 1.6 t 1.9 t 90 t 0.99 t 91 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 0.7 t 1.5 t 90 t 1.14 t 79 f ? other negative)
      (67 ? f f f f f f f f f f f f f f t 0.05 t 2.4 t 96 t 0.98 t 98 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 0.98 t 1.8 t 94 t 0.88 t 107 f ? SVHC negative)
      (28 M f f f f f f f f f f f f f f t 0.1 t 2 t 169 f ? f ? f ? other negative)
      (58 F f f f f f f f f f f f f f f t 0.8 f ? t 98 t 1.02 t 96 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 2.6 t 2.1 t 97 f ? f ? f ? other negative)
      (34 F t f f f f f f f f f f f f f t 0.1 t 3.9 t 200 t 1.36 t 147 f ? STMW negative)
      (62 F f f f f f f f f f f f f f f f ? f ? t 91 t 1.01 t 90 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 0.17 t 1.2 t 75 t 0.88 t 85 f ? SVI negative)
      (40 F f f f f f f f f f f f f f f t 2.7 t 2 t 128 t 1.02 t 126 f ? other negative)
      (55 M f f f f f f f f f f f f f t t 0.57 t 1.4 t 75 t 0.72 t 104 f ? SVHC negative)
      (60 F t f f f f f f f f f f f f f t 3.7 t 1.9 t 115 t 1.07 t 107 f ? other negative)
      (75 M f f f f f f f f f f f f f f t 2.4 t 0.2 t 78 t 0.56 t 139 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 0.22 t 2.4 t 129 t 1.14 t 113 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 0.15 t 4.3 t 144 t 1.62 t 89 f ? STMW negative)
      (76 F f f f f f f f f f f f f f f t 6.2 t 0.5 t 130 t 0.85 t 153 f ? SVI compensated_hypothyroid)
      (28 F f f f f f f f f f f f f f f t 9 t 3.1 t 131 t 1.23 t 106 f ? other compensated_hypothyroid)
      (62 F t f f f f f f f f f f f f f t 5.6 f ? t 103 t 1.12 t 93 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.69 t 1.9 t 129 t 1.02 t 126 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 0.9 t 2.1 t 91 t 0.98 t 92 f ? SVHC negative)
      (23 M f f f f f f f f f f f f f f t 1.3 t 1.8 t 122 t 1.1 t 111 f ? other negative)
      (84 F f f f f f f f f f f f f f f t 17 f ? t 35 t 0.83 t 42 f ? other primary_hypothyroid)
      (34 F f f f f f f f f f f f f f f t 82 t 0.2 t 5.8 f ? f ? f ? SVI primary_hypothyroid)
      (36 M f f f f f f f f f f f f f t t 2.2 t 1.7 t 115 t 0.98 t 118 f ? SVHC negative)
      (48 F f f f f f f f f f f f f f f t 1.5 t 1.9 t 89 t 0.92 t 96 f ? other negative)
      (55 F t f f f f f f f f f f f f f t 0.05 t 2 t 149 t 1.09 t 136 f ? other negative)
      (61 F t f f f f f f f f f f f f f t 0.38 f ? t 121 t 0.95 t 128 f ? other negative)
      (54 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (32 F t f f f t f f f t f f f f f t 0.3 t 3 t 101 t 1.14 t 89 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 1.9 t 2.6 t 119 t 1.22 t 97 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 1.8 t 1.9 t 97 t 1 t 97 f ? SVHC negative)
      (26 M f f f f f f f f f f f f f f t 2.6 t 2 t 111 t 0.8 t 138 f ? other negative)
      (68 M f t f f f f f f f f f f f f f ? t 1.1 t 128 t 0.68 t 188 f ? other negative)
      (62 M f f f f f f f f f f f f f t t 11 t 1 t 101 t 0.79 t 128 f ? SVI compensated_hypothyroid)
      (54 M f f f f f f f f f f f f f f t 1.6 t 2 t 84 f ? f ? f ? other negative)
      (38 F f f f f f f f f f f f f f f t 1.5 t 2.1 t 109 t 1.02 t 107 f ? other negative)
      (56 F f f f f f f f f f f f f f f f ? t 3.9 t 141 t 1.12 t 126 f ? other negative)
      (41 F t f f f f f f f f f f f f f t 1.8 t 2.4 t 115 t 1.11 t 104 f ? other negative)
      (57 F t f f f f f f t f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (25 M f f f f f f f f f f f f f f t 2 t 2.3 t 92 t 0.8 t 114 f ? other negative)
      (86 M f f f f f f f f f f f f f f t 5.5 t 0.2 t 38 t 0.76 t 50 f ? SVI negative)
      (74 M f f f f f f f t f f f f f f t 1.5 t 2.1 t 70 t 0.74 t 94 f ? SVI negative)
      (74 F f f f f f f f f f f f f f f t 5.5 t 1.4 t 89 t 0.99 t 89 f ? other negative)
      (61 F f f f t f f f f f f f f f f t 11 t 1.2 t 83 t 1.01 t 82 f ? other compensated_hypothyroid)
      (77 M f f f f f f f f f f f f f f t 0.015 t 10.6 t 226 t 0.65 t 349 f ? other negative)
      (54 F f f f f f f f f f f t f f f t 2.3 t 2 t 78 t 1.04 t 75 f ? other negative)
      (37 F f f f f f f f f f t f f f t t 4.4 t 2.6 t 108 t 1.12 t 96 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.02 t 2.9 t 118 t 1.52 t 78 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 0.84 t 1.5 t 100 t 0.74 t 135 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 26 t 2 t 69 t 0.97 t 71 f ? other compensated_hypothyroid)
      (45 F f f f f f f f f f f f f f f t 3.2 t 2 t 73 t 0.74 t 99 f ? other negative)
      (53 M f f f f f f f t f f f f f f t 0.7 f ? t 46 t 0.87 t 52 f ? other negative)
      (26 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (68 M f f f f f f f f f f f f f f t 1.2 t 2.1 t 85 f ? f ? f ? other negative)
      (68 M f f f f f f f f t f f f f f t 3.7 t 0.6 t 65 t 0.88 t 74 f ? other negative)
      (70 M f f f f f f f f f f f f f f t 0.7 t 0.9 t 73 f ? f ? f ? other negative)
      (63 F f f f f f f f f f f f f f f t 1.5 t 1.9 t 97 t 1.03 t 94 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 4.4 t 1.6 t 100 t 1.01 t 99 f ? STMW negative)
      (68 F f f f f f f f t f f f f f f t 0.58 f ? t 150 t 1.03 t 146 f ? other negative)
      (72 F f f f f f f f t f f f f f f t 3 t 2.3 t 121 t 1.01 t 120 f ? SVI negative)
      (2 F f f f f f f f f f f f f f f t 6.7 f ? f ? f ? f ? f ? STMW primary_hypothyroid)
      (34 F f f f f f f f f f f f f f f t 6.8 t 2.4 t 96 t 1.06 t 90 f ? other compensated_hypothyroid)
      (49 F f f f f f f f f f f f f f f t 2.4 t 2.5 t 94 t 1.15 t 82 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 0.9 t 1.6 t 126 t 0.93 t 135 f ? other negative)
      (54 F f f f f f f f f f f f t f f f ? f ? t 96 t 1.28 t 75 f ? other negative)
      (15 M f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (75 M f f f f f f f t f f f f f f t 1.8 t 2 t 102 t 0.83 t 124 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 3.3 t 1.9 t 92 t 0.93 t 98 f ? other negative)
      (57 F f f f f f f f f f f f f f f t 0.055 t 1.7 t 75 t 0.81 t 93 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 1 t 2.3 t 103 t 1.08 t 95 f ? SVI negative)
      (62 M t f f f f f f f f f f f f f f ? t 2.6 t 142 f ? f ? f ? other negative)
      (27 F f f f f f f f f f f f f f f f ? f ? t 103 t 1.14 t 91 f ? other negative)
      (29 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (50 M f f f f f f f f f f f f f f t 1 t 2 t 101 t 0.94 t 108 f ? SVI negative)
      (19 M f f f f f f f f f f f f f t t 2.7 t 2.7 t 121 t 1.17 t 104 f ? SVHC negative)
      (26 F f f f f f f f f f f f f f f t 1.6 t 2.1 t 140 t 1.05 t 132 f ? SVI negative)
      (56 M f f f f f f f f f f f f f f f ? t 2.3 t 98 t 1.07 t 92 f ? other negative)
      (51 F f f f f f f f f t f f f f f f ? t 2.6 f ? f ? f ? f ? other negative)
      (52 F f f f f f f f t f f f f f f t 35 t 2.1 t 77 t 1.1 t 70 f ? other compensated_hypothyroid)
      (64 F f f f f f f f f f f f f f f t 4.3 f ? t 114 t 1.06 t 108 f ? other negative)
      (46 M f f f f f f f f f f f f f f t 1.1 f ? t 70 t 0.58 t 122 f ? other negative)
      (84 F f f f f f f f f f f f t f f t 0.5 t 2.1 t 138 t 0.92 t 150 f ? SVI negative)
      (25 F f f f f f f f f f f f f f f t 0.02 t 2.3 t 85 t 0.79 t 107 f ? other negative)
      (67 M f f f f f f f f f f f f f f t 0.25 t 2 t 101 t 0.81 t 124 f ? SVI negative)
      (67 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (20 F f f t f f f f f t f f f f f t 0.03 t 2.7 t 107 t 1.07 t 100 f ? other negative)
      (64 M f f f f f f f f f f f f f f t 3.5 t 1.8 t 72 t 0.86 t 84 f ? SVI negative)
      (30 F f t f f f f f f f f f f f f t 1.3 t 2 t 80 t 0.72 t 110 f ? SVI negative)
      (15 F f f f f f f f f f f f f f f t 2.6 t 2.4 t 100 f ? f ? f ? other negative)
      (63 F f f f f f t f f f f f f f f t 1.8 t 2 t 152 t 1.18 t 129 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 3.1 t 1.8 t 94 f ? f ? f ? other negative)
      (68 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 M f f f f f f f f f f f f f f t 0.72 t 0.5 t 78 t 0.95 t 82 f ? SVI negative)
      (37 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (29 F f f f f t f f f f f f f f f t 0.15 t 3.6 t 144 t 1.76 t 82 f ? STMW negative)
      (55 F f f f f f f f f t f f f f f t 1.9 t 1.8 t 97 t 0.91 t 106 f ? other negative)
      (34 F f f f f f f f f f f f f f t t 4.4 t 2.7 t 131 t 1.73 t 76 f ? SVHC negative)
      (84 M f f f f f f f f f f f f f f t 1.6 t 1.5 t 96 t 0.82 t 117 f ? SVI negative)
      (42 M f f f f f f f f t f f f f f t 0.06 t 2 t 79 t 0.81 t 98 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 1.8 t 1.6 t 102 t 1.07 t 96 f ? SVI negative)
      (91 F f f f f f f f f f f f f f f t 0.15 t 1.3 t 126 t 0.96 t 132 f ? SVI negative)
      (42 F t f f f f f f f f f f f f f t 0.9 f ? t 135 t 0.66 t 206 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 0.045 f ? t 138 t 0.83 t 166 f ? other negative)
      (29 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (41 F t f f f f f f f f f f f f f t 1.1 f ? t 97 t 0.88 t 110 f ? other negative)
      (37 F t f f f f f f f f f f f f f t 0.54 t 2.5 t 170 t 1.4 t 121 f ? other negative)
      (59 M t f f f f f f f f f f f f f t 5.2 f ? t 119 t 0.93 t 127 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 4.1 t 1 t 89 t 0.91 t 98 f ? SVI negative)
      (64 F f f f f f f f t f f f f f f t 0.82 f ? t 125 t 1.01 t 124 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 0.7 t 2.1 t 98 t 0.99 t 100 f ? SVI negative)
      (49 F f f f f f f f f f f f f f f t 1.2 t 1.8 t 109 t 1.04 t 104 f ? SVI negative)
      (37 F f f f f f t f f t f f t f f t 0.57 t 2.6 t 159 t 1.39 t 114 f ? SVI negative)
      (79 F f f f f f f f f f f f f f f t 0.84 t 0.8 t 94 t 0.86 t 109 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 4.4 t 2.3 t 118 t 1.17 t 101 f ? other negative)
      (43 F f f f f f f t f t f f f f f t 3.5 t 1.7 t 99 t 1.14 t 87 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 0.15 t 5.1 t 167 t 1 t 168 f ? other negative)
      (59 F t f f f f f f f f f f f f f t 1.1 f ? t 141 t 1.17 t 120 f ? other negative)
      (51 F t f f f f f f f f f f f f f t 1.4 f ? t 151 t 1.06 t 142 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 4 t 1.9 t 69 f ? f ? f ? other negative)
      (29 F t f f f f f f f f f f f f f t 1.7 f ? t 141 t 1.25 t 113 f ? other negative)
      (57 F f f f t f f f f f f f f f f t 1.2 t 1.4 t 118 t 1.02 t 116 f ? SVI negative)
      (68 M f f f f f f f t f f f f f f t 0.96 f ? t 104 t 1 t 104 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 8.1 t 1.8 t 59 t 0.96 t 61 f ? other primary_hypothyroid)
      (65 M f f f f f f f f f f f f f f t 0.2 t 1.9 t 134 t 0.98 t 137 f ? SVI negative)
      (42 F f f f f t f f f t f f f f f t 0.02 t 4 t 200 t 1.56 t 128 f ? STMW negative)
      (53 F t f f f f f f f f f f f f f t 0.005 t 3.4 t 201 t 1.08 t 186 f ? other negative)
      (23 M f f f f f f f f f f f f f f t 1.8 t 1.9 t 77 t 0.79 t 97 f ? SVHC negative)
      (73 F f f f f f f f f f f f f f f t 1.9 t 2.2 t 134 t 1.18 t 114 f ? other negative)
      (16 F f f f f f f f t f f f f f f t 6.2 f ? t 108 t 1.14 t 94 f ? other compensated_hypothyroid)
      (21 F f f t f f f f f f f f f f f t 1.3 t 1.8 t 95 t 0.96 t 99 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 3.6 t 7 t 141 t 1.77 t 80 f ? SVHC negative)
      (59 M f f f f f f f t f f f f f f t 5.5 t 0.7 t 77 t 0.74 t 104 f ? SVI negative)
      (72 M f f f f f f f f f f f f f f t 0.8 t 1.8 t 93 t 0.79 t 117 f ? SVHC negative)
      (26 F f f f f f f f f t f f f f f t 1.2 t 2.5 t 114 t 1.09 t 104 f ? STMW negative)
      (72 F f f f f f f f f f f f f f f t 0.34 t 1.4 t 100 t 0.8 t 124 f ? SVHC negative)
      (63 M t f f f f f f t f f f f f f t 8.1 f ? t 82 t 0.69 t 119 f ? other negative)
      (32 M f f f f f f f f f f f f f f f ? f ? t 134 t 1.29 t 104 f ? other negative)
      (30 F f f f f t f f f f f f f f f t 0.71 t 3.1 t 125 t 1.39 t 90 f ? STMW negative)
      (28 F f f t f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (6 F f f f f f f f f f f f f f f t 1.4 t 2 t 134 t 0.96 t 140 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 0.16 f ? f ? f ? f ? f ? SVHD negative)
      (48 ? f f f f f f f f f f f f f f t 3.1 t 2.5 t 90 t 1.03 t 88 f ? STMW negative)
      (46 F f f f f f f f f t f f f f f t 0.15 t 5.3 t 233 t 0.92 t 253 f ? other negative)
      (26 F f f f f f f f f f f f t f f t 0.43 t 4.1 t 123 t 1.48 t 83 f ? STMW negative)
      (47 M f f f f f f f f f f f f f f t 0.3 t 2.1 t 99 t 0.85 t 117 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f t 0.15 t 2.8 t 84 t 0.99 t 86 f ? other negative)
      (71 M f f f f f f f t f f f f f f t 38 t 0.4 t 37 t 0.74 t 50 f ? SVI primary_hypothyroid)
      (72 F f f f f f f f f f f f f f f t 2.3 t 2.6 t 111 t 1.06 t 105 f ? other negative)
      (52 F t f f f f f f f f f f f f f t 44 t 2.5 t 66 t 1.22 t 54 f ? other primary_hypothyroid)
      (23 F f f f f f f f f t f f f f f t 0.015 t 4 t 204 t 0.84 t 242 f ? other negative)
      (73 F t f f f f f f f f f f f f f t 3.5 t 1.6 t 143 t 1.06 t 134 f ? other negative)
      (62 ? f f f f f f f f f f f f f f t 1.3 t 1.5 t 96 t 0.88 t 109 f ? SVHC negative)
      (51 F f f f f f f f f f f f f f f t 2 t 1.8 t 68 t 0.79 t 86 f ? SVI negative)
      (57 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (31 F f f f f f f f f f f f f f f t 1 t 2.2 t 124 f ? f ? f ? other negative)
      (62 F f f f f f f f f f f f f f f t 0.8 t 1.3 t 110 t 1.12 t 98 f ? other negative)
      (30 F f f f f f f f f f f f t f f t 0.3 t 1.8 t 117 t 0.97 t 121 f ? SVI negative)
      (25 M f t f f f f f f t f f f f f t 0.25 t 3.4 t 101 f ? f ? f ? other negative)
      (43 F t f f f f f f f f f f f f f t 0.2 f ? t 134 t 1.03 t 131 f ? other negative)
      (60 M t f f f f f f f f f f f f f t 0.35 t 1.6 t 98 t 0.75 t 131 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 0.54 t 1.7 t 90 t 0.83 t 109 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.1 t 2 t 192 t 1.02 t 188 f ? SVI negative)
      (74 M f f f f f f f t f f f f f f t 1.4 f ? t 123 t 1.57 t 79 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 1.5 t 1.4 t 90 t 0.97 t 92 f ? SVI negative)
      (24 F t f f f f f f f f f f f f f t 4.5 f ? t 166 t 1.59 t 104 f ? other negative)
      (48 M f f f f f f f f f f f f f f t 1.8 t 2.3 t 89 t 0.83 t 107 f ? other negative)
      (55 F f f f f f f f f f f f f f f t 0.13 t 1 t 102 t 0.82 t 124 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f f ? f ? t 91 t 0.91 t 100 f ? other negative)
      (35 F t f f f f f f f f f f f f f t 0.05 f ? t 129 t 1.01 t 128 f ? other negative)
      (18 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (66 M f f f f f f f f f f f f f f t 1.3 t 0.3 t 64 t 0.66 t 96 f ? SVI negative)
      (41 M f f f f f f f f f f f f f f t 0.05 t 3 t 90 t 0.96 t 94 f ? SVHC negative)
      (32 F f f f f f f f f f f f f f f t 0.05 t 3.1 t 206 t 1.59 t 129 f ? other negative)
      (27 M f f f f f f f f f f f f f t t 0.85 t 2.3 t 141 t 1.14 t 125 f ? SVHC negative)
      (54 F f f f f f f f f f f f f f f t 1.9 t 2 t 88 t 0.95 t 92 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 5.6 t 2.2 t 99 t 1.02 t 97 f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 0.75 t 1.8 t 114 t 1.01 t 113 f ? other negative)
      (72 M f f f f f f f f f f f f f f t 0.67 t 1.8 t 99 t 0.98 t 101 f ? SVI negative)
      (69 M f f f f f f f f f f f f f f t 0.25 t 1.6 t 86 t 0.7 t 123 f ? SVI negative)
      (57 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (60 F f f f f f f f f f f f f f f t 1.5 t 1.9 t 72 t 1.06 t 68 f ? SVHC negative)
      (48 M f f f f f f f f f f f f f f t 0.05 t 0.4 t 98 t 0.73 t 133 f ? SVI negative)
      (22 M f f f f f f f f f f f f f f t 3.7 t 2.1 t 83 t 0.82 t 101 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 5 t 2.2 t 115 t 1.02 t 114 f ? other negative)
      (28 F f f f f f f f t f f f f f f t 3.2 t 1.3 t 96 t 0.9 t 107 f ? other negative)
      (44 M f f f f f f f f f f f t f f t 0.015 f ? t 135 t 0.82 t 166 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 9.9 t 0.7 t 111 t 0.92 t 120 f ? SVI compensated_hypothyroid)
      (62 F f f f f f f f f f f f f f f t 1.2 t 2.1 t 134 t 1.06 t 127 f ? SVI negative)
      (59 F t f f f f f f f f f f f f f t 0.2 t 2.8 t 142 t 0.99 t 143 f ? other negative)
      (50 M f f f f f f f f f f f f f f t 0.4 t 2.8 t 94 t 0.88 t 106 f ? SVHC negative)
      (59 M f f f f f f f f f f f f f f t 0.78 t 2 t 70 t 0.76 t 92 f ? other negative)
      (50 M f f f f f f f f f f f f f f t 0.67 t 2.6 t 85 t 0.89 t 96 f ? SVHC negative)
      (65 F f f f f f f f t f f f f f f t 0.36 t 2.4 t 128 t 1.01 t 127 f ? SVI negative)
      (52 M f f f f f f f f f f f f f f t 3.3 t 1.5 t 111 t 0.98 t 114 f ? SVI negative)
      (74 F t f f f f f f f f f f f f f t 3.7 t 2.2 t 99 t 1.04 t 96 f ? other negative)
      (26 F f f f f f f f f f f f f f f f ? t 1.9 t 92 t 1 t 92 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 1 t 2.2 t 79 t 0.7 t 114 f ? SVI negative)
      (39 M f f f f f f f f f f f f f t t 0.05 t 2.3 t 95 t 0.89 t 106 f ? SVHC negative)
      (45 F f f f f f f f f t f f f f f f ? t 1.3 f ? f ? f ? f ? other negative)
      (65 M f f f f f f f f f f f f f f t 103 t 1.3 t 31 f ? f ? f ? SVI primary_hypothyroid)
      (71 M f f f f f f f f f f f f f f t 1.8 t 1.5 t 139 t 1.03 t 135 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 2.1 t 1.7 t 96 f ? f ? f ? other negative)
      (42 M f f f f f f f f f f f f f f t 6.8 t 1.2 t 44 t 0.87 t 51 f ? other primary_hypothyroid)
      (18 F f f f f f f f f f f f f f f t 0.9 t 3 t 143 t 1.32 t 108 f ? other negative)
      (32 F f f f f f f f f f f f f f f t 0.05 t 1.4 t 139 t 0.88 t 157 f ? SVI negative)
      (61 F f f f t f f f f f f f f f f t 9.8 t 0.4 t 81 t 0.64 t 126 f ? SVI compensated_hypothyroid)
      (63 F f f f f f f f t f f f f f f t 2.6 t 1.3 t 128 t 1.07 t 120 f ? SVI negative)
      (72 M f f f f f f f f f f f f f f f ? f ? t 108 t 1.02 t 106 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 2 t 2.5 t 133 t 1.08 t 123 f ? SVHC negative)
      (57 F f f f f f f f f f f f f f f t 2.2 f ? t 100 t 1 t 100 f ? other negative)
      (61 M f f f t f f f f f f f f f f t 1.8 t 2.3 t 89 t 0.85 t 105 f ? other negative)
      (63 F t f f f f f t f f f f f f f t 2.9 t 1.6 t 101 f ? f ? f ? other negative)
      (64 F f f f f f f f f f f f f f f t 0.09 t 1 t 101 t 0.82 t 123 f ? SVI negative)
      (16 F f f f f f f f f f f f f f f t 1.1 t 2.2 t 90 t 0.98 t 92 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 0.035 f ? t 113 t 0.85 t 133 f ? other negative)
      (56 F f f f f f f f t f f f f f f t 1.5 f ? t 103 t 1.07 t 97 f ? SVI negative)
      (16 F f f f f f f f f f f f f f f f ? t 5 t 164 t 1.26 t 130 f ? other negative)
      (40 F f f f f f f f f f f f f f f t 0.7 t 1.8 t 96 t 0.94 t 101 f ? other negative)
      (66 F t f f f f f f f f f f f f f t 0.2 t 2.5 t 142 t 1.25 t 113 f ? other negative)
      (33 M f f f f f f f f f f f f f t t 1 t 2.2 t 84 t 0.84 t 100 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f t 7 f ? t 112 t 1.08 t 103 f ? other compensated_hypothyroid)
      (60 M f f f f f f f f f f f f f f t 0.3 t 1.8 t 114 t 1 t 114 f ? SVI negative)
      (63 M f f f f f f f f f f t f f f t 0.78 t 1.9 t 85 t 1.1 t 77 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 0.8 t 1.8 t 82 t 0.77 t 107 f ? other negative)
      (26 M f f f f f f f f f f f f f f t 0.17 t 0.9 t 122 f ? f ? f ? SVI negative)
      (62 F f f f f f f f f f f f f f f t 0.81 t 2.3 t 109 t 1.18 t 93 f ? SVI negative)
      (16 F f f f f f f f f t f f f f f t 0.05 t 6.2 t 255 t 1.04 t 244 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 2.4 t 1.3 t 72 t 0.9 t 80 f ? other negative)
      (75 M f f f f f f f f f f f f f f t 2.3 t 2.6 t 90 t 0.99 t 91 f ? other negative)
      (29 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (36 F f f f f f f f t f f f f f f t 2.3 f ? t 125 t 0.93 t 135 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 1.4 f ? t 95 t 0.86 t 111 f ? other negative)
      (52 F f f f f f f f f f f f f f f t 5.1 t 1.4 t 117 t 1.02 t 114 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.71 t 1.7 t 102 t 1.12 t 92 f ? SVI negative)
      (59 F f f f f f f f f t f f f f f f ? t 2.3 t 98 t 1.08 t 91 f ? other negative)
      (56 F t f f f f t f f f f f f f f t 1.1 t 2.2 t 103 t 0.9 t 114 f ? other negative)
      (63 M t f f f f f f f f f f f f f t 0.15 f ? t 79 t 0.81 t 97 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 2.2 t 2.6 t 84 t 0.98 t 86 f ? other negative)
      (79 M f f t f f f f f f f f f f f t 0.02 t 2.4 t 99 t 0.73 t 135 f ? other negative)
      (44 M f f f f f f f f f f f f f f t 16 f ? t 87 t 0.91 t 95 f ? other compensated_hypothyroid)
      (24 F f f f f f f f f f f f f f f t 3.2 t 2.8 t 91 f ? f ? f ? other negative)
      (71 ? f f f f f f f f f f f f f f t 0.02 t 1 t 120 t 0.56 t 213 f ? SVI negative)
      (66 F f f f f f f t f t f f f f f t 0.2 t 1.8 t 91 t 1.12 t 81 f ? other negative)
      (72 F f f f t f f f f f f f f f f t 0.7 t 1.4 t 110 t 0.88 t 124 f ? SVI negative)
      (80 F f f f f f f f f f f f t f f t 0.005 t 2.7 t 101 t 0.84 t 121 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 0.6 f ? f ? f ? f ? f ? other negative)
      (40 F f f f f f f f f f f f f f f t 0.73 t 2 t 121 t 1.02 t 118 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 2 t 2.5 t 79 t 0.86 t 92 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 0.92 f ? t 162 t 1.07 t 152 f ? other negative)
      (64 F t f f t f f f f f f f f f f t 0.24 t 1.4 t 65 t 0.85 t 77 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 1.4 f ? t 119 t 1.12 t 106 f ? other negative)
      (36 M f f f f f f f f f f f f f f f ? f ? t 95 t 0.76 t 125 f ? other negative)
      (64 F f f f f f f f f f f f f f f t 3.2 t 1.5 t 106 t 0.91 t 117 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 1 t 1.6 t 76 t 0.81 t 94 f ? SVI negative)
      (35 F f f f f f f f f f f f f f f t 2.1 t 2.2 t 106 t 0.91 t 117 f ? SVI negative)
      (44 F f f f f f f f f f f f f f f t 2.3 f ? t 88 t 1.05 t 83 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 11 t 2.6 t 109 t 1.06 t 103 f ? SVHD compensated_hypothyroid)
      (66 F f f f f f f f f t f f f f f t 0.065 t 2 t 153 t 0.99 t 154 f ? other negative)
      (34 F f f f f f f f f f f f f f f f ? f ? t 178 t 1 t 178 f ? other negative)
      (77 F t f f f f f f f f f f f f f t 0.25 t 1.7 t 113 t 0.94 t 120 f ? other negative)
      (43 M f f f f f f f f f f f f f t t 3.9 t 1.5 t 58 t 0.59 t 99 f ? SVHC negative)
      (77 F f f f f f f f f f f f f f f t 6.2 t 1.2 t 89 t 0.74 t 121 f ? SVI compensated_hypothyroid)
      (71 F f f f f f f f f t f f f f f t 0.02 t 1.8 t 143 t 0.87 t 164 f ? SVHC negative)
      (31 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (34 M f f f f f f f f t f f f f f t 0.08 t 2.1 t 99 t 0.87 t 113 f ? other negative)
      (40 M f f f f f f f t f f f f f f t 0.47 f ? t 89 t 0.89 t 100 f ? other negative)
      (71 M f f f f f f f f f f f f f f t 0.46 t 1.4 t 85 t 1.12 t 77 f ? SVI negative)
      (25 F f f f t f f f f f f f f f f t 1.4 t 1.6 t 78 t 0.88 t 89 f ? SVHD negative)
      (59 F f f f t f f f f f f f f f f t 4.3 t 1.1 t 70 t 1 t 70 f ? SVI negative)
      (26 F f f f f f t f f t f f f f f t 11 f ? t 89 t 1.04 t 86 f ? other negative)
      (13 M f f f f f f f f f f f f f f t 0.2 f ? t 67 t 0.93 t 72 f ? other negative)
      (82 F f f f f f f f f f f f f f f t 0.2 t 0.1 t 50 t 0.31 t 161 f ? SVI negative)
      (61 M f f f t f f f f f f f f f f t 2 t 1.7 t 107 t 0.99 t 107 f ? SVI negative)
      (41 M f f t f f f f f t f f f f f t 0.005 t 2.2 t 64 t 0.94 t 69 f ? other negative)
      (63 F f f f f f f f f f t f f f f t 2.8 t 2 t 93 t 1.04 t 89 f ? SVHC negative)
      (79 F f f f f f f f f f f f f f f t 5.6 t 1.5 t 94 t 1.02 t 92 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f t 5 f ? t 101 t 0.88 t 115 f ? other negative)
      (23 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (43 M f f f f f f f f f f f f f f t 3.3 t 2.5 t 70 t 0.93 t 75 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 2.8 t 2.4 t 112 f ? f ? f ? other negative)
      (74 F f f f f f f f f f f f f f f t 1.7 t 1.4 t 75 t 0.74 t 101 f ? SVI negative)
      (24 M f f f f f f f f f f f f f t t 0.77 t 2.8 t 110 t 0.91 t 121 f ? SVHC negative)
      (58 F t f f f f f f f f f f f f f t 5.6 t 2.1 t 94 t 1.01 t 93 f ? other negative)
      (39 F f f f f f f f t f f f f f f t 2.2 t 1.9 t 98 t 0.88 t 110 f ? other negative)
      (29 F t f f f f f f f f f f f f f t 7 f ? t 98 t 0.85 t 114 f ? other negative)
      (34 F f f t f f f f f f f f f f f t 0.2 t 2.8 t 160 t 1.51 t 106 f ? STMW negative)
      (75 F t f f f f f f f f f f f f f t 0.005 t 3.6 t 184 t 1.14 t 162 f ? other negative)
      (76 F f f f f f f f t f f f f f f t 0.42 t 1 t 115 t 1.11 t 104 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f t 5 t 2.4 t 99 t 1.07 t 93 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 1.9 t 1.7 t 76 t 0.81 t 93 f ? SVI negative)
      (64 M f f f t f f f f f f f f f f t 2.4 t 2 t 101 t 0.94 t 107 f ? SVHD negative)
      (67 M f f f f f f f f f f f f f f t 0.97 t 1.8 t 102 t 0.92 t 111 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (65 M f f f f f f f f f f f f f f t 1.3 t 1.5 t 110 t 0.8 t 137 f ? SVI negative)
      (48 M f f f f f f f f f f f f f f t 2.1 t 1.6 t 96 t 0.79 t 122 f ? SVI negative)
      (19 M f f f f f f f f f f f f f f t 0.2 t 2.3 t 91 t 0.93 t 98 f ? SVHC negative)
      (33 F t f f f f f f f f f f f f f t 0.01 f ? t 132 t 0.87 t 152 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 2.2 t 1.6 t 129 t 1.22 t 106 f ? SVI negative)
      (40 F f f f f f f f f f f f t f f t 12 t 2.1 t 81 t 1.09 t 74 f ? other compensated_hypothyroid)
      (34 F f f f f t f f f f f f f f f t 0.05 t 4.2 t 213 t 1.94 t 110 f ? STMW negative)
      (70 F f f f f f f f f f f f f f f t 2.2 t 1.8 t 87 t 1.16 t 75 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.58 t 2.2 t 92 t 0.96 t 96 f ? SVI negative)
      (18 F f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (64 F f f f f f f f t f f f f f f t 2.9 f ? t 121 t 1 t 121 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 11.1 t 1.3 t 88 t 1.06 t 83 f ? other compensated_hypothyroid)
      (66 F f f f f f f f t f f f f f f t 2.1 t 2 t 128 t 1.04 t 123 f ? SVI negative)
      (53 M f f f f f f f f f f f f f f t 1 t 2.1 t 74 t 0.9 t 83 f ? SVI negative)
      (30 F f f f f f f f f f f t f f f f ? t 1.8 t 89 t 1.05 t 85 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 4.2 t 2.8 t 134 t 1.26 t 107 f ? other negative)
      (61 F t f f f f f f f f f f f f f t 2.8 t 1.7 t 96 t 0.83 t 116 f ? other negative)
      (53 F f f f f f f f f t f f f f f t 0.02 t 4.3 t 250 t 1.01 t 247 f ? other negative)
      (38 M t f f f f f f f f f f f f f t 0.2 t 2 t 78 t 0.85 t 92 f ? SVI negative)
      (25 F f f f t f f f f f f f t f f t 0.1 t 1.7 t 92 t 0.89 t 103 f ? other negative)
      (64 M f f f f f f f f f f f f f f t 2.6 t 1.7 t 85 f ? f ? f ? other negative)
      (53 M f f f f f f f f f f f f f f f ? f ? t 116 t 0.95 t 122 f ? other negative)
      (54 ? f f f f f f f f f f f f f f t 5.4 t 1.5 t 102 t 0.96 t 106 f ? SVI negative)
      (76 F f f f f f f f f f f f f f f t 5.6 t 1 t 143 t 0.83 t 173 f ? SVI negative)
      (26 M f f f f f f f f f f f f f f t 2.9 t 1.7 t 129 t 1.1 t 116 f ? SVI negative)
      (72 F f f t f f f f f f f f f f f t 0.005 t 2.6 t 82 t 0.89 t 93 f ? other negative)
      (37 F f f f f f f f t f f f f f f t 27 t 0.9 t 87 t 0.84 t 105 f ? other compensated_hypothyroid)
      (59 F f f f f f f f f f f f f f f t 0.04 t 2.5 t 161 t 0.83 t 195 f ? other negative)
      (67 F t f f f f f f f f f f f f f t 0.035 f ? t 124 t 1.04 t 119 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 2.3 t 2 t 109 t 1 t 109 f ? other negative)
      (33 F f f f f f f f f f f t f f f t 0.08 f ? t 126 t 1 t 126 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 2.6 t 2.8 t 82 t 0.89 t 93 f ? SVHC negative)
      (36 F f f f f f f f f f f f f f f t 8.6 t 3.7 t 131 t 1.65 t 79 f ? SVI compensated_hypothyroid)
      (70 F f f f f f f f f t f f t f f t 0.005 t 3.5 t 194 t 0.9 t 215 f ? other negative)
      (38 F t f f f f t f f f f f f f f t 0.035 t 1.8 t 130 t 0.87 t 150 f ? other negative)
      (33 F f f f f f f f f t f f f f f f ? t 2.3 t 110 t 1.01 t 109 f ? other negative)
      (36 M f f f f f f f f f f f f f f t 1.5 t 3.3 t 132 t 1.21 t 110 f ? SVHC negative)
      (46 F f f f f f f f f f f f f f f t 1.9 t 2 t 106 t 1.01 t 104 f ? SVHC negative)
      (29 ? f f f f f f f f f f f f f f t 1 t 1.2 t 84 t 0.67 t 125 f ? other negative)
      (35 M f f f f f f f f f f f f f f t 0.26 t 1 t 57 t 0.89 t 64 f ? SVI negative)
      (24 F f f f f f f f f f f f f f f t 0.85 t 3 t 121 t 1.25 t 97 f ? STMW negative)
      (87 F f f f f f f f f f f f f f f t 15 t 4.5 t 239 t 2.12 t 113 f ? other negative)
      (13 M f f f f f f f f f f f f f f f ? t 2.1 t 82 t 0.88 t 93 f ? other negative)
      (73 F f f f f f f f f t f f f f f t 3.9 t 2.1 t 130 t 1.11 t 116 f ? SVHD negative)
      (57 M f f f f f f f f f f f f f f t 1.4 f ? t 82 t 1.07 t 77 f ? other negative)
      (67 F t f f f f f f f f f f f f f t 1.3 t 2.4 t 87 t 1.09 t 80 f ? other negative)
      (67 M f f f f f f f f f f f f f f t 0.8 t 2.3 t 104 t 1.04 t 100 f ? SVI negative)
      (59 F f f f f f f f f f f f f f t t 1.3 t 3.2 t 149 t 1.17 t 127 f ? SVHC negative)
      (54 F t f f f f f f f f f f f f f t 4 t 2 t 110 t 0.99 t 111 f ? other negative)
      (46 M f f f f f f f f f f f f f f t 1.4 t 1.5 t 97 t 0.94 t 104 f ? other negative)
      (40 F f f f f f f f f f f f f f f t 7.2 t 2.3 t 111 t 0.99 t 112 f ? other compensated_hypothyroid)
      (76 F f f f f f f f t t f f f f f t 39 f ? t 83 t 1.18 t 70 f ? other compensated_hypothyroid)
      (62 M f f f t f f f f f f f f f f t 2.2 t 2.8 t 122 t 1.13 t 109 f ? SVI negative)
      (74 M f f f f f f f t f f f f f f t 3.4 t 1 t 102 t 0.9 t 114 f ? SVI negative)
      (73 F f f f f f f f t f f f f f f t 1.7 t 1.8 t 198 t 1 t 198 f ? other negative)
      (31 F f f f f t f f f f f f t f f f ? t 3 t 158 t 1.01 t 156 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 0.015 t 2 t 71 t 0.89 t 80 f ? SVI negative)
      (76 F f f f f f f f f f f f f f f t 3.1 t 2 t 118 t 1.16 t 102 f ? other negative)
      (51 ? f f f f f f f f f f f f f f t 2.1 t 2 t 96 t 0.95 t 101 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 0.05 t 3.1 t 169 t 1.21 t 140 f ? STMW negative)
      (57 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (39 ? f f f f f f f f t f f f f f t 0.6 t 2 t 114 t 1 t 114 f ? SVI negative)
      (65 M f f f f f f f f f f f f f t t 1.6 t 1.8 t 78 t 0.92 t 85 f ? SVHC negative)
      (67 M f f f f f f f f f f f f f f t 0.1 t 2.1 t 96 t 1.01 t 95 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f t 1.5 t 1.7 t 111 t 0.94 t 118 f ? SVI negative)
      (? F t f f f f f t f f f f f f f t 0.6 t 1.5 t 120 t 0.82 t 146 f ? other negative)
      (64 F f f f f f f f f f f f f f f t 0.08 t 1.3 t 105 t 1.05 t 101 f ? SVI negative)
      (31 M t f f f f t f f f f f f f f t 1.6 f ? t 111 t 1 t 111 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 1.2 t 2.3 t 110 t 1.12 t 98 f ? other negative)
      (14 M f f f f f f f f f f f f f f t 5.1 t 2.8 t 93 t 0.86 t 109 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 1.2 t 2.3 t 104 f ? f ? f ? other negative)
      (62 F f f f f f f f f f f f f f f t 0.4 t 2.2 t 85 t 1.07 t 79 f ? other negative)
      (22 F f f t f f f f f f f f f f f t 2 t 1.9 t 101 t 0.92 t 109 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 1.3 t 1.7 t 104 t 0.96 t 108 f ? other negative)
      (50 F f f f f f t f f f f f f f f t 76 t 0.5 t 22 t 1.12 t 19 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 2.9 t 2.3 t 192 t 1.47 t 130 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 4.1 f ? t 85 t 0.92 t 92 f ? other negative)
      (67 M f f f f f f f f f f f f f f t 1.9 t 1 t 65 t 0.63 t 105 f ? SVI negative)
      (21 F f f f f f f f f f f f f f t t 1.4 t 1.6 t 95 t 0.93 t 102 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f t t 1.5 t 1.6 t 108 t 1.14 t 95 f ? SVHC negative)
      (66 F f f f f f f f f f f f f f f t 4.5 t 0.5 t 83 t 0.77 t 108 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 2 f ? t 118 t 1.22 t 97 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 1.3 t 3.7 t 184 t 1.8 t 102 f ? STMW negative)
      (48 F f f f f f f f f f f f f f f t 2 t 2.7 t 181 t 1.65 t 109 f ? SVI negative)
      (34 F f f f f f f f f f f f f f f t 1.2 t 1.6 t 103 t 0.73 t 142 f ? SVI negative)
      (70 M f f f f f f f f f f f f f f t 0.005 t 1.9 t 103 t 0.95 t 109 f ? SVI negative)
      (35 M f f f f f f f f f f f f f f t 1.9 f ? t 73 t 0.77 t 95 f ? other negative)
      (29 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (41 M t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (64 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (41 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (54 F f f f t f f f t f f f f f f t 0.86 t 1.7 t 98 t 0.96 t 102 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f t 3.6 f ? t 129 t 1.14 t 114 f ? STMW negative)
      (72 F t f f f f f f t f f f f f f t 13 t 1.3 t 106 t 1.31 t 82 f ? SVI negative)
      (59 M f f f f f f f f f f f f f f f ? f ? t 76 t 0.94 t 81 f ? other negative)
      (88 F f f f f f f f f f f f f f f t 3.5 t 1.6 t 94 t 0.944 t 100 f ? SVI negative)
      (26 M f f f f f f f f f f f f f f t 5.7 t 2.1 t 73 t 0.74 t 98 f ? other negative)
      (37 M f f f f f f f f f f f f f f f ? f ? t 98 t 0.83 t 119 f ? other negative)
      (14 M f f f f f f f f f f f f f f t 2.9 t 3.1 t 112 t 1.06 t 106 f ? other negative)
      (76 M f f f f f f f f f f f f f f t 0.3 t 2.3 t 146 t 1 t 146 f ? SVI negative)
      (59 F f f f f f f f f f f f f f f t 0.8 t 2.3 t 94 f ? f ? f ? other negative)
      (62 F f f f f f f f f f f f f f f t 2.3 t 2.3 t 92 t 0.95 t 97 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f t 2.2 t 2.1 t 114 t 0.94 t 121 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 0.8 t 2.5 t 141 t 1.28 t 110 f ? SVHD negative)
      (27 F f f f f f f f f f f f t f f t 1.4 f ? t 78 t 0.86 t 90 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 3.2 t 3.6 t 139 t 1.53 t 91 f ? other negative)
      (18 M f f f f f f f f f f f f f f t 1.3 f ? t 91 t 0.98 t 93 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 1.9 t 1.8 t 84 t 0.91 t 93 f ? SVI negative)
      (25 F f f f f f f f f f f f f f f t 0.3 t 4.1 t 158 t 1.42 t 111 f ? other negative)
      (40 M f f f f f f f f f f f f f f t 0.25 t 2.3 t 134 t 0.84 t 160 f ? SVI negative)
      (73 M f f f f f f f f f f f f f f f ? f ? t 91 t 0.8 t 113 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 2.1 t 2.1 t 141 t 0.85 t 167 f ? SVI negative)
      (51 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (27 F t f f f f f f t t f f f f f f ? t 1.9 f ? f ? f ? f ? other negative)
      (34 M f f f f f f f f f f f f f f t 1.1 t 1.8 t 93 t 0.9 t 103 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 32 t 1.4 t 85 t 1.18 t 71 f ? other negative)
      (74 F f f f t f f f f f f f f f f t 3 t 1.2 t 96 t 0.93 t 103 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (16 M f f f f f f f f f f t f f f t 0.5 t 3.2 t 137 t 1.16 t 119 f ? SVI negative)
      (57 M f f f f f f f f f f f f f f t 0.8 t 1.9 t 109 t 0.78 t 139 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f t 0.05 t 2.6 t 132 t 1.03 t 128 f ? SVI negative)
      (60 F t f f f f f f f f f f f f f t 0.1 f ? t 150 t 0.99 t 151 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.005 t 1.7 t 116 f ? f ? f ? SVI negative)
      (30 ? f f f f f f f f f f f f f f t 0.9 t 1.9 t 76 t 0.83 t 92 f ? other negative)
      (64 M f f f f f f f f f f f f f f t 0.44 t 2.5 t 89 t 0.97 t 92 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 1.5 t 0.8 t 99 t 0.79 t 126 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 2.8 t 2.1 t 84 t 0.87 t 96 f ? other negative)
      (59 F f f f f f f t f f f f f f f t 9.7 f ? t 81 t 0.96 t 84 f ? other compensated_hypothyroid)
      (54 F t f f f f f f f f f f f f f t 0.3 t 2.3 t 134 t 0.82 t 163 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 3.9 t 2.5 t 87 t 1.11 t 78 f ? SVI negative)
      (89 M f f f f f f f f f f f f f f t 0.8 t 0.6 t 101 t 0.73 t 138 f ? SVI negative)
      (54 M f f f f f f f f f f f f f f t 0.7 t 2 t 101 t 1.09 t 92 f ? SVI negative)
      (43 F f f f f f f f f f f f f f f t 2.2 t 2.2 t 93 t 1.17 t 80 f ? other negative)
      (55 F f f f f f f f f t f f f f f t 0.035 t 4.4 t 195 t 0.82 t 237 f ? other negative)
      (76 F f f f f f f f t f f f f f f t 0.9 t 2.2 t 105 t 1.09 t 96 f ? other negative)
      (63 F f f f f f f f t f f f f f f t 6.5 t 0.7 t 86 t 0.72 t 120 f ? SVI compensated_hypothyroid)
      (79 F f f f f f f f f f f f f f f t 2 t 1.2 t 88 t 0.85 t 104 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 126 t 1.3 t 39 t 1.08 t 37 f ? other primary_hypothyroid)
      (84 F f f f f f f f f f f f f f t t 1.4 t 2.5 t 134 t 1.12 t 120 f ? SVHC negative)
      (20 M f f f f f f f f f f f f f f t 0.1 t 1.3 t 77 f ? f ? f ? SVI negative)
      (43 M f f f f f f f f f f f f f f t 0.9 t 2.7 t 109 t 1.1 t 99 f ? other negative)
      (38 F t f f f f f f f f f f f f f t 0.93 t 1.6 t 131 t 1.3 t 101 f ? other negative)
      (26 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (55 F f f f f f f f f f f f f f f t 3.6 t 2 t 96 t 1.1 t 88 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 0.58 t 2.5 t 89 t 0.99 t 89 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 5.8 t 1.8 t 98 t 0.87 t 112 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 0.02 t 2 t 113 t 1.03 t 110 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 0.74 t 2.9 t 100 t 1.06 t 95 f ? other negative)
      (42 F t f f f f f f t f f f f f f t 2.9 f ? t 141 t 1.08 t 131 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 0.1 t 2.5 t 109 t 1.08 t 100 f ? other negative)
      (32 M f f f f f f f f f f f f f f t 1 t 2.9 t 152 t 1.17 t 130 f ? SVHC negative)
      (26 F f f f f f f f f f f f t f f t 6.2 f ? t 86 t 0.9 t 95 f ? other compensated_hypothyroid)
      (24 F f f f f f f f f f f f f f t t 1.3 t 1.8 t 95 t 0.82 t 116 f ? SVHC negative)
      (28 F f f t f f f f f f f f f f f t 3.7 t 2.8 t 100 f ? f ? f ? other negative)
      (32 M f f f f f f f f f f f f f f t 0.7 t 2.9 t 90 t 1.02 t 88 f ? SVHC negative)
      (70 F f f f f f f f f f f f f f f t 1.7 t 1.8 t 167 t 0.88 t 189 f ? SVI negative)
      (73 M t f f f f f f f f f f f f f t 1.4 t 0.8 t 61 t 0.49 t 124 f ? other negative)
      (68 M f f f f f f f f f f f f f f t 1.3 t 2 t 131 t 1.07 t 122 f ? SVI negative)
      (42 F f f f f f f f f f f f f f f t 13 t 1.9 t 61 t 0.82 t 74 f ? SVI compensated_hypothyroid)
      (46 F f f f f f f f f f f f f f f t 0.15 t 3 t 161 t 0.93 t 174 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 12 t 1.7 t 67 t 0.87 t 77 f ? other compensated_hypothyroid)
      (25 F t f f f f f f t f f f f f f t 0.7 f ? t 183 t 1.41 t 130 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 26.4 t 2.3 t 73 t 1.09 t 67 f ? other compensated_hypothyroid)
      (49 M f t f f f f f f f f f f f f t 0.1 t 1.3 t 82 t 1 t 82 f ? SVI negative)
      (58 M t f f f f f f f f f f f f f t 0.22 t 2.6 t 156 t 1.11 t 140 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.15 t 2.8 t 199 t 1.46 t 137 f ? STMW negative)
      (75 F t f f f f f f f f f f f f f t 1.6 t 1.6 t 102 t 0.94 t 109 f ? other negative)
      (57 F f f f f f f f f f f f f f f t 1.9 f ? t 85 t 0.79 t 108 f ? other negative)
      (34 M f f f f f f f f f f f f f f t 1.8 t 2.2 t 78 t 0.77 t 102 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f f t 0.83 f ? t 193 t 1.33 t 144 f ? other negative)
      (42 F f f f f f f f f f f f f f f t 1.9 t 2 t 114 t 1.33 t 86 f ? other negative)
      (36 M f f f f f f f f f f f f f f t 0.25 t 2.5 t 102 t 0.96 t 106 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 4.7 t 1.9 t 96 t 1.12 t 85 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f t 4.3 t 2 t 82 f ? f ? f ? other negative)
      (25 M f f f f f f f f f t f f f f t 2.1 f ? t 101 t 1 t 101 f ? SVHC negative)
      (64 M t f f f f f f f f f f f f f t 1.8 t 1.4 t 117 t 0.97 t 121 f ? other negative)
      (46 F t f f f f f f f f f f f f f t 0.025 t 2.7 t 107 t 0.77 t 139 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 0.93 t 2.1 t 92 t 0.85 t 109 f ? other negative)
      (54 M f f f f f f f f f f f f f f t 3.3 f ? t 147 t 1.07 t 138 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 1.9 t 2.4 t 109 f ? f ? f ? other negative)
      (50 F f f f f f f f f f f f f f f t 2.3 t 2 t 127 t 1.13 t 113 f ? SVI negative)
      (35 F f f f f f f f f f f t f f f f ? f ? t 89 t 1.1 t 81 f ? other negative)
      (58 F t f f f f f f f f f f f f f t 5.4 t 1.6 t 105 f ? f ? f ? other negative)
      (68 ? f f f f f f f f f f f f f f t 26 t 0.3 t 6 t 0.8 t 7.6 f ? other primary_hypothyroid)
      (65 F f f f f f f f f f f f f f f t 1.8 t 2.6 t 121 t 1.05 t 115 f ? other negative)
      (70 F f f f f f f f f t f f f f f t 1 t 1.8 t 112 t 1.06 t 106 f ? SVI negative)
      (78 F f f f f f f f f f f f f f f t 1.3 t 1.9 t 126 t 0.9 t 141 f ? SVI negative)
      (24 F f f f f f f f f f f f f f f t 1.6 t 2.2 t 139 t 1.02 t 136 f ? SVHC negative)
      (60 F f f f f f f f f f f f f f f t 0.035 t 0.3 t 87 t 0.69 t 126 f ? SVI negative)
      (78 F f f f t f f f f f f f f f f t 0.7 t 1.6 t 102 t 1.23 t 83 f ? SVI negative)
      (35 M f f f f f f f f f f f f f f t 1.2 t 2.7 t 137 t 1.19 t 115 f ? SVHC negative)
      (74 F f f f f f f t f f f f f f f t 1.1 t 2.4 t 95 t 1.09 t 86 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 1.5 t 2.4 t 111 t 1.52 t 73 f ? STMW negative)
      (61 M f f f f f f f f f f f f f f t 7.9 t 2.9 t 116 t 1.02 t 114 f ? other compensated_hypothyroid)
      (60 F t f f f f f f f f f f f f f t 0.2 f ? t 159 t 1.07 t 149 f ? other negative)
      (80 F t f f f f f f f f f f f f f t 2.5 t 1.8 t 112 t 0.99 t 113 f ? other negative)
      (56 F f f f f f f t f f f f f f f t 2.7 t 1.5 t 103 t 0.95 t 109 f ? other negative)
      (50 F f f f f f f f f f f f f f f t 2.8 t 2 t 116 t 1.26 t 92 f ? other negative)
      (25 F f f f f f f f f f f f t f f t 0.53 t 1.8 t 107 t 0.93 t 115 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 1.4 t 2 t 130 t 0.93 t 139 f ? SVI negative)
      (49 M f f f f f f f f f f f f f f t 0.5 t 1.8 t 86 t 0.82 t 105 f ? SVHC negative)
      (72 F t f f f f f f f f f f f f f t 0.97 t 2 t 164 f ? f ? f ? other negative)
      (32 M f f f f f f f f f f f f f t t 1.5 t 1.8 t 93 t 0.93 t 100 f ? SVHC negative)
      (34 M f f f f f f f f f f f f f f t 4 t 1.8 t 135 t 1 t 134 f ? SVI negative)
      (47 ? f f f f f f f f f f f f f f t 1.9 t 2.4 t 102 t 1.31 t 78 f ? SVHC negative)
      (39 M f f f f f f f f f f f f f f t 2.3 t 2.5 t 130 t 1.01 t 129 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 2.6 t 2.2 t 80 t 1.07 t 75 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.15 t 0.8 t 90 t 0.77 t 117 f ? SVI negative)
      (67 F f f f f f f f f f f f f f f t 2.1 t 1.4 t 119 t 0.98 t 121 f ? SVI negative)
      (36 M f t f f f f f f f f f f f f t 0.5 f ? t 101 t 0.86 t 117 f ? other negative)
      (14 F f f f t f f f f f f f f f f t 0.78 t 2.2 t 78 t 0.88 t 89 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 1.8 t 2.5 t 114 t 1.11 t 103 f ? SVHC negative)
      (89 F f f f f f f f f f f f f f f t 3.3 t 2.2 t 105 t 0.94 t 112 f ? SVI negative)
      (60 F f f f f f f f f f f f f f f t 1.6 t 2.1 t 112 t 0.98 t 114 f ? other negative)
      (66 M f f f f f f f f f f f f f f t 0.8 t 1.8 t 114 t 0.92 t 124 f ? SVI negative)
      (44 F f f f f f f f f f f f f f f t 1.4 t 2.4 t 112 t 1.01 t 111 f ? other negative)
      (58 F t f f f f f f f f f f f f f t 0.49 f ? t 172 t 1.15 t 150 f ? other negative)
      (57 F t f f f f f f f f f f f f f t 0.2 f ? t 121 t 0.79 t 153 f ? other negative)
      (70 F f f f f f f f f t f f f f f t 0.08 t 2.1 t 136 t 1.07 t 127 f ? other negative)
      (27 M f f f f f f f f f f f f f f t 2.3 t 1.9 t 94 t 1.05 t 89 f ? other negative)
      (69 M t f f f f f t f t f f f f f t 0.3 t 2.6 t 89 t 1.1 t 81 f ? other negative)
      (75 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (42 F f f f f f f f f t f f f f f f ? t 1.1 t 93 t 0.78 t 119 f ? other negative)
      (60 F f f f f f f f f f f f f f f f ? f ? t 116 t 1.06 t 109 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 0.4 t 2 t 113 t 1.03 t 110 f ? other negative)
      (56 ? f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (79 F f f f f f f f f f f f f f f t 1.4 t 1.6 t 121 t 1.13 t 107 f ? other negative)
      (28 M f f f f f f f f f f f f f f t 0.045 t 2.6 t 143 t 1.07 t 134 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.6 t 2.4 t 100 t 1 t 100 f ? SVI negative)
      (42 M f f f f f f f f f f f f f t t 3.1 t 2.1 t 134 t 1 t 135 f ? SVHC negative)
      (74 F f f f t f f f f f f f f f f t 5.4 t 1.4 t 109 t 0.83 t 131 f ? SVI negative)
      (52 F f f f f f f f f t f f f f f t 0.15 t 2.7 t 133 t 1.05 t 127 f ? SVI negative)
      (34 F f f f f f f f f f f f f f f t 0.15 t 2.7 t 96 t 1.05 t 91 f ? other negative)
      (61 F t f f f f f f f f f f f f f t 3.9 t 2.7 t 84 t 1.03 t 81 f ? other negative)
      (83 M f f f f f f f f f f f f f f t 2.3 t 0.9 t 56 t 0.67 t 84 f ? SVHC negative)
      (47 M f f f t f f f f f f f f f f t 1.1 f ? t 94 t 0.97 t 97 f ? SVI negative)
      (49 M f f f f f f f f f f f f f f t 1 t 2.8 t 141 t 1.11 t 127 f ? other negative)
      (78 M f f f f f f f f f f f f f f t 0.71 t 0.5 t 105 t 0.82 t 129 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 0.25 f ? t 119 t 0.92 t 129 f ? other negative)
      (40 M f f f f f f f f f f f f f f t 0.65 t 1.7 t 101 t 0.93 t 109 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 3 t 2.1 t 80 t 0.89 t 91 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 3 t 2.9 t 87 t 1.1 t 79 f ? SVHC negative)
      (61 M f f f t f f f f f f f f f f t 1.1 t 2.2 t 83 t 0.83 t 101 f ? SVHD negative)
      (76 M t f f f f f f t f f f f f f t 1.2 t 2.1 t 81 t 0.94 t 86 f ? other negative)
      (60 F t t f f f f f f f f f f f f f ? t 1.7 t 75 t 1.03 t 72 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 0.31 f ? t 146 t 1.04 t 141 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 9.2 t 2.2 t 72 t 1.08 t 66 f ? other compensated_hypothyroid)
      (68 F f f f f f f f f f f f f f f t 3.7 t 1.9 t 67 t 0.95 t 72 f ? SVI negative)
      (39 F f f f f f f f f f f f f f f t 0.15 t 1.6 t 74 t 0.89 t 83 f ? SVI negative)
      (63 ? f f f f f f f f f f f f f f t 7.7 t 1.9 t 89 t 1.04 t 85 f ? SVI compensated_hypothyroid)
      (27 F f t f f t f f f f f f f f f f ? t 4 t 187 t 1.88 t 100 f ? other negative)
      (61 M f f f f f f f f f f f f f f t 1.2 f ? t 93 t 0.94 t 98 f ? SVI negative)
      (38 M f f f f f f f f f f f f f f t 0.1 t 1.5 t 106 t 0.79 t 134 f ? SVI negative)
      (65 F f f f f f f f t f f f f f f t 0.5 f ? t 90 t 1.09 t 83 f ? other negative)
      (61 F t f f f f f f f f f f f f f t 0.25 f ? t 87 t 0.79 t 109 f ? other negative)
      (53 M f f f f f f f f f f f f f f t 5.2 t 2 t 88 t 1.04 t 85 f ? SVI negative)
      (74 F t f f f f f f t f f f f f f t 21 t 1.8 t 126 t 1.18 t 107 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.8 t 2 t 109 t 0.85 t 129 f ? SVI negative)
      (58 M f f f f f f f f f f f f f f t 0.6 t 2 t 107 t 0.95 t 113 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 2.2 t 1.8 t 92 f ? f ? f ? other negative)
      (49 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (36 M f f f f f f f f f f f f f f t 0.74 t 1.5 t 72 t 0.5 t 145 f ? SVHC negative)
      (84 F f f f f f f f f f f f f f f t 0.7 t 1.6 t 70 t 0.93 t 75 f ? SVI negative)
      (47 M f f f f f f f f f f f f f f t 3.3 t 1.8 t 91 t 0.92 t 99 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 2.9 t 2.2 t 146 t 1.48 t 98 f ? SVI negative)
      (73 F f f f f f f f f t f f f f f t 2.5 t 2 t 134 t 1.17 t 115 f ? SVHD negative)
      (26 F f f f f f f f f f f f f f f t 1.4 f ? t 106 t 1.28 t 84 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 2.2 t 1.6 t 84 t 0.91 t 92 f ? other negative)
      (11 F f f f f f f f f f f f f f f f ? f ? t 89 t 0.89 t 100 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 1.7 f ? f ? f ? f ? f ? other negative)
      (37 F f f f f f f f f f f f f f f t 12 t 2.4 t 84 t 1.24 t 68 f ? STMW compensated_hypothyroid)
      (32 F f f f f f f f f f f f f f f t 2.4 f ? t 59 t 0.5 t 119 f ? other negative)
      (24 F f f f f f f f t f f f f f f t 1.4 t 2.3 t 73 t 1.09 t 67 f ? other negative)
      (42 M f f f f f f f f f f f f f f t 1.3 t 1.7 t 84 t 0.63 t 133 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 0.88 t 0.3 t 46 t 0.58 t 79 f ? SVI negative)
      (71 F t f f f f f f f f f f f f f t 3.6 t 1.7 t 89 t 1.04 t 86 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 1.9 t 1.3 t 109 t 1.04 t 105 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 0.4 t 2.4 t 102 t 1.12 t 92 f ? other negative)
      (70 M f f f f f f f f f f f f f f t 0.9 t 2.6 t 92 t 0.89 t 103 f ? other negative)
      (46 F f f f f f f t f f f f f f f t 5 t 2 t 107 t 1.14 t 94 f ? other negative)
      (72 F t f f f f f f f f f f f f f t 2.9 t 1.2 t 174 f ? f ? f ? other negative)
      (83 ? f f f f f f f f t f f f f f t 1.7 t 1.5 t 97 t 0.98 t 99 f ? other negative)
      (59 F f f f f f f f f f f f t f f t 0.05 t 3.6 t 94 t 1.02 t 92 f ? SVI negative)
      (36 F f f f f f f f f f f f f f t t 0.25 t 1.7 t 83 t 0.92 t 90 f ? SVHC negative)
      (77 F f f f f f f f f f f f f f f t 2.3 t 1.7 t 92 t 0.96 t 96 f ? other negative)
      (26 M f f f f f f f f f f t f f f t 2.2 t 2.9 t 85 t 1.08 t 79 f ? other negative)
      (40 M f f f f f f f f f f f f f f t 0.05 t 2.5 t 131 t 0.91 t 144 f ? SVI negative)
      (57 M f f f f f f f f f f f f f f t 0.8 f ? t 82 t 0.99 t 83 f ? SVHC negative)
      (44 M f f f f f f f f f f f f f f t 0.6 t 2.7 t 107 t 0.86 t 125 f ? SVI negative)
      (41 F f f f f f f f f f f f f f t t 0.3 t 1.9 t 117 t 1.08 t 108 f ? SVHC negative)
      (25 ? f f f f f f f t f f f f f f t 36 t 4.5 t 162 t 1.15 t 142 f ? STMW negative)
      (54 F t f f f f f f f f t f f f f t 0.94 t 1.3 t 78 t 1.12 t 70 f ? SVHC negative)
      (46 F f f f f f f f f f f f f f t t 1.7 t 2.3 t 136 t 1.07 t 127 f ? SVHC negative)
      (62 ? f f f f f f f f f f f f f f t 2.2 t 2 t 117 t 0.8 t 145 f ? other negative)
      (70 F t f f f f f f f f f f f f f t 8.5 f ? t 127 t 1.05 t 121 f ? other negative)
      (48 F t f f f f f f t f f f f f f t 178 t 1 t 63 t 1.08 t 59 f ? other primary_hypothyroid)
      (51 F f f f f f f f f f f f f f f t 0.02 t 3.3 t 200 t 1 t 200 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 0.25 t 2.2 t 81 t 0.9 t 90 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 0.6 t 1.9 t 92 t 1.05 t 88 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 9.7 t 1.1 t 77 t 0.79 t 97 f ? SVI compensated_hypothyroid)
      (67 F f f f f f f f f f f f f f f t 1.7 t 1.9 t 103 t 0.99 t 104 f ? other negative)
      (67 M f f f f f f f f f f f f f f t 0.67 t 1.8 t 80 t 0.86 t 93 f ? SVI negative)
      (18 M f f f f f f f f f f f f f f f ? f ? t 95 t 0.93 t 102 f ? other negative)
      (75 F f f f f t f f f f f f f f f t 0.46 t 2.9 t 139 t 1.53 t 91 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.75 t 1.6 t 100 t 0.93 t 107 f ? other negative)
      (53 M t f f f f f f f f f f f f f t 1.5 t 2.8 t 130 t 1.01 t 128 f ? other negative)
      (70 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (17 F f f f f f t f f f f f f f f t 145 t 1.2 t 36 t 1.5 t 24 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 1.7 t 2.7 t 130 f ? f ? f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.7 t 2 t 116 t 0.99 t 117 f ? other negative)
      (75 F f f f f f t f f f f f f f f t 0.83 t 1.9 t 116 t 0.99 t 117 f ? SVI negative)
      (41 M f f f f f f f f f f f f f f t 2 t 2.8 t 110 t 1.14 t 97 f ? SVI negative)
      (76 ? f f f f f f f f f f f f f f t 2 t 3.7 t 142 t 1.13 t 126 f ? SVI negative)
      (71 ? f f f f f f f f f f f f f t t 1.1 t 2.4 t 122 t 1.12 t 109 f ? other negative)
      (72 M f f f f f f t f f f f f f f t 5.7 t 1.4 t 92 t 0.99 t 93 f ? other negative)
      (30 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (35 M f f f f f f f f f f f f f f t 0.97 t 2.4 t 81 t 0.75 t 109 f ? other negative)
      (29 M f f f f f f f f f f f f f f t 0.2 t 2.2 t 89 t 0.99 t 90 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 2.6 t 1.7 t 66 t 0.75 t 88 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 0.2 t 1.6 t 90 t 0.97 t 93 f ? SVI negative)
      (53 M f f f f f f f f f f f f f f t 1.9 t 2.6 t 118 t 1.1 t 107 f ? SVI negative)
      (27 F f f f f f f f f t f f f f f t 2 t 2.5 t 90 t 1.06 t 85 f ? STMW negative)
      (22 F f f t f f f f f f f f f f f t 2.4 t 1.7 t 103 t 1 t 103 f ? other negative)
      (38 ? f f f f f f f f f f f f f f t 5.8 t 2 t 102 t 1.16 t 89 f ? other negative)
      (90 M f f f f f f f f f f f f f f t 5.7 t 1.6 t 89 t 0.91 t 98 f ? other negative)
      (22 F f f f f f f f f t f f f f f t 2.3 t 3.6 t 148 t 1.42 t 104 f ? other negative)
      (33 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (31 F f f f f f f f f f f f f f f t 3.4 f ? t 79 t 0.95 t 83 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 3.2 t 1.8 t 95 t 1.09 t 87 f ? SVHC negative)
      (49 F f f f f f f f t f f f f f f t 8.3 t 0.9 t 103 t 1.11 t 93 f ? SVI compensated_hypothyroid)
      (28 F f f f f f f f f f f f f f f t 47 t 0.2 t 2 t 0.84 t 2 f ? other primary_hypothyroid)
      (59 M f f f f f f f f f f f f f t t 1 t 1.4 t 83 t 0.86 t 96 f ? SVHC negative)
      (58 M f f f f f f f f f f f f f f t 1.3 t 2.3 t 77 f ? f ? f ? other negative)
      (77 F f f f f f f f t f f f f f f t 36 f ? t 82 t 1.02 t 81 f ? other compensated_hypothyroid)
      (51 F f f f f f f f t f f f f f f t 58 f ? t 77 t 1.11 t 69 f ? other compensated_hypothyroid)
      (52 F f f f f f f f f f f f f f f t 12 t 1.8 t 109 t 1.06 t 102 f ? other compensated_hypothyroid)
      (51 M f f f f f f f f f f f f f f t 1.2 t 2.3 t 72 t 0.84 t 85 f ? SVI negative)
      (84 F f f f f f f f f f f f f f f t 2.2 t 0.3 t 73 t 0.85 t 86 f ? other negative)
      (53 F f f f f f f f f f f f f f f t 5.4 t 2.6 t 125 f ? f ? f ? other negative)
      (38 F f f f f f f f f f f f f f t t 1.3 t 2.4 t 138 t 1.16 t 118 f ? SVHC negative)
      (37 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (74 F f f f f f f f f t f f f f f f ? t 4.5 t 171 t 1.16 t 148 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 0.49 t 1.7 t 146 t 0.89 t 165 f ? other negative)
      (8 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (83 F f f f f f f f f f f f f f f t 1.6 t 1.2 t 103 t 0.79 t 131 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 0.1 t 1.8 t 103 t 0.91 t 113 f ? SVHC negative)
      (24 M f f f f f f f f f f f f f f t 1.3 t 1.7 t 106 t 1 t 106 f ? SVHC negative)
      (53 F f f f f f f f f f f f f f f t 3.1 t 2.4 t 87 t 0.94 t 93 f ? SVHC negative)
      (62 F f f f f f f f f f f f f f f t 1.5 t 1.6 t 69 t 0.82 t 83 f ? SVI negative)
      (44 M f f f f f f f f f f f f f f t 2.8 t 2.3 t 129 t 1.24 t 103 f ? SVHC negative)
      (74 M f f f t f f f f f f f f f f t 3.3 t 1.2 t 91 t 0.92 t 99 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 2.4 t 2.2 t 143 t 0.92 t 154 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f f ? t 1.6 t 106 t 1.4 t 76 f ? other negative)
      (50 F f f f f f t f f f f f f f f t 3 f ? t 106 t 1.07 t 99 f ? other negative)
      (33 M f f f f f f f f f f f f f t t 0.3 t 2.5 t 107 t 0.92 t 116 f ? SVHC negative)
      (64 F f f f f f f f f f f f f f f t 0.2 t 1.9 t 159 t 1.04 t 153 f ? other negative)
      (55 F f f f f f f f f f f f f f f t 1.8 t 2.3 t 98 t 0.97 t 101 f ? SVI negative)
      (73 ? f f f f f f f f f f f f f f t 2 t 2.9 t 116 t 1.18 t 99 f ? SVI negative)
      (22 F f f f f f f f f f f f f f f t 0.9 t 2.5 t 110 t 1 t 110 f ? other negative)
      (70 M f f f t f f f f f f f f f f t 1.1 t 0.9 t 94 t 0.91 t 103 f ? SVI negative)
      (45 M f f f f f f f f f f t f f f t 2.3 t 2.4 t 91 t 0.86 t 106 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 0.96 f ? t 129 t 1.35 t 96 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 6.7 t 2.1 t 160 t 1.21 t 132 f ? other negative)
      (45 ? f f f f f f f f f f f f f f t 4.8 t 0.9 t 87 t 0.78 t 112 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f f ? f ? t 120 t 0.98 t 122 f ? other negative)
      (31 F t f f f f f f t f f f f f f t 0.045 t 2.7 t 163 t 0.94 t 172 f ? STMW negative)
      (79 M f f f f f f f t f f f f f f t 2.4 f ? f ? f ? f ? f ? other negative)
      (32 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (70 ? f f f f f f f f f f f f f f t 0.35 t 0.3 t 44 t 0.38 t 118 f ? SVI negative)
      (84 F f f f f f f f f f f f f f f t 3.5 f ? t 77 t 0.74 t 104 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 0.79 t 1.2 t 117 t 0.85 t 138 f ? other negative)
      (63 M f f f f f f f f f f f f f t t 1.5 t 2.1 t 129 t 1.08 t 120 f ? SVHC negative)
      (28 F f f f f f f f f f f f f f f t 2.1 f ? t 100 t 1.15 t 87 f ? other negative)
      (22 M f f f f f f f f f f f f f f t 2.1 t 2.3 t 81 t 1.01 t 80 f ? SVHC negative)
      (29 F f f f f f f f f t f f f f f t 1.1 t 1.5 t 93 t 0.75 t 124 f ? other negative)
      (20 F f f t f f f f f f f f f f f t 0.02 t 2.6 t 106 t 0.91 t 116 f ? other negative)
      (58 M f f f f f f f f f f t f f f t 0.8 t 2.2 t 97 t 1.1 t 88 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 0.5 t 1.8 t 128 t 1 t 128 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f t 2.5 t 2.2 t 99 t 1.04 t 96 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 0.61 t 1.8 t 96 t 1.03 t 94 f ? SVI negative)
      (46 M f f f f f f f f f f f f f f t 0.88 t 0.7 t 82 f ? f ? f ? other negative)
      (25 F f f f f f f f f f f f f f f t 1.8 f ? t 75 t 0.87 t 86 f ? other negative)
      (71 F t f f f f f t t t f f f f f t 2.4 t 1.9 t 133 t 1.09 t 123 f ? other negative)
      (53 F f f f f f f f t f f f f f f t 0.01 f ? t 176 t 1.02 t 171 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 0.88 t 1.6 t 114 t 1.02 t 112 f ? other negative)
      (49 F t f f f f f t f t f f f f f t 0.2 t 2.4 t 137 f ? f ? f ? other negative)
      (20 F f f t f f f f f f f f f f f t 0.15 t 2.5 t 93 t 1 t 93 f ? other negative)
      (30 F f f f f t f f f f f f f f f t 0.5 t 2.2 t 124 t 1.31 t 95 f ? STMW negative)
      (32 F f f f f t f f f f f f f f f t 0.25 t 2.5 t 105 t 1.05 t 100 f ? STMW negative)
      (65 M f f f f f f f f f f f f f f t 2.7 t 2.3 t 100 t 1.11 t 90 f ? SVI negative)
      (47 F f f f f f f f f f f f f f f t 2 t 1 t 130 t 0.88 t 148 f ? SVI negative)
      (60 M f f f f f f f f f f f f f f t 0.53 t 2.5 t 105 t 1.01 t 104 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 1.2 t 2.5 t 133 t 1.16 t 115 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 2 t 1 t 54 t 0.78 t 70 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 1.3 t 1.3 t 111 t 0.92 t 120 f ? SVI negative)
      (71 F t f f f f f f f f f f f f f t 0.03 f ? t 175 t 1.04 t 168 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 24 t 0.4 t 3 t 0.99 t 3 f ? other primary_hypothyroid)
      (60 M f f f f f f f f f f f f f f t 0.4 t 2.4 t 77 t 0.99 t 78 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 1.2 t 1.2 t 84 t 0.78 t 107 f ? SVI negative)
      (54 M f f f f f f f t f f f f f f t 0.6 t 1.8 t 100 t 0.77 t 130 f ? other negative)
      (71 F f f f f f f f f t f f t f f t 0.2 t 4.5 t 125 t 0.82 t 152 f ? other negative)
      (78 M f f f f f f f f f f f f f f t 0.77 t 1.8 t 109 t 0.92 t 118 f ? SVI negative)
      (75 M f f f f f f f f f f f f f f t 0.035 t 1.2 t 98 t 0.83 t 118 f ? SVI negative)
      (18 F f f f f t f f f f f f t f f t 0.83 t 2.9 t 68 t 1.16 t 58 f ? STMW negative)
      (64 M f f f f f f f f f f f f f f t 0.1 t 1 t 145 f ? f ? f ? SVI negative)
      (49 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (77 F f f f f f f f f f f f f f f t 2.9 t 2.6 t 118 t 1.19 t 99 f ? other negative)
      (56 F f f f f f f f f t f f f f f t 0.015 t 4.1 t 191 t 1 t 191 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 1.3 t 1.9 t 99 t 1.12 t 88 f ? other negative)
      (23 F t f f f f f f f f f f f f f t 0.04 t 3.8 t 131 t 1.05 t 125 f ? other negative)
      (37 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (42 F f f f f f f f f f f f f f f t 3.6 t 1.9 t 87 f ? f ? f ? other negative)
      (72 F f t f f f f f f f f f f f f f ? f ? t 75 t 1.01 t 74 f ? other negative)
      (60 F t f f f f f f f f f f f f f t 7.3 t 1.6 t 109 t 1.04 t 105 f ? other negative)
      (16 F t f f f f f f f f f f f f f t 3.3 f ? t 65 t 0.73 t 90 f ? other negative)
      (62 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (38 ? f f f f f f f f f f f f f f t 4.3 t 1.7 t 76 f ? f ? f ? other negative)
      (69 F f f f f f f f f f f f f f f t 6.2 t 1.9 t 89 t 0.94 t 95 f ? other compensated_hypothyroid)
      (77 M t f f f f f f f f f f f f f t 0.9 f ? t 131 t 0.74 t 176 f ? other negative)
      (16 M f f f f f f f f f f f f f f f ? t 2.5 t 71 t 0.8 t 88 f ? other negative)
      (25 M f f f f f f f f f f f f f f t 2.9 f ? t 88 t 0.87 t 100 f ? other negative)
      (48 M f f f f f f f f f f f f f f t 1.2 t 2.5 t 81 t 0.91 t 89 f ? SVHC negative)
      (68 F f f f f f f f f f f f f f f t 3.9 t 1 t 104 t 0.75 t 137 f ? SVI negative)
      (54 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (65 M f f f f f f f f f f f f f f t 1.1 t 1.4 t 121 t 0.81 t 149 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 3.2 t 0.9 t 84 t 0.87 t 96 f ? SVI negative)
      (33 M f f f f f f f f f t f f f f t 1.8 t 2.4 t 120 t 0.99 t 121 f ? SVHC negative)
      (46 M f f f f f f f f f f f f f f t 0.6 f ? t 98 t 0.94 t 104 f ? other negative)
      (70 F f f f f f f f t f f f f f f t 0.005 t 1.7 t 71 t 1.08 t 66 f ? other negative)
      (45 F f f f f f f f f f f f f f t t 1.1 t 2 t 111 t 0.97 t 114 f ? SVHC negative)
      (50 M f f f f f f f f t f f f f f t 13 t 1.3 t 86 t 0.87 t 99 f ? other compensated_hypothyroid)
      (69 F f f f f f f f f f f f f f f t 3.1 f ? t 110 t 1.02 t 108 f ? other negative)
      (55 M f f f f f f f f f f f t f f t 10 t 2.1 t 65 f ? f ? f ? other compensated_hypothyroid)
      (63 F f f f f f f f f f f f f f t t 1.2 t 2.4 t 134 t 0.92 t 145 f ? SVHC negative)
      (57 F f f f f f f f f f f f f f f t 1 t 2 t 87 t 0.84 t 103 f ? SVHC negative)
      (83 M f f f f f f f f f f f f f f t 2.3 f ? t 100 t 0.82 t 122 f ? SVI negative)
      (45 M f f f f f f f f f f f f f f t 6.3 t 2 t 119 t 1.04 t 114 f ? other compensated_hypothyroid)
      (34 F f f f f f f f f t f f f f f t 0.02 t 2.3 t 122 t 1.66 t 73 f ? STMW negative)
      (82 F f f f f f f f f f f f f f f f ? t 1.1 t 69 t 0.64 t 107 f ? SVI negative)
      (83 F f f f f f f f f f f f t f f t 0.44 f ? t 145 t 1.08 t 135 f ? other negative)
      (70 F f f f f f f f f f f f t f f t 0.2 t 2.7 t 79 t 0.98 t 81 f ? other negative)
      (70 F f f f t f f f f f f f f f f t 1.8 t 1.5 t 70 t 0.86 t 81 f ? SVHD negative)
      (37 M f f f f f f f f f f f f f f t 2.1 t 2.3 t 93 t 0.82 t 113 f ? SVI negative)
      (40 F f f f f f f f f f f f f f f t 3.1 t 2.2 t 103 t 1.1 t 93 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 3.4 t 1.6 t 100 t 0.88 t 113 f ? SVHC negative)
      (24 M f f f f f f f f f f f f f f t 2.5 t 1.8 t 92 t 1.02 t 90 f ? other negative)
      (32 F t f f f t f f f f f f f f f t 0.05 t 3.9 t 289 t 1.75 t 165 f ? other negative)
      (88 M f f f f f f f f f f f f f f t 2.3 t 2.2 t 101 t 1 t 101 f ? SVI negative)
      (56 F f f f f f f f f f f f t f f t 0.6 t 2.5 t 122 t 1.05 t 116 f ? SVI negative)
      (27 F f f f f f f f f f f f f f t t 1.7 t 1.9 t 146 t 1.19 t 123 f ? SVHC negative)
      (26 M f f f f f f f f f f f f f f t 1.4 t 2.5 t 98 t 0.92 t 107 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.05 t 1.3 t 101 f ? f ? f ? SVI negative)
      (53 ? f f f f f f f f f f f f f f t 1.5 t 1.8 t 105 f ? f ? f ? other negative)
      (35 F f f f f f f f f f f f f f f t 0.5 t 2.2 t 89 f ? f ? f ? other negative)
      (62 M f f f f f f f f f f f f f f t 0.95 t 2.5 t 138 t 1.17 t 118 f ? other negative)
      (44 M f f f f f f f f f f f f f f t 14 t 2.7 t 63 t 1.17 t 54 f ? other negative)
      (65 F f f f t f f f f t f f f f f t 0.025 t 3.9 t 133 t 1.23 t 108 f ? other negative)
      (63 ? f f f f f f f f f f f f f f t 0.43 t 2.9 t 118 t 1.42 t 83 f ? other negative)
      (68 F f f f f f f f t f f f f f f t 12 t 1.4 t 111 t 1.2 t 93 f ? SVI compensated_hypothyroid)
      (61 ? f f f f f f f f f f f f f f t 2.1 f ? t 114 t 1.05 t 109 f ? SVI negative)
      (24 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (59 M f f f f f f f f f f f f f f t 0.5 t 2.1 t 86 t 0.81 t 107 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 2.7 t 1.6 t 97 t 0.78 t 125 f ? SVI negative)
      (86 F f f f f f f f f f f f f f f t 0.25 t 1.8 t 89 t 0.89 t 100 f ? SVI negative)
      (18 F f f f f f f f f f f f f f f t 12 f ? t 142 t 1.37 t 104 f ? other compensated_hypothyroid)
      (53 M f f f f f f f f f f f f f t t 2.3 t 2 t 63 t 0.95 t 66 f ? SVHC negative)
      (68 F f f f f f f f t f f f f f f t 2.3 t 1.5 t 112 t 0.99 t 114 f ? other negative)
      (79 M f f f f f f f f f f f f f f t 2.1 t 1.7 t 112 t 0.96 t 117 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 8.8 t 2.3 t 106 t 1.25 t 85 f ? other compensated_hypothyroid)
      (30 F f f f f f f f f f f f f f f t 35 t 1.4 t 78 t 0.98 t 80 f ? other compensated_hypothyroid)
      (34 F f f f f f f f f t f f f f f t 4.1 t 4 t 159 t 1.62 t 98 f ? STMW negative)
      (59 F f f f f f f f f t f f f f f t 0.1 t 2.5 t 100 t 0.98 t 103 f ? other negative)
      (32 F f f f f f f f f f f f f f f t 0.6 t 1.6 t 134 t 1.2 t 112 f ? other negative)
      (57 F f f f f f f t f f f f f f f t 0.01 t 2.9 t 98 t 0.87 t 113 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 5.6 t 1.9 t 115 t 0.98 t 118 f ? other negative)
      (47 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (35 M t f f f f f f f f f f f f f t 0.44 t 1.8 t 94 t 0.86 t 110 f ? other negative)
      (43 M f f f f f f f f f f f f f f t 0.2 t 1.9 t 98 t 0.89 t 110 f ? SVHC negative)
      (55 ? f f f f f f f f f f f f f f t 0.2 t 1.7 t 95 t 0.79 t 121 f ? other negative)
      (67 ? f f f t f f f f f f f f f f t 0.2 t 0.9 t 75 t 0.73 t 102 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 1.9 t 2 t 109 f ? f ? f ? other negative)
      (62 F t f f f f f f t f f f f f f t 0.005 t 2.1 t 130 t 0.99 t 131 f ? other negative)
      (72 F t f f f f f f f f f f f f f t 0.01 t 1.1 t 240 t 1.07 t 223 f ? SVI negative)
      (66 F f f f f f f f f t f f f f f t 0.34 f ? t 95 t 0.99 t 95 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 2.4 t 2.7 t 93 t 0.99 t 94 f ? SVHC negative)
      (75 F f f f f f f f f f f f f f f t 2.8 t 2 t 92 t 1.03 t 89 f ? SVI negative)
      (66 ? f f f f f f f f f f f f f f t 0.19 t 1.4 t 97 t 0.87 t 111 f ? SVI negative)
      (23 F f f f f f f f f f f f f f f t 1.3 t 2.1 t 108 t 1.04 t 105 f ? STMW negative)
      (15 F f f t f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (60 F f f f f f f f f f f f f f f t 0.045 f ? t 139 t 1.07 t 129 f ? other negative)
      (28 F f f f f f f f f t f f f f f t 0.15 f ? t 133 t 0.99 t 135 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.72 t 2.1 t 114 t 1.11 t 103 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 0.02 t 2 t 139 t 0.82 t 170 f ? other negative)
      (88 M f f f f f f f f f f f f f f t 2.4 t 2.2 t 96 t 0.93 t 103 f ? SVHC negative)
      (70 F f f f f f f f f f f f f f f t 5.5 t 1.7 t 131 t 1.49 t 88 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 4.8 t 2.1 t 107 t 0.99 t 108 f ? other negative)
      (33 F f f f f f f f t f f f f f f t 10.3 t 2 t 68 t 1.15 t 59 f ? SVHC primary_hypothyroid)
      (17 F f f f f f f f t t f f f f f t 0.3 t 1.5 t 101 t 0.81 t 125 f ? other negative)
      (93 F f f f t f f f f f f f f f f t 2.7 t 0.4 t 77 t 0.86 t 90 f ? other negative)
      (28 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (18 ? f f f f f f f f f f f f f f t 1.2 t 2.4 t 74 t 1.16 t 63 f ? STMW negative)
      (25 F f f f f f f f f f f f f f f t 0.81 t 2.8 t 106 t 1.32 t 81 f ? SVHC negative)
      (72 F f f f f f f f f f f f f f f t 0.015 t 2.9 t 198 t 0.91 t 217 f ? SVHC negative)
      (75 M f f f f f f f f f f f f f f f ? f ? t 120 t 0.97 t 124 f ? other negative)
      (41 F f f f f f f f f f f f f f t t 2 t 2.5 t 109 t 1.03 t 105 f ? SVHC negative)
      (39 M f f f f f f f f f f f f f f t 1.4 t 2.9 t 97 t 1.03 t 94 f ? SVI negative)
      (50 F f f f f f f f f f f f f f f t 89 t 0.2 t 10 t 1.13 t 9 f ? SVI primary_hypothyroid)
      (28 F t f f f f f f f f f f f f f t 0.3 f ? t 209 t 1.08 t 194 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.02 t 1.6 t 140 t 0.95 t 148 f ? SVI negative)
      (32 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (24 F f f f f f f f f f f f f f f t 0.25 t 3 t 143 t 1.33 t 108 f ? SVHC negative)
      (17 M f f f f f f f f f f f f f f t 1.5 t 0.5 t 43 t 0.41 t 105 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 1.6 t 2.8 t 99 t 0.83 t 119 f ? other negative)
      (63 F f f f f f f t f f f f f f f t 0.03 t 3.3 t 120 t 0.96 t 125 f ? other negative)
      (18 ? t f f f f f f f f f f f f f t 0.2 t 2.1 t 120 t 1.12 t 107 f ? other negative)
      (62 F f f f f f t f f f f f f f f t 0.43 t 2.2 t 122 t 1.17 t 104 f ? SVI negative)
      (66 F f f f f f f f f f f f f f f t 3.2 t 1.6 t 126 t 1.02 t 123 f ? other negative)
      (55 F f t f f f f f f f f f f f f t 0.005 f ? t 161 t 0.9 t 180 f ? other negative)
      (51 F t f f f f f f f f f f f f f t 0.25 t 1.9 t 101 t 1.08 t 94 f ? other negative)
      (82 M f f f f f f f f f f f f f t t 6.6 t 1.6 t 92 t 1 t 91 f ? SVHC compensated_hypothyroid)
      (85 M f f f f f f f f f f f f f f t 0.25 t 1.1 t 132 t 0.85 t 154 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f t 1.8 t 2.1 t 116 t 1.05 t 110 f ? STMW negative)
      (65 F f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 F f f f f f f f f f f f f f f t 2.6 t 2.1 t 79 t 0.89 t 90 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 1.1 t 1.9 t 110 t 1.02 t 108 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (48 F f f f f f f f f f f f f f f t 0.7 f ? t 114 t 0.98 t 117 f ? other negative)
      (74 M f f f f f f f f f f f f f f t 0.1 t 2 t 113 t 0.97 t 116 f ? SVI negative)
      (69 ? f f f f f f f f f f f f f f f ? t 1.5 f ? f ? f ? f ? other negative)
      (78 M f f f f f f f f f f f f f f t 2.3 t 2.1 t 112 t 1.11 t 101 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 3 t 0.9 t 137 t 0.95 t 144 f ? SVI negative)
      (60 ? f f f f f f f f f f f f f f t 0.9 t 2.4 t 111 t 1.12 t 99 f ? other negative)
      (41 M f f f f f f f f f f f f f f t 0.25 t 3.1 t 134 t 1 t 134 f ? other negative)
      (42 M f f f f f f f f f f f f f f t 2.8 t 1.7 t 105 t 1.03 t 101 f ? other negative)
      (27 M f f f f f f f f f f f f f t t 0.87 t 1.8 t 98 t 1 t 98 f ? SVHC negative)
      (48 F f f f f f f f f f f f f f f t 0.03 t 1.8 t 83 t 1.19 t 69 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 2.1 t 1.5 t 103 t 1.07 t 96 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f t 0.81 t 2.3 t 103 t 1.02 t 100 f ? other negative)
      (81 M f f f f f f f f f f f f f f t 1.4 t 2 t 97 t 1.2 t 81 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 1 t 1.9 t 91 t 1.03 t 89 f ? other negative)
      (21 M f f f f f f f f f f f f f f t 2.3 t 1.6 t 88 t 1.01 t 87 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 0.1 t 0.7 t 69 t 0.77 t 89 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 2.6 t 1.6 t 103 t 0.92 t 111 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 2.1 t 1.9 t 118 t 0.9 t 131 f ? SVI negative)
      (40 F f f f f f f f t f f f f f t t 1.3 t 2.6 t 135 t 1.09 t 124 f ? SVHC negative)
      (48 F f f f f f f t t f f f f f f t 0.1 f ? t 119 t 0.91 t 131 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 7.4 t 2 t 120 t 1.02 t 117 f ? other compensated_hypothyroid)
      (55 F t f f f f f f f f f f f f f f ? f ? t 170 t 1.1 t 155 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 0.07 t 1.9 t 112 t 0.94 t 119 f ? other negative)
      (69 M f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (64 F f f f f f f f f f f f f f f f ? t 3.1 t 136 t 1.07 t 127 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 2.3 t 2 t 74 t 0.69 t 107 f ? SVI negative)
      (57 F f f f f f f f f f f f f f f t 1.6 t 2.5 t 103 t 1.02 t 101 f ? SVI negative)
      (79 F f f f f f f f f f f f f f f t 2.4 t 1.3 t 92 t 0.92 t 100 f ? other negative)
      (63 ? f f f f f f f f f f f f f f f ? t 1.9 t 165 t 1.39 t 118 f ? other negative)
      (15 F f f f f f f f f f f f f f f t 1.6 t 2.4 t 105 t 1.16 t 91 f ? other negative)
      (63 F t f f f f f f f f f f f f f t 0.1 f ? t 117 t 0.98 t 120 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 4.9 t 1.6 t 85 t 0.87 t 98 f ? SVI negative)
      (70 M f f f f f f f f f f f f f f t 0.5 t 1.9 t 87 t 0.87 t 100 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 1.9 t 1.5 t 126 t 0.96 t 131 f ? other negative)
      (79 F f f f f f f f f f f f f f t t 2.3 t 0.4 t 73 t 0.6 t 122 f ? SVI negative)
      (64 F f f f f f f f t f f f f f f t 0.68 t 1.4 t 92 t 0.81 t 114 f ? SVI negative)
      (24 F f f f f f f f f f f f f f f t 1.8 t 2.1 t 91 t 0.93 t 98 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 2.6 t 0.2 t 99 t 0.72 t 138 f ? SVI negative)
      (57 F t f f f f f f f f f f f f f t 0.08 f ? t 142 t 0.93 t 153 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 0.05 t 1.9 t 123 t 0.99 t 124 f ? SVI negative)
      (31 F f f f f f f f f f f f f f f t 0.91 t 2.1 t 66 t 0.66 t 99 f ? other negative)
      (73 M f f f f f f f f f f f f f f f ? t 2.7 t 87 t 1.07 t 81 f ? other negative)
      (65 F t f f f f f f f t f f f f f t 0.015 t 1.9 t 88 t 0.81 t 109 f ? other negative)
      (58 F f f f f f f f t f f f f f f t 1.8 f ? t 63 t 0.86 t 73 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 0.5 t 2.2 t 121 t 1.01 t 121 f ? other negative)
      (15 F f f t f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (47 F f f f f f f f f f f f t f f t 0.63 t 2.6 t 160 t 1.2 t 134 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 1.1 t 2.8 t 96 t 0.94 t 103 f ? other negative)
      (41 F f f f f f f f f f f f f f t t 3.1 t 2.5 t 149 t 1.09 t 137 f ? SVHC negative)
      (58 F f f f f f f f t f f f f f f t 0.59 t 1.5 t 83 t 0.86 t 97 f ? SVI negative)
      (30 F f f f f f f f f f f f f f f t 0.42 t 1.8 t 120 t 0.94 t 128 f ? other negative)
      (38 ? f f f f f f f f f f f f f f t 1.4 t 1.5 t 95 t 0.91 t 104 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 1.4 t 1.7 t 141 t 1.15 t 123 f ? SVI negative)
      (51 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (39 F f f f f f t f f t f f f f f t 4 t 1.7 t 63 f ? f ? f ? other negative)
      (85 F f f f f f f f f f f f f f f t 1.3 t 0.9 t 111 t 1.04 t 107 f ? SVI negative)
      (35 F f f f f f f f f f f f f f f t 0.97 f ? t 94 t 0.97 t 97 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.6 t 2.4 t 118 t 0.88 t 135 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 2.2 t 1.9 t 101 t 0.99 t 102 f ? SVI negative)
      (57 F f f f f f f f f f f f f f f t 0.005 t 3.6 t 144 t 0.84 t 171 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 2.2 t 2.5 t 96 t 0.91 t 105 f ? other negative)
      (2 ? f f f f f f f f f f f f f f t 472 t 1.7 t 34 t 1.17 t 29 f ? STMW primary_hypothyroid)
      (48 M f f f f f f f f f f f f f f f ? t 1.6 f ? f ? f ? f ? other negative)
      (43 M f f f f f f f f f f f f f f t 0.68 t 2 t 54 t 0.93 t 58 f ? other negative)
      (56 ? f f f f f f f f f f f f f f t 2.4 t 1.7 t 86 t 0.91 t 95 f ? other negative)
      (66 F f f f f f f f f f f f f f f f ? f ? t 64 t 0.78 t 82 f ? other negative)
      (65 F t f f f f f f t f f f f f f t 0.47 t 2.3 t 113 t 0.91 t 124 f ? other negative)
      (31 F f f f f f f f f f f f f f f t 2.2 t 2.5 t 85 t 0.81 t 105 f ? SVI negative)
      (44 M f f f f f f f f f f f f f f t 1.9 t 2.2 t 103 t 1.2 t 86 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 1 f ? t 103 t 1.17 t 88 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 1.1 t 2.6 t 162 t 1.21 t 134 f ? other negative)
      (44 F f f f f f f f f f f f f f f t 0.9 t 1.8 t 119 t 0.98 t 120 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 0.9 t 2.3 t 77 t 0.8 t 96 f ? other negative)
      (67 F f f f f f f f f t f f t f f t 0.07 t 1.7 t 132 t 1.02 t 130 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.73 t 2 t 92 t 0.95 t 97 f ? SVI negative)
      (29 F f f f f f f f f t f f f f f t 0.15 t 5.5 t 161 t 1.61 t 100 f ? STMW negative)
      (53 M t f f f f f f f f f f f f f t 0.51 t 2.4 t 124 t 0.96 t 129 f ? other negative)
      (21 F f f f f f f f f f f f f f f t 0.4 t 2.1 t 82 t 0.76 t 108 f ? SVI negative)
      (50 F t f f f f f f f f f f f f f t 0.15 t 2.2 t 151 t 0.91 t 166 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.35 t 2 t 93 t 1.03 t 90 f ? SVI negative)
      (73 F f f f f f f t f f f f f f f t 0.005 f ? t 102 t 0.89 t 115 f ? other negative)
      (21 M t f f f f f f f f f f f f f f ? f ? t 170 t 1.01 t 167 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 1.8 t 1.8 t 85 t 0.92 t 92 f ? SVHC negative)
      (55 M f f f f f f f f f f f f f t t 0.3 t 2.1 t 100 t 1.05 t 96 f ? SVHC negative)
      (33 F f f f f f f f f f f f f f f t 6.9 f ? t 85 t 0.89 t 95 f ? other compensated_hypothyroid)
      (59 F f f f f f f f f f f f f f f t 0.4 t 1.6 t 113 t 0.99 t 114 f ? SVI negative)
      (87 F f f f f f f f f f f f f f f t 0.79 t 1.5 t 145 t 0.88 t 165 f ? SVI negative)
      (32 F f f f f f f f f f f f f f f t 2 t 1.7 t 92 t 1.01 t 91 f ? STMW negative)
      (72 F f f f t f f f f f f f f f f t 5.8 t 1.4 t 107 t 1.07 t 100 f ? SVI negative)
      (46 F f f f f f f f f t f f f f f f ? t 1.5 f ? f ? f ? f ? other negative)
      (34 F f f f f f f f f t f f f f f t 0.005 t 2 t 54 t 1.66 t 33 f ? STMW negative)
      (74 M f f f f f f f t f f f f f f t 2 t 2.2 t 109 t 0.91 t 119 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 4.4 t 1.3 t 107 t 1.12 t 95 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 0.8 t 3.1 t 169 t 1.49 t 114 f ? STMW negative)
      (53 F t f f f f f f f f f f f f f t 0.32 f ? t 145 t 0.96 t 152 f ? other negative)
      (74 F f f f f f f f f f f f t f f t 0.025 t 2.2 t 108 t 0.85 t 126 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 3.8 t 1.6 t 106 t 0.88 t 120 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 1.1 t 1.7 t 105 t 1.02 t 103 f ? SVHC negative)
      (37 F f f f f f f f f f f f f f t t 0.25 t 2 t 114 t 0.9 t 128 f ? SVI negative)
      (62 M f f f f f f f f f f f f f f t 0.52 t 2.1 t 100 f ? f ? f ? other negative)
      (13 F f f f f f f f f f f f f f f f ? f ? t 94 t 0.91 t 103 f ? other negative)
      (75 M f f f f f f f f f f f f f f t 1.9 t 1.4 t 79 t 0.79 t 101 f ? SVI negative)
      (54 F f t f t f f f f f f f f f f t 0.05 t 1.2 t 112 t 0.77 t 145 f ? SVI negative)
      (83 F f f f f f f f f f f f f f f t 0.25 t 2.3 t 147 t 1.09 t 135 f ? SVI negative)
      (20 F f f f f f f f f f f f f f f f ? f ? t 123 t 1.04 t 118 f ? other negative)
      (1 ? f f f f f f f f f f f f f f t 43 f ? f ? f ? f ? f ? STMW primary_hypothyroid)
      (70 M f f f f f f f f f f f f f f t 2.3 t 1.4 t 98 t 0.94 t 105 f ? SVI negative)
      (78 F t f f f f f f f f f f f f f t 6.3 t 1.3 t 120 t 1.11 t 109 f ? other negative)
      (38 M f f f f f f f f t f f f f f t 0.37 t 2.2 t 86 t 0.75 t 115 f ? other negative)
      (83 F f f f f f f f t f f f f f f t 2.2 t 0.9 t 69 t 0.74 t 93 f ? SVI negative)
      (71 F f f f f f t f f f f f f f f t 0.03 t 1.5 t 104 t 1.05 t 100 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 1.7 t 2 t 78 t 0.84 t 93 f ? other negative)
      (46 F f f f f f f f f f f f f f f f ? t 2.9 t 158 t 1.03 t 154 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 1.6 t 2.1 t 164 t 1.14 t 145 f ? SVI negative)
      (78 F f f f f f f f f f f f f f f t 3.1 t 1.1 t 112 t 0.82 t 137 f ? SVHD negative)
      (48 M f f f f f f f f f f f f f f t 0.2 t 2.5 t 91 t 1.17 t 78 f ? SVI negative)
      (66 F t f f f f f f f f f f f f f t 0.3 t 1.6 t 120 t 0.91 t 132 f ? other negative)
      (61 F f f f t f f f f f f f f f f t 0.2 t 3.8 t 252 t 1.13 t 222 f ? other negative)
      (79 M f f f f f f f f f f f f f f t 0.03 t 4.1 t 160 t 0.78 t 204 f ? other negative)
      (61 F f f f t f f f t f f f f f f t 2 f ? t 85 t 1 t 85 f ? other negative)
      (55 F t f f f f f f f f f f f f f t 3.2 t 1.7 t 126 t 1.24 t 101 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 4.9 t 0.7 t 82 t 0.79 t 104 f ? SVI negative)
      (48 M f f f f f f f f f f f f f f t 0.8 t 1 t 46 t 0.66 t 70 f ? SVI negative)
      (61 F t f f f f f f f f f f f f f t 6 t 1.5 t 97 t 0.88 t 110 f ? other negative)
      (65 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (55 F f f f f f f f f f f f f f f t 0.81 t 0.3 t 61 t 0.54 t 113 f ? SVI negative)
      (59 F t f f f f f f f f f f f f f t 0.03 t 2 t 164 t 0.92 t 178 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 1.3 t 1.8 t 106 t 1.17 t 91 f ? SVHC negative)
      (37 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (57 M f f f t f f f f f f f f f f t 0.9 t 1.5 t 91 t 0.78 t 116 f ? other negative)
      (75 ? f f f f f f f f f f f f f f t 0.12 t 1.5 t 117 t 0.94 t 125 f ? SVI negative)
      (49 F t f f f f f f f f f f f f f t 116 t 0.7 t 72 t 0.95 t 76 f ? other negative)
      (39 M f f f f f f f f f f f f f f t 0.55 f ? t 83 t 1.04 t 80 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.2 t 1.6 t 137 t 0.95 t 144 f ? other negative)
      (41 F f f f f f f f f f f f f f f t 0.4 t 2.5 t 98 t 1.01 t 96 f ? other negative)
      (21 M f f f f f f f f f f f f f t t 1.6 t 1.7 t 79 t 0.77 t 102 f ? SVHC negative)
      (25 F f f f f f f f f f f f f f f t 1.5 t 2.1 t 133 f ? f ? f ? other negative)
      (75 F f f f f f f f f f f f f f f t 1 t 2.2 t 120 t 1.03 t 117 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 0.8 t 1.4 t 129 t 1.07 t 120 f ? SVHC negative)
      (42 F f f f f f f f f f f f f f f t 0.1 t 1.5 t 87 t 0.8 t 109 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 0.2 t 2.1 t 139 t 1 t 139 f ? SVI negative)
      (60 M f f t f f f f f f f f f f f t 0.2 t 4 t 68 t 1 t 67 f ? other negative)
      (49 F t f f f f f f f f f f f f f t 0.6 t 2.3 t 113 t 1.02 t 111 f ? SVHC negative)
      (33 M f f f f f f f f f f f f f t t 1 t 1.4 t 88 t 0.78 t 113 f ? SVHC negative)
      (76 F f f f f f f f f f f f f f f t 1.1 t 2 t 92 t 0.95 t 97 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 1.1 t 2.2 t 112 t 0.98 t 115 f ? STMW negative)
      (75 F f f f f f f t f f f f f f f t 0.31 t 2.2 t 85 t 1.19 t 71 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 2.4 t 1.3 t 80 t 0.88 t 91 f ? other negative)
      (48 F f f f f f f f t f f f f f f t 98 t 1.9 t 29 t 1.11 t 26 f ? other primary_hypothyroid)
      (35 F f f f f f f f f f f f f f t t 0.93 t 2.8 t 155 t 1.01 t 153 f ? SVHC negative)
      (26 F f f f f f f f f f f f f f f f ? f ? t 115 t 1.08 t 107 f ? other negative)
      (71 M f f f f f f f f f f f f f f t 0.48 t 1.7 t 97 t 1.04 t 93 f ? SVI negative)
      (25 M f f f f f f f f f f f f f f t 8.8 t 2.2 t 109 t 0.97 t 113 f ? other compensated_hypothyroid)
      (30 F f f f f f f f t f f f f f f t 2.6 t 1.7 t 82 t 1.03 t 79 f ? other negative)
      (68 ? f f f f f f f f f f f f f f f ? f ? t 175 t 0.86 t 204 f ? other negative)
      (50 F t f f f f f f f f f f f f f t 0.05 f ? t 105 t 0.92 t 114 f ? other negative)
      (15 M f f f f f f f f f f f f f t t 2.3 t 3.4 t 115 t 0.96 t 120 f ? other negative)
      (68 F t f f f f f t f t f f f f f t 2.6 t 2 t 152 t 1.41 t 108 f ? other negative)
      (71 F f f f f f f f t f f f f f f t 9.4 t 1.4 t 77 t 0.89 t 87 f ? SVI compensated_hypothyroid)
      (34 F f f f f f f f f f f f f f f t 6.2 f ? t 116 t 1.13 t 103 f ? other compensated_hypothyroid)
      (73 F f f f f f t f f f f f f f f t 3 t 1.9 t 106 f ? f ? f ? other negative)
      (69 F f f f t f f f f f f f f f f t 2.5 t 1.5 t 82 t 0.66 t 124 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 0.8 t 2.4 t 73 t 0.97 t 75 f ? other negative)
      (47 M t f f f f f f f f f f f f f t 2.7 t 2 t 110 t 1.02 t 108 f ? other negative)
      (46 M t f f f f t f t f f f f f f t 1.4 t 2.2 t 122 t 1.03 t 119 f ? other negative)
      (42 F f f t f t f f f t f f f f f t 0.005 t 3.9 t 205 t 1.7 t 121 f ? STMW negative)
      (15 F f f f f f f f f f f f f f f f ? f ? t 92 t 1.06 t 87 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 0.005 t 7.1 t 184 t 1.03 t 177 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 0.5 t 2.5 t 84 t 1.06 t 79 f ? other negative)
      (49 M f f f f f f f f f f f f f f t 0.02 f ? t 131 t 0.83 t 158 f ? other negative)
      (57 M t f f f f f f f f f f f f f t 0.2 t 1.6 t 141 t 0.89 t 158 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 1.1 t 3.8 t 263 t 1.7 t 155 f ? SVHD negative)
      (58 F f f f f f f f f f f f f f f t 0.8 t 2.2 t 96 t 0.86 t 111 f ? SVI negative)
      (67 F f f f f f f f t f f f f f f t 0.6 f ? t 76 t 0.86 t 88 f ? other negative)
      (71 F f f f f f t f f f f f f f f t 0.01 f ? t 146 t 0.93 t 156 f ? other negative)
      (31 M f f f f f f f f f f f f f f t 1.3 t 1.5 t 101 t 0.89 t 113 f ? SVI negative)
      (37 F f f f f f f f f f f f f f f t 1.4 t 2 t 99 t 1.02 t 97 f ? SVHC negative)
      (88 F f f f f f f f f f f f f f f t 13 f ? t 123 t 0.99 t 124 f ? SVI compensated_hypothyroid)
      (34 M f f f f f f f f f f f f f t t 2.2 t 2.3 t 99 t 0.79 t 125 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f t 0.59 f ? t 80 t 0.82 t 98 f ? other negative)
      (75 F t f f f f f f f f f f f f f t 0.1 t 3.1 t 141 t 0.95 t 149 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 2.8 t 1.7 t 113 f ? f ? f ? other negative)
      (35 F f f f f f t f f f f f f f f t 0.14 t 1.9 t 73 t 1.16 t 63 f ? other negative)
      (69 M t f f f f f t f t f f f f f t 0.71 f ? t 91 t 0.94 t 98 f ? other negative)
      (66 M f f f f f f f t f f f f f f t 0.045 t 0.3 t 72 t 0.61 t 119 f ? SVI negative)
      (61 M f f f f f f f f f f f f f f t 2.1 t 1.3 t 92 t 0.89 t 103 f ? SVI negative)
      (47 F f f f t f f f f f f f f f f t 1.7 t 1.7 t 91 t 0.96 t 94 f ? SVHD negative)
      (34 M f f f f f f f f f f f f f f t 0.88 t 3 t 69 t 0.67 t 102 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f t 2.1 t 2.2 t 101 t 0.79 t 129 f ? other negative)
      (26 M f f f f f f f f f f f f f f t 1.1 t 2 t 72 t 0.69 t 104 f ? other negative)
      (41 M f f f f f f f f f f f f f f t 0.025 t 4.4 t 138 t 0.64 t 218 f ? other negative)
      (63 F f f f f f f f t f f f f f t t 0.2 t 1.1 t 187 t 0.95 t 197 f ? other negative)
      (81 F f f f f f f f f f f f f f f t 3.1 t 1.8 t 105 t 0.92 t 114 f ? SVI negative)
      (46 M f f f f f f f f f f f f f t t 0.98 t 2.5 t 120 t 1.06 t 113 f ? SVHC negative)
      (69 F t t f f f f f f f f f f f f t 7.1 f ? t 93 t 1.1 t 85 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 3.8 t 3.1 t 110 t 1.08 t 102 f ? SVHC negative)
      (40 M f f f f f f f f f f f f f f t 1.8 t 2 t 88 f ? f ? f ? other negative)
      (63 M f f f f f f f f f f f f f f t 2.4 t 1.1 t 124 t 0.85 t 145 f ? SVI negative)
      (72 M f f f f f f f f t f f t f f f ? t 2.8 t 120 t 1.18 t 102 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 1.9 t 2.4 t 115 t 1.14 t 100 f ? SVI negative)
      (1 M t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 F f f f f f f f f t f f f f f t 1.2 f ? t 84 t 0.9 t 94 f ? other negative)
      (72 ? f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (15 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (68 F f f f f f f f f f f f f f f t 1.2 f ? t 125 t 1.11 t 113 f ? SVI negative)
      (63 M t f f f f f f f f f f f f f t 0.1 f ? t 80 t 0.84 t 95 f ? other negative)
      (29 F f f f f t f f f f f f t f f t 1.4 t 3.4 t 147 t 1.49 t 99 f ? STMW negative)
      (48 F f f f f f f f f f f f f f f t 0.15 t 2 t 124 t 0.96 t 130 f ? other negative)
      (60 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (38 M f f f f f f f t f f f f f f t 3.9 t 2.2 t 61 t 0.76 t 80 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 2.8 t 2.2 t 83 t 1 t 82 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 2 t 2.6 t 134 t 0.99 t 136 f ? SVI negative)
      (20 F f f f f f f f f f f f f f f t 0.7 t 5.4 t 148 t 1.48 t 100 f ? STMW negative)
      (75 F t f f f f f f f f f f f f f t 0.25 t 2.1 t 172 t 1.01 t 171 f ? other negative)
      (31 F f f f t f f f f f f f f f f t 3.1 t 1.8 t 120 t 1.22 t 99 f ? other negative)
      (65 F t f f f f f f f f f f f f f t 0.4 f ? t 175 t 1.12 t 156 f ? other negative)
      (83 ? f f f f f f f f f f f f f f t 19 f ? t 148 t 1.11 t 134 f ? other compensated_hypothyroid)
      (19 F f f f f f f f t f f f f f f t 3.7 t 1.1 t 126 t 0.91 t 138 f ? SVI negative)
      (75 M f f f f f f f f f f f f f f t 0.97 t 0.6 t 80 t 0.72 t 110 f ? SVI negative)
      (35 F f f f f f f f f f f f f f f t 1.2 t 2 t 89 f ? f ? f ? other negative)
      (35 F f f f f f f f f f f f f f f f ? f ? t 96 t 0.76 t 127 f ? other negative)
      (57 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (59 F f f f f f f f f f f f f f f t 11 t 1.5 t 89 t 1.12 t 79 f ? SVI compensated_hypothyroid)
      (64 M f f f f f f f f f f f f f f t 2.7 t 2.2 t 174 f ? f ? f ? other negative)
      (77 F f f f f f f f f f f f f f f t 0.2 t 1.6 t 84 t 0.87 t 97 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 0.2 t 3.6 t 301 t 1.75 t 172 f ? other negative)
      (39 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (94 M f f f f f f f f f f f f f f t 1.9 t 1.3 t 119 t 1.04 t 114 f ? SVI negative)
      (41 F f f f f f f t f f f f f f f t 5.1 t 1.8 t 91 t 1.12 t 82 f ? other negative)
      (30 F f f f f f f f f f f f f f f t 1.2 t 3.5 t 120 t 1.22 t 98 f ? other negative)
      (25 M f f f f f f f f f f f f f f t 0.4 t 2.3 t 107 t 0.94 t 114 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 1.3 t 1.8 t 101 t 1.17 t 86 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 0.09 t 2.2 t 128 t 0.75 t 172 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 0.05 t 2 t 118 t 0.92 t 129 f ? SVHC negative)
      (66 F f f f f f f f f t f f f f f f ? t 2.8 f ? f ? f ? f ? other negative)
      (37 F t f f f f f f f f f f f f f t 0.05 f ? t 181 t 1.21 t 150 f ? other negative)
      (53 F t f f f f f f t f f f f f f t 3.9 f ? t 114 t 1.17 t 97 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 0.93 t 1.3 t 90 t 1.04 t 86 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 36 t 0.6 t 23 t 0.68 t 34 f ? SVI primary_hypothyroid)
      (60 M f f f f f f f f f f f f f f t 0.5 t 2.4 t 93 t 1.04 t 89 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 2.9 t 1.3 t 92 t 1 t 92 f ? SVI negative)
      (57 M f f f f f f f f f f f f f f t 1.1 t 3 t 117 t 0.97 t 120 f ? other negative)
      (50 F t f f f f f t f f f f f f f t 61 f ? t 13 t 1.18 t 11 f ? other primary_hypothyroid)
      (77 M f f f f f f f f f f f f f f t 1.3 t 0.5 t 54 t 0.86 t 62 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (67 F t f f f f f f f f f f f f f t 0.015 t 4.2 t 188 t 1.39 t 135 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.59 t 2.1 t 119 t 1.08 t 110 f ? SVHC negative)
      (60 F f f f f f f f f t f f f f f t 99 t 0.8 t 12 t 1.27 t 10 f ? other primary_hypothyroid)
      (44 M f f f f f f f f f f f f f f t 0.1 t 2.5 t 87 t 0.98 t 88 f ? SVHC negative)
      (60 F f f f f f f f f f f f f f f t 2.4 f ? f ? f ? f ? f ? other negative)
      (41 F f f f f f f f f f f f f f f t 2.8 t 1.6 t 75 t 0.76 t 99 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 0.9 t 2.1 t 153 t 1.22 t 126 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 1.8 t 2.7 t 124 t 1.2 t 104 f ? SVI negative)
      (65 M f f f f f f f f t f f f f f t 2 t 2.1 t 154 t 0.99 t 156 f ? other negative)
      (66 F f f f f f f t f f f f f f f t 3.8 t 2.1 t 79 t 1.07 t 74 f ? other negative)
      (59 F f f f t f f f f f f f f f f t 0.6 t 1.5 t 133 t 1.19 t 112 f ? SVI negative)
      (60 F f f f f f f f t f f f f f f t 183 t 1.1 t 45 t 0.97 t 46 f ? other primary_hypothyroid)
      (70 F t f f f f f f f f f f f f f t 0.15 f ? t 162 t 1.12 t 146 f ? other negative)
      (25 M f f f f f f f f f f f f f f t 1.3 t 1.8 t 118 t 0.99 t 119 f ? SVHC negative)
      (12 M t f f f f f f f f f f f f f t 0.1 t 3 t 176 t 0.89 t 197 f ? other negative)
      (37 M f f f f f f f f f f f f f f f ? t 4.3 t 187 t 0.96 t 194 f ? other negative)
      (54 M f f f t f f f f f f f f f f t 0.46 t 3 t 116 t 1.05 t 110 f ? SVHD negative)
      (49 M f f f f f f f f f f f f f f t 2.5 t 1.5 t 101 t 1.11 t 92 f ? SVHC negative)
      (65 M f f f f f f f f f f f f f f t 1.2 t 0.6 t 61 t 0.59 t 105 f ? SVI negative)
      (44 F f f f f f f f f t f f f f f t 1.9 t 2.9 t 164 t 1.38 t 119 f ? other negative)
      (77 F f f f f f f f t t f f f f f f ? t 1.8 t 111 t 0.96 t 115 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 2 t 1.2 t 95 t 0.98 t 96 f ? SVI negative)
      (75 F f f f f f f f f f f f f f f t 5.1 t 2.2 t 82 t 0.78 t 105 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 1.6 t 2.3 t 144 t 0.95 t 152 f ? SVI negative)
      (34 M f f f f f f f f f f f f f t t 1.3 t 1.8 t 86 t 0.86 t 101 f ? SVHC negative)
      (60 F f f f f f f f f t f f f f f t 0.025 t 3.9 t 123 t 0.98 t 126 f ? other negative)
      (83 M f f f f f f f f f f f f f f t 0.2 t 1.1 t 95 t 0.73 t 129 f ? SVI negative)
      (31 M f f f f f f f f f f f f f f t 2.2 t 2.3 t 132 t 1.16 t 114 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 46 t 1 t 48 t 0.98 t 49 f ? SVI primary_hypothyroid)
      (35 M f f f f f f f f t f f f f f f ? t 2.2 t 81 t 0.96 t 84 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 2.1 t 2.3 t 180 t 1.3 t 139 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 4 t 2.9 t 122 t 1.02 t 119 f ? SVHC negative)
      (89 F f f f f f f f f f f f f f f t 2.5 t 1.6 t 108 t 0.92 t 118 f ? SVI negative)
      (1 M f f f f f f f f f f f f f f t 1.5 t 1.4 t 82 t 0.74 t 111 f ? other negative)
      (7 M f f f f f f f f f f f f f f t 2.4 f ? t 155 t 0.94 t 165 f ? other negative)
      (53 M f f f f f f f f f f f f f f t 1.4 t 1.9 t 104 t 0.93 t 112 f ? SVI negative)
      (63 F t f f f f f f f f f f f f f t 0.005 t 3.4 t 210 t 1.11 t 188 f ? other negative)
      (78 ? f f f f f f f f f f f f f f t 0.3 t 1.7 t 76 t 0.86 t 88 f ? SVHC negative)
      (54 F f f f f f f f f f f f f f f t 1.6 t 2.9 t 115 t 1.07 t 107 f ? other negative)
      (22 M f f f f f f f f t f f f f f t 1 t 2.3 t 87 t 0.89 t 98 f ? other negative)
      (48 F t f f f f f f f f t f f f f t 1.5 t 2.5 t 101 t 0.97 t 104 f ? SVHC negative)
      (64 F f f f f f f f f f f f f f f t 0.3 t 2.8 t 123 t 1.23 t 100 f ? SVHC negative)
      (8 F f f f f f f f f f f f f f f t 3.4 f ? t 87 t 1 t 87 f ? other negative)
      (52 F f f f f f f f f f f f f f f t 1.7 t 2.1 t 103 t 1.03 t 100 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 4.6 t 1.2 t 48 t 0.89 t 54 f ? other secondary_hypothyroid)
      (74 F f f f f f f f f f f f f f t t 2.4 t 1.2 t 95 t 0.8 t 119 f ? SVHC negative)
      (29 F f f f f t f f f f f f f f f t 0.62 t 3.8 t 211 t 1.88 t 112 f ? STMW negative)
      (25 F t f f f f f f t f f f f f f t 2.4 t 2.2 t 152 t 1.36 t 112 f ? other negative)
      (26 F t f f f f f f f f f f f f f t 2.1 f ? t 83 t 0.7 t 117 f ? other negative)
      (55 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (37 M f f f f f f f f f f f f f t t 1.1 t 2 t 111 t 0.91 t 123 f ? SVHC negative)
      (16 ? t f f f f f f f t f f f f f t 4.9 t 1.8 t 143 t 0.97 t 148 f ? other negative)
      (24 F t f f f f f f f f f f f f f t 0.09 f ? t 126 t 0.86 t 146 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 0.05 t 2.4 t 128 t 1.13 t 114 f ? other negative)
      (53 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (27 M f f f f f f f f f f f f f f f ? t 2.3 t 100 t 0.88 t 113 f ? other negative)
      (14 F f f f f f f f f f f f f f f t 1.9 t 3 t 128 t 1.11 t 116 f ? other negative)
      (52 F f f f f f f f f f f f f f f t 0.45 t 2.1 t 107 t 0.9 t 119 f ? other negative)
      (57 M f f f f f f f f f f f f f t t 1.3 t 2.7 t 89 t 0.91 t 99 f ? SVHC negative)
      (28 F f f f f f f f f f f f f f f t 4.4 t 2.8 t 103 t 1.1 t 94 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 1.3 f ? t 72 t 0.75 t 96 f ? other negative)
      (15 F f f f f f f f f f f f f f f f ? t 1.5 t 135 f ? f ? f ? other negative)
      (51 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 F t f f f f t f f f f f f f f t 3.4 t 1.3 t 134 t 1.19 t 113 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 3.3 t 0.9 t 82 t 1.1 t 75 f ? other negative)
      (75 F f f t f f f f f t f f f f f t 0.2 t 3.4 t 103 t 1.32 t 78 f ? other negative)
      (53 F t f f f f f f t f f f f f f t 78 f ? t 78 t 1.16 t 67 f ? other negative)
      (82 F f f f f f f f f f f f f f f t 0.17 t 1.8 t 119 t 0.91 t 130 f ? SVI negative)
      (72 F f f f f f f f f f f t f f f t 3.7 t 1.3 t 83 t 1.38 t 60 f ? SVI negative)
      (92 F t f f f f f f f f f f t f f t 0.3 f ? f ? f ? f ? f ? other negative)
      (35 M f f f f f f f f f f f f f f t 1.7 t 2.2 t 114 t 0.93 t 123 f ? other negative)
      (51 M f t f f f f f f f f f f f f f ? f ? t 77 t 0.77 t 99 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 0.91 t 1.8 t 93 t 1.04 t 89 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 1.2 t 2.3 t 74 f ? f ? f ? other negative)
      (24 M f f f f f f f f f f f f f t t 0.1 t 1.6 t 182 f ? f ? f ? SVHC negative)
      (20 M f f f f f f f f f f f f f f t 0.015 t 4.8 t 22 f ? f ? f ? SVI negative)
      (24 F f f f f f f f f f f f f f f t 10 t 2.5 t 110 t 1.17 t 94 f ? other compensated_hypothyroid)
      (39 F f f f f f f f f t f f f f f t 0.015 t 1.5 t 84 t 0.99 t 85 f ? other negative)
      (41 F f f f f f f f f t f f f f f t 0.2 t 3.8 t 253 t 1.24 t 204 f ? STMW negative)
      (31 F f f f f f f f f f f f f f f f ? f ? t 196 t 0.94 t 209 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 1.5 t 2 t 96 t 1.05 t 92 f ? SVI negative)
      (25 F f f f f f f f f f f f f f f t 468 t 0.7 t 21 t 1.1 t 19 f ? other primary_hypothyroid)
      (84 M f f f f f f f f f f f f f t t 3.6 t 0.6 t 82 t 0.74 t 110 f ? SVI negative)
      (82 M f f f f f f f f f f f f f f t 2.2 t 1 t 68 t 0.77 t 88 f ? SVI negative)
      (55 M f f f f f f f f f f f f f f f ? t 2.1 f ? f ? f ? f ? other negative)
      (79 M f f f f f f f f f f f f f f t 1.1 t 0.7 t 116 t 0.85 t 137 f ? SVI negative)
      (54 ? f f f f f f f f f f f f f f t 2.9 t 2.1 t 127 t 1.24 t 102 f ? SVI negative)
      (52 F f f f f f t f f f f f f f f t 0.5 t 1.6 t 80 t 0.82 t 98 f ? other negative)
      (27 ? f f f f f f f f f f f f f f t 1.6 t 2.4 t 121 t 1.23 t 98 f ? other negative)
      (49 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (72 F f f f f f f f f f f f f f f t 4.8 f ? t 87 t 0.93 t 93 f ? other negative)
      (50 F f f f f f f f t f f f f f f t 4.8 t 0.6 t 98 t 0.8 t 122 f ? SVI negative)
      (82 F f f f f f f f f f f f f f f t 0.5 f ? t 125 t 0.84 t 149 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 1.9 t 1.5 t 104 f ? f ? f ? other negative)
      (57 M f f f t f f f f f f f f f f t 1 t 1.6 t 73 t 0.97 t 75 f ? SVI negative)
      (73 ? f f f f f f f f f f f f f f t 0.015 t 1.8 t 173 t 1 t 173 f ? other negative)
      (58 M f f f f f f f f f f f f f f f ? t 1.6 f ? f ? f ? f ? other negative)
      (70 M f f f f f f f f f f f f f f t 1.5 t 1.5 t 70 t 0.77 t 91 f ? SVI negative)
      (54 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (67 M f f f f f f f t f f f f f f t 2.1 t 2 t 83 t 0.96 t 87 f ? SVI negative)
      (68 F f f f f f f f f f f f f f f t 1 f ? t 103 t 1.01 t 102 f ? SVI negative)
      (63 ? f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (82 F f f f f f f f f f f f f f f t 0.03 t 1.4 t 74 t 0.52 t 143 f ? other negative)
      (25 F f f f f f f f f f f f f f f t 1.9 t 1.7 t 167 t 1.21 t 137 f ? other negative)
      (70 M f f f f f f f f f f f f f f t 2.7 f ? t 155 t 1.05 t 148 f ? SVI negative)
      (73 M f t f f f f f f f f f f f f f ? t 0.7 t 63 t 0.88 t 72 f ? other negative)
      (75 M f f f f f f f f t f f f f f f ? f ? t 147 t 0.8 t 183 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 1.4 f ? t 100 t 0.83 t 121 f ? other negative)
      (81 F f f f f f f f f f f f f f f t 1.2 t 1.5 t 114 t 0.99 t 115 f ? SVI negative)
      (35 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (63 M f f f f f f f f f f f f f f t 3.5 t 2.5 t 108 t 0.96 t 113 f ? SVI negative)
      (25 F f f f f f f f f f f f f f f t 4.6 t 2.4 t 61 t 0.82 t 75 f ? SVHD negative)
      (53 F f f f f f f f t f f f f f f t 0.25 t 2.1 t 145 t 1.03 t 141 f ? other negative)
      (92 F f f f f f f f f f f f f f f t 0.7 t 1.3 t 120 t 0.84 t 143 f ? SVI negative)
      (67 M f f f f f f f t f f f f f f t 0.81 f ? t 84 t 0.83 t 101 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 1.2 t 2.6 t 117 t 1.31 t 90 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 27 t 1.8 t 65 t 0.99 t 66 f ? SVI compensated_hypothyroid)
      (48 F f f f f f f f f f f f f f f t 2.8 f ? t 112 t 0.92 t 121 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 2.6 t 2.2 t 94 t 0.89 t 106 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 4.4 t 1.2 t 95 t 1.11 t 85 f ? SVI negative)
      (19 M f f f f f f f f f f f f f f t 3.1 t 2.8 t 131 t 0.95 t 138 f ? SVHC negative)
      (72 F f f f f f f f t f f f f f f t 1.1 f ? t 131 t 0.5 t 265 f ? other negative)
      (16 M f f f f f f f f f f f f f f t 4.5 f ? f ? f ? f ? f ? other negative)
      (54 F f f f f f f f f f f f f f f t 0.14 t 3.4 t 105 f ? f ? f ? other negative)
      (39 F t f f f f f f f f f f f f f t 0.06 t 2.4 t 148 t 1.07 t 138 f ? other negative)
      (38 ? f f f f f f f f f f f f f t t 1.1 t 2.2 t 145 t 1.23 t 118 f ? SVHC negative)
      (33 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (45 F f f f f f f f f f f f f f f t 7.4 t 1.4 t 108 t 1.08 t 100 f ? SVI compensated_hypothyroid)
      (54 F f f f f f f f f f f f f f f t 1.2 t 1.7 t 81 t 0.87 t 94 f ? other negative)
      (21 F f f f f f f f f f f t f f f f ? f ? t 132 t 0.87 t 152 f ? other negative)
      (19 M f f f f f f f f f f f f f f t 2.3 t 2.3 t 82 t 0.88 t 92 f ? other negative)
      (51 F f f f f f f f f f f f f f f f ? f ? t 92 t 0.83 t 111 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 2 t 1.8 t 133 t 1.16 t 115 f ? SVI negative)
      (51 F f f f f f f f f f f f t f f t 5.8 f ? t 261 t 2.32 t 113 f ? other negative)
      (64 M f f f f f f f f f f f f f f t 0.78 f ? t 106 t 0.88 t 121 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 4 t 2.2 t 90 t 1.16 t 78 f ? other negative)
      (40 F f f f f f f f f f f f f f f t 1 t 1.1 t 111 t 1.02 t 109 f ? other negative)
      (54 F f f f f f f f f f f f f f f t 0.52 f ? t 96 t 0.69 t 140 f ? SVI negative)
      (19 F f f f f f f f f f f f t f t t 0.4 t 2.4 t 103 t 0.91 t 114 f ? SVHC negative)
      (33 F f f f f f f f f f f f f f f t 0.3 t 2.1 t 112 f ? f ? f ? other negative)
      (71 M f f f f f f f f f f f f f f t 0.1 t 1.4 t 120 t 0.87 t 138 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 1.9 t 1.8 t 81 t 0.91 t 88 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 17 t 1.6 t 66 t 1 t 65 f ? other compensated_hypothyroid)
      (21 F f f f f f f f f t f f f f f f ? t 3.7 t 162 t 1.47 t 110 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 1.3 t 2.6 t 87 f ? f ? f ? other negative)
      (20 F f f f f f f f f f f t f f f t 0.2 t 3 t 135 t 1.29 t 105 f ? other negative)
      (79 M f f f f f f f f f f f f f f t 0.005 t 3.4 t 151 t 0.74 t 203 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 1.2 f ? t 89 t 0.95 t 94 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.015 t 1.5 t 140 t 0.88 t 160 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 1.9 t 1.9 t 125 t 1.01 t 124 f ? SVI negative)
      (37 M f f f f f f f f f f f f f f t 12 f ? t 68 t 0.62 t 111 f ? other compensated_hypothyroid)
      (42 F f f f f f f f f f f f f f f t 2.3 t 2.2 t 178 t 1.26 t 142 f ? other negative)
      (46 F f f f f f f f f f f f f f f t 1.5 t 1.6 t 125 t 1.06 t 118 f ? SVHC negative)
      (27 M f f f f f f f f f f f f f f t 2.9 f ? t 112 t 0.95 t 117 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 1.1 t 2.3 t 114 t 1.1 t 104 f ? SVI negative)
      (50 F t f f f f f f f f f f f f f t 4 f ? t 120 t 0.8 t 150 f ? other negative)
      (59 F f f f f f f f f t f f f f f f ? t 2.1 t 98 t 0.9 t 108 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.05 t 1.9 t 76 t 0.88 t 86 f ? SVI negative)
      (67 F t f f f f f f t f f f f f f t 0.42 t 1.4 t 140 t 0.98 t 143 f ? SVI negative)
      (69 F t f f f f f f f f f f f f f t 0.1 t 2.1 t 188 t 0.97 t 194 f ? other negative)
      (30 F f f f f f f f f f f f t f f t 1.4 t 2.2 t 122 t 1.1 t 111 f ? other negative)
      (31 F t f f f f f f t f f f f f f t 5 f ? t 141 t 1.09 t 130 f ? other negative)
      (31 F f f f f f f f f f f f f f f t 0.3 t 2.7 t 108 t 1.05 t 103 f ? SVHC negative)
      (38 F f f f f f f f f f f f f f f t 0.5 t 2.2 t 88 t 0.96 t 92 f ? SVI negative)
      (89 M f f f f f f f f f f f f f f t 0.9 t 2.4 t 105 t 0.95 t 110 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 2.1 t 0.8 t 99 t 0.88 t 113 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 0.15 t 2.7 t 119 t 1.12 t 106 f ? SVI negative)
      (68 M f f f f f f f f f t f f f f t 1.9 f ? t 93 t 0.86 t 108 f ? SVHC negative)
      (54 F f f f f f f f f f f f f f f t 1.8 t 1.8 t 94 t 1 t 94 f ? other negative)
      (64 F f f f f f f f f f f f f f f t 7.6 t 4.2 t 164 t 1.55 t 106 f ? other negative)
      (65 F t f f f f f f f f f f f f f t 0.05 t 3.4 t 210 t 1.05 t 199 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 2.8 t 1.9 t 123 t 1.16 t 106 f ? SVI negative)
      (51 F t f f f f f f f f f f f f f t 1.6 f ? t 160 t 1.09 t 147 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 0.79 t 1.5 t 110 t 0.88 t 125 f ? SVI negative)
      (24 F f f f f f f f f f f f f f t t 3.7 t 2.3 t 100 t 1.11 t 90 f ? SVHC negative)
      (24 M f f f f f f f f f f f f f f t 2 t 1.6 t 96 f ? f ? f ? other negative)
      (75 F f f f f f f f f f f f f f f t 0.77 t 2.3 t 83 t 0.89 t 94 f ? other negative)
      (71 M f f f f f f f f f f f f f f t 1.9 t 1.2 t 61 t 0.8 t 76 f ? other negative)
      (80 M f f f f f f f f t f f f f f t 0.2 t 1.8 t 111 t 0.97 t 114 f ? SVI negative)
      (48 M f f f f f f f f f f f f f f t 0.64 t 2.3 t 107 t 1.06 t 101 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 2.7 t 2 t 90 t 0.93 t 97 f ? other negative)
      (11 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (18 F f f f f f f f f f f f f f f t 0.98 f ? t 158 t 1.31 t 120 f ? other negative)
      (62 F t t f f f f f f f f f f f f t 0.025 t 2.2 t 183 t 1.03 t 178 f ? other negative)
      (76 ? f f f f f f f f t f f f f f t 1.4 t 2.4 t 118 t 0.91 t 130 f ? other negative)
      (22 M f f f f f f f f f f f f f f t 1.2 t 2.5 t 106 f ? f ? f ? other negative)
      (59 F f f f f f f f f f f f f f f t 1.2 f ? t 140 t 1.63 t 86 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.93 t 1.7 t 81 f ? f ? f ? other negative)
      (54 F t f f f f f f t f f f f f f t 0.58 t 2.6 t 100 t 1.01 t 99 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.34 t 2.5 t 163 t 1.11 t 148 f ? SVI negative)
      (68 F f f f f f f t f f f f f f f t 2.6 t 1.8 t 104 t 1.1 t 95 f ? other negative)
      (47 F f f f f f f t f f f f f f f t 3.4 t 2.2 t 102 t 1.02 t 101 f ? other negative)
      (33 M f f f f f f f f f f f f f f t 1.9 t 2.1 t 69 t 0.74 t 93 f ? other negative)
      (37 M f f f f f f f f f f f f f t t 1.1 t 2.4 t 106 t 0.97 t 109 f ? SVHC negative)
      (56 M f f f f f f f t f f f f f f t 0.05 t 1.9 t 137 t 1.09 t 126 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 0.86 t 2.2 f ? f ? f ? f ? other negative)
      (26 F f f f f f f f f f f f f f f t 1.9 t 1.5 t 87 t 0.94 t 93 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 0.47 t 2.2 t 161 t 1.05 t 153 f ? SVHC negative)
      (65 F f f f f f f f f f f f f f f t 1.7 t 2.4 t 73 t 0.89 t 82 f ? SVI negative)
      (83 ? f f f f f f f f f f f f f f t 2.9 f ? t 85 t 0.65 t 131 f ? SVI negative)
      (74 M f f f f f f f f f f f f f f t 2.9 t 1.6 t 90 t 0.79 t 114 f ? other negative)
      (78 F f f f f f f f f f f f f f t t 1.1 t 2 t 123 t 0.91 t 135 f ? SVHC negative)
      (50 F t f f f f f f f f f f f f f t 0.15 f ? t 248 t 1.5 t 165 f ? other negative)
      (31 F f f f f f f f f f f f t f f t 0.95 t 2.6 t 152 t 1.4 t 110 f ? other negative)
      (64 M f f f f f f f f f f f f f f t 4.6 t 1.5 t 133 t 1.08 t 124 f ? SVI negative)
      (49 F f f f f f f f f f f f f f f t 1.7 t 2 t 155 t 1.01 t 154 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 1.3 f ? t 98 t 1.14 t 86 f ? SVI negative)
      (16 F f f f f f f f f f f f f f f t 2.3 t 2.4 t 110 t 0.92 t 119 f ? SVI negative)
      (40 ? f f f f f f f f f f f f f f t 34 t 1.7 t 78 t 0.9 t 87 f ? other compensated_hypothyroid)
      (27 F f f t f f f f f f f f f f f t 2.3 t 2.6 t 100 f ? f ? f ? other negative)
      (60 M f f f f f f f f f f f f f f t 4.4 t 1 t 84 t 0.69 t 121 f ? SVI negative)
      (72 F f f f f f f f f f f f f f f t 0.005 t 4.1 t 139 t 0.71 t 196 f ? other negative)
      (65 ? f f f f f f f f f f f f f f t 0.025 t 3.2 t 129 t 0.77 t 168 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f t 0.15 t 2.5 t 87 t 0.79 t 109 f ? other negative)
      (56 M f f f f f f f f f f f f f f f ? t 2.2 t 74 t 0.86 t 86 f ? other negative)
      (61 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (54 M f f f f f f f f f f f f f f t 14.4 t 1.1 t 51 t 0.68 t 75 f ? SVI compensated_hypothyroid)
      (65 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 M f f f f f f f f f f f f f f t 1.2 t 1.4 t 113 t 1.03 t 110 f ? SVI negative)
      (46 M f f f f f f f f f f f f f t t 4.8 t 2.9 t 132 t 1.27 t 104 f ? SVHC negative)
      (24 F f f f f f f f f f f f f f f t 0.82 t 2.5 t 97 t 0.91 t 107 f ? other negative)
      (68 F f f f f f f f f f f f f f f t 28 t 1.8 t 72 t 0.87 t 82 f ? SVI compensated_hypothyroid)
      (60 M f f f f f f f f f f f f f f t 0.9 t 1.5 t 86 t 0.65 t 132 f ? SVHC negative)
      (70 F f f f f f f t f f f f f f f t 1.2 f ? t 109 t 1.08 t 100 f ? other negative)
      (61 M f f f f f f f f f f f f f f t 0.44 f ? t 75 t 0.6 t 124 f ? SVI negative)
      (76 M f f f f f f f f f f f f f f t 3.4 f ? t 77 t 0.67 t 115 f ? SVI negative)
      (20 F f f f f f f f f f f f f f f t 1.2 t 2.1 t 106 t 0.92 t 115 f ? STMW negative)
      (55 F f f f f f f f f f f f f f f t 2.4 t 2.3 t 104 t 1.03 t 101 f ? SVHC negative)
      (69 F f f f t f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (33 F f f f f f f f f f f t f f f f ? f ? f ? f ? f ? f ? other negative)
      (41 F f f f f f f t f f f f f f f t 3.2 t 1.3 t 78 t 0.97 t 80 f ? other negative)
      (45 M f f f f f f f f f f f f f f t 0.9 t 1.9 t 83 t 0.67 t 124 f ? SVI negative)
      (59 F t f f f f f f f f f f f f f t 0.015 t 2.2 t 164 t 1.01 t 162 f ? other negative)
      (50 F f f f f f f f f f f f f f f t 58 t 2.4 t 25 t 1.21 t 20 f ? SVI primary_hypothyroid)
      (85 F f f f f f f f f f f f f f f t 0.58 t 1.9 t 140 t 0.96 t 145 f ? SVI negative)
      (77 M t f f f f f t t f f f f f f t 0.93 t 1.9 t 121 t 1.36 t 89 f ? other negative)
      (86 ? f f f f f f f f f f f f f f t 2 f ? t 131 t 1.01 t 131 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 0.9 t 2.3 t 124 t 1.17 t 106 f ? SVI negative)
      (32 M f f f f f f f f f f t f f f t 1 t 2.4 t 121 t 1.2 t 101 f ? other negative)
      (72 F t f f f f f f f f f f f f f t 0.74 t 1 t 82 t 0.86 t 95 f ? SVHC negative)
      (43 F t f f f f f f f f f f f f f t 0.01 f ? t 171 t 0.98 t 174 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 0.67 t 1.9 t 92 t 0.76 t 121 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 21 t 0.8 t 53 t 0.86 t 61 f ? SVI primary_hypothyroid)
      (17 F f f f f f f f f f f f f f t t 0.8 t 3.4 t 46 f ? f ? f ? SVHC negative)
      (35 F f f f f f f f f f f f f f f f ? f ? t 67 t 0.9 t 75 f ? other negative)
      (42 F t f f f f f f f f f f f f f t 0.02 t 2.6 t 203 t 1.01 t 200 f ? other negative)
      (53 F f f f f f f f f f f f f f f t 165 t 0.4 t 17 t 1.19 t 14 f ? other primary_hypothyroid)
      (46 M f f f f f f f f f f f f f f t 4.2 t 2.2 t 68 f ? f ? f ? other negative)
      (53 F f f f f f f f f f f f f f f t 0.06 t 1.9 t 135 t 1.02 t 132 f ? other negative)
      (60 F f f f f f f f t f f f f f f t 8.9 f ? t 75 t 0.97 t 77 f ? other compensated_hypothyroid)
      (31 F f f f f f f f f f f f f f f t 4.8 t 2.6 t 93 t 1.18 t 79 f ? STMW negative)
      (37 F f f f f f f f f f f f f f f t 3.1 t 2.1 t 87 t 0.75 t 115 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 7 f ? t 71 t 0.78 t 90 f ? other compensated_hypothyroid)
      (55 F f f f f f f f t f f f f f f t 1.7 t 1.9 t 132 t 1.15 t 114 f ? SVI negative)
      (24 F f f f f f f f f t f f f f f t 0.78 t 2.5 t 148 t 1.23 t 120 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 4.7 t 1.6 t 72 t 0.85 t 85 f ? other negative)
      (16 F t f f f f f f f f f f f f f t 2.7 t 1.9 t 112 t 1.26 t 89 f ? other negative)
      (27 M f f f f f f f f f f f f f f f ? f ? t 79 t 0.79 t 100 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 5.4 t 2.2 t 75 t 0.9 t 84 f ? SVI negative)
      (67 F t f f f f f f f f f f f f f t 0.45 f ? t 124 t 1.02 t 122 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 3 t 1.6 t 71 t 0.82 t 86 f ? other negative)
      (50 F f f t f f f f f t f f f f f t 0.03 t 3.4 t 131 t 1.02 t 129 f ? other negative)
      (19 F f f f f f f f f f f f f f f t 1.3 t 2.5 t 151 t 1.21 t 125 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 2.1 t 0.8 t 75 t 0.77 t 98 f ? SVI negative)
      (32 F t f f f f f f t f f f f f f t 0.01 t 2.3 t 147 t 0.75 t 198 f ? SVI negative)
      (24 F f f f f f f f f f f f f f t t 0.83 t 2.2 t 79 t 0.8 t 99 f ? SVHC negative)
      (62 F f f f f f f f f f f f f f f t 1.1 t 1.9 t 113 t 1.14 t 99 f ? other negative)
      (55 M f f f t f f f f f f f f f f t 0.98 f ? t 107 t 0.99 t 107 f ? other negative)
      (85 F f f f f f f f f f f f f f f t 0.84 t 0.8 t 161 t 0.97 t 166 f ? SVI negative)
      (25 F f f f f f t f f f f f f f f t 4.9 f ? t 74 t 0.92 t 80 f ? other negative)
      (20 F f f f f f f f f f f f f f f t 1.5 t 2.5 t 94 t 1.04 t 90 f ? other negative)
      (53 M t f f f f f f f f f f f f f t 0.63 t 1.6 t 115 t 0.9 t 128 f ? other negative)
      (54 F f f f f f f f f f f f f f t t 3.3 t 0.7 t 76 t 0.72 t 105 f ? SVHC negative)
      (32 F t f f f f f f f f f f f f f t 0.005 t 2.9 t 138 t 1.15 t 120 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 4.7 t 1.1 t 89 t 0.75 t 118 f ? SVI negative)
      (28 F f f f f f f f f t f f f f f t 0.1 t 1.8 t 85 t 0.78 t 109 f ? other negative)
      (17 F f f f f f f f f f f f f f f f ? f ? t 83 t 0.99 t 84 f ? other negative)
      (38 M f f f f f f f f f f f f f f t 2.5 f ? t 81 t 0.86 t 94 f ? other negative)
      (23 F f f f f f f f f f f f t f f t 4.6 f ? t 157 t 1.71 t 92 f ? STMW negative)
      (38 M f f f f f f f f f f f f f t t 2.5 t 2.3 t 90 t 0.91 t 99 f ? SVHC negative)
      (76 F f f f f f f f t f f f f f f t 0.25 t 0.8 t 78 t 0.75 t 104 f ? other negative)
      (37 F t f f f f f f f f f f f f f t 0.25 f ? t 133 t 0.98 t 136 f ? other negative)
      (40 F f f f f f f f f t f f f f f t 9.2 t 1.5 t 113 t 1.03 t 109 f ? other compensated_hypothyroid)
      (23 F f f f f f f f f f f f f f f t 3.7 t 2.3 t 150 t 1.25 t 120 f ? other negative)
      (57 M f f f f f f f f t f f f f f f ? t 1.8 t 71 t 0.72 t 99 f ? other negative)
      (50 F f f f f f f f f f f f f f f t 1.1 t 2.2 t 81 t 0.94 t 86 f ? SVI negative)
      (39 F f f f f f f f f f f f f f f t 24 t 1.9 t 65 f ? f ? f ? other compensated_hypothyroid)
      (63 F f f f f f f f t f f f f f f t 2.3 t 2.3 t 111 t 1.06 t 105 f ? other negative)
      (31 F f f f f f f f f f f f f f f t 1.1 t 2 t 98 t 0.84 t 117 f ? other negative)
      (23 M f f f f f f f f f f f f f f t 0.78 t 2 t 102 t 0.97 t 106 f ? SVHC negative)
      (35 F f f f f f f f t f f f f f f t 31 t 2.6 t 46 t 1 t 46 f ? other primary_hypothyroid)
      (50 F f f f f f f f f f f f f f f t 0.3 t 1.5 t 146 t 1.18 t 124 f ? SVI negative)
      (18 F f f f f f f f t f f f f f f t 9.6 t 2.4 t 220 t 1.68 t 131 f ? STMW negative)
      (83 F f f f t f f f f f f f f f f t 2.5 f ? t 118 t 0.97 t 121 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 22 t 2.3 t 197 t 0.92 t 213 f ? SVI negative)
      (66 F t f f f f f f f f f f f f f t 0.07 f ? t 118 t 0.94 t 126 f ? other negative)
      (25 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (63 ? f f f f f f f f f f f f f f f ? f ? t 162 t 0.81 t 200 f ? other negative)
      (34 F f f f f t f f f t f f f f f t 0.03 t 4.2 t 134 t 1.65 t 81 f ? other negative)
      (14 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 M f f f t f f f f f f f f f f t 1.1 f ? t 108 t 0.95 t 113 f ? other negative)
      (65 M t f f f f f f f f f f f f f t 12 t 1.2 t 118 t 0.9 t 130 f ? other negative)
      (37 F f f f f f f f t f f f f f f t 2.2 f ? t 100 t 1.14 t 87 f ? other negative)
      (71 M f f f f f f f f f f f f f f t 3.2 t 1.8 t 86 t 0.81 t 106 f ? SVI negative)
      (58 F f f f f f f f t t f f f f f t 0.2 f ? t 256 t 0.9 t 283 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 1.2 f ? t 90 t 1.16 t 77 f ? other negative)
      (43 F f f f f f f f f f f f f f f t 1.1 t 1.3 t 136 t 0.97 t 140 f ? SVI negative)
      (70 M f f f f f f f f f f f f f f t 0.43 f ? t 116 t 0.78 t 149 f ? SVI negative)
      (62 M f f f f f f f f f f f f f f t 0.37 t 1.2 t 91 t 0.95 t 96 f ? other negative)
      (54 F f f f f f f f f f f f f f f t 3.1 t 3.8 t 157 t 1.52 t 103 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f f ? t 1.9 f ? f ? f ? f ? other negative)
      (52 M f t f f f f f f f f f f f f f ? f ? t 98 t 0.71 t 138 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 0.9 t 1.5 t 91 t 0.79 t 115 f ? SVHD negative)
      (51 F f f f f f f f f f f f f f f t 12 t 1.5 t 106 t 0.92 t 115 f ? SVI compensated_hypothyroid)
      (56 F t f f f f f f f f f f f f f t 9.5 f ? t 115 t 1.31 t 88 f ? other negative)
      (47 M f f f f f f f f f f f f f f t 0.6 t 2.9 t 113 t 1.13 t 100 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.94 t 2.9 t 92 t 0.93 t 100 f ? SVHC negative)
      (69 F f f f f f f f f f f f f f f t 0.8 t 0.6 t 82 t 0.46 t 179 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 0.63 t 2.3 t 139 t 1.11 t 125 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 1.8 t 1.4 t 85 t 0.93 t 92 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 2.1 t 2.4 t 95 t 0.95 t 100 f ? other negative)
      (74 F f f f f f f f t f f f f f f t 0.6 t 1.6 t 95 t 1.07 t 89 f ? SVI negative)
      (41 F t f f f f f f t f f f f f f t 2.8 f ? t 149 t 1 t 148 f ? other negative)
      (93 F f f f t f f f f f f f f f f t 3 t 0.9 t 92 t 0.81 t 112 f ? SVI negative)
      (36 F f f f f f f f f f f f f f f t 2.9 t 1.4 t 92 t 0.92 t 101 f ? SVI negative)
      (50 M f f f f f f f f f f f f f f t 80 t 1.4 t 41 t 1.14 t 36 f ? other primary_hypothyroid)
      (75 F f f f f f f f f f f f f f f t 4.9 t 1.9 t 122 t 0.95 t 129 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f t 2.9 t 2.2 t 96 t 1.03 t 93 f ? STMW negative)
      (39 F f f f f f f f f t f f f f f t 0.02 t 4 t 209 t 1.06 t 197 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.055 t 8.5 t 244 t 0.98 t 249 f ? other negative)
      (18 F f f f f f f f t f f f f f f t 1.5 f ? t 116 t 1.05 t 111 f ? other negative)
      (81 M f f f f f f f f f f f f f f t 0.65 t 1.3 t 91 t 0.87 t 104 f ? SVI negative)
      (58 F f f f f f f f f f f f f f f t 4.2 t 2.1 t 83 t 1.19 t 69 f ? SVI negative)
      (28 F f f f f f f f f f f f f f f t 5.9 t 2 t 126 t 1.26 t 100 f ? other negative)
      (33 F f f f f f f f f f f f f f t t 1.8 t 2 t 139 t 1.02 t 137 f ? SVHC negative)
      (59 ? f f f f f f t f f f f f f f t 0.25 t 2.4 t 109 t 0.97 t 113 f ? other negative)
      (52 M t t f f f f f f f f f f f f f ? f ? t 99 t 0.92 t 107 f ? other negative)
      (21 F f f f f t f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (57 F f f f f f f f f t f f f f f t 2.6 t 0.7 t 115 f ? f ? f ? SVI negative)
      (75 F f f f f f f f f f f f t f f t 0.045 t 2 t 146 t 1.05 t 139 f ? SVI negative)
      (84 F f f f f f f f f f f f f f f t 3 t 1.4 t 103 t 1.1 t 94 f ? other negative)
      (28 F f f f f f f f f f f f f f t t 0.7 t 2 t 45 f ? f ? f ? SVHC negative)
      (28 F f f f f f f f f f f f f f f t 2.2 t 1.9 t 86 t 1.06 t 81 f ? SVHC negative)
      (58 M f f f f f f f f f f f f f f t 0.9 t 2.3 t 102 t 1 t 102 f ? SVHC negative)
      (79 F f f f t f f f f f f f f f f t 2.8 t 1.5 t 105 t 1.05 t 100 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 0.2 t 2.1 t 69 t 0.81 t 86 f ? other negative)
      (22 F f f f f f f f f t f f f f f t 0.56 t 2.7 t 179 t 1.25 t 143 f ? other negative)
      (15 F f f f f f f f f f f f f f f t 0.04 t 1.4 t 103 t 0.85 t 120 f ? SVI negative)
      (33 M f f f f f f f f f f f f f f t 160 t 0.3 t 9.5 f ? f ? f ? SVI primary_hypothyroid)
      (74 M f f f f f f f f f f f f f f t 3.3 t 1.8 t 98 t 0.83 t 118 f ? other negative)
      (12 M f f f f f f f f f f f f f f t 2.1 t 2.7 t 93 f ? f ? f ? SVI negative)
      (66 F f f f f f f f f f f f f f f t 0.39 t 2.3 t 102 f ? f ? f ? other negative)
      (58 F f f f f f f f f f f f f f f t 0.3 t 3.1 t 151 t 1.4 t 108 f ? SVHC negative)
      (50 F t f f f f f f f f f f f f f t 0.66 f ? t 127 t 0.97 t 131 f ? other negative)
      (63 M f t f f f f f f f f f f f f f ? f ? t 52 t 0.85 t 61 f ? other negative)
      (56 F t f f f f f f f f f f f f f t 0.3 t 2.8 t 141 t 0.99 t 142 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 0.21 t 0.9 t 122 t 1.04 t 117 f ? SVI negative)
      (76 F t f f f f f f f f f f f f f t 0.1 t 2.1 t 98 t 1.01 t 97 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 1 t 1.7 t 93 t 0.78 t 119 f ? SVI negative)
      (50 M f f f f f f f f f f f f f f t 0.53 t 2.1 t 94 t 0.95 t 99 f ? SVI negative)
      (32 M f f f t f f f f f f f f f f t 0.2 t 1.7 t 85 t 0.84 t 101 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 0.82 t 2.2 t 100 t 0.98 t 102 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 0.57 t 1.9 t 90 t 0.88 t 102 f ? other negative)
      (58 F t f f f f f f t f f f f f f t 3.2 t 2.1 t 75 t 1.04 t 72 f ? other negative)
      (40 M f f f f f f f f f f f f f t t 1.4 t 1.8 t 92 t 0.85 t 108 f ? SVHC negative)
      (66 M f f f f f f f f f f f f f t t 4.5 t 1.3 t 89 t 0.73 t 121 f ? SVHC negative)
      (70 F f f f f f f f t f f f f f f t 3.7 f ? t 69 t 0.83 t 83 f ? other negative)
      (15 F t f f f f f f f f f f f f f t 145 t 1.7 t 19 t 1.13 t 17 f ? other primary_hypothyroid)
      (70 F f f f f f f f t t f f f f f t 1.3 t 1.8 t 94 t 0.86 t 110 f ? SVI negative)
      (44 F f f f f f f f t t f f f f f t 4.4 t 1.9 t 82 t 0.9 t 90 f ? other negative)
      (62 F f f f t f f f f f f f f f f t 3.3 t 2 t 116 t 1.06 t 110 f ? SVI negative)
      (55 M f f f f f f f f f f f f f f t 1.9 t 2.3 t 90 t 0.81 t 112 f ? SVI negative)
      (84 F f f f f f f f f f f f f f f t 4.6 t 1.5 t 83 t 0.78 t 106 f ? SVI negative)
      (19 F f f f f f f f f t f f f f f t 0.6 t 2.3 t 100 t 0.94 t 106 f ? other negative)
      (29 F t f f f f f f f f f f f f f t 0.05 t 2 t 127 t 0.92 t 138 f ? other negative)
      (43 F f f f f f f f f t f f f f f t 1.7 f ? t 104 t 0.91 t 115 f ? other negative)
      (39 F f f f f f f f f f f f f f f t 0.2 t 1.9 t 83 t 0.89 t 93 f ? other negative)
      (71 M t f f f f f f t f f f f f f t 25 t 0.3 t 31 t 0.68 t 46 f ? SVI primary_hypothyroid)
      (22 F f f f f f f f f f f f f f f t 2.6 t 1.1 t 102 t 0.81 t 125 f ? other negative)
      (28 M f f f f f f f f f f f f f f t 0.25 t 2 t 99 t 0.8 t 124 f ? SVHC negative)
      (62 F f f f f f f f f t f f f f f t 1.1 t 2.4 t 81 t 0.97 t 84 f ? other negative)
      (45 M f f f f f f f f f f f f f f t 0.25 t 1.4 t 86 t 0.75 t 114 f ? SVHC negative)
      (83 F f f f f f f f f f f f f f f t 0.43 t 0.4 t 92 t 0.75 t 123 f ? SVI negative)
      (45 M f f f f f f f f f f f f f f t 1.7 t 2 t 71 t 0.93 t 76 f ? other negative)
      (71 F t f f f f f f f f f f f f f t 0.2 t 1.6 t 122 t 0.81 t 152 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 0.77 t 3.2 t 175 t 1.47 t 119 f ? other negative)
      (43 F f f f t f f f f f f f f f f t 0.95 t 1.9 t 101 t 0.81 t 125 f ? other negative)
      (47 F f f f f f f f f t f f f f f t 1.2 t 2.1 t 130 t 0.99 t 131 f ? other negative)
      (77 M f f f f f f f f f f f f f f t 3.9 t 2 t 105 t 1.05 t 100 f ? SVI negative)
      (65 F t f f f f f f f f f f f f f t 0.03 t 1.9 t 139 t 0.84 t 165 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 2 t 1.7 t 93 t 0.84 t 111 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 1.1 t 2.7 t 159 t 1.19 t 134 f ? SVHC negative)
      (19 F f f f f f f f f f f f f f f t 2.8 t 1.4 t 96 t 0.88 t 109 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.15 t 1.6 t 101 t 1.09 t 92 f ? SVHC negative)
      (50 F f f t f f f f f t f f f f f t 0.01 t 2.8 t 74 t 1.14 t 65 f ? other negative)
      (42 F f f f f f f f f f f f f f f f ? f ? t 101 t 1.09 t 93 f ? other negative)
      (50 F f f f f f f f f f f f f f f t 0.6 t 2 t 83 t 1.31 t 63 f ? SVI negative)
      (48 M f f f f f f f f f f f f f f f ? f ? t 112 t 0.9 t 124 f ? other negative)
      (83 F t f f f f f f f f f f f f f t 0.77 t 1.44 t 123 t 0.99 t 124 f ? other negative)
      (31 ? t f f f f f f f f f f f f f t 0.02 t 2.1 t 212 t 1.17 t 181 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 4.2 t 1.6 t 101 t 1.1 t 92 f ? SVI negative)
      (40 F t f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (77 F f f f f f f f f f f f f f f t 0.06 f ? t 125 t 1.07 t 117 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 4.4 t 2.6 t 98 t 0.93 t 105 f ? other negative)
      (34 F f f t f f f f f t f f f f f t 27 t 4.4 t 273 t 1.22 t 222 f ? STMW negative)
      (58 F f f f f f f f f f f f f f f t 2.8 t 2.1 t 109 f ? f ? f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.1 t 1.8 t 108 t 0.71 t 151 f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 2.8 t 2.2 t 57 t 0.92 t 63 f ? SVHC negative)
      (41 M f f f f f f f f f f f f f f t 0.58 f ? t 102 t 0.84 t 121 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 1.4 f ? t 87 t 0.92 t 95 f ? SVI negative)
      (60 M t f f f f f f t f f f f f f t 30.5 t 1 t 32 t 0.63 t 51 f ? other primary_hypothyroid)
      (61 F t f f f f f f f f f f f f f t 2.6 f ? t 113 t 0.82 t 138 f ? other negative)
      (49 M t f f f f f f f f f f f f f f ? f ? t 81 t 1.14 t 71 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 2 t 2.2 t 138 t 1.24 t 111 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 0.04 t 2.2 t 116 t 1.04 t 111 f ? other negative)
      (73 F f f f f f f f f t f f t f f t 0.025 t 1.5 t 77 t 0.94 t 82 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 0.015 t 2.7 t 122 t 0.83 t 147 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 4.5 f ? t 75 t 0.84 t 89 f ? SVI negative)
      (37 F f f f f f f f f f f f f f f t 1 t 2.3 t 89 t 0.94 t 95 f ? other negative)
      (69 F t f f f f f f f f f f f f f t 5.9 t 1.8 t 163 t 1.09 t 149 f ? other negative)
      (29 F f f f f f f f f f f f f f f f ? f ? t 90 t 1 t 90 f ? other negative)
      (47 F f f f f f f f f t f f f f f t 0.04 t 2 t 104 t 0.87 t 120 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 1.9 t 2.9 t 133 t 1.18 t 113 f ? SVHC negative)
      (60 M f f f t f f f t f f f f f f t 2.7 f ? t 88 t 1.07 t 82 f ? other negative)
      (77 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (71 F t f f f f f f t f f f f f f t 1.1 f ? t 108 t 1.05 t 104 f ? other negative)
      (67 F f f f f f f f t f f f f f f t 0.84 t 3.3 t 222 t 1.82 t 122 f ? SVI negative)
      (78 F f f f t f f f f f f f f f f t 0.99 t 1.7 t 114 t 0.96 t 119 f ? SVHD negative)
      (62 F f f f f f f f f f f f f f f f ? t 1.4 f ? f ? f ? f ? other negative)
      (57 M f f f t f f f f f f f f f f t 0.2 t 2 t 91 t 1.18 t 77 f ? SVI negative)
      (40 F f f f f f f f f f f f f f f t 2.6 t 2.4 t 105 t 1.18 t 88 f ? SVI negative)
      (49 F f t f f f f f f f f f f f f t 2.2 t 1.2 t 89 t 1.09 t 82 f ? SVI negative)
      (45 F f f f f f f f f f f f f f f t 0.07 f ? t 168 t 0.92 t 183 f ? other negative)
      (49 M f f f f f f f f t f f f f f f ? t 2.4 t 111 t 1.07 t 104 f ? other negative)
      (61 F f f f f f f f t f f f f f f t 1.1 t 1.4 t 110 f ? f ? f ? other negative)
      (66 F f f f f f f f f f f f f f f t 0.25 t 0.6 t 110 t 0.83 t 133 f ? SVI negative)
      (68 F f f f f f f f f t f f f f f t 20 t 2.5 t 111 t 1.57 t 71 f ? other compensated_hypothyroid)
      (20 F f f f f f f f f f f f f f t t 2.6 t 3.3 t 121 t 1.08 t 112 f ? SVHC negative)
      (34 F f f f f f f f f f f f f f f t 0.035 t 3.1 t 142 t 1.47 t 97 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 0.3 t 2 t 89 t 0.89 t 99 f ? other negative)
      (74 F t f f f f f f f f f f f f f t 0.5 t 0.8 t 151 t 1.01 t 150 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 0.6 t 2 t 142 t 1 t 142 f ? SVI negative)
      (47 M f f f f f f f f f f f f f f t 0.7 t 1.9 t 99 t 0.79 t 125 f ? SVHC negative)
      (56 F f f f f f f f f t f f f f f f ? t 2.7 t 120 t 1.27 t 95 f ? other negative)
      (29 F f f f f f f f f f f f f f f t 3 t 2.2 t 86 t 1.09 t 79 f ? other negative)
      (78 F f f f f f f f f f f f f f f t 2.9 t 1.7 t 104 t 0.76 t 137 f ? SVI negative)
      (60 M f f f f f f f f f f f f f f t 2.1 t 1.4 t 89 t 0.99 t 90 f ? other negative)
      (82 F f f f t f f f f f f f f f f t 3.2 t 1.4 t 76 t 0.86 t 88 f ? SVI negative)
      (11 M f f f f f f f f f f f f f f t 0.2 f ? t 191 t 1.23 t 156 f ? other negative)
      (28 F f f f f f f f t f f f f f f t 1 t 2.3 t 116 t 1.13 t 103 f ? other negative)
      (72 F t f t f f f f f f f f f f f t 0.4 f ? t 186 t 1.24 t 150 f ? other negative)
      (33 F f f f f f f f f t f f f f f t 0.2 t 1.5 t 157 t 0.91 t 172 f ? other negative)
      (38 F f f f f f f f f f f t t f f f ? f ? f ? f ? f ? f ? other negative)
      (60 M f f f f f f f f f f f f f f t 0.15 t 7.6 t 120 t 1.04 t 116 f ? SVI negative)
      (21 F t f f f f f f f f f f f f t t 1.2 t 1.6 t 99 t 0.87 t 114 f ? SVHC negative)
      (78 M f f f f f f f f f f f f f f t 0.03 t 1.8 t 122 t 1.07 t 114 f ? SVI negative)
      (28 F f f f f f f f f f f f f f f t 1.9 f ? t 104 t 1.06 t 98 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 1.4 t 1.4 t 115 t 0.97 t 118 f ? SVHC negative)
      (27 M f f f f f f f f f f f f f f t 2.2 t 1.7 t 89 t 0.86 t 104 f ? other negative)
      (32 F f f f f f f f f f f f f f f t 3 t 1.9 t 94 t 1.07 t 88 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.98 t 1.8 t 100 f ? f ? f ? SVI negative)
      (68 F f f f f f f f t f f f f f f t 19 f ? t 93 t 1.2 t 77 f ? other compensated_hypothyroid)
      (74 F t f f f f f f t f f f f f f t 28 f ? t 74 t 1.03 t 72 f ? other negative)
      (49 M f f f f f t f f f f f f f f t 0.015 f ? t 137 t 0.8 t 170 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 3.2 t 1.4 t 84 t 0.96 t 88 f ? SVI negative)
      (76 M f f f f f f f t f f f f f f t 0.65 t 1.5 t 111 t 0.96 t 116 f ? other negative)
      (55 ? f f f f f f f t f f f f f t t 0.59 f ? t 118 t 1.03 t 114 f ? SVHC negative)
      (25 M f f f f f f f f f f f f f t t 1.6 t 2.1 t 89 t 0.86 t 103 f ? SVHC negative)
      (71 F t f f f f f f f f f f f f f t 2.7 t 1.2 t 107 t 1.1 t 97 f ? other negative)
      (37 F f f f f f f f f f f f f f f t 5.1 t 2.5 t 84 t 1.05 t 80 f ? SVHC negative)
      (56 F f f f f f f f f f f f f f f t 7.9 t 1.2 t 73 t 0.8 t 91 f ? SVI compensated_hypothyroid)
      (76 F f f f t f t f f f f f f f f t 1.8 t 1.2 t 65 t 0.76 t 86 f ? other negative)
      (32 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (48 F f f f f f f f f f f f f f f t 4.4 t 1.6 t 61 t 1.09 t 56 f ? other negative)
      (15 F f f f f f f f f f f f f f f t 0.51 t 1.3 t 121 t 0.78 t 155 f ? SVI negative)
      (41 F f f f f f f f t t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (55 M t f f t f f f f f f f f f f t 7.6 t 1 t 86 t 0.84 t 102 f ? other negative)
      (71 M t f f f f f f f f f f f f f t 7.8 t 1.4 t 111 t 0.96 t 116 f ? SVI negative)
      (30 M f f f f f f f f f f f f f f t 3.2 f ? t 97 t 0.69 t 141 f ? other negative)
      (56 F f f f f f f f t f f f f f f t 1.4 t 2.3 t 111 t 0.97 t 115 f ? other negative)
      (18 ? f f f f f f f f f f f f f f t 4.2 f ? t 78 t 0.77 t 102 f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 0.61 t 1.7 t 107 t 0.81 t 132 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 0.28 t 2.1 t 116 t 1.14 t 102 f ? other negative)
      (75 M f f f t f f f f f f f f f f t 0.02 f ? t 150 t 0.88 t 171 f ? SVHD negative)
      (39 M f f f f f f f f f f f f f f t 3.2 t 3.1 t 99 t 1.01 t 98 f ? SVHC negative)
      (14 F f f f f f f f f f f f f f f t 2.9 t 0.8 t 121 t 0.95 t 127 f ? other negative)
      (59 F t f f f f f f t f f f f f f t 4 t 1.3 t 120 t 0.94 t 128 f ? other negative)
      (50 M f f f f f f f f f f f f f f t 0.2 t 1.8 t 142 t 0.99 t 144 f ? SVHC negative)
      (56 F f f f f f f f f f f f f f f t 0.4 t 2.3 t 120 t 1.03 t 117 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 25 t 0.3 t 10 t 1.18 t 8.4 f ? other primary_hypothyroid)
      (35 ? f f f f f f f f f f f f f f f ? f ? t 73 t 0.91 t 81 f ? other negative)
      (69 F t f f f f f f f f f f f f f t 4.9 f ? t 116 t 1.1 t 105 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 1.4 t 1.6 t 119 t 0.92 t 130 f ? SVI negative)
      (62 F f f f f f f f f f f f f f f t 1.1 t 2.3 t 119 t 0.95 t 125 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 1.9 f ? t 68 t 0.64 t 106 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 1.8 f ? t 92 t 0.87 t 106 f ? other negative)
      (45 M f f f f f f f f f f f f f f t 0.9 t 2.6 t 92 t 0.9 t 102 f ? other negative)
      (46 F t f f f f f f f f f f f f f t 0.5 t 1.7 t 132 t 1.02 t 130 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 1.1 t 2.3 t 90 t 0.88 t 102 f ? other negative)
      (75 M f f f f f f f f f f f f f f t 1 t 1.5 t 121 t 0.8 t 153 f ? SVI negative)
      (15 ? f f f f f f f f f f f f f t t 3.6 t 1.3 t 153 t 1 t 152 f ? SVHC negative)
      (71 F f f f f f f f f f f f f f f t 0.02 t 2.2 t 152 t 0.78 t 196 f ? SVI negative)
      (76 M f f f f f f f f f f f f f f t 2.7 t 1.4 t 91 t 0.85 t 108 f ? SVI negative)
      (48 M f f f f f f f f f f f f f f t 2.4 t 2.7 t 110 t 1.09 t 101 f ? SVI negative)
      (33 F f f f f t f f f f f t f f f t 3.9 t 2.2 t 120 t 1.41 t 85 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 1.2 t 0.8 t 44 t 0.84 t 52 f ? SVI negative)
      (51 F f f f f f t f f f f f f f f t 2 f ? t 109 t 0.91 t 120 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 1.9 t 1.6 t 88 t 0.89 t 100 f ? other negative)
      (75 ? f f f f f f f f f f f f f f t 2.3 t 1.6 t 111 t 0.77 t 145 f ? SVHC negative)
      (37 F f f f f f f f f f f f f f f t 1.7 t 2.5 t 139 t 1.12 t 124 f ? other negative)
      (23 ? f f f t f f f f f f f f f f t 4.1 t 1.9 t 66 t 0.85 t 77 f ? SVHD negative)
      (65 F f f f f f f f f t f f f f f t 0.32 t 2.7 t 96 t 1.4 t 69 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 1.3 t 1.7 t 91 t 0.98 t 93 f ? other negative)
      (35 M f f f f f f f f f f f f f f t 0.46 f ? t 77 t 0.67 t 115 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 0.67 t 1.1 t 137 t 0.86 t 160 f ? SVI negative)
      (16 F t f f f f f f f f f f f f f t 0.07 t 1.5 t 140 t 0.89 t 157 f ? other negative)
      (25 F f f f f f f f f f f t f f f t 2 t 2.2 t 123 t 1.52 t 81 f ? other negative)
      (80 F f f f f f f f f f f f f f f t 0.97 t 1.7 t 83 t 0.97 t 86 f ? other negative)
      (28 F f f f f f f f f f f f f f t t 0.36 t 3 t 131 t 1.04 t 126 f ? SVHC negative)
      (59 F f f f f f f f t f f f f f f t 0.9 t 3.6 t 112 t 1.18 t 96 f ? other negative)
      (28 M f f f f f f f f f f f f f f t 1 t 3.1 t 107 t 1.05 t 103 f ? SVHC negative)
      (66 F t f f f f f f f f f f f f f t 1.5 t 1.5 t 129 t 1.02 t 127 f ? other negative)
      (38 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (72 M f f f f f f f f f f f f f f t 0.3 t 0.6 t 120 t 1.06 t 113 f ? SVI negative)
      (55 F t f f f f f f f f f f f f f t 0.015 t 1.9 t 115 t 0.77 t 149 f ? other negative)
      (34 F f f f f f f f t f t f f f f t 6.3 t 2.7 t 153 t 1.7 t 90 f ? SVHC negative)
      (59 F t f f t f f f f f f f t f f t 0.2 t 4.3 t 140 t 1.68 t 83 f ? SVHD negative)
      (27 F f f f f f f f t f f f f f f t 2.1 f ? t 70 t 0.48 t 146 f ? other negative)
      (89 F f f f f f f f f f f f f f f t 0.25 t 1.2 t 70 t 1.06 t 66 f ? SVI negative)
      (66 F f f f f f t f f t f f f f f t 1.7 t 1.4 t 89 t 0.87 t 103 f ? SVI negative)
      (45 F f f f f f f f f f f f f f f t 3 t 2.1 t 121 t 1.02 t 118 f ? SVI negative)
      (58 M t f f f f f f f f f f f f f f ? f ? t 74 t 0.82 t 90 f ? other negative)
      (34 ? f f f f f f f f f f f f f f t 3.3 t 1.6 t 83 t 0.7 t 118 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 2.5 t 1.5 t 91 t 0.81 t 113 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 4.9 t 1.9 t 101 f ? f ? f ? other negative)
      (73 F f f f f f f f f f f f f f f t 47 t 1.1 t 52 t 0.9 t 58 f ? other primary_hypothyroid)
      (61 F t f f f f f f f f f f f f f t 0.51 f ? t 90 t 0.81 t 111 f ? other negative)
      (45 F f f f f f f f f f f f f f f t 1.7 t 2.5 t 106 t 0.97 t 110 f ? SVI negative)
      (28 F t f f f f f f f f f f f f f t 0.2 t 2 t 115 t 0.92 t 124 f ? other negative)
      (29 F f f f f f f f f t f f t f f f ? t 1.6 t 86 t 0.78 t 111 f ? other negative)
      (21 F f f f f f f f f f f f f f t t 1.5 t 2.1 t 130 t 1.04 t 124 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f t 1.6 t 2.6 t 89 t 0.98 t 91 f ? other negative)
      (82 F f f f f f f f f t f f f f f t 1.3 t 1.4 t 131 t 1.08 t 121 f ? SVI negative)
      (55 F f f f f f f f f f f f f f f t 9.2 t 1.8 t 87 t 1.04 t 84 f ? SVHC compensated_hypothyroid)
      (34 F f f f f t f f f t f f t f f t 0.25 t 3.9 t 139 t 1.27 t 110 f ? other negative)
      (45 M f f f f f f f f t f f f f f t 0.2 t 2.1 t 101 t 0.84 t 121 f ? SVI negative)
      (71 F f f f f f f f f f f f f f f t 0.52 t 1.3 t 138 t 1.07 t 129 f ? other negative)
      (78 F f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (27 F f f f f f f f f f f f f f f t 3.1 t 1.6 t 86 t 1.04 t 83 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 1.7 t 1.9 t 100 t 1.06 t 93 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 0.68 t 2 t 107 t 0.97 t 110 f ? other negative)
      (66 F t f f f f f f f f f f f f f t 0.42 t 1.9 t 153 t 1.04 t 147 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 2.7 t 1.6 t 127 t 1 t 126 f ? SVHC negative)
      (60 F f f f f f f f f f f f f f f t 0.5 t 1 t 73 t 0.82 t 89 f ? SVHC negative)
      (71 F f f f f f f f f f f f f f f t 0.56 t 0.6 t 49 t 0.54 t 90 f ? SVI negative)
      (39 M f f f f f f f f f f f f f f t 0.5 t 2.1 t 95 t 0.89 t 107 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 0.5 t 1.4 t 80 t 0.88 t 91 f ? SVI negative)
      (55 M f f f f f f f f f f f f f f t 1.5 t 0.4 t 52 t 0.75 t 69 f ? SVI negative)
      (28 M f f f f f f f f f f f f f t t 1.4 t 2.4 t 110 t 0.99 t 111 f ? SVHC negative)
      (19 ? t f f f f f f f f f f f f f t 5.7 t 1.9 t 104 t 1.1 t 94 f ? other negative)
      (66 F f f f f f f f f f f f f f f t 3.8 t 1.9 t 119 t 1 t 119 f ? other negative)
      (62 M f f f t f f f f f f f f f f t 3.4 t 1.3 t 92 t 0.89 t 104 f ? other negative)
      (32 F f f f f f f f f f f f f f f t 0.64 t 1.7 t 102 t 0.76 t 134 f ? SVHC negative)
      (57 M f f f f f f f f f f f f f f t 2.3 f ? t 111 t 1.1 t 101 f ? other negative)
      (50 M f f f f f f f f f f f f f f t 1.9 t 2 t 97 t 0.88 t 110 f ? SVI negative)
      (62 F f f f f f f f f f f f f f f t 1.6 t 1.9 t 66 t 0.71 t 93 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.6 t 2.5 t 98 t 1.06 t 92 f ? other negative)
      (59 F t f f f f f f f f f f f f f t 0.025 t 5.7 t 372 t 1.27 t 291 f ? SVHD negative)
      (64 ? f f f f f f f f f f f f f f t 1.4 t 1.2 t 119 t 0.98 t 121 f ? other negative)
      (48 M f f f f f f f f f f f f f t t 2.4 t 2 t 66 t 0.74 t 89 f ? SVHC negative)
      (42 F f f f f f f f f t f f f f f t 6.2 t 1.7 t 72 t 0.89 t 81 f ? other compensated_hypothyroid)
      (36 M f f f f f f f f f f f f f f t 0.3 t 1.1 t 69 t 0.6 t 114 f ? SVI negative)
      (27 M f f f f f f f f f f f f f f t 1.4 t 1.9 t 89 t 0.85 t 105 f ? SVHC negative)
      (45 F f f f f f f f f f f f f f f t 6.7 t 2.5 t 98 t 0.88 t 111 f ? other compensated_hypothyroid)
      (89 F f f f f f f f f f f f f f f t 0.7 t 1.5 t 120 t 0.92 t 130 f ? SVI negative)
      (55 M f t f f f f f f f f f f f f t 0.2 t 1.8 t 52 t 0.95 t 55 f ? other negative)
      (57 F f f f f f f f f f f f f f f t 1.5 t 2.5 t 135 t 1.02 t 132 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 0.035 t 2.2 t 88 t 0.9 t 98 f ? other negative)
      (55 M f f f f f f f f f f f f f f t 1.6 t 1.6 t 114 t 0.93 t 123 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 0.9 t 1.6 t 91 t 1.06 t 86 f ? SVI negative)
      (21 ? f f f f t f f f f f f t f f t 2.4 t 3.5 t 171 t 1.49 t 115 f ? STMW negative)
      (42 F f f f f f f f f f f f f f f t 1.8 t 2 t 66 t 0.93 t 71 f ? SVHC negative)
      (58 ? f f f f f f f f t f f f f f t 0.04 t 2.6 t 117 t 1.02 t 114 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.82 t 2.6 t 180 t 1.42 t 126 f ? SVI negative)
      (68 F f f f f f f f f f f f f f f t 4.8 t 2 t 87 t 0.95 t 91 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 17 t 1.7 t 65 t 0.68 t 97 f ? other compensated_hypothyroid)
      (46 F t f f f f f f f f f f f f f t 0.02 t 1.9 t 116 t 0.9 t 129 f ? other negative)
      (58 F f f f f f f t f f f f f f f t 2.4 f ? t 122 t 1.12 t 108 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 3.5 t 2.5 t 123 t 1.15 t 107 f ? SVI negative)
      (62 F f f f f f f f f f f f f f f t 24 t 1.7 t 72 t 1.07 t 68 f ? other compensated_hypothyroid)
      (59 M f f f f f f f f f f f f f f t 0.9 t 2 t 97 t 0.71 t 135 f ? SVI negative)
      (64 F t f f f f f f t f f f f f f t 0.85 t 1.1 t 99 t 1.11 t 90 f ? SVI negative)
      (52 M f f f f f f t f f f f f f f t 1.2 t 1.7 t 92 t 0.76 t 121 f ? other negative)
      (75 F f f f f f f f f f f f f f f t 0.33 t 1.8 t 134 t 0.97 t 138 f ? other negative)
      (37 M f f f f f f f f f f f f f t t 0.6 t 2.1 t 148 t 1.19 t 124 f ? SVHC negative)
      (37 F f f f f f f f f f f f f f t t 1.1 t 2 t 97 t 0.99 t 98 f ? SVI negative)
      (44 M f f f f f f f f f t f f f f t 3 t 1.4 t 103 t 0.88 t 118 f ? SVHC negative)
      (52 F f f f f f f f f f f f f f f t 1.8 t 2.3 t 128 t 1.22 t 105 f ? other negative)
      (75 F f f f f f f t f f f f f f f t 0.25 t 3.4 t 151 t 1.13 t 134 f ? other negative)
      (74 F f f f f f f f f f f f f f f t 0.25 t 0.8 t 103 t 0.73 t 141 f ? SVI negative)
      (61 M t f f f f f f f f f f f f f t 3.8 t 1.3 t 93 t 0.84 t 111 f ? other negative)
      (60 F t f f f f f f f f f f f f f t 0.18 t 2.1 t 132 t 1.1 t 120 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.9 t 2.4 t 99 t 1.21 t 82 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 1.1 t 1.9 t 135 t 0.96 t 141 f ? SVI negative)
      (25 F f f f f f f f t f f f f f f t 3 t 2.1 t 93 t 1.01 t 92 f ? other negative)
      (29 M f f f t f f f f f f f f f f t 1.3 t 0.9 t 74 t 0.71 t 104 f ? SVI negative)
      (49 ? f f f f f f f f f f f f f f t 0.6 t 1.3 t 77 t 0.65 t 118 f ? other negative)
      (44 M t f f f f f f f f f f f f f t 0.26 f ? t 127 t 1.03 t 124 f ? other negative)
      (74 M f f f f f f f f f f f f f f t 2.6 t 2.1 t 149 t 1.02 t 147 f ? other negative)
      (42 M f f t f f f f f t f f f f f t 0.67 t 1.9 t 74 t 0.79 t 93 f ? other negative)
      (18 F t f f f f f f f f f f f f f t 1.1 f ? t 93 t 1.04 t 89 f ? STMW negative)
      (24 M t f f t f f f f f f f f f f t 3.3 t 1.2 t 70 t 0.87 t 80 f ? SVI negative)
      (28 M f f f f f f f f f f f f f t t 3.1 t 2.7 t 100 t 0.93 t 108 f ? SVHC negative)
      (57 F f f f f f f f f f f f f f f t 2.9 t 1.5 t 85 t 0.84 t 102 f ? other negative)
      (20 ? f f f f f f f f f f f f f f t 1.6 t 1.4 t 96 f ? f ? f ? SVI negative)
      (67 ? f f f f f f f f f f f f f f t 2.8 t 2.2 t 105 t 0.91 t 115 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 21 t 1.2 t 72 f ? f ? f ? other compensated_hypothyroid)
      (40 F f f f f f f f f f f f f f f t 0.15 t 1.7 t 132 t 0.93 t 141 f ? other negative)
      (21 F f f f f f f f f f f f f f f t 1.5 t 2 t 76 t 1.03 t 73 f ? other negative)
      (20 F t f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (70 ? t f f f f f f f t f f f f f t 0.02 t 1.5 t 160 t 0.94 t 171 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 2.4 t 2.1 t 93 t 0.96 t 97 f ? SVI negative)
      (58 F f f f f f f f f t f f f f f t 1.7 t 2.4 t 133 t 1.15 t 116 f ? other negative)
      (12 F f f f t f f f f f f f f f f t 2.4 f ? t 166 t 1.2 t 138 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 5 f ? t 82 t 0.81 t 101 f ? SVHC negative)
      (58 F f f f f f f f t f f f f f f t 18 t 2.1 t 68 t 1.08 t 63 f ? other primary_hypothyroid)
      (26 M f f f f f f f f f f f f f f t 1.9 t 2.9 t 94 t 1.15 t 82 f ? SVHC negative)
      (51 M f f f f f f f f f f f f f f t 1 t 2.2 t 95 t 0.96 t 100 f ? SVHC negative)
      (74 F f f f f f f f f f f f f f f t 1 t 1.8 t 105 t 0.9 t 117 f ? other negative)
      (43 M f f f f f f f f f f f f f f t 1.4 t 2.2 t 75 t 0.85 t 88 f ? SVI negative)
      (29 F f f f f f f f t f f f f f f t 1.6 t 2.2 t 87 t 0.95 t 92 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 1.4 t 1.7 t 103 t 0.89 t 116 f ? SVI negative)
      (15 M f f f f f f f f f f f f f f t 3.4 t 4.5 t 97 f ? f ? f ? other negative)
      (65 F f f f f f f f f f f f f f f t 1.6 t 1.9 t 99 t 1.03 t 97 f ? SVI negative)
      (67 F f f f t f f f f f f f t f f t 1.3 t 2.2 t 104 t 0.92 t 114 f ? other negative)
      (14 M f f f f f f f f f f f f f f t 3.8 t 2.5 t 80 t 0.89 t 90 f ? other negative)
      (63 M f f f f f f f f f f f f f f t 5.8 t 1.9 t 102 t 1.18 t 87 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 0.2 t 2.4 t 129 t 0.98 t 131 f ? SVHC negative)
      (38 F f f f f f f f f f f f t f f t 0.71 t 4.3 t 129 t 1.62 t 79 f ? STMW negative)
      (45 M f f f f f f f f f f f f f f t 1.9 t 2.5 t 114 t 1.01 t 113 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 1.5 t 2.2 t 112 t 0.97 t 115 f ? other negative)
      (48 M f f f f f f f f f f f f f f t 0.3 t 2.6 t 119 t 1.2 t 100 f ? other negative)
      (52 F f f f f f f f f f f f f f t t 2 t 1.8 t 88 t 0.86 t 102 f ? SVHC negative)
      (31 F f f f f f f f f f f f f f f f ? f ? t 112 t 0.97 t 116 f ? other negative)
      (58 M t f f f f f f f f f f f f f t 0.035 f ? t 137 t 0.91 t 151 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 0.89 t 1.3 t 118 t 0.87 t 136 f ? SVI negative)
      (32 M f f f f f f f f t f f f f f t 0.96 f ? t 122 t 1.07 t 114 f ? other negative)
      (78 F t f f f f f f t f f f f f f t 0.015 t 2.1 t 214 t 0.87 t 245 f ? other negative)
      (33 F f f f f f f f f f f f f f f t 1 t 0.2 t 87 t 0.54 t 161 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 0.5 t 0.7 t 110 t 0.93 t 118 f ? SVI negative)
      (28 M f f f f f f f f f f f f f f t 0.05 t 1.6 t 91 t 0.88 t 103 f ? SVHC negative)
      (55 ? f f f f f f f f f f f f f t f ? f ? t 89 t 0.96 t 93 f ? SVHC negative)
      (52 F f f f f f f f f f f f f f f t 1.7 t 1.8 t 102 t 0.99 t 103 f ? SVI negative)
      (87 M f f f f f f f f f f f f f f t 1 t 1.2 t 103 t 0.87 t 118 f ? SVI negative)
      (60 F t f f f f f f f f f f f f f t 0.005 t 1.5 t 132 t 0.95 t 138 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 4.1 t 2 t 125 t 0.97 t 128 f ? other negative)
      (33 F f f f f f f f f f f f f f f f ? f ? t 87 t 0.86 t 101 f ? other negative)
      (76 M f f f f f f f f f f f f f f t 0.69 t 2.3 t 138 t 1.04 t 133 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 0.6 t 2 t 144 t 1 t 145 f ? SVHC negative)
      (42 F f f f f f f f f f f f f f f t 1.3 t 2 t 87 t 0.73 t 118 f ? SVI negative)
      (28 M f f f f f f f f f f f f f f t 1.4 t 2.1 t 135 t 0.92 t 147 f ? other negative)
      (21 ? f t f f f f f f f f f f f f f ? t 2.8 t 143 t 1.25 t 114 f ? other negative)
      (52 M f f f f f f f f f f f f f f f ? f ? t 52 t 1.06 t 49 f ? other negative)
      (77 F f f f f f f f f f f f f f f t 1.6 t 1.5 t 117 t 0.86 t 136 f ? SVI negative)
      (71 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (65 F f f f f f f f f f f f f f f t 0.25 t 1.4 t 79 t 0.77 t 103 f ? SVI negative)
      (40 M f f f f f f f f f f f f f f t 0.26 f ? t 120 t 1.06 t 114 f ? other negative)
      (57 M t f f f f f f f t f f f f f t 50 t 1.3 t 64 f ? f ? f ? other negative)
      (47 F f f f f f f f f f f f f f f t 0.61 t 1.4 t 107 t 0.86 t 124 f ? other negative)
      (55 F f f f f f f f f f f f f f t t 2.6 t 1.9 t 115 t 1.02 t 114 f ? SVHC negative)
      (87 F f f f f f f f t f f f f f f t 0.2 t 1.5 t 132 t 0.86 t 153 f ? SVI negative)
      (25 ? t f f f f t f f f f f f f f t 1.1 t 2.6 t 212 t 1.75 t 121 f ? STMW negative)
      (53 F f f f f f f f f t f f f f f t 0.03 t 5.4 t 162 t 0.73 t 222 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 1.9 f ? t 96 t 0.87 t 110 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (65 F f f f f f f f f t f f f f f t 0.02 t 3.1 t 114 t 0.91 t 126 f ? other negative)
      (87 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (21 F f f f f f f f f f f f f f f t 1.8 t 2.6 t 120 t 1.2 t 100 f ? STMW negative)
      (65 F t f f f f f f f f f f f f f t 0.47 t 0.8 t 154 t 0.75 t 204 f ? other negative)
      (43 F f f f f f f f t f f f f f t t 6.5 t 1.8 t 60 t 0.89 t 67 f ? SVHC compensated_hypothyroid)
      (79 F f f f f f f f f f f f f f t t 1.4 t 1.6 t 110 t 0.85 t 129 f ? SVHC negative)
      (28 M f f f f f f f f f f f f f t t 0.5 t 2.2 t 89 t 1.06 t 84 f ? other negative)
      (57 M f f f f f f f f f f f f f f t 0.75 t 0.9 t 82 t 0.62 t 133 f ? SVI negative)
      (15 M f f f f f f f f f f f f f f t 1.1 f ? t 67 t 0.93 t 73 f ? other negative)
      (62 M f f f f f f f f f f f f f f t 4.2 t 2.2 t 104 t 1.11 t 93 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 3.4 t 1.9 t 86 f ? f ? f ? other negative)
      (25 M f f f f f f f f f f f f f f t 236 t 0.2 t 16 t 0.94 t 17 f ? other primary_hypothyroid)
      (77 F f f f t f f f t f f f f f f t 3.5 t 0.8 t 68 t 0.97 t 70 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f t 6.2 t 0.8 t 51 t 0.88 t 58 f ? SVI primary_hypothyroid)
      (67 F t f f f f f f f f f f f f f t 1.7 t 1.8 t 143 t 0.87 t 164 f ? SVI negative)
      (69 F t f f f f f f f f f f f f f t 0.25 f ? t 135 t 1.1 t 123 f ? other negative)
      (29 M f f f f f f f f f f f f f f t 0.9 t 2.7 t 156 t 1.25 t 125 f ? SVHC negative)
      (29 F f f f f f f f f f f f f f f t 1.3 t 1.6 t 90 t 0.97 t 93 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 0.5 t 2.1 t 56 t 0.96 t 58 f ? other negative)
      (34 F f f f f f f f f f f f f f t t 1.7 t 1.9 t 104 t 1.13 t 92 f ? SVHC negative)
      (76 M f f f f f f f f f f f f f f t 2.1 t 1.3 t 93 t 1.01 t 91 f ? SVI negative)
      (42 M f f f f f f f f f f f f f f t 52 t 0.8 t 28 t 0.86 t 33 f ? other primary_hypothyroid)
      (78 M f f f f f f f f f f f f f f t 1.5 t 1.3 t 116 t 0.97 t 119 f ? SVI negative)
      (29 F t f f f f f f f f f f f f f t 14 t 1.5 t 95 t 0.9 t 106 f ? other negative)
      (49 F t f f f f f f f f f f f f f t 0.25 f ? t 184 t 0.86 t 214 f ? other negative)
      (63 M f f f t f f f f f f f f f f t 0.8 t 1.9 t 98 t 0.89 t 111 f ? SVI negative)
      (36 F f f f f f f f f f f f f f f t 2.4 t 3.1 t 133 t 1.53 t 87 f ? STMW negative)
      (54 F f f f t f f f f f f f f f f t 0.4 f ? t 60 t 0.87 t 69 f ? other negative)
      (15 F t f f f f f f f f f f f f f t 0.1 t 2.3 t 183 t 0.89 t 205 f ? other negative)
      (67 F f f f f f f f f f f f f f f t 2.2 t 2 t 99 t 0.96 t 103 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.6 t 2.4 t 142 t 1.12 t 127 f ? other negative)
      (75 M f f f f f f f f f f f f f f t 1.4 t 2.1 t 115 t 0.97 t 119 f ? other negative)
      (64 F t f f f f f f f f f f f f f t 6.7 t 2 t 110 t 1.17 t 94 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 2.6 t 2.3 t 68 t 0.94 t 72 f ? other negative)
      (26 F f f f f f f f f f f f f f f t 1.3 f ? t 98 t 1.04 t 95 f ? other negative)
      (85 F f f f f f f f f f f f f f f t 3.3 t 2.3 t 120 t 0.96 t 126 f ? SVI negative)
      (29 F f f f f f f f f f f f f f f t 1.6 t 2.7 t 87 t 0.85 t 102 f ? other negative)
      (16 ? f f f f f f f f f f f f f f t 3.1 t 1.1 t 96 t 0.87 t 111 f ? SVI negative)
      (85 F f f f f f f f f f f f f f f t 0.8 t 2.1 t 100 t 1.06 t 95 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 23 t 0.5 t 33 t 0.67 t 49 f ? SVI primary_hypothyroid)
      (27 F f f t f t f f f f f f f f f t 0.005 t 2.5 t 145 t 1.45 t 100 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.01 t 2.4 t 127 t 0.84 t 152 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 0.42 t 2.4 t 134 t 1.14 t 117 f ? other negative)
      (21 F f f f f f f f f f f f f f f t 5.1 f ? t 87 t 0.89 t 98 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 2.2 t 2.3 t 105 t 0.97 t 109 f ? other negative)
      (75 F t f f f f f f f f f f f f f t 0.1 t 1.9 t 152 t 0.81 t 188 f ? other negative)
      (72 F t f f t f f f f f f f f f f t 1.7 f ? t 113 t 0.85 t 132 f ? other negative)
      (26 F f f f f f f f f f f f f f f t 0.2 t 5.1 t 187 t 1.17 t 160 f ? other negative)
      (49 F t f f f f f f f f f f f f f t 0.93 f ? t 74 t 0.87 t 85 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.4 f ? f ? f ? f ? f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.56 t 1.3 t 70 t 0.93 t 75 f ? SVI negative)
      (27 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (74 F f f f f f f f f f f f f f f t 4.8 t 2.5 t 66 t 0.89 t 75 f ? other negative)
      (82 F f f f f f f f f f f f f f f t 0.5 t 0.6 t 139 t 0.86 t 161 f ? SVI negative)
      (26 F f f f f f f f f f f f f f f t 3.4 f ? t 104 t 1.12 t 92 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 4.5 t 3.2 t 84 t 0.84 t 100 f ? other negative)
      (52 M f f f f f f f f f f f f f f t 0.9 f ? t 100 t 0.79 t 127 f ? other negative)
      (83 M f f f f f f f f f f f f f f t 2.8 t 1.1 t 66 t 0.71 t 93 f ? SVI negative)
      (54 M f f f f f f f f f f f f f f t 2.3 t 1.7 t 105 f ? f ? f ? SVI negative)
      (32 F f f f f f t f f f f f f f f t 4.1 f ? t 117 t 1.51 t 78 f ? other negative)
      (65 ? f f f f f f f f f f f f f f t 10 t 2 t 78 f ? f ? f ? other compensated_hypothyroid)
      (18 F f f f f f f f f f f f f f f t 440 t 0.5 t 24 t 1.32 t 18 f ? other primary_hypothyroid)
      (50 ? t f f f f f f t f f f f f f t 1.7 t 1.8 t 113 t 1.01 t 112 f ? STMW negative)
      (46 F f f f f f f f f f f f f f f t 0.91 t 2.4 t 124 t 1.05 t 118 f ? other negative)
      (85 F f f f f f f f f f f f f f f t 6 t 2 t 103 f ? f ? f ? other negative)
      (68 M f f f f f f f f f f f f f f t 3 t 2.6 t 117 t 1.24 t 94 f ? SVI negative)
      (69 F f f f f f f f f f f f f f f t 2 t 1.7 t 109 t 0.93 t 117 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 2.4 t 2 t 119 t 0.92 t 129 f ? SVI negative)
      (39 M f f f f f t f t f f f f f f t 3.6 f ? t 92 t 1.09 t 84 f ? other negative)
      (28 F f f f f f f f f f f f f f f t 139 t 0.9 t 36 t 0.9 t 40 f ? other primary_hypothyroid)
      (38 M f f f f f f f f f f f f f t t 0.73 t 2.4 t 135 t 1.05 t 129 f ? SVHC negative)
      (42 M f f f f f f f f f f f f f f t 5.1 t 1.5 t 53 t 0.76 t 70 f ? other negative)
      (14 M f f f f f f f f f f f f f f t 5.8 t 2.8 t 91 t 1.03 t 88 f ? other negative)
      (25 M f f f f f f f f f f f f f f t 1.7 t 2 t 90 t 0.85 t 106 f ? other negative)
      (85 F f f f f f f f t f f f f f f t 8 t 1.1 t 125 t 0.89 t 142 f ? other compensated_hypothyroid)
      (51 F f f f f f f f f f f f f f f t 2.4 t 2 t 143 t 1.31 t 109 f ? other negative)
      (51 M f f f f f f f f f f f f f f t 2.4 t 2.5 t 106 t 0.81 t 130 f ? SVI negative)
      (41 F f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (56 M f f f f f f f f t f f f f f t 1.4 t 1 t 99 t 0.7 t 142 f ? SVI negative)
      (52 M f f f f f t t f f f f f f f t 0.04 t 1.9 t 86 t 0.77 t 112 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 1.1 f ? t 124 t 1.15 t 108 f ? other negative)
      (41 F f f f f f f f f f f f f f t t 0.82 t 1.4 t 129 t 0.88 t 147 f ? SVHC negative)
      (30 F f f f f f f f f f f f f f f t 0.76 t 3.4 t 129 t 1.53 t 84 f ? STMW negative)
      (59 F f f f f f f f f f f f f f f t 530 t 2 t 10 t 1.12 t 8.5 f ? other primary_hypothyroid)
      (79 M f f f f f f f f f f f f f f t 0.8 t 2.2 t 103 t 0.95 t 109 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 4.9 t 1.9 t 90 t 0.98 t 92 f ? other negative)
      (31 ? f f f f f f f f f f f f f f t 0.4 t 2.5 t 165 t 0.9 t 184 f ? STMW negative)
      (68 M f f f f f f f f f f f f f f t 0.05 t 0.2 t 115 t 0.92 t 126 f ? SVI negative)
      (79 F f f f t f f f f f f f f f f t 1.3 t 0.9 t 102 t 0.95 t 107 f ? SVI negative)
      (53 F f f f f f f f f f f f f f f t 0.19 t 1.8 t 124 t 1.12 t 110 f ? other negative)
      (54 M f f f f f f f f f f f f f t t 0.1 t 1.9 t 102 t 0.93 t 110 f ? SVHC negative)
      (54 F f f f f f f f f f f f t f f t 0.7 t 2 t 95 t 0.99 t 96 f ? other negative)
      (58 F f f f f f f f f f f f f f f t 7.5 t 1.6 t 82 t 1.08 t 77 f ? other compensated_hypothyroid)
      (49 M f f f f f f f f f f f f f f f ? f ? t 87 t 1.2 t 73 f ? other negative)
      (67 F t f f f f f f f f f f f f f t 0.02 f ? t 121 t 0.96 t 127 f ? other negative)
      (55 M f f f f f f f f t f f f f f t 0.55 t 2.1 t 75 t 1.01 t 74 f ? SVI negative)
      (72 M f f f f f f f f f f f f f f t 5.3 t 1 t 97 t 0.65 t 150 f ? SVI negative)
      (53 F t f f f f f f f f f f f f f t 0.1 f ? t 129 t 1.08 t 119 f ? other negative)
      (48 F f f f f f f f f f f f f f f t 0.3 t 2.4 t 117 t 1.02 t 115 f ? other negative)
      (80 F f f f f f f f f f f f f f f t 2.6 t 2.2 t 97 t 1.04 t 94 f ? other negative)
      (26 F f f f t f f f f f f f f f f t 1.3 t 2.5 t 132 t 1.24 t 107 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.6 t 1 t 88 t 0.94 t 94 f ? SVHC negative)
      (76 F f f f f f f f f f f f f f f t 1.7 t 0.8 t 80 t 0.77 t 104 f ? SVI negative)
      (45 M f f f f f f f t t f f f f f t 1.2 t 2.7 t 120 t 1.13 t 106 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 0.35 t 1.4 t 108 t 1.02 t 105 f ? SVI negative)
      (48 F f f f f f f f f t f f f f f t 3 f ? t 90 t 1.14 t 79 f ? other negative)
      (49 F f f f f f f f f f f f f f f t 1.3 t 1.6 t 126 t 0.87 t 145 f ? SVI negative)
      (52 F f f f f f f f f f f f f f f t 2.7 t 2.1 t 116 f ? f ? f ? other negative)
      (53 M f f t f f f f f f f f f f f t 0.05 t 2.2 t 89 t 0.83 t 107 f ? other negative)
      (58 M f f f f f f f f f f f f f f t 3.7 t 1.6 t 76 t 0.81 t 95 f ? other negative)
      (35 F f f f f f f f f f f f f f f t 2.3 t 2.3 t 83 t 1.19 t 69 f ? SVHC negative)
      (30 M f f f f f f f f f f f f f f t 0.2 t 1.9 t 86 t 0.9 t 96 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 2.5 t 1.3 t 119 t 0.88 t 135 f ? SVI negative)
      (17 F t f f f f f f f f f f f f f t 0.25 f ? t 117 t 0.92 t 126 f ? other negative)
      (82 F f f f t f f f f f f f f f f t 2.1 t 1.7 t 99 t 0.91 t 108 f ? SVI negative)
      (22 F f f f f f f f f f f f f f f t 2.6 f ? t 134 t 1.14 t 118 f ? other negative)
      (54 F f f f f f f f f f f f f f t t 0.51 f ? t 118 t 1.15 t 103 f ? SVHC negative)
      (58 M f f f f f f f f f f f f f f t 1.7 t 2.3 t 124 t 1.25 t 99 f ? SVI negative)
      (68 ? f f f f f f f f f f f f f f t 2.5 t 3.5 f ? f ? f ? f ? other negative)
      (54 M f f f f f f f f t f f f f f t 16 t 1.5 t 60 t 0.78 t 77 f ? SVI compensated_hypothyroid)
      (23 F f f f f f f f f f f f f f f t 2.6 t 2 t 104 t 1.06 t 98 f ? other negative)
      (63 ? f f f f f f f f f f f f f f t 0.98 f ? f ? t 0.72 t 118 f ? other negative)
      (58 F t f f f f t f f f f f f f f t 0.5 t 2.3 t 115 t 1 t 115 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.25 t 2 t 83 t 0.87 t 96 f ? SVHC negative)
      (71 M f f f f f f f f f f f f f f t 2.3 f ? t 56 t 1.12 t 50 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 3.3 t 1.5 t 102 t 0.95 t 108 f ? SVHC negative)
      (84 F f f f f f f f f t f f f f f f ? f ? t 88 t 0.87 t 100 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 0.85 t 2.5 t 108 t 1.09 t 99 f ? other negative)
      (36 F f f f f f f f f f f t f f f t 0.9 t 2.8 t 126 t 1.29 t 98 f ? other negative)
      (87 F f f f f f f f f f f f f f f t 2.2 t 0.9 t 106 t 0.92 t 115 f ? SVI negative)
      (30 M f f f f f f f f f f f f f f t 2.5 t 1.9 t 110 t 0.89 t 125 f ? SVI negative)
      (45 F f f f f f f f f f f f f f f t 0.2 t 2 t 87 f ? f ? f ? other negative)
      (26 F f f f f f f f f f f f f f f t 4.5 t 2.1 t 113 t 1.02 t 111 f ? SVHC negative)
      (74 F f f f f f f f t f f f f f f t 23 t 0.7 t 69 t 1.04 t 66 f ? SVI compensated_hypothyroid)
      (74 F f f f f f f f f f f f f f f t 6.3 t 1.7 t 146 t 1.22 t 119 f ? other compensated_hypothyroid)
      (78 F f f f f f f f t f f f f f f t 25 t 0.9 t 50 t 0.84 t 60 f ? SVI primary_hypothyroid)
      (65 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (88 F f f f f f f f f f f f f f f t 0.83 t 1.5 t 89 t 0.94 t 95 f ? SVI negative)
      (19 M f f f f f f f f f f f f f f t 0.84 t 2 t 98 t 0.88 t 112 f ? SVI negative)
      (68 F t f f f f f f f f f f f f f t 0.3 t 1.7 t 144 t 0.96 t 150 f ? other negative)
      (75 F t f f f f f f f f f f f f f t 12 t 2 t 141 t 1.13 t 125 f ? other negative)
      (73 F t f f f f f f t f f f f f f t 0.03 t 1.7 t 127 t 0.89 t 143 f ? other negative)
      (76 F f f f f f f f f f f f f f f t 27 t 2.3 t 135 t 1.54 t 88 f ? other compensated_hypothyroid)
      (76 F f f f f f f f f f f f f f f t 0.005 t 3 t 158 t 0.87 t 183 f ? other negative)
      (60 M f f f f f f f f f f f f f f t 0.4 t 1.9 t 106 t 1.06 t 100 f ? SVI negative)
      (83 F f f f t f f f t f f f f f f t 2.2 t 0.7 t 71 t 0.76 t 93 f ? SVI negative)
      (40 F f f f f t f f f f f f f f f t 0.15 t 3 t 210 t 1.48 t 142 f ? other negative)
      (34 M f f f f f f f f f f f f f f t 0.03 t 1.6 t 96 t 0.97 t 99 f ? other negative)
      (47 F f f f f f f f f f f f f f f t 1.1 t 2.3 t 113 t 1.1 t 103 f ? SVI negative)
      (84 F t f f f f f f f f f f f f f t 26 f ? t 73 t 1.03 t 72 f ? other negative)
      (62 M t f f f f f f f f f f f f f t 2.4 t 2 t 103 t 0.95 t 109 f ? other negative)
      (51 F f f f f f f f f f f f f f f t 1.5 t 2.4 t 103 t 1.14 t 90 f ? other negative)
      (37 M f f f f f f f f t f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (51 M f f f f f f f f f f f f f f t 0.2 t 2 t 113 t 0.84 t 134 f ? SVI negative)
      (58 M f f f f f f f f f f f f f f t 0.64 t 1 t 103 f ? f ? f ? SVI negative)
      (36 F f f f f f f f f f f f f f f t 22 t 0.2 t 4 t 1.01 t 4 f ? other primary_hypothyroid)
      (29 M f f f f f f f f f f f f f t t 0.25 t 2 t 35 f ? f ? f ? SVHC negative)
      (42 F t f f f f f f f f f f f f f t 0.12 f ? t 149 t 1.05 t 143 f ? other negative)
      (88 F f f f f f f f f f f f f f f t 1.2 t 2 t 123 t 1.16 t 107 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 0.69 t 1.6 t 89 t 0.96 t 93 f ? other negative)
      (33 M f f f f f f f f f f f f f f t 1.2 t 2.2 t 118 t 0.89 t 132 f ? SVHC negative)
      (59 F f f f f f f f f f f f f f f t 1.8 t 1.7 t 119 f ? f ? f ? SVI negative)
      (62 F f f f f f f f f f f f f f f f ? t 1.3 f ? f ? f ? f ? other negative)
      (35 F f f f f f f f f f f f f f f t 2.5 t 1.2 t 124 t 1.12 t 111 f ? other negative)
      (66 M f f f f f f f f t f f f f f t 0.05 t 1.8 t 133 t 1.02 t 130 f ? SVI negative)
      (45 M f f f f f f f f f f f f f f t 0.2 t 1.8 t 94 t 0.84 t 111 f ? SVHC negative)
      (60 F f f f f f f f f f f f f f f t 6.5 f ? t 45 t 0.47 t 96 f ? other negative)
      (35 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (55 M f f f f f f f f f f f f f f t 0.15 t 2.5 t 109 t 0.75 t 145 f ? SVHC negative)
      (32 M f f f f f f f f f f f f f f t 109 t 0.2 t 3 t 1.02 t 3 f ? other primary_hypothyroid)
      (43 F f f f f f f f f f f f f f f t 0.7 t 2.5 t 99 t 1.12 t 89 f ? STMW negative)
      (62 M f f f f f f f f f f f f f f t 1.4 t 2 t 101 t 1.13 t 88 f ? SVHC negative)
      (29 M f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (46 M f f f f f f f f f f f f f f t 0.25 t 2 t 112 t 1.01 t 111 f ? SVI negative)
      (35 F t f f f f f f f f f f f f f t 1.9 t 1.8 t 100 t 0.81 t 123 f ? other negative)
      (37 M f f f f f f f f f f f f f f t 1.1 t 1.9 t 117 t 1 t 118 f ? SVHC negative)
      (56 M f f f f f f f f f f f f f f t 3.2 t 1.7 t 87 t 0.87 t 100 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 4.1 t 2.1 t 98 t 1.12 t 87 f ? other negative)
      (33 F t f f f f f f f f f f f f f t 1.5 t 2.1 t 104 t 0.85 t 122 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 0.65 f ? t 120 t 1.07 t 112 f ? SVI negative)
      (68 ? t f f f f f f f f f f f f f t 1.5 t 0.8 t 98 t 0.82 t 119 f ? SVI negative)
      (73 M f f f f f f f f f f f f f f t 2.7 t 1.1 t 62 t 0.7 t 89 f ? SVI negative)
      (61 F t f f f f f f t f f f f f f f ? t 2 t 147 f ? f ? f ? other negative)
      (16 F f f f f f t f f f f f f f f t 30 t 1.2 t 30 t 1.45 t 21 f ? other negative)
      (54 F t f f f f t f f f f f f f f t 0.08 t 2.1 t 133 t 1.14 t 116 f ? other negative)
      (31 F t f f f f f f f f f f f f f t 22 t 1.2 t 146 t 1.21 t 121 f ? other negative)
      (36 ? f f f f f f f f f f f f f f t 1.9 f ? t 59 t 0.59 t 99 f ? SVHC negative)
      (55 M f f f f f f f f f f f f f f t 1 t 1.8 t 95 t 0.95 t 101 f ? SVI negative)
      (88 F f f f f f f f f f f f f f f t 1.2 t 1.6 t 107 t 1.09 t 99 f ? SVI negative)
      (39 F f f f f f f f f t f f f f f f ? t 6.6 t 248 t 0.89 t 280 f ? other negative)
      (72 F f f f f f f f f f f f f f f t 0.005 t 2.1 t 98 t 0.9 t 109 f ? SVHC negative)
      (58 M f f f f f f f f f f f f f f t 0.2 t 2.1 t 106 t 0.94 t 113 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 1.6 t 1.9 t 97 t 0.99 t 99 f ? other negative)
      (86 F f f f f f f f f f f f f f f t 0.05 t 2 t 79 t 0.62 t 126 f ? SVI negative)
      (75 M f f f f f f f f f f f f f f t 0.6 t 1.5 t 63 t 0.68 t 92 f ? other negative)
      (48 M f f f f f f f f f f f f f f f ? t 2.4 t 130 t 1.24 t 105 f ? other negative)
      (38 ? f f f f f f f f f f f f f f t 1.2 t 2 t 101 t 1.01 t 100 f ? SVHC negative)
      (61 F f f f f f f f f f f f f f f t 1.2 t 1.8 t 88 f ? f ? f ? other negative)
      (61 M f f f f f f f f f f f f f f t 0.02 t 2.1 t 128 t 0.94 t 136 f ? other negative)
      (43 F f f f f f f f f f f f f f f t 70 t 0.5 t 2.9 t 1.05 t 2.8 f ? other primary_hypothyroid)
      (47 ? f f f t f f f f f f f f f f t 0.02 t 1.9 t 111 t 0.93 t 119 f ? other negative)
      (53 F t f f f f f f f f f f f f f t 0.02 t 2 t 131 t 0.93 t 142 f ? other negative)
      (40 M f f f f f f f f f f f f f f f ? f ? t 63 t 0.88 t 72 f ? other negative)
      (32 F f f f f f f f f f f f f f f t 1.6 t 1.3 t 119 t 0.9 t 133 f ? SVI negative)
      (28 F f f t f f f f f f f f f f f t 0.3 t 2.9 t 171 t 1.2 t 143 f ? other negative)
      (26 F f f f f f f f f f f f f f f t 2.3 t 2 t 135 t 1.21 t 111 f ? other negative)
      (60 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (39 F f f f f f f f f f f f f f t t 1.9 t 2.4 t 95 t 1.21 t 78 f ? other negative)
      (22 ? f f f f f f f f f f f f f f t 3.1 t 2.7 t 136 t 1.27 t 107 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 6 t 1.7 t 121 t 1.12 t 108 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 0.025 t 2.3 t 122 t 0.86 t 142 f ? other negative)
      (72 M f f f f f f f f f f f f f f t 2.3 t 2 t 106 t 1.01 t 105 f ? SVI negative)
      (65 F f f f f f f f f f f f f f f t 0.89 t 2.6 t 95 t 1.01 t 95 f ? other negative)
      (60 F f f f f f f f f f f f f f f t 1 t 1.5 t 102 f ? f ? f ? other negative)
      (67 M f f f f f f f f f f f f f f t 4.3 t 2 t 125 t 1.01 t 124 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f t 0.025 f ? t 113 t 0.98 t 116 f ? other negative)
      (40 F f f f f f f f f f f f f f f t 3.6 t 2.5 t 95 t 1 t 95 f ? STMW negative)
      (71 M f f f f f f f f f f f f f f t 0.2 t 2.2 t 140 t 1.14 t 123 f ? SVI negative)
      (68 M f f f f f f f f f f f t f f t 4 t 1.1 t 115 t 0.9 t 128 f ? SVI negative)
      (23 F t f f f f f f f f f f f f f t 1.4 t 3 t 174 t 1.35 t 129 f ? other negative)
      (50 F f f f f f f f f f f f f f f t 0.25 t 2 t 77 t 0.75 t 103 f ? other negative)
      (56 F f f f f f f f f f f f f f f t 0.02 t 7.1 t 223 t 1 t 222 f ? other negative)
      (36 F f f f f f f f f f f f f f f t 0.24 t 2.4 t 119 t 1.1 t 109 f ? other negative)
      (36 M f f f t f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (47 F t f f f f f f f f f f f f f t 0.01 t 4.2 t 214 t 1.45 t 148 f ? other negative)
      (83 F f f f f f f f f f f f f f f t 0.68 t 2.2 t 105 f ? f ? f ? other negative)
      (70 F f f f f f t f f f f f f f f t 0.025 t 1.7 t 141 t 0.88 t 160 f ? SVI negative)
      (33 F f f f f f f f f f f f f f f t 1.5 t 2.5 t 109 t 1.11 t 98 f ? other negative)
      (43 F t f f f f f f f f f f f f f t 1.9 t 1.8 t 114 t 0.92 t 125 f ? other negative)
      (48 M f f f f f f f f f f f f f f t 0.8 t 1.2 t 97 t 0.9 t 107 f ? SVI negative)
      (71 F t f f f f f f f f f f f f f t 4.7 t 1.7 t 93 t 0.98 t 94 f ? other negative)
      (61 F f f f f f f f f f f f f f f f ? f ? t 91 t 0.71 t 128 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.82 t 1.4 t 91 t 0.97 t 94 f ? other negative)
      (61 F f f f t f t f f f f f f f f t 1.8 t 1.9 t 102 t 1.06 t 97 f ? SVHD negative)
      (22 M f f f f f f f f f f f f f f t 1.7 t 2.3 t 127 t 1 t 127 f ? other negative)
      (79 F f f f f f f f f f f f f f f t 1.4 t 0.6 t 94 f ? f ? f ? SVI negative)
      (66 F f f f f f f f f f f f f f f t 0.31 t 2 t 123 t 1.15 t 107 f ? other negative)
      (69 F f f f f f f f f f f f f f f t 6.8 t 2.2 t 77 f ? f ? f ? other compensated_hypothyroid)
      (38 F f f f f f f f f f f f f f f t 0.5 t 4.7 t 172 t 1.83 t 94 f ? STMW negative)
      (58 M f f f f f f f f f f f f f f t 0.5 t 3.4 t 91 t 0.97 t 94 f ? SVI negative)
      (39 F f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (65 M f f f f f f f f f f f f f f t 3.4 t 1.9 t 93 t 0.97 t 96 f ? SVHC negative)
      (61 F t f f f f f f t f f f f f f t 0.41 t 1.2 t 116 t 0.87 t 134 f ? SVI negative)
      (32 F f f f f f f f f f f f f f t t 1.2 t 1.6 t 68 t 1.02 t 66 f ? SVHC negative)
      (24 F f f f f f f f f f f f f f f f ? f ? t 103 t 1.09 t 95 f ? other negative)
      (34 F f f f f f f f f f f f f f f t 0.73 t 1.8 t 97 t 0.97 t 101 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 5.1 t 0.2 t 59 t 0.73 t 82 f ? SVI negative)
      (73 F f f f f f f f f f f f f f f t 0.01 t 1 t 101 t 0.86 t 117 f ? SVI negative)
      (74 F f f f f f f f f f f f f f f t 1.8 t 2.6 t 131 t 1.18 t 111 f ? other negative)
      (62 F f f f f f f f f f f f f f f t 13 f ? t 75 t 1.35 t 55 f ? SVI primary_hypothyroid)
      (69 F f f f f f f f f f f f f f f t 20 t 1 t 51 t 0.84 t 61 f ? SVI primary_hypothyroid)
      (27 F t f f f f f f t f f f f f t t 2.1 t 2.1 t 114 t 1.1 t 104 f ? SVHC negative)
      (75 F t f f f f f f f f f f f f f t 1.9 f ? t 124 t 0.86 t 144 f ? other negative)
      (7 M f f f f f f f f f f f f f f t 0.4 t 2.3 t 54 t 0.86 t 63 f ? other negative)
      (63 F f f f f f f f f f f f f f f t 8.2 t 2.1 t 80 t 1.02 t 78 f ? other compensated_hypothyroid)
      (26 M f f f f f f f f f f f f f f t 1.4 t 1.5 t 90 t 0.9 t 100 f ? SVHC negative)
      (48 M f f f f f f f f f f f f f f t 2.2 t 2.1 t 55 t 0.85 t 65 f ? SVHC negative)
      (34 F t f f f f f f f f f t f f f f ? f ? t 103 t 1.38 t 75 f ? other negative)
      (61 F f f f f f f f f f f f f f f t 6.2 t 2.3 t 118 t 1.3 t 91 f ? other compensated_hypothyroid)
      (25 F f f f f f f f f f f f f f f f ? f ? t 78 t 0.9 t 87 f ? other negative)
      (76 M t f f f f f f t f f f f f f t 6.6 t 1 t 91 t 1.04 t 88 f ? SVI negative)
      (38 F f f f f f f f f f f f f f t t 4.8 t 2.4 t 114 t 0.84 t 135 f ? SVHC negative)
      (56 F f f f f f f f f f f f f f f t 0.6 t 2.7 t 100 t 1.04 t 96 f ? other negative)
      (73 F f f f f f f f f f f f f f f t 2.9 t 2 t 121 t 1.19 t 102 f ? other negative)
      (40 ? f f f f f f f f f f f f f f t 2.1 t 0.6 t 79 t 0.91 t 87 f ? other negative)
      (33 F f f f f f f f f f f f f f f t 0.5 t 1.9 t 92 t 0.92 t 101 f ? other negative)
      (45 M f f f f f f f f f f f f f f t 1.3 t 2.3 t 88 t 0.84 t 106 f ? SVHC negative)
      (54 M f f f f f f f f f f f f f f t 2.1 t 2 t 92 t 1 t 92 f ? SVI negative)
      (68 F f f f f f f f f f f f f f f t 1.2 f ? t 95 t 1.02 t 93 f ? other negative)
      (71 F f f f f f f f f f f f f f f t 1.6 t 0.3 t 73 t 0.9 t 81 f ? other negative)
      (50 F t f f f f f f f f f f f f f t 1.3 t 2 t 94 t 0.96 t 98 f ? other negative)
      (81 F f f f f f f f f f f f f f f t 1.3 t 1.6 t 94 t 0.8 t 119 f ? other negative)
      (38 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (60 F t f f f f f f f f f f f f f t 400 t 0.5 t 11 t 1.19 t 9.1 f ? other primary_hypothyroid)
      (32 F f f f f f f f f f f f f f f t 7.9 t 2.2 t 76 t 1.01 t 75 f ? SVHC compensated_hypothyroid)
      (22 F f f f f f f f f f f f f f f t 1.3 t 1.9 t 94 t 0.89 t 105 f ? other negative)
      (29 F f f f t f f f f f f f f f f t 0.2 t 0.9 t 54 t 0.76 t 72 f ? SVI negative)
      (39 M f f f f f f f f f f f f f t t 1 t 1.9 t 83 t 0.9 t 92 f ? SVHC negative)
      (59 M f f f f f f f f f f f f f f t 1.2 t 1.2 t 70 t 0.71 t 99 f ? other negative)
      (79 M f f f f f f f f f f f f f f f ? t 3.1 t 162 t 0.78 t 209 f ? other negative)
      (38 F f f f f f f f f f f f f f f t 1.4 t 1.5 t 80 t 1.12 t 71 f ? SVI negative)
      (39 F f f f f f f f f f f f f f f t 1.5 t 1.9 t 102 t 0.87 t 118 f ? SVI negative)
      (77 F f f f f f f f f f f f f f f t 0.045 t 1.2 t 67 t 0.96 t 69 f ? other negative)
      (66 M f f f f f f f f f f f f f f t 0.9 t 1.9 t 72 t 0.84 t 86 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 1.02 t 3 t 130 f ? f ? f ? other negative)
      (74 F f f f f f f f f f f f f f f f ? t 1.9 t 98 t 1.06 t 92 f ? other negative)
      (40 F f f f f f f f f f f f f f f t 2.8 t 1.6 t 75 t 0.76 t 99 f ? other negative)
      (56 F t f f f f f t t f f f f f f t 2.2 t 1.4 t 88 t 0.77 t 114 f ? other negative)
      (35 F f f f f f f f f t f f f f f t 230 t 1.5 t 36 t 1.34 t 27 f ? other primary_hypothyroid)
      (83 F f f f f f f f f f f f f f f t 0.6 t 1.2 t 95 t 0.83 t 114 f ? SVI negative)
      (53 F f f f f f f f f t f f t f f t 0.09 t 3.9 t 216 t 1.15 t 188 f ? other negative)
      (28 M f f f f f f f f f f f f f f t 1.1 t 2 t 105 t 0.9 t 116 f ? SVHC negative)
      (50 M f f f f f f f f f f f f f f t 0.005 t 2.4 t 153 t 1.19 t 129 f ? other negative)
      (65 F f f f f f f f f f f f f f f t 3.9 t 1.6 t 103 t 1.13 t 91 f ? SVI negative)
      (52 M t f f f f f f f f f f f f f t 0.2 t 2.3 t 116 t 0.94 t 123 f ? other negative)
      (36 M f t f f f f f f f f f f f f t 0.25 t 1.8 t 124 t 0.75 t 166 f ? SVI negative)
      (70 F f f f f f f f f f f f f f f t 3.6 t 1.9 t 114 f ? f ? f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 0.9 t 2.4 t 91 f ? f ? f ? other negative)
      (53 F f f f f f f f f f f f t f f t 0.005 f ? t 103 t 1.08 t 95 f ? SVI negative)
      (70 F f f f f f f f t f f f f f f t 1.7 t 1 t 112 t 1.02 t 110 f ? SVI negative)
      (56 M f f f f f f f f f f f f f f t 0.8 t 1.8 t 76 t 0.8 t 95 f ? SVI negative)
      (48 F f f f f f f f f f f f f f f t 2.8 t 2.7 t 102 t 0.94 t 109 f ? SVHC negative)
      (72 F t f f f f f f f f f f t f f f ? t 3.2 f ? f ? f ? f ? other negative)
      (58 F f f f f f f f f t f f f f f t 1.1 t 2.3 t 60 t 0.89 t 68 f ? other negative)
      (30 F f f f f t f f f f f f f f f t 1.1 t 3.6 t 159 t 1.65 t 96 f ? STMW negative)
      (65 M f f f f f f f f f f f f f t t 3.1 t 2.7 t 131 t 1.03 t 126 f ? SVHC negative)
      (41 F f f f f f f f f f f f f f f t 0.7 t 2.2 t 104 t 1.02 t 102 f ? SVHC negative)
      (25 M f f f f f f f f f f f f f t t 1.8 t 2 t 90 t 0.92 t 98 f ? SVHC negative)
      (68 M t f f f f f f f f f f f f f t 1.3 t 1.5 t 74 t 0.72 t 103 f ? SVI negative)
      (26 F f f f f f f f f f f f f f f t 1.9 t 2.5 t 102 t 1.16 t 87 f ? other negative)
      (54 F t f f f f f f f f f f f f f t 7 f ? t 95 t 0.98 t 98 f ? other negative)
      (62 F f f f f f f f f f f f t f f t 0.035 t 2.6 t 128 t 1.03 t 124 f ? SVI negative)
      (34 M f f f f f f f f f f f f f t t 1.6 t 1.7 t 67 t 1.15 t 59 f ? SVHC negative)
      (73 F f f f f f f f f f f f f f f t 2.5 t 2.1 t 123 t 1.03 t 119 f ? SVI negative)
      (63 F f f f f f f f f f f f f f f t 8.2 t 2.1 t 80 t 1.01 t 79 f ? other compensated_hypothyroid)
      (60 M f f f f f f f f f f f f f f t 5.73 t 1.8 t 109 t 1.05 t 104 f ? SVI negative)
      (52 M f f f f f f f f f f f f f t t 2.3 t 2.5 t 114 t 1.07 t 106 f ? SVHC negative)
      (21 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (24 F t f f f f f f f f f f f f f t 66 t 1 t 112 t 1.01 t 110 f ? other negative)
      (17 F f f f f f f f f f f f f f f t 1.6 t 1.1 t 52 t 0.36 t 145 f ? other negative)
      (29 F t f f f f f f f f f f f f f t 15 f ? t 113 t 1.13 t 100 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 4.3 t 2.5 t 105 t 1.01 t 103 f ? other negative)
      (31 F f f f f t f f f f f f t f f f ? t 2.9 t 159 t 1.43 t 111 f ? other negative)
      (27 F f f f f f f f f f f f f f f t 13 f ? t 87 t 0.85 t 103 f ? SVI compensated_hypothyroid)
      (27 F f t f f t f f f f f f f f f t 2.2 t 4.1 t 157 t 2.01 t 78 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.15 t 1.1 t 171 t 1.09 t 157 f ? other negative)
      (53 F f f f f f f f f f f f f f f t 8.1 t 2.4 t 132 t 1.28 t 103 f ? other compensated_hypothyroid)
      (68 F f f f f f f f f f f f f f f t 1.4 t 2.4 t 149 t 1.18 t 126 f ? other negative)
      (31 F f f f f f f f f f f f f f f t 3.4 f ? t 104 t 0.94 t 112 f ? STMW negative)
      (31 F t f f f t f f f t f f f f f t 0.44 t 1.5 t 75 t 0.92 t 81 f ? STMW negative)
      (43 F t f f f f f f t f f f f f f t 2.6 t 1.8 t 137 t 1.02 t 134 f ? other negative)
      (56 M f f f f f f f t f f f f f f t 1.3 t 1.8 t 104 f ? f ? f ? other negative)
      (71 F f f f f f f f f f f f f f f t 1.4 t 1.8 t 94 t 0.76 t 124 f ? SVI negative)
      (39 F f f f f f f f t t f f f f f t 2 t 2.3 t 102 t 1.16 t 88 f ? other negative)
      (23 F f f f f f f f f f f f f f f t 1.6 t 2.7 t 138 t 1.34 t 103 f ? other negative)
      (74 F t f f f f f f f f f f f f f t 0.28 t 1.3 t 138 t 0.83 t 166 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (62 M f f f f f f f f f f f f f f t 1.3 t 2.5 t 91 t 1.02 t 90 f ? SVI negative)
      (42 F f f f f f f f f f f f f f f t 0.6 t 2.5 t 125 t 1.22 t 102 f ? other negative)
      (70 F f f f f f f f f f f f f f f t 0.82 t 2.4 t 96 t 0.91 t 105 f ? SVI negative)
      (77 M f f f f f f f f f f f f f f t 0.9 t 2.4 t 100 t 0.8 t 124 f ? SVI negative)
      (51 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (75 M f f f f f f f f f f f f f f t 1.8 t 2 t 84 t 0.9 t 93 f ? SVI negative)
      (26 F t f f f t f f f f f f f f f t 0.2 t 3.9 t 122 t 1.28 t 96 f ? other negative)
      (32 M f f f f f f f f f f f f f f t 0.45 t 2.5 t 100 t 1.17 t 86 f ? SVHC negative)
      (47 F f f f f f f f f f f f f f f t 0.68 t 1.8 t 104 t 0.89 t 117 f ? other negative)
      (59 M f f f f f f f f f f f f f f t 0.7 t 2.8 t 87 t 1 t 87 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 0.9 t 1.9 t 108 t 1.06 t 102 f ? SVI negative)
      (52 M f f f f f f f f f f f f f f t 1 t 1.8 t 102 t 0.97 t 106 f ? SVHC negative)
      (74 F f f f f f f f t f f f f f f t 1.3 t 1.2 t 89 t 0.94 t 95 f ? other negative)
      (75 M f f f f f f f f f f f f f f t 2 f ? t 74 t 1.05 t 70 f ? other negative)
      (43 M f f f f f f f f f f f f f f t 1.5 t 1.2 t 78 t 0.72 t 108 f ? other negative)
      (74 F f f f f f f f t f f f f f f t 23 t 0.2 t 50 t 0.85 t 58 f ? SVI primary_hypothyroid)
      (77 F f f f f f f f f f f f f f f t 0.8 t 1.4 t 124 t 1.2 t 103 f ? SVI negative)
      (69 M f f f f f f f t f f f f f f t 0.05 t 2.6 t 93 t 0.88 t 106 f ? other negative)
      (36 F f f f t f f f f f f f f f f f ? t 1.8 t 82 f ? f ? f ? SVI negative)
      (69 F t f f f f f f f f f f f f f t 3.3 t 1.5 t 130 t 0.86 t 151 f ? other negative)
      (34 F f f f f f f f f t f f f f f f ? t 5.3 t 181 t 1.04 t 174 f ? other negative)
      (84 M f f f f f f f f f f f f f f t 0.6 t 2.1 t 110 t 1.04 t 106 f ? SVI negative)
      (54 F f f f f f f f f f f f f f f t 4.1 t 0.8 t 77 t 0.82 t 93 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 0.5 t 2.3 t 81 t 0.92 t 88 f ? SVI negative)
      (31 M f f f f f f f f f f f f f f t 0.8 t 2.6 t 113 t 0.91 t 123 f ? other negative)
      (24 F f f f f f f f f f f f f f f t 65 t 0.7 t 28 t 1 t 28 f ? other primary_hypothyroid)
      (19 F f f f f f f f f f f f f f t t 1.7 t 1.9 t 89 t 0.88 t 102 f ? SVHC negative)
      (55 M f f f f f f f f f f f f f f t 0.6 t 1.1 t 95 t 0.97 t 98 f ? SVI negative)
      (80 F f f f f f f f f f f f f f f t 0.8 t 2.3 t 124 t 1.04 t 118 f ? SVI negative)
      (84 F t f f f f f f f f f f f f f t 0.3 f ? t 154 t 0.97 t 159 f ? other negative)
      (56 M f f f f f f f f f f f f f f t 0.05 t 0.7 t 50 t 0.25 t 205 f ? other negative)
      (43 ? t f f f f f f f f f f f f f t 6.6 t 1.4 t 137 t 1.12 t 123 f ? other negative)
      (59 F f f f f f f f f f f f f f f t 0.4 t 2.1 t 78 t 0.82 t 95 f ? other negative)
      (79 F t f f f f f f f f f f f f f t 5.1 t 2 t 107 t 1.04 t 104 f ? other negative)
      (81 F f f f f f f f f f f f f f f t 2.5 t 1.8 t 76 t 1.02 t 75 f ? SVI negative)
      (60 F f f f f f f f t f f f f f f t 8.2 t 1.7 t 65 t 0.96 t 68 f ? SVI compensated_hypothyroid)
      (22 F f f f f f f f f f f f f f f t 1.3 t 2.3 t 83 t 0.97 t 85 f ? SVHC negative)
      (50 F f f f f f f f f f f f f f f t 117 t 0.4 t 17 t 1.14 t 15 f ? SVI primary_hypothyroid)
      (53 F f f f f f f f f f f f f f f t 0.1 f ? t 184 t 1.21 t 153 f ? other negative)
      (23 F f f f f f f f f f t f f f t t 2.1 t 3.1 t 116 t 1.2 t 96 f ? SVHC negative)
      (69 F f f f f f f f f f f f f f f t 2.1 t 1.9 t 90 t 0.87 t 104 f ? SVI negative)
      (34 M f f f f f f f f f f f f f f t 1.1 t 1.8 t 60 t 0.75 t 80 f ? SVI negative)
      (59 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (59 M f f f f f f f f f f f f f f t 0.9 t 2 t 88 f ? f ? f ? other negative)
      (49 F f t f f f f f f f f f f f f t 0.1 t 2.7 t 141 t 1.17 t 120 f ? SVI negative)
      (68 M f f f f f f f f f f f f f f t 55 t 0.6 t 15 t 0.89 t 17 f ? SVI primary_hypothyroid)
      (62 M f f f f f f f f f f f f f f t 2.1 t 2.1 t 87 t 0.93 t 94 f ? SVI negative)
      (35 M f f f f f f f f f f f f f f t 0.25 t 0.4 t 38 t 1.08 t 35 f ? SVI negative)
      (78 F f f f f f f f f f f f f f f t 6.3 t 1.1 t 56 t 0.86 t 65 f ? SVI compensated_hypothyroid)
      (71 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (50 F f f f f f f f t t f f t f f t 40 t 2.2 t 75 t 1.01 t 74 f ? other compensated_hypothyroid)
      (45 F f f f f f f f f f f f f f f t 1.4 t 2.1 t 100 t 0.95 t 106 f ? other negative)
      (81 F f f f f f f f f f f f f f f t 1.4 t 1 t 92 t 0.99 t 93 f ? other negative)
      (42 F t f f f f f f f f f f f f f t 0.4 f ? t 258 t 1.14 t 227 f ? other negative)
      (73 M f f f f f f f f f f f f f f t 0.1 t 1.7 t 107 t 0.94 t 113 f ? other negative)
      (80 M f f f f f f f f f f f f f f t 0.05 t 3.7 t 152 t 0.93 t 164 f ? SVI negative)
      (61 F f f f f f f f f f f f f f f t 0.2 t 2.3 t 112 t 1.01 t 111 f ? other negative)
      (77 M f f f f f f f f f f f f f f t 1.3 t 1.3 t 102 t 0.95 t 108 f ? SVI negative)
      (38 F f f f f f f f f f f f f f f t 2.8 t 2.4 t 96 t 0.98 t 99 f ? other negative)
      (61 M f f f f f f f f f f f f f f f ? t 1 t 72 t 0.7 t 103 f ? other negative)
      (41 F f f f f f f f f f f f f f f f ? f ? f ? f ? f ? f ? other negative)
      (54 M f f f f f f f f f f f f f f t 1.2 t 1.9 t 89 t 0.85 t 104 f ? SVI negative)
      (73 F t f f f f f f f f f f f f f t 8.5 t 2.1 t 104 t 1.13 t 92 f ? SVI negative)
      (19 F f f f f f f f f f f f f f f t 8.8 t 2.7 t 108 t 1.11 t 97 f ? other compensated_hypothyroid)
      (30 F f f f f f f f f f f f t f f f ? f ? f ? f ? f ? f ? other negative)
      (68 F f f f f f f f f f f f f f f t 1 t 2.1 t 124 t 1.08 t 114 f ? SVI negative)
      (74 F f f f f f f f f t f f f f f t 5.1 t 1.8 t 112 t 1.07 t 105 f ? other negative)
      (72 M f f f f f f f f f f f f f f t 0.7 t 2 t 82 t 0.94 t 87 f ? SVI negative)
      (64 F f f f f f f f f f f f f f f t 1 t 2.2 t 99 t 1.07 t 92 f ? other negative)
      )))
